/**
 * *******************************************************************************
 *  Copyright (c) 2015-2022 Robert Bosch GmbH and others.
 * 
 *  This program and the accompanying materials are made
 *  available under the terms of the Eclipse Public License 2.0
 *  which is available at https://www.eclipse.org/legal/epl-2.0/
 * 
 *  SPDX-License-Identifier: EPL-2.0
 * 
 *     Generated using Eclipse EMF
 * 
 * *******************************************************************************
 */
package org.eclipse.app4mc.amalthea.model;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EOperation;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * <!-- begin-model-doc -->
 * *
 * *******************************************************************************
 * Copyright (c) 2015-2022 Robert Bosch GmbH and others.
 * 
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 * 
 * SPDX-License-Identifier: EPL-2.0
 * *******************************************************************************
 * <!-- end-model-doc -->
 * @see org.eclipse.app4mc.amalthea.model.AmaltheaFactory
 * @model kind="package"
 * @generated
 */
public interface AmaltheaPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "model";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://app4mc.eclipse.org/amalthea/3.0.0";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "am";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	AmaltheaPackage eINSTANCE = org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.IAnnotatable <em>IAnnotatable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.IAnnotatable
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getIAnnotatable()
	 * @generated
	 */
	int IANNOTATABLE = 5;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IANNOTATABLE__CUSTOM_PROPERTIES = 0;

	/**
	 * The number of structural features of the '<em>IAnnotatable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IANNOTATABLE_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>IAnnotatable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IANNOTATABLE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.BaseObjectImpl <em>Base Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.BaseObjectImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getBaseObject()
	 * @generated
	 */
	int BASE_OBJECT = 2;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_OBJECT__CUSTOM_PROPERTIES = IANNOTATABLE__CUSTOM_PROPERTIES;

	/**
	 * The number of structural features of the '<em>Base Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_OBJECT_FEATURE_COUNT = IANNOTATABLE_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Base Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_OBJECT_OPERATION_COUNT = IANNOTATABLE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.AmaltheaImpl <em>Amalthea</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getAmalthea()
	 * @generated
	 */
	int AMALTHEA = 0;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AMALTHEA__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Version</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AMALTHEA__VERSION = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Common Elements</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AMALTHEA__COMMON_ELEMENTS = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Sw Model</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AMALTHEA__SW_MODEL = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Hw Model</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AMALTHEA__HW_MODEL = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Os Model</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AMALTHEA__OS_MODEL = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Stimuli Model</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AMALTHEA__STIMULI_MODEL = BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Event Model</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AMALTHEA__EVENT_MODEL = BASE_OBJECT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Constraints Model</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AMALTHEA__CONSTRAINTS_MODEL = BASE_OBJECT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Property Constraints Model</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AMALTHEA__PROPERTY_CONSTRAINTS_MODEL = BASE_OBJECT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Mapping Model</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AMALTHEA__MAPPING_MODEL = BASE_OBJECT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Components Model</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AMALTHEA__COMPONENTS_MODEL = BASE_OBJECT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Config Model</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AMALTHEA__CONFIG_MODEL = BASE_OBJECT_FEATURE_COUNT + 11;

	/**
	 * The number of structural features of the '<em>Amalthea</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AMALTHEA_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 12;

	/**
	 * The number of operations of the '<em>Amalthea</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AMALTHEA_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CommonElementsImpl <em>Common Elements</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CommonElementsImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCommonElements()
	 * @generated
	 */
	int COMMON_ELEMENTS = 1;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMON_ELEMENTS__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMON_ELEMENTS__TAGS = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Namespaces</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMON_ELEMENTS__NAMESPACES = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Core Classifiers</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMON_ELEMENTS__CORE_CLASSIFIERS = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Memory Classifiers</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMON_ELEMENTS__MEMORY_CLASSIFIERS = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Common Elements</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMON_ELEMENTS_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The number of operations of the '<em>Common Elements</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMON_ELEMENTS_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.INamed <em>INamed</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.INamed
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getINamed()
	 * @generated
	 */
	int INAMED = 7;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INAMED__NAME = 0;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INAMED__QUALIFIED_NAME = 1;

	/**
	 * The number of structural features of the '<em>INamed</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INAMED_FEATURE_COUNT = 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INAMED___GET_NAMED_CONTAINER = 0;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INAMED___GET_NAME_PREFIX = 1;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INAMED___GET_QUALIFIED_NAME_SEGMENTS = 2;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INAMED___GET_DEFAULT_NAME_SEPARATOR = 3;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INAMED___GET_NAMESPACE = 4;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INAMED___GET_NAME_PREFIX_SEGMENTS = 5;

	/**
	 * The number of operations of the '<em>INamed</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INAMED_OPERATION_COUNT = 6;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.IReferable <em>IReferable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.IReferable
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getIReferable()
	 * @generated
	 */
	int IREFERABLE = 8;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IREFERABLE__NAME = INAMED__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IREFERABLE__QUALIFIED_NAME = INAMED__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IREFERABLE__UNIQUE_NAME = INAMED_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>IReferable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IREFERABLE_FEATURE_COUNT = INAMED_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IREFERABLE___GET_NAMED_CONTAINER = INAMED___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IREFERABLE___GET_NAME_PREFIX = INAMED___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IREFERABLE___GET_QUALIFIED_NAME_SEGMENTS = INAMED___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IREFERABLE___GET_DEFAULT_NAME_SEPARATOR = INAMED___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IREFERABLE___GET_NAMESPACE = INAMED___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IREFERABLE___GET_NAME_PREFIX_SEGMENTS = INAMED___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IREFERABLE___GET_ENCODED_QUALIFIED_NAME = INAMED_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IREFERABLE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = INAMED_OPERATION_COUNT + 1;

	/**
	 * The number of operations of the '<em>IReferable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IREFERABLE_OPERATION_COUNT = INAMED_OPERATION_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ReferableObjectImpl <em>Referable Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ReferableObjectImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getReferableObject()
	 * @generated
	 */
	int REFERABLE_OBJECT = 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_OBJECT__NAME = IREFERABLE__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_OBJECT__QUALIFIED_NAME = IREFERABLE__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_OBJECT__UNIQUE_NAME = IREFERABLE__UNIQUE_NAME;

	/**
	 * The number of structural features of the '<em>Referable Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_OBJECT_FEATURE_COUNT = IREFERABLE_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_OBJECT___GET_NAMED_CONTAINER = IREFERABLE___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_OBJECT___GET_NAME_PREFIX = IREFERABLE___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS = IREFERABLE___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_OBJECT___GET_DEFAULT_NAME_SEPARATOR = IREFERABLE___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_OBJECT___GET_NAMESPACE = IREFERABLE___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_OBJECT___GET_NAME_PREFIX_SEGMENTS = IREFERABLE___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_OBJECT___GET_ENCODED_QUALIFIED_NAME = IREFERABLE___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = IREFERABLE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Referable Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_OBJECT_OPERATION_COUNT = IREFERABLE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ReferableBaseObjectImpl <em>Referable Base Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ReferableBaseObjectImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getReferableBaseObject()
	 * @generated
	 */
	int REFERABLE_BASE_OBJECT = 4;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES = IANNOTATABLE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_BASE_OBJECT__NAME = IANNOTATABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_BASE_OBJECT__QUALIFIED_NAME = IANNOTATABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_BASE_OBJECT__UNIQUE_NAME = IANNOTATABLE_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Referable Base Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_BASE_OBJECT_FEATURE_COUNT = IANNOTATABLE_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER = IANNOTATABLE_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_BASE_OBJECT___GET_NAME_PREFIX = IANNOTATABLE_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS = IANNOTATABLE_OPERATION_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR = IANNOTATABLE_OPERATION_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_BASE_OBJECT___GET_NAMESPACE = IANNOTATABLE_OPERATION_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS = IANNOTATABLE_OPERATION_COUNT + 5;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME = IANNOTATABLE_OPERATION_COUNT + 6;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = IANNOTATABLE_OPERATION_COUNT + 7;

	/**
	 * The number of operations of the '<em>Referable Base Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERABLE_BASE_OBJECT_OPERATION_COUNT = IANNOTATABLE_OPERATION_COUNT + 8;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ITaggable <em>ITaggable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ITaggable
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getITaggable()
	 * @generated
	 */
	int ITAGGABLE = 6;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAGGABLE__TAGS = 0;

	/**
	 * The number of structural features of the '<em>ITaggable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAGGABLE_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>ITaggable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAGGABLE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.IDisplayName <em>IDisplay Name</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.IDisplayName
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getIDisplayName()
	 * @generated
	 */
	int IDISPLAY_NAME = 9;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDISPLAY_NAME__DISPLAY_NAME = 0;

	/**
	 * The number of structural features of the '<em>IDisplay Name</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDISPLAY_NAME_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>IDisplay Name</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDISPLAY_NAME_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.IDescription <em>IDescription</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.IDescription
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getIDescription()
	 * @generated
	 */
	int IDESCRIPTION = 10;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDESCRIPTION__DESCRIPTION = 0;

	/**
	 * The number of structural features of the '<em>IDescription</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDESCRIPTION_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>IDescription</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDESCRIPTION_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.INamespaceMember <em>INamespace Member</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.INamespaceMember
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getINamespaceMember()
	 * @generated
	 */
	int INAMESPACE_MEMBER = 11;

	/**
	 * The feature id for the '<em><b>Namespace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INAMESPACE_MEMBER__NAMESPACE = 0;

	/**
	 * The number of structural features of the '<em>INamespace Member</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INAMESPACE_MEMBER_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>INamespace Member</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INAMESPACE_MEMBER_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TagImpl <em>Tag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TagImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTag()
	 * @generated
	 */
	int TAG = 12;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG__DESCRIPTION = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Tag Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG__TAG_TYPE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tagged Objects</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG__TAGGED_OBJECTS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Tag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Tag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.NamespaceImpl <em>Namespace</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.NamespaceImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getNamespace()
	 * @generated
	 */
	int NAMESPACE = 13;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE__NAME = REFERABLE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE__QUALIFIED_NAME = REFERABLE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE__UNIQUE_NAME = REFERABLE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Next Segments</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE__NEXT_SEGMENTS = REFERABLE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Previous Segment</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE__PREVIOUS_SEGMENT = REFERABLE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Member Objects</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE__MEMBER_OBJECTS = REFERABLE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Namespace</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE_FEATURE_COUNT = REFERABLE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE___GET_NAMED_CONTAINER = REFERABLE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE___GET_NAME_PREFIX = REFERABLE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE___GET_NAMESPACE = REFERABLE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE___GET_ENCODED_QUALIFIED_NAME = REFERABLE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE___GET_NAME_PREFIX_SEGMENTS = REFERABLE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Namespace</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMESPACE_OPERATION_COUNT = REFERABLE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ClassifierImpl <em>Classifier</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ClassifierImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getClassifier()
	 * @generated
	 */
	int CLASSIFIER = 14;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFIER__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFIER__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFIER__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFIER__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFIER__DESCRIPTION = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Classifier</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFIER_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFIER___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFIER___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFIER___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFIER___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFIER___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFIER___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFIER___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFIER___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Classifier</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFIER_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CoreClassifierImpl <em>Core Classifier</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CoreClassifierImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCoreClassifier()
	 * @generated
	 */
	int CORE_CLASSIFIER = 15;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFIER__CUSTOM_PROPERTIES = CLASSIFIER__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFIER__NAME = CLASSIFIER__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFIER__QUALIFIED_NAME = CLASSIFIER__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFIER__UNIQUE_NAME = CLASSIFIER__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFIER__DESCRIPTION = CLASSIFIER__DESCRIPTION;

	/**
	 * The number of structural features of the '<em>Core Classifier</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFIER_FEATURE_COUNT = CLASSIFIER_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFIER___GET_NAMED_CONTAINER = CLASSIFIER___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFIER___GET_NAME_PREFIX = CLASSIFIER___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFIER___GET_QUALIFIED_NAME_SEGMENTS = CLASSIFIER___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFIER___GET_DEFAULT_NAME_SEPARATOR = CLASSIFIER___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFIER___GET_NAMESPACE = CLASSIFIER___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFIER___GET_NAME_PREFIX_SEGMENTS = CLASSIFIER___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFIER___GET_ENCODED_QUALIFIED_NAME = CLASSIFIER___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFIER___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = CLASSIFIER___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Core Classifier</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFIER_OPERATION_COUNT = CLASSIFIER_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.MemoryClassifierImpl <em>Memory Classifier</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.MemoryClassifierImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getMemoryClassifier()
	 * @generated
	 */
	int MEMORY_CLASSIFIER = 16;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFIER__CUSTOM_PROPERTIES = CLASSIFIER__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFIER__NAME = CLASSIFIER__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFIER__QUALIFIED_NAME = CLASSIFIER__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFIER__UNIQUE_NAME = CLASSIFIER__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFIER__DESCRIPTION = CLASSIFIER__DESCRIPTION;

	/**
	 * The number of structural features of the '<em>Memory Classifier</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFIER_FEATURE_COUNT = CLASSIFIER_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFIER___GET_NAMED_CONTAINER = CLASSIFIER___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFIER___GET_NAME_PREFIX = CLASSIFIER___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFIER___GET_QUALIFIED_NAME_SEGMENTS = CLASSIFIER___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFIER___GET_DEFAULT_NAME_SEPARATOR = CLASSIFIER___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFIER___GET_NAMESPACE = CLASSIFIER___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFIER___GET_NAME_PREFIX_SEGMENTS = CLASSIFIER___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFIER___GET_ENCODED_QUALIFIED_NAME = CLASSIFIER___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFIER___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = CLASSIFIER___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Memory Classifier</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFIER_OPERATION_COUNT = CLASSIFIER_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TransmissionPolicyImpl <em>Transmission Policy</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TransmissionPolicyImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTransmissionPolicy()
	 * @generated
	 */
	int TRANSMISSION_POLICY = 17;

	/**
	 * The feature id for the '<em><b>Chunk Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRANSMISSION_POLICY__CHUNK_SIZE = 0;

	/**
	 * The feature id for the '<em><b>Chunk Processing Ticks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRANSMISSION_POLICY__CHUNK_PROCESSING_TICKS = 1;

	/**
	 * The feature id for the '<em><b>Transmit Ratio</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRANSMISSION_POLICY__TRANSMIT_RATIO = 2;

	/**
	 * The number of structural features of the '<em>Transmission Policy</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRANSMISSION_POLICY_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>Transmission Policy</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRANSMISSION_POLICY_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.QuantityImpl <em>Quantity</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.QuantityImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getQuantity()
	 * @generated
	 */
	int QUANTITY = 18;

	/**
	 * The number of structural features of the '<em>Quantity</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUANTITY_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Quantity</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUANTITY_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link java.lang.Comparable <em>Time Comparable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.Comparable
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTimeComparable()
	 * @generated
	 */
	int TIME_COMPARABLE = 19;

	/**
	 * The number of structural features of the '<em>Time Comparable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_COMPARABLE_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Time Comparable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_COMPARABLE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TimeImpl <em>Time</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TimeImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTime()
	 * @generated
	 */
	int TIME = 20;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME__VALUE = QUANTITY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Unit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME__UNIT = QUANTITY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Time</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_FEATURE_COUNT = QUANTITY_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>To String</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME___TO_STRING = QUANTITY_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Compare To</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME___COMPARE_TO__TIME = QUANTITY_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Adjust Unit</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME___ADJUST_UNIT = QUANTITY_OPERATION_COUNT + 2;

	/**
	 * The operation id for the '<em>Add</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME___ADD__TIME = QUANTITY_OPERATION_COUNT + 3;

	/**
	 * The operation id for the '<em>Subtract</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME___SUBTRACT__TIME = QUANTITY_OPERATION_COUNT + 4;

	/**
	 * The operation id for the '<em>Multiply</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME___MULTIPLY__LONG = QUANTITY_OPERATION_COUNT + 5;

	/**
	 * The operation id for the '<em>Multiply</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME___MULTIPLY__DOUBLE = QUANTITY_OPERATION_COUNT + 6;

	/**
	 * The operation id for the '<em>Divide</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME___DIVIDE__TIME = QUANTITY_OPERATION_COUNT + 7;

	/**
	 * The number of operations of the '<em>Time</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_OPERATION_COUNT = QUANTITY_OPERATION_COUNT + 8;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.FrequencyImpl <em>Frequency</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.FrequencyImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getFrequency()
	 * @generated
	 */
	int FREQUENCY = 21;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY__VALUE = QUANTITY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Unit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY__UNIT = QUANTITY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Frequency</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_FEATURE_COUNT = QUANTITY_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>To String</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY___TO_STRING = QUANTITY_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Frequency</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_OPERATION_COUNT = QUANTITY_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.VoltageImpl <em>Voltage</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.VoltageImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getVoltage()
	 * @generated
	 */
	int VOLTAGE = 22;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VOLTAGE__VALUE = QUANTITY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Unit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VOLTAGE__UNIT = QUANTITY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Voltage</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VOLTAGE_FEATURE_COUNT = QUANTITY_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>To String</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VOLTAGE___TO_STRING = QUANTITY_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Voltage</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VOLTAGE_OPERATION_COUNT = QUANTITY_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataSizeImpl <em>Data Size</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataSizeImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataSize()
	 * @generated
	 */
	int DATA_SIZE = 23;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SIZE__VALUE = QUANTITY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Unit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SIZE__UNIT = QUANTITY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Data Size</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SIZE_FEATURE_COUNT = QUANTITY_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>To String</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SIZE___TO_STRING = QUANTITY_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Number Bits</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SIZE___GET_NUMBER_BITS = QUANTITY_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Number Bytes</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SIZE___GET_NUMBER_BYTES = QUANTITY_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Data Size</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SIZE_OPERATION_COUNT = QUANTITY_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link java.lang.Comparable <em>Data Rate Comparable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.Comparable
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataRateComparable()
	 * @generated
	 */
	int DATA_RATE_COMPARABLE = 24;

	/**
	 * The number of structural features of the '<em>Data Rate Comparable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_RATE_COMPARABLE_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Data Rate Comparable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_RATE_COMPARABLE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataRateImpl <em>Data Rate</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataRateImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataRate()
	 * @generated
	 */
	int DATA_RATE = 25;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_RATE__VALUE = QUANTITY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Unit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_RATE__UNIT = QUANTITY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Data Rate</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_RATE_FEATURE_COUNT = QUANTITY_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>To String</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_RATE___TO_STRING = QUANTITY_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Compare To</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_RATE___COMPARE_TO__DATARATE = QUANTITY_OPERATION_COUNT + 1;

	/**
	 * The number of operations of the '<em>Data Rate</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_RATE_OPERATION_COUNT = QUANTITY_OPERATION_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CustomPropertyImpl <em>Custom Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CustomPropertyImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCustomProperty()
	 * @generated
	 */
	int CUSTOM_PROPERTY = 26;

	/**
	 * The feature id for the '<em><b>Key</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_PROPERTY__KEY = 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_PROPERTY__VALUE = 1;

	/**
	 * The number of structural features of the '<em>Custom Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_PROPERTY_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Custom Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_PROPERTY_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ValueImpl <em>Value</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ValueImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getValue()
	 * @generated
	 */
	int VALUE = 27;

	/**
	 * The number of structural features of the '<em>Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALUE_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALUE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ListObjectImpl <em>List Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ListObjectImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getListObject()
	 * @generated
	 */
	int LIST_OBJECT = 28;

	/**
	 * The feature id for the '<em><b>Values</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LIST_OBJECT__VALUES = VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>List Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LIST_OBJECT_FEATURE_COUNT = VALUE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>List Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LIST_OBJECT_OPERATION_COUNT = VALUE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.MapObjectImpl <em>Map Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.MapObjectImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getMapObject()
	 * @since 1.2
	 * @generated
	 */
	int MAP_OBJECT = 29;

	/**
	 * The feature id for the '<em><b>Entries</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int MAP_OBJECT__ENTRIES = VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Map Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int MAP_OBJECT_FEATURE_COUNT = VALUE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Map Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int MAP_OBJECT_OPERATION_COUNT = VALUE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.StringObjectImpl <em>String Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.StringObjectImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getStringObject()
	 * @generated
	 */
	int STRING_OBJECT = 30;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_OBJECT__VALUE = VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>String Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_OBJECT_FEATURE_COUNT = VALUE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>String Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_OBJECT_OPERATION_COUNT = VALUE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.BigIntegerObjectImpl <em>Big Integer Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.BigIntegerObjectImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getBigIntegerObject()
	 * @generated
	 */
	int BIG_INTEGER_OBJECT = 31;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BIG_INTEGER_OBJECT__VALUE = VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Big Integer Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BIG_INTEGER_OBJECT_FEATURE_COUNT = VALUE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Big Integer Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BIG_INTEGER_OBJECT_OPERATION_COUNT = VALUE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ReferenceObjectImpl <em>Reference Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ReferenceObjectImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getReferenceObject()
	 * @generated
	 */
	int REFERENCE_OBJECT = 32;

	/**
	 * The feature id for the '<em><b>Value</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE_OBJECT__VALUE = VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Reference Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE_OBJECT_FEATURE_COUNT = VALUE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Reference Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE_OBJECT_OPERATION_COUNT = VALUE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.IntegerObjectImpl <em>Integer Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.IntegerObjectImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getIntegerObject()
	 * @generated
	 */
	int INTEGER_OBJECT = 33;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_OBJECT__VALUE = VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Integer Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_OBJECT_FEATURE_COUNT = VALUE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Integer Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_OBJECT_OPERATION_COUNT = VALUE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.LongObjectImpl <em>Long Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.LongObjectImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLongObject()
	 * @generated
	 */
	int LONG_OBJECT = 34;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LONG_OBJECT__VALUE = VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Long Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LONG_OBJECT_FEATURE_COUNT = VALUE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Long Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LONG_OBJECT_OPERATION_COUNT = VALUE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.FloatObjectImpl <em>Float Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.FloatObjectImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getFloatObject()
	 * @generated
	 */
	int FLOAT_OBJECT = 35;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FLOAT_OBJECT__VALUE = VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Float Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FLOAT_OBJECT_FEATURE_COUNT = VALUE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Float Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FLOAT_OBJECT_OPERATION_COUNT = VALUE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DoubleObjectImpl <em>Double Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DoubleObjectImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDoubleObject()
	 * @generated
	 */
	int DOUBLE_OBJECT = 36;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOUBLE_OBJECT__VALUE = VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Double Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOUBLE_OBJECT_FEATURE_COUNT = VALUE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Double Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOUBLE_OBJECT_OPERATION_COUNT = VALUE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.BooleanObjectImpl <em>Boolean Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.BooleanObjectImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getBooleanObject()
	 * @generated
	 */
	int BOOLEAN_OBJECT = 37;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOLEAN_OBJECT__VALUE = VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Boolean Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOLEAN_OBJECT_FEATURE_COUNT = VALUE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Boolean Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOLEAN_OBJECT_OPERATION_COUNT = VALUE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.NumericStatistic <em>Numeric Statistic</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.NumericStatistic
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getNumericStatistic()
	 * @generated
	 */
	int NUMERIC_STATISTIC = 38;

	/**
	 * The number of structural features of the '<em>Numeric Statistic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_STATISTIC_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Numeric Statistic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_STATISTIC_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.MinAvgMaxStatisticImpl <em>Min Avg Max Statistic</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.MinAvgMaxStatisticImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getMinAvgMaxStatistic()
	 * @generated
	 */
	int MIN_AVG_MAX_STATISTIC = 39;

	/**
	 * The feature id for the '<em><b>Min</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MIN_AVG_MAX_STATISTIC__MIN = NUMERIC_STATISTIC_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Avg</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MIN_AVG_MAX_STATISTIC__AVG = NUMERIC_STATISTIC_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Max</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MIN_AVG_MAX_STATISTIC__MAX = NUMERIC_STATISTIC_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Min Avg Max Statistic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MIN_AVG_MAX_STATISTIC_FEATURE_COUNT = NUMERIC_STATISTIC_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MIN_AVG_MAX_STATISTIC___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = NUMERIC_STATISTIC_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Min Avg Max Statistic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MIN_AVG_MAX_STATISTIC_OPERATION_COUNT = NUMERIC_STATISTIC_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SingleValueStatisticImpl <em>Single Value Statistic</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SingleValueStatisticImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSingleValueStatistic()
	 * @generated
	 */
	int SINGLE_VALUE_STATISTIC = 40;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_VALUE_STATISTIC__VALUE = NUMERIC_STATISTIC_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Single Value Statistic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_VALUE_STATISTIC_FEATURE_COUNT = NUMERIC_STATISTIC_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Single Value Statistic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_VALUE_STATISTIC_OPERATION_COUNT = NUMERIC_STATISTIC_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ITimeDeviation <em>ITime Deviation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ITimeDeviation
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getITimeDeviation()
	 * @generated
	 */
	int ITIME_DEVIATION = 41;

	/**
	 * The number of structural features of the '<em>ITime Deviation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITIME_DEVIATION_FEATURE_COUNT = 0;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITIME_DEVIATION___GET_LOWER_BOUND = 0;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITIME_DEVIATION___GET_UPPER_BOUND = 1;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITIME_DEVIATION___GET_AVERAGE = 2;

	/**
	 * The number of operations of the '<em>ITime Deviation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITIME_DEVIATION_OPERATION_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TimeIntervalImpl <em>Time Interval</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TimeIntervalImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTimeInterval()
	 * @generated
	 */
	int TIME_INTERVAL = 42;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_INTERVAL__LOWER_BOUND = 0;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_INTERVAL__UPPER_BOUND = 1;

	/**
	 * The number of structural features of the '<em>Time Interval</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_INTERVAL_FEATURE_COUNT = 2;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_INTERVAL___GET_AVERAGE = 0;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_INTERVAL___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = 1;

	/**
	 * The number of operations of the '<em>Time Interval</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_INTERVAL_OPERATION_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TimeConstantImpl <em>Time Constant</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TimeConstantImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTimeConstant()
	 * @generated
	 */
	int TIME_CONSTANT = 43;

	/**
	 * The feature id for the '<em><b>Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_CONSTANT__VALUE = ITIME_DEVIATION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Time Constant</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_CONSTANT_FEATURE_COUNT = ITIME_DEVIATION_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_CONSTANT___GET_LOWER_BOUND = ITIME_DEVIATION_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_CONSTANT___GET_UPPER_BOUND = ITIME_DEVIATION_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_CONSTANT___GET_AVERAGE = ITIME_DEVIATION_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Time Constant</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_CONSTANT_OPERATION_COUNT = ITIME_DEVIATION_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TimeHistogramImpl <em>Time Histogram</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TimeHistogramImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTimeHistogram()
	 * @generated
	 */
	int TIME_HISTOGRAM = 44;

	/**
	 * The feature id for the '<em><b>Entries</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_HISTOGRAM__ENTRIES = ITIME_DEVIATION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Time Histogram</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_HISTOGRAM_FEATURE_COUNT = ITIME_DEVIATION_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_HISTOGRAM___GET_LOWER_BOUND = ITIME_DEVIATION_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_HISTOGRAM___GET_UPPER_BOUND = ITIME_DEVIATION_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_HISTOGRAM___GET_AVERAGE = ITIME_DEVIATION_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Time Histogram</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_HISTOGRAM_OPERATION_COUNT = ITIME_DEVIATION_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TimeHistogramEntryImpl <em>Time Histogram Entry</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TimeHistogramEntryImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTimeHistogramEntry()
	 * @generated
	 */
	int TIME_HISTOGRAM_ENTRY = 45;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_HISTOGRAM_ENTRY__LOWER_BOUND = TIME_INTERVAL__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_HISTOGRAM_ENTRY__UPPER_BOUND = TIME_INTERVAL__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Occurrences</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_HISTOGRAM_ENTRY__OCCURRENCES = TIME_INTERVAL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Time Histogram Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_HISTOGRAM_ENTRY_FEATURE_COUNT = TIME_INTERVAL_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_HISTOGRAM_ENTRY___GET_AVERAGE = TIME_INTERVAL___GET_AVERAGE;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_HISTOGRAM_ENTRY___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TIME_INTERVAL___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Time Histogram Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_HISTOGRAM_ENTRY_OPERATION_COUNT = TIME_INTERVAL_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.BoundedTimeDistributionImpl <em>Bounded Time Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.BoundedTimeDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getBoundedTimeDistribution()
	 * @generated
	 */
	int BOUNDED_TIME_DISTRIBUTION = 46;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_TIME_DISTRIBUTION__LOWER_BOUND = TIME_INTERVAL__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_TIME_DISTRIBUTION__UPPER_BOUND = TIME_INTERVAL__UPPER_BOUND;

	/**
	 * The number of structural features of the '<em>Bounded Time Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_TIME_DISTRIBUTION_FEATURE_COUNT = TIME_INTERVAL_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_TIME_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TIME_INTERVAL___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_TIME_DISTRIBUTION___GET_LOWER_BOUND = TIME_INTERVAL_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_TIME_DISTRIBUTION___GET_UPPER_BOUND = TIME_INTERVAL_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_TIME_DISTRIBUTION___GET_AVERAGE = TIME_INTERVAL_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Bounded Time Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_TIME_DISTRIBUTION_OPERATION_COUNT = TIME_INTERVAL_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TruncatedTimeDistributionImpl <em>Truncated Time Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TruncatedTimeDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTruncatedTimeDistribution()
	 * @generated
	 */
	int TRUNCATED_TIME_DISTRIBUTION = 47;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_TIME_DISTRIBUTION__LOWER_BOUND = ITIME_DEVIATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_TIME_DISTRIBUTION__UPPER_BOUND = ITIME_DEVIATION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Truncated Time Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_TIME_DISTRIBUTION_FEATURE_COUNT = ITIME_DEVIATION_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_TIME_DISTRIBUTION___GET_LOWER_BOUND = ITIME_DEVIATION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_TIME_DISTRIBUTION___GET_UPPER_BOUND = ITIME_DEVIATION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_TIME_DISTRIBUTION___GET_AVERAGE = ITIME_DEVIATION___GET_AVERAGE;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_TIME_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ITIME_DEVIATION_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Truncated Time Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_TIME_DISTRIBUTION_OPERATION_COUNT = ITIME_DEVIATION_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TimeBoundariesImpl <em>Time Boundaries</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TimeBoundariesImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTimeBoundaries()
	 * @generated
	 */
	int TIME_BOUNDARIES = 48;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BOUNDARIES__LOWER_BOUND = BOUNDED_TIME_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BOUNDARIES__UPPER_BOUND = BOUNDED_TIME_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Sampling Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BOUNDARIES__SAMPLING_TYPE = BOUNDED_TIME_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Time Boundaries</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BOUNDARIES_FEATURE_COUNT = BOUNDED_TIME_DISTRIBUTION_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BOUNDARIES___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BOUNDED_TIME_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BOUNDARIES___GET_LOWER_BOUND = BOUNDED_TIME_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BOUNDARIES___GET_UPPER_BOUND = BOUNDED_TIME_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BOUNDARIES___GET_AVERAGE = BOUNDED_TIME_DISTRIBUTION___GET_AVERAGE;

	/**
	 * The number of operations of the '<em>Time Boundaries</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BOUNDARIES_OPERATION_COUNT = BOUNDED_TIME_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TimeStatisticsImpl <em>Time Statistics</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TimeStatisticsImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTimeStatistics()
	 * @generated
	 */
	int TIME_STATISTICS = 49;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_STATISTICS__LOWER_BOUND = BOUNDED_TIME_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_STATISTICS__UPPER_BOUND = BOUNDED_TIME_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Average</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_STATISTICS__AVERAGE = BOUNDED_TIME_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Time Statistics</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_STATISTICS_FEATURE_COUNT = BOUNDED_TIME_DISTRIBUTION_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_STATISTICS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BOUNDED_TIME_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_STATISTICS___GET_LOWER_BOUND = BOUNDED_TIME_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_STATISTICS___GET_UPPER_BOUND = BOUNDED_TIME_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_STATISTICS___GET_AVERAGE = BOUNDED_TIME_DISTRIBUTION___GET_AVERAGE;

	/**
	 * The number of operations of the '<em>Time Statistics</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_STATISTICS_OPERATION_COUNT = BOUNDED_TIME_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TimeUniformDistributionImpl <em>Time Uniform Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TimeUniformDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTimeUniformDistribution()
	 * @generated
	 */
	int TIME_UNIFORM_DISTRIBUTION = 50;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_UNIFORM_DISTRIBUTION__LOWER_BOUND = BOUNDED_TIME_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_UNIFORM_DISTRIBUTION__UPPER_BOUND = BOUNDED_TIME_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The number of structural features of the '<em>Time Uniform Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_UNIFORM_DISTRIBUTION_FEATURE_COUNT = BOUNDED_TIME_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_UNIFORM_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BOUNDED_TIME_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_UNIFORM_DISTRIBUTION___GET_LOWER_BOUND = BOUNDED_TIME_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_UNIFORM_DISTRIBUTION___GET_UPPER_BOUND = BOUNDED_TIME_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_UNIFORM_DISTRIBUTION___GET_AVERAGE = BOUNDED_TIME_DISTRIBUTION___GET_AVERAGE;

	/**
	 * The number of operations of the '<em>Time Uniform Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_UNIFORM_DISTRIBUTION_OPERATION_COUNT = BOUNDED_TIME_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TimeGaussDistributionImpl <em>Time Gauss Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TimeGaussDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTimeGaussDistribution()
	 * @generated
	 */
	int TIME_GAUSS_DISTRIBUTION = 51;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_GAUSS_DISTRIBUTION__LOWER_BOUND = TRUNCATED_TIME_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_GAUSS_DISTRIBUTION__UPPER_BOUND = TRUNCATED_TIME_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Mean</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_GAUSS_DISTRIBUTION__MEAN = TRUNCATED_TIME_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Sd</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_GAUSS_DISTRIBUTION__SD = TRUNCATED_TIME_DISTRIBUTION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Time Gauss Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_GAUSS_DISTRIBUTION_FEATURE_COUNT = TRUNCATED_TIME_DISTRIBUTION_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_GAUSS_DISTRIBUTION___GET_LOWER_BOUND = TRUNCATED_TIME_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_GAUSS_DISTRIBUTION___GET_UPPER_BOUND = TRUNCATED_TIME_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_GAUSS_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TRUNCATED_TIME_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_GAUSS_DISTRIBUTION___GET_AVERAGE = TRUNCATED_TIME_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Time Gauss Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_GAUSS_DISTRIBUTION_OPERATION_COUNT = TRUNCATED_TIME_DISTRIBUTION_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TimeWeibullEstimatorsDistributionImpl <em>Time Weibull Estimators Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TimeWeibullEstimatorsDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTimeWeibullEstimatorsDistribution()
	 * @generated
	 */
	int TIME_WEIBULL_ESTIMATORS_DISTRIBUTION = 52;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_WEIBULL_ESTIMATORS_DISTRIBUTION__LOWER_BOUND = BOUNDED_TIME_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_WEIBULL_ESTIMATORS_DISTRIBUTION__UPPER_BOUND = BOUNDED_TIME_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Average</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_WEIBULL_ESTIMATORS_DISTRIBUTION__AVERAGE = BOUNDED_TIME_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>PRemain Promille</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_WEIBULL_ESTIMATORS_DISTRIBUTION__PREMAIN_PROMILLE = BOUNDED_TIME_DISTRIBUTION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Time Weibull Estimators Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_WEIBULL_ESTIMATORS_DISTRIBUTION_FEATURE_COUNT = BOUNDED_TIME_DISTRIBUTION_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_WEIBULL_ESTIMATORS_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BOUNDED_TIME_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_WEIBULL_ESTIMATORS_DISTRIBUTION___GET_LOWER_BOUND = BOUNDED_TIME_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_WEIBULL_ESTIMATORS_DISTRIBUTION___GET_UPPER_BOUND = BOUNDED_TIME_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_WEIBULL_ESTIMATORS_DISTRIBUTION___GET_AVERAGE = BOUNDED_TIME_DISTRIBUTION___GET_AVERAGE;

	/**
	 * The number of operations of the '<em>Time Weibull Estimators Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_WEIBULL_ESTIMATORS_DISTRIBUTION_OPERATION_COUNT = BOUNDED_TIME_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TimeBetaDistributionImpl <em>Time Beta Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TimeBetaDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTimeBetaDistribution()
	 * @generated
	 */
	int TIME_BETA_DISTRIBUTION = 53;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BETA_DISTRIBUTION__LOWER_BOUND = BOUNDED_TIME_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BETA_DISTRIBUTION__UPPER_BOUND = BOUNDED_TIME_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Alpha</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BETA_DISTRIBUTION__ALPHA = BOUNDED_TIME_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Beta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BETA_DISTRIBUTION__BETA = BOUNDED_TIME_DISTRIBUTION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Time Beta Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BETA_DISTRIBUTION_FEATURE_COUNT = BOUNDED_TIME_DISTRIBUTION_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BETA_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BOUNDED_TIME_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BETA_DISTRIBUTION___GET_LOWER_BOUND = BOUNDED_TIME_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BETA_DISTRIBUTION___GET_UPPER_BOUND = BOUNDED_TIME_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BETA_DISTRIBUTION___GET_AVERAGE = BOUNDED_TIME_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Time Beta Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_BETA_DISTRIBUTION_OPERATION_COUNT = BOUNDED_TIME_DISTRIBUTION_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation <em>IDiscrete Value Deviation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getIDiscreteValueDeviation()
	 * @generated
	 */
	int IDISCRETE_VALUE_DEVIATION = 54;

	/**
	 * The number of structural features of the '<em>IDiscrete Value Deviation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDISCRETE_VALUE_DEVIATION_FEATURE_COUNT = 0;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDISCRETE_VALUE_DEVIATION___GET_LOWER_BOUND = 0;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDISCRETE_VALUE_DEVIATION___GET_UPPER_BOUND = 1;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDISCRETE_VALUE_DEVIATION___GET_AVERAGE = 2;

	/**
	 * The number of operations of the '<em>IDiscrete Value Deviation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDISCRETE_VALUE_DEVIATION_OPERATION_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DiscreteValueIntervalImpl <em>Discrete Value Interval</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DiscreteValueIntervalImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDiscreteValueInterval()
	 * @generated
	 */
	int DISCRETE_VALUE_INTERVAL = 55;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_INTERVAL__LOWER_BOUND = 0;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_INTERVAL__UPPER_BOUND = 1;

	/**
	 * The number of structural features of the '<em>Discrete Value Interval</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_INTERVAL_FEATURE_COUNT = 2;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_INTERVAL___GET_AVERAGE = 0;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_INTERVAL___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = 1;

	/**
	 * The number of operations of the '<em>Discrete Value Interval</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_INTERVAL_OPERATION_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DiscreteValueConstantImpl <em>Discrete Value Constant</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DiscreteValueConstantImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDiscreteValueConstant()
	 * @generated
	 */
	int DISCRETE_VALUE_CONSTANT = 56;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_CONSTANT__VALUE = IDISCRETE_VALUE_DEVIATION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Discrete Value Constant</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_CONSTANT_FEATURE_COUNT = IDISCRETE_VALUE_DEVIATION_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_CONSTANT___GET_LOWER_BOUND = IDISCRETE_VALUE_DEVIATION_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_CONSTANT___GET_UPPER_BOUND = IDISCRETE_VALUE_DEVIATION_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_CONSTANT___GET_AVERAGE = IDISCRETE_VALUE_DEVIATION_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Discrete Value Constant</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_CONSTANT_OPERATION_COUNT = IDISCRETE_VALUE_DEVIATION_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DiscreteValueHistogramImpl <em>Discrete Value Histogram</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DiscreteValueHistogramImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDiscreteValueHistogram()
	 * @generated
	 */
	int DISCRETE_VALUE_HISTOGRAM = 57;

	/**
	 * The feature id for the '<em><b>Entries</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_HISTOGRAM__ENTRIES = IDISCRETE_VALUE_DEVIATION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Discrete Value Histogram</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_HISTOGRAM_FEATURE_COUNT = IDISCRETE_VALUE_DEVIATION_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_HISTOGRAM___GET_LOWER_BOUND = IDISCRETE_VALUE_DEVIATION_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_HISTOGRAM___GET_UPPER_BOUND = IDISCRETE_VALUE_DEVIATION_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_HISTOGRAM___GET_AVERAGE = IDISCRETE_VALUE_DEVIATION_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Discrete Value Histogram</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_HISTOGRAM_OPERATION_COUNT = IDISCRETE_VALUE_DEVIATION_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DiscreteValueHistogramEntryImpl <em>Discrete Value Histogram Entry</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DiscreteValueHistogramEntryImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDiscreteValueHistogramEntry()
	 * @generated
	 */
	int DISCRETE_VALUE_HISTOGRAM_ENTRY = 58;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_HISTOGRAM_ENTRY__LOWER_BOUND = DISCRETE_VALUE_INTERVAL__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_HISTOGRAM_ENTRY__UPPER_BOUND = DISCRETE_VALUE_INTERVAL__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Occurrences</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_HISTOGRAM_ENTRY__OCCURRENCES = DISCRETE_VALUE_INTERVAL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Discrete Value Histogram Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_HISTOGRAM_ENTRY_FEATURE_COUNT = DISCRETE_VALUE_INTERVAL_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_HISTOGRAM_ENTRY___GET_AVERAGE = DISCRETE_VALUE_INTERVAL___GET_AVERAGE;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_HISTOGRAM_ENTRY___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = DISCRETE_VALUE_INTERVAL___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Discrete Value Histogram Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_HISTOGRAM_ENTRY_OPERATION_COUNT = DISCRETE_VALUE_INTERVAL_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.BoundedDiscreteValueDistributionImpl <em>Bounded Discrete Value Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.BoundedDiscreteValueDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getBoundedDiscreteValueDistribution()
	 * @generated
	 */
	int BOUNDED_DISCRETE_VALUE_DISTRIBUTION = 59;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_DISCRETE_VALUE_DISTRIBUTION__LOWER_BOUND = DISCRETE_VALUE_INTERVAL__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_DISCRETE_VALUE_DISTRIBUTION__UPPER_BOUND = DISCRETE_VALUE_INTERVAL__UPPER_BOUND;

	/**
	 * The number of structural features of the '<em>Bounded Discrete Value Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT = DISCRETE_VALUE_INTERVAL_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_DISCRETE_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = DISCRETE_VALUE_INTERVAL___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_LOWER_BOUND = DISCRETE_VALUE_INTERVAL_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_UPPER_BOUND = DISCRETE_VALUE_INTERVAL_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_AVERAGE = DISCRETE_VALUE_INTERVAL_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Bounded Discrete Value Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_DISCRETE_VALUE_DISTRIBUTION_OPERATION_COUNT = DISCRETE_VALUE_INTERVAL_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TruncatedDiscreteValueDistributionImpl <em>Truncated Discrete Value Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TruncatedDiscreteValueDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTruncatedDiscreteValueDistribution()
	 * @generated
	 */
	int TRUNCATED_DISCRETE_VALUE_DISTRIBUTION = 60;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_DISCRETE_VALUE_DISTRIBUTION__LOWER_BOUND = IDISCRETE_VALUE_DEVIATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_DISCRETE_VALUE_DISTRIBUTION__UPPER_BOUND = IDISCRETE_VALUE_DEVIATION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Truncated Discrete Value Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT = IDISCRETE_VALUE_DEVIATION_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_DISCRETE_VALUE_DISTRIBUTION___GET_LOWER_BOUND = IDISCRETE_VALUE_DEVIATION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_DISCRETE_VALUE_DISTRIBUTION___GET_UPPER_BOUND = IDISCRETE_VALUE_DEVIATION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_DISCRETE_VALUE_DISTRIBUTION___GET_AVERAGE = IDISCRETE_VALUE_DEVIATION___GET_AVERAGE;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_DISCRETE_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = IDISCRETE_VALUE_DEVIATION_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Truncated Discrete Value Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_DISCRETE_VALUE_DISTRIBUTION_OPERATION_COUNT = IDISCRETE_VALUE_DEVIATION_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DiscreteValueBoundariesImpl <em>Discrete Value Boundaries</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DiscreteValueBoundariesImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDiscreteValueBoundaries()
	 * @generated
	 */
	int DISCRETE_VALUE_BOUNDARIES = 61;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BOUNDARIES__LOWER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BOUNDARIES__UPPER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Sampling Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BOUNDARIES__SAMPLING_TYPE = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Discrete Value Boundaries</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BOUNDARIES_FEATURE_COUNT = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BOUNDARIES___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BOUNDARIES___GET_LOWER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BOUNDARIES___GET_UPPER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BOUNDARIES___GET_AVERAGE = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_AVERAGE;

	/**
	 * The number of operations of the '<em>Discrete Value Boundaries</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BOUNDARIES_OPERATION_COUNT = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DiscreteValueStatisticsImpl <em>Discrete Value Statistics</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DiscreteValueStatisticsImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDiscreteValueStatistics()
	 * @generated
	 */
	int DISCRETE_VALUE_STATISTICS = 62;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_STATISTICS__LOWER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_STATISTICS__UPPER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Average</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_STATISTICS__AVERAGE = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Discrete Value Statistics</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_STATISTICS_FEATURE_COUNT = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_STATISTICS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_STATISTICS___GET_LOWER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_STATISTICS___GET_UPPER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_STATISTICS___GET_AVERAGE = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_AVERAGE;

	/**
	 * The number of operations of the '<em>Discrete Value Statistics</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_STATISTICS_OPERATION_COUNT = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DiscreteValueUniformDistributionImpl <em>Discrete Value Uniform Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DiscreteValueUniformDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDiscreteValueUniformDistribution()
	 * @generated
	 */
	int DISCRETE_VALUE_UNIFORM_DISTRIBUTION = 63;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_UNIFORM_DISTRIBUTION__LOWER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_UNIFORM_DISTRIBUTION__UPPER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The number of structural features of the '<em>Discrete Value Uniform Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_UNIFORM_DISTRIBUTION_FEATURE_COUNT = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_UNIFORM_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_UNIFORM_DISTRIBUTION___GET_LOWER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_UNIFORM_DISTRIBUTION___GET_UPPER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_UNIFORM_DISTRIBUTION___GET_AVERAGE = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_AVERAGE;

	/**
	 * The number of operations of the '<em>Discrete Value Uniform Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_UNIFORM_DISTRIBUTION_OPERATION_COUNT = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DiscreteValueGaussDistributionImpl <em>Discrete Value Gauss Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DiscreteValueGaussDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDiscreteValueGaussDistribution()
	 * @generated
	 */
	int DISCRETE_VALUE_GAUSS_DISTRIBUTION = 64;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_GAUSS_DISTRIBUTION__LOWER_BOUND = TRUNCATED_DISCRETE_VALUE_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_GAUSS_DISTRIBUTION__UPPER_BOUND = TRUNCATED_DISCRETE_VALUE_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Mean</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_GAUSS_DISTRIBUTION__MEAN = TRUNCATED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Sd</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_GAUSS_DISTRIBUTION__SD = TRUNCATED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Discrete Value Gauss Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_GAUSS_DISTRIBUTION_FEATURE_COUNT = TRUNCATED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_GAUSS_DISTRIBUTION___GET_LOWER_BOUND = TRUNCATED_DISCRETE_VALUE_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_GAUSS_DISTRIBUTION___GET_UPPER_BOUND = TRUNCATED_DISCRETE_VALUE_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_GAUSS_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TRUNCATED_DISCRETE_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_GAUSS_DISTRIBUTION___GET_AVERAGE = TRUNCATED_DISCRETE_VALUE_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Discrete Value Gauss Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_GAUSS_DISTRIBUTION_OPERATION_COUNT = TRUNCATED_DISCRETE_VALUE_DISTRIBUTION_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DiscreteValueWeibullEstimatorsDistributionImpl <em>Discrete Value Weibull Estimators Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DiscreteValueWeibullEstimatorsDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDiscreteValueWeibullEstimatorsDistribution()
	 * @generated
	 */
	int DISCRETE_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION = 65;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION__LOWER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION__UPPER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Average</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION__AVERAGE = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>PRemain Promille</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION__PREMAIN_PROMILLE = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Discrete Value Weibull Estimators Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION_FEATURE_COUNT = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION___GET_LOWER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION___GET_UPPER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION___GET_AVERAGE = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_AVERAGE;

	/**
	 * The number of operations of the '<em>Discrete Value Weibull Estimators Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION_OPERATION_COUNT = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DiscreteValueBetaDistributionImpl <em>Discrete Value Beta Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DiscreteValueBetaDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDiscreteValueBetaDistribution()
	 * @generated
	 */
	int DISCRETE_VALUE_BETA_DISTRIBUTION = 66;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BETA_DISTRIBUTION__LOWER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BETA_DISTRIBUTION__UPPER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Alpha</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BETA_DISTRIBUTION__ALPHA = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Beta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BETA_DISTRIBUTION__BETA = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Discrete Value Beta Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BETA_DISTRIBUTION_FEATURE_COUNT = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BETA_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BETA_DISTRIBUTION___GET_LOWER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BETA_DISTRIBUTION___GET_UPPER_BOUND = BOUNDED_DISCRETE_VALUE_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BETA_DISTRIBUTION___GET_AVERAGE = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Discrete Value Beta Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DISCRETE_VALUE_BETA_DISTRIBUTION_OPERATION_COUNT = BOUNDED_DISCRETE_VALUE_DISTRIBUTION_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.IContinuousValueDeviation <em>IContinuous Value Deviation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.IContinuousValueDeviation
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getIContinuousValueDeviation()
	 * @generated
	 */
	int ICONTINUOUS_VALUE_DEVIATION = 67;

	/**
	 * The number of structural features of the '<em>IContinuous Value Deviation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICONTINUOUS_VALUE_DEVIATION_FEATURE_COUNT = 0;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICONTINUOUS_VALUE_DEVIATION___GET_LOWER_BOUND = 0;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICONTINUOUS_VALUE_DEVIATION___GET_UPPER_BOUND = 1;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICONTINUOUS_VALUE_DEVIATION___GET_AVERAGE = 2;

	/**
	 * The number of operations of the '<em>IContinuous Value Deviation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICONTINUOUS_VALUE_DEVIATION_OPERATION_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ContinuousValueIntervalImpl <em>Continuous Value Interval</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ContinuousValueIntervalImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getContinuousValueInterval()
	 * @generated
	 */
	int CONTINUOUS_VALUE_INTERVAL = 68;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_INTERVAL__LOWER_BOUND = 0;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_INTERVAL__UPPER_BOUND = 1;

	/**
	 * The number of structural features of the '<em>Continuous Value Interval</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_INTERVAL_FEATURE_COUNT = 2;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_INTERVAL___GET_AVERAGE = 0;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_INTERVAL___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = 1;

	/**
	 * The number of operations of the '<em>Continuous Value Interval</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_INTERVAL_OPERATION_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ContinuousValueConstantImpl <em>Continuous Value Constant</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ContinuousValueConstantImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getContinuousValueConstant()
	 * @generated
	 */
	int CONTINUOUS_VALUE_CONSTANT = 69;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_CONSTANT__VALUE = ICONTINUOUS_VALUE_DEVIATION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Continuous Value Constant</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_CONSTANT_FEATURE_COUNT = ICONTINUOUS_VALUE_DEVIATION_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_CONSTANT___GET_LOWER_BOUND = ICONTINUOUS_VALUE_DEVIATION_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_CONSTANT___GET_UPPER_BOUND = ICONTINUOUS_VALUE_DEVIATION_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_CONSTANT___GET_AVERAGE = ICONTINUOUS_VALUE_DEVIATION_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Continuous Value Constant</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_CONSTANT_OPERATION_COUNT = ICONTINUOUS_VALUE_DEVIATION_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ContinuousValueHistogramImpl <em>Continuous Value Histogram</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ContinuousValueHistogramImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getContinuousValueHistogram()
	 * @generated
	 */
	int CONTINUOUS_VALUE_HISTOGRAM = 70;

	/**
	 * The feature id for the '<em><b>Entries</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_HISTOGRAM__ENTRIES = ICONTINUOUS_VALUE_DEVIATION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Continuous Value Histogram</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_HISTOGRAM_FEATURE_COUNT = ICONTINUOUS_VALUE_DEVIATION_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_HISTOGRAM___GET_LOWER_BOUND = ICONTINUOUS_VALUE_DEVIATION_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_HISTOGRAM___GET_UPPER_BOUND = ICONTINUOUS_VALUE_DEVIATION_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_HISTOGRAM___GET_AVERAGE = ICONTINUOUS_VALUE_DEVIATION_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Continuous Value Histogram</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_HISTOGRAM_OPERATION_COUNT = ICONTINUOUS_VALUE_DEVIATION_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ContinuousValueHistogramEntryImpl <em>Continuous Value Histogram Entry</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ContinuousValueHistogramEntryImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getContinuousValueHistogramEntry()
	 * @generated
	 */
	int CONTINUOUS_VALUE_HISTOGRAM_ENTRY = 71;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_HISTOGRAM_ENTRY__LOWER_BOUND = CONTINUOUS_VALUE_INTERVAL__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_HISTOGRAM_ENTRY__UPPER_BOUND = CONTINUOUS_VALUE_INTERVAL__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Occurrences</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_HISTOGRAM_ENTRY__OCCURRENCES = CONTINUOUS_VALUE_INTERVAL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Continuous Value Histogram Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_HISTOGRAM_ENTRY_FEATURE_COUNT = CONTINUOUS_VALUE_INTERVAL_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_HISTOGRAM_ENTRY___GET_AVERAGE = CONTINUOUS_VALUE_INTERVAL___GET_AVERAGE;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_HISTOGRAM_ENTRY___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = CONTINUOUS_VALUE_INTERVAL___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Continuous Value Histogram Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_HISTOGRAM_ENTRY_OPERATION_COUNT = CONTINUOUS_VALUE_INTERVAL_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.BoundedContinuousValueDistributionImpl <em>Bounded Continuous Value Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.BoundedContinuousValueDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getBoundedContinuousValueDistribution()
	 * @generated
	 */
	int BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION = 72;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION__LOWER_BOUND = CONTINUOUS_VALUE_INTERVAL__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION__UPPER_BOUND = CONTINUOUS_VALUE_INTERVAL__UPPER_BOUND;

	/**
	 * The number of structural features of the '<em>Bounded Continuous Value Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT = CONTINUOUS_VALUE_INTERVAL_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = CONTINUOUS_VALUE_INTERVAL___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_LOWER_BOUND = CONTINUOUS_VALUE_INTERVAL_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_UPPER_BOUND = CONTINUOUS_VALUE_INTERVAL_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_AVERAGE = CONTINUOUS_VALUE_INTERVAL_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Bounded Continuous Value Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_OPERATION_COUNT = CONTINUOUS_VALUE_INTERVAL_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TruncatedContinuousValueDistributionImpl <em>Truncated Continuous Value Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TruncatedContinuousValueDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTruncatedContinuousValueDistribution()
	 * @generated
	 */
	int TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION = 73;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION__LOWER_BOUND = ICONTINUOUS_VALUE_DEVIATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION__UPPER_BOUND = ICONTINUOUS_VALUE_DEVIATION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Truncated Continuous Value Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT = ICONTINUOUS_VALUE_DEVIATION_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION___GET_LOWER_BOUND = ICONTINUOUS_VALUE_DEVIATION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION___GET_UPPER_BOUND = ICONTINUOUS_VALUE_DEVIATION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION___GET_AVERAGE = ICONTINUOUS_VALUE_DEVIATION___GET_AVERAGE;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ICONTINUOUS_VALUE_DEVIATION_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Truncated Continuous Value Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION_OPERATION_COUNT = ICONTINUOUS_VALUE_DEVIATION_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ContinuousValueBoundariesImpl <em>Continuous Value Boundaries</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ContinuousValueBoundariesImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getContinuousValueBoundaries()
	 * @generated
	 */
	int CONTINUOUS_VALUE_BOUNDARIES = 74;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BOUNDARIES__LOWER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BOUNDARIES__UPPER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Sampling Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BOUNDARIES__SAMPLING_TYPE = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Continuous Value Boundaries</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BOUNDARIES_FEATURE_COUNT = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BOUNDARIES___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BOUNDARIES___GET_LOWER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BOUNDARIES___GET_UPPER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BOUNDARIES___GET_AVERAGE = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_AVERAGE;

	/**
	 * The number of operations of the '<em>Continuous Value Boundaries</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BOUNDARIES_OPERATION_COUNT = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ContinuousValueStatisticsImpl <em>Continuous Value Statistics</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ContinuousValueStatisticsImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getContinuousValueStatistics()
	 * @generated
	 */
	int CONTINUOUS_VALUE_STATISTICS = 75;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_STATISTICS__LOWER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_STATISTICS__UPPER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Average</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_STATISTICS__AVERAGE = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Continuous Value Statistics</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_STATISTICS_FEATURE_COUNT = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_STATISTICS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_STATISTICS___GET_LOWER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_STATISTICS___GET_UPPER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_STATISTICS___GET_AVERAGE = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_AVERAGE;

	/**
	 * The number of operations of the '<em>Continuous Value Statistics</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_STATISTICS_OPERATION_COUNT = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ContinuousValueUniformDistributionImpl <em>Continuous Value Uniform Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ContinuousValueUniformDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getContinuousValueUniformDistribution()
	 * @generated
	 */
	int CONTINUOUS_VALUE_UNIFORM_DISTRIBUTION = 76;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_UNIFORM_DISTRIBUTION__LOWER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_UNIFORM_DISTRIBUTION__UPPER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The number of structural features of the '<em>Continuous Value Uniform Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_UNIFORM_DISTRIBUTION_FEATURE_COUNT = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_UNIFORM_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_UNIFORM_DISTRIBUTION___GET_LOWER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_UNIFORM_DISTRIBUTION___GET_UPPER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_UNIFORM_DISTRIBUTION___GET_AVERAGE = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_AVERAGE;

	/**
	 * The number of operations of the '<em>Continuous Value Uniform Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_UNIFORM_DISTRIBUTION_OPERATION_COUNT = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ContinuousValueGaussDistributionImpl <em>Continuous Value Gauss Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ContinuousValueGaussDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getContinuousValueGaussDistribution()
	 * @generated
	 */
	int CONTINUOUS_VALUE_GAUSS_DISTRIBUTION = 77;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_GAUSS_DISTRIBUTION__LOWER_BOUND = TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_GAUSS_DISTRIBUTION__UPPER_BOUND = TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Mean</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_GAUSS_DISTRIBUTION__MEAN = TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Sd</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_GAUSS_DISTRIBUTION__SD = TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Continuous Value Gauss Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_GAUSS_DISTRIBUTION_FEATURE_COUNT = TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_GAUSS_DISTRIBUTION___GET_LOWER_BOUND = TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_GAUSS_DISTRIBUTION___GET_UPPER_BOUND = TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_GAUSS_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_GAUSS_DISTRIBUTION___GET_AVERAGE = TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Continuous Value Gauss Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_GAUSS_DISTRIBUTION_OPERATION_COUNT = TRUNCATED_CONTINUOUS_VALUE_DISTRIBUTION_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ContinuousValueWeibullEstimatorsDistributionImpl <em>Continuous Value Weibull Estimators Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ContinuousValueWeibullEstimatorsDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getContinuousValueWeibullEstimatorsDistribution()
	 * @generated
	 */
	int CONTINUOUS_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION = 78;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION__LOWER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION__UPPER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Average</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION__AVERAGE = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>PRemain Promille</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION__PREMAIN_PROMILLE = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Continuous Value Weibull Estimators Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION_FEATURE_COUNT = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION___GET_LOWER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION___GET_UPPER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION___GET_AVERAGE = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_AVERAGE;

	/**
	 * The number of operations of the '<em>Continuous Value Weibull Estimators Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_WEIBULL_ESTIMATORS_DISTRIBUTION_OPERATION_COUNT = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ContinuousValueBetaDistributionImpl <em>Continuous Value Beta Distribution</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ContinuousValueBetaDistributionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getContinuousValueBetaDistribution()
	 * @generated
	 */
	int CONTINUOUS_VALUE_BETA_DISTRIBUTION = 79;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BETA_DISTRIBUTION__LOWER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION__LOWER_BOUND;

	/**
	 * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BETA_DISTRIBUTION__UPPER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION__UPPER_BOUND;

	/**
	 * The feature id for the '<em><b>Alpha</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BETA_DISTRIBUTION__ALPHA = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Beta</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BETA_DISTRIBUTION__BETA = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Continuous Value Beta Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BETA_DISTRIBUTION_FEATURE_COUNT = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BETA_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Lower Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BETA_DISTRIBUTION___GET_LOWER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_LOWER_BOUND;

	/**
	 * The operation id for the '<em>Get Upper Bound</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BETA_DISTRIBUTION___GET_UPPER_BOUND = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION___GET_UPPER_BOUND;

	/**
	 * The operation id for the '<em>Get Average</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BETA_DISTRIBUTION___GET_AVERAGE = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Continuous Value Beta Distribution</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTINUOUS_VALUE_BETA_DISTRIBUTION_OPERATION_COUNT = BOUNDED_CONTINUOUS_VALUE_DISTRIBUTION_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ModeImpl <em>Mode</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ModeImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getMode()
	 * @generated
	 */
	int MODE = 80;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The number of structural features of the '<em>Mode</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Mode</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.NumericModeImpl <em>Numeric Mode</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.NumericModeImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getNumericMode()
	 * @generated
	 */
	int NUMERIC_MODE = 81;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_MODE__CUSTOM_PROPERTIES = MODE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_MODE__NAME = MODE__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_MODE__QUALIFIED_NAME = MODE__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_MODE__UNIQUE_NAME = MODE__UNIQUE_NAME;

	/**
	 * The number of structural features of the '<em>Numeric Mode</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_MODE_FEATURE_COUNT = MODE_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_MODE___GET_NAMED_CONTAINER = MODE___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_MODE___GET_NAME_PREFIX = MODE___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_MODE___GET_QUALIFIED_NAME_SEGMENTS = MODE___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_MODE___GET_DEFAULT_NAME_SEPARATOR = MODE___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_MODE___GET_NAMESPACE = MODE___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_MODE___GET_NAME_PREFIX_SEGMENTS = MODE___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_MODE___GET_ENCODED_QUALIFIED_NAME = MODE___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_MODE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = MODE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Numeric Mode</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NUMERIC_MODE_OPERATION_COUNT = MODE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EnumModeImpl <em>Enum Mode</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EnumModeImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEnumMode()
	 * @generated
	 */
	int ENUM_MODE = 82;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE__CUSTOM_PROPERTIES = MODE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE__NAME = MODE__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE__QUALIFIED_NAME = MODE__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE__UNIQUE_NAME = MODE__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Literals</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE__LITERALS = MODE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Enum Mode</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE_FEATURE_COUNT = MODE_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE___GET_NAMED_CONTAINER = MODE___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE___GET_NAME_PREFIX = MODE___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE___GET_QUALIFIED_NAME_SEGMENTS = MODE___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE___GET_DEFAULT_NAME_SEPARATOR = MODE___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE___GET_NAMESPACE = MODE___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE___GET_NAME_PREFIX_SEGMENTS = MODE___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE___GET_ENCODED_QUALIFIED_NAME = MODE___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = MODE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Literal</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE___GET_LITERAL__STRING = MODE_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Enum Mode</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_MODE_OPERATION_COUNT = MODE_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ModeLiteralImpl <em>Mode Literal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ModeLiteralImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeLiteral()
	 * @generated
	 */
	int MODE_LITERAL = 83;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Containing Mode</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL__CONTAINING_MODE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Mode Literal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>To String</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL___TO_STRING = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The number of operations of the '<em>Mode Literal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ComponentsModelImpl <em>Components Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ComponentsModelImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getComponentsModel()
	 * @generated
	 */
	int COMPONENTS_MODEL = 84;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENTS_MODEL__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Components</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENTS_MODEL__COMPONENTS = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Interfaces</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENTS_MODEL__INTERFACES = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Structures</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENTS_MODEL__STRUCTURES = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Systems</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENTS_MODEL__SYSTEMS = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Components Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENTS_MODEL_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The number of operations of the '<em>Components Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENTS_MODEL_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.IComponentContainer <em>IComponent Container</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.IComponentContainer
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getIComponentContainer()
	 * @generated
	 */
	int ICOMPONENT_CONTAINER = 85;

	/**
	 * The feature id for the '<em><b>Components</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICOMPONENT_CONTAINER__COMPONENTS = 0;

	/**
	 * The number of structural features of the '<em>IComponent Container</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICOMPONENT_CONTAINER_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>IComponent Container</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICOMPONENT_CONTAINER_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.IInterfaceContainer <em>IInterface Container</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.IInterfaceContainer
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getIInterfaceContainer()
	 * @generated
	 */
	int IINTERFACE_CONTAINER = 86;

	/**
	 * The feature id for the '<em><b>Interfaces</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IINTERFACE_CONTAINER__INTERFACES = 0;

	/**
	 * The number of structural features of the '<em>IInterface Container</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IINTERFACE_CONTAINER_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>IInterface Container</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IINTERFACE_CONTAINER_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ISystem <em>ISystem</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ISystem
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getISystem()
	 * @generated
	 */
	int ISYSTEM = 87;

	/**
	 * The feature id for the '<em><b>Component Instances</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISYSTEM__COMPONENT_INSTANCES = 0;

	/**
	 * The feature id for the '<em><b>Connectors</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISYSTEM__CONNECTORS = 1;

	/**
	 * The feature id for the '<em><b>Grounded Ports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISYSTEM__GROUNDED_PORTS = 2;

	/**
	 * The feature id for the '<em><b>Inner Ports</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISYSTEM__INNER_PORTS = 3;

	/**
	 * The number of structural features of the '<em>ISystem</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISYSTEM_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>ISystem</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISYSTEM_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ComponentInterfaceImpl <em>Component Interface</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ComponentInterfaceImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getComponentInterface()
	 * @generated
	 */
	int COMPONENT_INTERFACE = 88;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Data Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE__DATA_TYPE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Sub Interfaces</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE__SUB_INTERFACES = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Component Interface</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Component Interface</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INTERFACE_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.MainInterfaceImpl <em>Main Interface</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.MainInterfaceImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getMainInterface()
	 * @generated
	 */
	int MAIN_INTERFACE = 89;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE__CUSTOM_PROPERTIES = COMPONENT_INTERFACE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE__NAME = COMPONENT_INTERFACE__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE__QUALIFIED_NAME = COMPONENT_INTERFACE__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE__UNIQUE_NAME = COMPONENT_INTERFACE__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE__TAGS = COMPONENT_INTERFACE__TAGS;

	/**
	 * The feature id for the '<em><b>Data Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE__DATA_TYPE = COMPONENT_INTERFACE__DATA_TYPE;

	/**
	 * The feature id for the '<em><b>Sub Interfaces</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE__SUB_INTERFACES = COMPONENT_INTERFACE__SUB_INTERFACES;

	/**
	 * The feature id for the '<em><b>Namespace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE__NAMESPACE = COMPONENT_INTERFACE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Structure</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE__STRUCTURE = COMPONENT_INTERFACE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Version</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE__VERSION = COMPONENT_INTERFACE_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Main Interface</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE_FEATURE_COUNT = COMPONENT_INTERFACE_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE___GET_NAMED_CONTAINER = COMPONENT_INTERFACE___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE___GET_NAME_PREFIX = COMPONENT_INTERFACE___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE___GET_QUALIFIED_NAME_SEGMENTS = COMPONENT_INTERFACE___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE___GET_DEFAULT_NAME_SEPARATOR = COMPONENT_INTERFACE___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE___GET_NAMESPACE = COMPONENT_INTERFACE___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE___GET_NAME_PREFIX_SEGMENTS = COMPONENT_INTERFACE___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE___GET_ENCODED_QUALIFIED_NAME = COMPONENT_INTERFACE___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = COMPONENT_INTERFACE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Main Interface</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAIN_INTERFACE_OPERATION_COUNT = COMPONENT_INTERFACE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SubInterfaceImpl <em>Sub Interface</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SubInterfaceImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSubInterface()
	 * @generated
	 */
	int SUB_INTERFACE = 90;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE__CUSTOM_PROPERTIES = COMPONENT_INTERFACE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE__NAME = COMPONENT_INTERFACE__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE__QUALIFIED_NAME = COMPONENT_INTERFACE__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE__UNIQUE_NAME = COMPONENT_INTERFACE__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE__TAGS = COMPONENT_INTERFACE__TAGS;

	/**
	 * The feature id for the '<em><b>Data Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE__DATA_TYPE = COMPONENT_INTERFACE__DATA_TYPE;

	/**
	 * The feature id for the '<em><b>Sub Interfaces</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE__SUB_INTERFACES = COMPONENT_INTERFACE__SUB_INTERFACES;

	/**
	 * The feature id for the '<em><b>Containing Interface</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE__CONTAINING_INTERFACE = COMPONENT_INTERFACE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Sub Interface</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE_FEATURE_COUNT = COMPONENT_INTERFACE_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE___GET_NAMED_CONTAINER = COMPONENT_INTERFACE___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE___GET_NAME_PREFIX = COMPONENT_INTERFACE___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE___GET_QUALIFIED_NAME_SEGMENTS = COMPONENT_INTERFACE___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE___GET_DEFAULT_NAME_SEPARATOR = COMPONENT_INTERFACE___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE___GET_NAMESPACE = COMPONENT_INTERFACE___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE___GET_ENCODED_QUALIFIED_NAME = COMPONENT_INTERFACE___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = COMPONENT_INTERFACE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE___GET_NAME_PREFIX_SEGMENTS = COMPONENT_INTERFACE_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Sub Interface</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_INTERFACE_OPERATION_COUNT = COMPONENT_INTERFACE_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ComponentPortImpl <em>Component Port</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ComponentPortImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getComponentPort()
	 * @generated
	 */
	int COMPONENT_PORT = 91;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Containing Component</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT__CONTAINING_COMPONENT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Kind</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT__KIND = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Interface</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT__INTERFACE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Component Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Component Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_PORT_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ComponentStructureImpl <em>Component Structure</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ComponentStructureImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getComponentStructure()
	 * @generated
	 */
	int COMPONENT_STRUCTURE = 92;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE__NAME = REFERABLE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE__QUALIFIED_NAME = REFERABLE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE__UNIQUE_NAME = REFERABLE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Structure Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE__STRUCTURE_TYPE = REFERABLE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Sub Structures</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE__SUB_STRUCTURES = REFERABLE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Member Objects</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE__MEMBER_OBJECTS = REFERABLE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Component Structure</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE_FEATURE_COUNT = REFERABLE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE___GET_NAMED_CONTAINER = REFERABLE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE___GET_NAME_PREFIX = REFERABLE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE___GET_NAMESPACE = REFERABLE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE___GET_ENCODED_QUALIFIED_NAME = REFERABLE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Containing Structure</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE___GET_CONTAINING_STRUCTURE = REFERABLE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE___GET_NAME_PREFIX_SEGMENTS = REFERABLE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Component Structure</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_STRUCTURE_OPERATION_COUNT = REFERABLE_OBJECT_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.IComponentStructureMember <em>IComponent Structure Member</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.IComponentStructureMember
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getIComponentStructureMember()
	 * @generated
	 */
	int ICOMPONENT_STRUCTURE_MEMBER = 93;

	/**
	 * The feature id for the '<em><b>Structure</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICOMPONENT_STRUCTURE_MEMBER__STRUCTURE = 0;

	/**
	 * The number of structural features of the '<em>IComponent Structure Member</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICOMPONENT_STRUCTURE_MEMBER_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>IComponent Structure Member</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICOMPONENT_STRUCTURE_MEMBER_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ComponentImpl <em>Component</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ComponentImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getComponent()
	 * @generated
	 */
	int COMPONENT = 94;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Namespace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__NAMESPACE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Structure</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__STRUCTURE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Ports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__PORTS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Processes</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__PROCESSES = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Runnables</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__RUNNABLES = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Labels</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__LABELS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Semaphores</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__SEMAPHORES = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Os Events</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__OS_EVENTS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 8;

	/**
	 * The number of structural features of the '<em>Component</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 9;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Component</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CompositeImpl <em>Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CompositeImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getComposite()
	 * @generated
	 */
	int COMPOSITE = 95;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__CUSTOM_PROPERTIES = COMPONENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__NAME = COMPONENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__QUALIFIED_NAME = COMPONENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__UNIQUE_NAME = COMPONENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__TAGS = COMPONENT__TAGS;

	/**
	 * The feature id for the '<em><b>Namespace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__NAMESPACE = COMPONENT__NAMESPACE;

	/**
	 * The feature id for the '<em><b>Structure</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__STRUCTURE = COMPONENT__STRUCTURE;

	/**
	 * The feature id for the '<em><b>Ports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__PORTS = COMPONENT__PORTS;

	/**
	 * The feature id for the '<em><b>Processes</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__PROCESSES = COMPONENT__PROCESSES;

	/**
	 * The feature id for the '<em><b>Runnables</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__RUNNABLES = COMPONENT__RUNNABLES;

	/**
	 * The feature id for the '<em><b>Labels</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__LABELS = COMPONENT__LABELS;

	/**
	 * The feature id for the '<em><b>Semaphores</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__SEMAPHORES = COMPONENT__SEMAPHORES;

	/**
	 * The feature id for the '<em><b>Os Events</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__OS_EVENTS = COMPONENT__OS_EVENTS;

	/**
	 * The feature id for the '<em><b>Component Instances</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__COMPONENT_INSTANCES = COMPONENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Connectors</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__CONNECTORS = COMPONENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Grounded Ports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__GROUNDED_PORTS = COMPONENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Inner Ports</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE__INNER_PORTS = COMPONENT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE_FEATURE_COUNT = COMPONENT_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE___GET_NAMED_CONTAINER = COMPONENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE___GET_NAME_PREFIX = COMPONENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE___GET_QUALIFIED_NAME_SEGMENTS = COMPONENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE___GET_DEFAULT_NAME_SEPARATOR = COMPONENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE___GET_NAMESPACE = COMPONENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE___GET_NAME_PREFIX_SEGMENTS = COMPONENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE___GET_ENCODED_QUALIFIED_NAME = COMPONENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = COMPONENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE_OPERATION_COUNT = COMPONENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SystemImpl <em>System</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SystemImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSystem()
	 * @generated
	 */
	int SYSTEM = 96;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Component Instances</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM__COMPONENT_INSTANCES = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Connectors</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM__CONNECTORS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Grounded Ports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM__GROUNDED_PORTS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Inner Ports</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM__INNER_PORTS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYSTEM_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ComponentInstanceImpl <em>Component Instance</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ComponentInstanceImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getComponentInstance()
	 * @generated
	 */
	int COMPONENT_INSTANCE = 97;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Containing System</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE__CONTAINING_SYSTEM = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE__TYPE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Component Instance</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Component Instance</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_INSTANCE_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ConnectorImpl <em>Connector</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ConnectorImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getConnector()
	 * @generated
	 */
	int CONNECTOR = 98;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR__NAME = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR__QUALIFIED_NAME = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR__TAGS = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Containing System</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR__CONTAINING_SYSTEM = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Source Port</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR__SOURCE_PORT = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Target Port</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR__TARGET_PORT = BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Implemented Interfaces</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR__IMPLEMENTED_INTERFACES = BASE_OBJECT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Connector</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 7;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR___GET_NAMED_CONTAINER = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR___GET_NAME_PREFIX = BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR___GET_QUALIFIED_NAME_SEGMENTS = BASE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR___GET_DEFAULT_NAME_SEPARATOR = BASE_OBJECT_OPERATION_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR___GET_NAMESPACE = BASE_OBJECT_OPERATION_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR___GET_NAME_PREFIX_SEGMENTS = BASE_OBJECT_OPERATION_COUNT + 5;

	/**
	 * The number of operations of the '<em>Connector</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTOR_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.InterfaceChannelImpl <em>Interface Channel</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.InterfaceChannelImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getInterfaceChannel()
	 * @generated
	 */
	int INTERFACE_CHANNEL = 99;

	/**
	 * The feature id for the '<em><b>Key</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERFACE_CHANNEL__KEY = 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERFACE_CHANNEL__VALUE = 1;

	/**
	 * The number of structural features of the '<em>Interface Channel</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERFACE_CHANNEL_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Interface Channel</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERFACE_CHANNEL_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.QualifiedPortImpl <em>Qualified Port</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.QualifiedPortImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getQualifiedPort()
	 * @generated
	 */
	int QUALIFIED_PORT = 100;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUALIFIED_PORT__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Instance</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUALIFIED_PORT__INSTANCE = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Port</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUALIFIED_PORT__PORT = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Qualified Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUALIFIED_PORT_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Qualified Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUALIFIED_PORT_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ConfigModelImpl <em>Config Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ConfigModelImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getConfigModel()
	 * @generated
	 */
	int CONFIG_MODEL = 101;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONFIG_MODEL__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Events To Trace</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONFIG_MODEL__EVENTS_TO_TRACE = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Config Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONFIG_MODEL_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Config Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONFIG_MODEL_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EventConfigImpl <em>Event Config</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EventConfigImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEventConfig()
	 * @generated
	 */
	int EVENT_CONFIG = 102;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CONFIG__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CONFIG__NAME = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CONFIG__QUALIFIED_NAME = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Event</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CONFIG__EVENT = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Event Config</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CONFIG_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CONFIG___GET_NAMED_CONTAINER = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CONFIG___GET_NAME_PREFIX = BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CONFIG___GET_QUALIFIED_NAME_SEGMENTS = BASE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CONFIG___GET_DEFAULT_NAME_SEPARATOR = BASE_OBJECT_OPERATION_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CONFIG___GET_NAMESPACE = BASE_OBJECT_OPERATION_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CONFIG___GET_NAME_PREFIX_SEGMENTS = BASE_OBJECT_OPERATION_COUNT + 5;

	/**
	 * The number of operations of the '<em>Event Config</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CONFIG_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ConstraintsModelImpl <em>Constraints Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ConstraintsModelImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getConstraintsModel()
	 * @generated
	 */
	int CONSTRAINTS_MODEL = 103;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRAINTS_MODEL__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Event Chains</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRAINTS_MODEL__EVENT_CHAINS = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Timing Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRAINTS_MODEL__TIMING_CONSTRAINTS = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Affinity Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRAINTS_MODEL__AFFINITY_CONSTRAINTS = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Runnable Sequencing Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRAINTS_MODEL__RUNNABLE_SEQUENCING_CONSTRAINTS = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Data Age Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRAINTS_MODEL__DATA_AGE_CONSTRAINTS = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Requirements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRAINTS_MODEL__REQUIREMENTS = BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Data Coherency Groups</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRAINTS_MODEL__DATA_COHERENCY_GROUPS = BASE_OBJECT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Data Stability Groups</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRAINTS_MODEL__DATA_STABILITY_GROUPS = BASE_OBJECT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Physical Section Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRAINTS_MODEL__PHYSICAL_SECTION_CONSTRAINTS = BASE_OBJECT_FEATURE_COUNT + 8;

	/**
	 * The number of structural features of the '<em>Constraints Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRAINTS_MODEL_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 9;

	/**
	 * The number of operations of the '<em>Constraints Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRAINTS_MODEL_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunnableSequencingConstraintImpl <em>Runnable Sequencing Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunnableSequencingConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnableSequencingConstraint()
	 * @generated
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT = 104;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Order Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT__ORDER_TYPE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Runnable Groups</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT__RUNNABLE_GROUPS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Process Scope</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT__PROCESS_SCOPE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Runnable Sequencing Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Runnable Sequencing Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEQUENCING_CONSTRAINT_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.AffinityConstraintImpl <em>Affinity Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AffinityConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getAffinityConstraint()
	 * @generated
	 */
	int AFFINITY_CONSTRAINT = 105;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AFFINITY_CONSTRAINT__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AFFINITY_CONSTRAINT__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AFFINITY_CONSTRAINT__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AFFINITY_CONSTRAINT__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The number of structural features of the '<em>Affinity Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AFFINITY_CONSTRAINT_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AFFINITY_CONSTRAINT___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AFFINITY_CONSTRAINT___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AFFINITY_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AFFINITY_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AFFINITY_CONSTRAINT___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AFFINITY_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AFFINITY_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AFFINITY_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Affinity Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AFFINITY_CONSTRAINT_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SeparationConstraintImpl <em>Separation Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SeparationConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSeparationConstraint()
	 * @generated
	 */
	int SEPARATION_CONSTRAINT = 106;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPARATION_CONSTRAINT__CUSTOM_PROPERTIES = AFFINITY_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPARATION_CONSTRAINT__NAME = AFFINITY_CONSTRAINT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPARATION_CONSTRAINT__QUALIFIED_NAME = AFFINITY_CONSTRAINT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPARATION_CONSTRAINT__UNIQUE_NAME = AFFINITY_CONSTRAINT__UNIQUE_NAME;

	/**
	 * The number of structural features of the '<em>Separation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPARATION_CONSTRAINT_FEATURE_COUNT = AFFINITY_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPARATION_CONSTRAINT___GET_NAMED_CONTAINER = AFFINITY_CONSTRAINT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPARATION_CONSTRAINT___GET_NAME_PREFIX = AFFINITY_CONSTRAINT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPARATION_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = AFFINITY_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPARATION_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = AFFINITY_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPARATION_CONSTRAINT___GET_NAMESPACE = AFFINITY_CONSTRAINT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPARATION_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = AFFINITY_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPARATION_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = AFFINITY_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPARATION_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = AFFINITY_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Separation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEPARATION_CONSTRAINT_OPERATION_COUNT = AFFINITY_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.PairingConstraintImpl <em>Pairing Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.PairingConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPairingConstraint()
	 * @generated
	 */
	int PAIRING_CONSTRAINT = 107;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAIRING_CONSTRAINT__CUSTOM_PROPERTIES = AFFINITY_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAIRING_CONSTRAINT__NAME = AFFINITY_CONSTRAINT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAIRING_CONSTRAINT__QUALIFIED_NAME = AFFINITY_CONSTRAINT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAIRING_CONSTRAINT__UNIQUE_NAME = AFFINITY_CONSTRAINT__UNIQUE_NAME;

	/**
	 * The number of structural features of the '<em>Pairing Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAIRING_CONSTRAINT_FEATURE_COUNT = AFFINITY_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAIRING_CONSTRAINT___GET_NAMED_CONTAINER = AFFINITY_CONSTRAINT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAIRING_CONSTRAINT___GET_NAME_PREFIX = AFFINITY_CONSTRAINT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAIRING_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = AFFINITY_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAIRING_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = AFFINITY_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAIRING_CONSTRAINT___GET_NAMESPACE = AFFINITY_CONSTRAINT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAIRING_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = AFFINITY_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAIRING_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = AFFINITY_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAIRING_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = AFFINITY_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Pairing Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAIRING_CONSTRAINT_OPERATION_COUNT = AFFINITY_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessConstraintImpl <em>Process Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessConstraint()
	 * @generated
	 */
	int PROCESS_CONSTRAINT = 108;

	/**
	 * The feature id for the '<em><b>Target</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CONSTRAINT__TARGET = 0;

	/**
	 * The number of structural features of the '<em>Process Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CONSTRAINT_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Process Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CONSTRAINT_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunnableConstraintImpl <em>Runnable Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunnableConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnableConstraint()
	 * @generated
	 */
	int RUNNABLE_CONSTRAINT = 109;

	/**
	 * The feature id for the '<em><b>Target</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CONSTRAINT__TARGET = 0;

	/**
	 * The number of structural features of the '<em>Runnable Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CONSTRAINT_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Runnable Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CONSTRAINT_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataConstraintImpl <em>Data Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataConstraint()
	 * @generated
	 */
	int DATA_CONSTRAINT = 110;

	/**
	 * The feature id for the '<em><b>Target</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_CONSTRAINT__TARGET = 0;

	/**
	 * The number of structural features of the '<em>Data Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_CONSTRAINT_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Data Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_CONSTRAINT_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunnableSeparationConstraintImpl <em>Runnable Separation Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunnableSeparationConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnableSeparationConstraint()
	 * @generated
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT = 111;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT__CUSTOM_PROPERTIES = SEPARATION_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT__NAME = SEPARATION_CONSTRAINT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT__QUALIFIED_NAME = SEPARATION_CONSTRAINT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT__UNIQUE_NAME = SEPARATION_CONSTRAINT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Target</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT__TARGET = SEPARATION_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Groups</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT__GROUPS = SEPARATION_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Runnable Separation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT_FEATURE_COUNT = SEPARATION_CONSTRAINT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT___GET_NAMED_CONTAINER = SEPARATION_CONSTRAINT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT___GET_NAME_PREFIX = SEPARATION_CONSTRAINT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = SEPARATION_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = SEPARATION_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT___GET_NAMESPACE = SEPARATION_CONSTRAINT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = SEPARATION_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = SEPARATION_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = SEPARATION_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Runnable Separation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SEPARATION_CONSTRAINT_OPERATION_COUNT = SEPARATION_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessSeparationConstraintImpl <em>Process Separation Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessSeparationConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessSeparationConstraint()
	 * @generated
	 */
	int PROCESS_SEPARATION_CONSTRAINT = 112;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT__CUSTOM_PROPERTIES = SEPARATION_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT__NAME = SEPARATION_CONSTRAINT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT__QUALIFIED_NAME = SEPARATION_CONSTRAINT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT__UNIQUE_NAME = SEPARATION_CONSTRAINT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Target</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT__TARGET = SEPARATION_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Groups</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT__GROUPS = SEPARATION_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Process Separation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT_FEATURE_COUNT = SEPARATION_CONSTRAINT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT___GET_NAMED_CONTAINER = SEPARATION_CONSTRAINT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT___GET_NAME_PREFIX = SEPARATION_CONSTRAINT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = SEPARATION_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = SEPARATION_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT___GET_NAMESPACE = SEPARATION_CONSTRAINT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = SEPARATION_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = SEPARATION_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = SEPARATION_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Process Separation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SEPARATION_CONSTRAINT_OPERATION_COUNT = SEPARATION_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataSeparationConstraintImpl <em>Data Separation Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataSeparationConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataSeparationConstraint()
	 * @generated
	 */
	int DATA_SEPARATION_CONSTRAINT = 113;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT__CUSTOM_PROPERTIES = SEPARATION_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT__NAME = SEPARATION_CONSTRAINT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT__QUALIFIED_NAME = SEPARATION_CONSTRAINT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT__UNIQUE_NAME = SEPARATION_CONSTRAINT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Target</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT__TARGET = SEPARATION_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Groups</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT__GROUPS = SEPARATION_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Data Separation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT_FEATURE_COUNT = SEPARATION_CONSTRAINT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT___GET_NAMED_CONTAINER = SEPARATION_CONSTRAINT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT___GET_NAME_PREFIX = SEPARATION_CONSTRAINT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = SEPARATION_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = SEPARATION_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT___GET_NAMESPACE = SEPARATION_CONSTRAINT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = SEPARATION_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = SEPARATION_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = SEPARATION_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Data Separation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_SEPARATION_CONSTRAINT_OPERATION_COUNT = SEPARATION_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunnablePairingConstraintImpl <em>Runnable Pairing Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunnablePairingConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnablePairingConstraint()
	 * @generated
	 */
	int RUNNABLE_PAIRING_CONSTRAINT = 114;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT__CUSTOM_PROPERTIES = PAIRING_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT__NAME = PAIRING_CONSTRAINT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT__QUALIFIED_NAME = PAIRING_CONSTRAINT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT__UNIQUE_NAME = PAIRING_CONSTRAINT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Target</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT__TARGET = PAIRING_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Group</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT__GROUP = PAIRING_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Runnable Pairing Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT_FEATURE_COUNT = PAIRING_CONSTRAINT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT___GET_NAMED_CONTAINER = PAIRING_CONSTRAINT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT___GET_NAME_PREFIX = PAIRING_CONSTRAINT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = PAIRING_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = PAIRING_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT___GET_NAMESPACE = PAIRING_CONSTRAINT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = PAIRING_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = PAIRING_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = PAIRING_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Runnable Pairing Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PAIRING_CONSTRAINT_OPERATION_COUNT = PAIRING_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessPairingConstraintImpl <em>Process Pairing Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessPairingConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessPairingConstraint()
	 * @generated
	 */
	int PROCESS_PAIRING_CONSTRAINT = 115;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT__CUSTOM_PROPERTIES = PAIRING_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT__NAME = PAIRING_CONSTRAINT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT__QUALIFIED_NAME = PAIRING_CONSTRAINT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT__UNIQUE_NAME = PAIRING_CONSTRAINT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Target</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT__TARGET = PAIRING_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Group</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT__GROUP = PAIRING_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Process Pairing Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT_FEATURE_COUNT = PAIRING_CONSTRAINT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT___GET_NAMED_CONTAINER = PAIRING_CONSTRAINT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT___GET_NAME_PREFIX = PAIRING_CONSTRAINT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = PAIRING_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = PAIRING_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT___GET_NAMESPACE = PAIRING_CONSTRAINT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = PAIRING_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = PAIRING_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = PAIRING_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Process Pairing Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PAIRING_CONSTRAINT_OPERATION_COUNT = PAIRING_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataPairingConstraintImpl <em>Data Pairing Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataPairingConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataPairingConstraint()
	 * @generated
	 */
	int DATA_PAIRING_CONSTRAINT = 116;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT__CUSTOM_PROPERTIES = PAIRING_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT__NAME = PAIRING_CONSTRAINT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT__QUALIFIED_NAME = PAIRING_CONSTRAINT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT__UNIQUE_NAME = PAIRING_CONSTRAINT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Target</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT__TARGET = PAIRING_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Group</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT__GROUP = PAIRING_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Data Pairing Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT_FEATURE_COUNT = PAIRING_CONSTRAINT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT___GET_NAMED_CONTAINER = PAIRING_CONSTRAINT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT___GET_NAME_PREFIX = PAIRING_CONSTRAINT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = PAIRING_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = PAIRING_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT___GET_NAMESPACE = PAIRING_CONSTRAINT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = PAIRING_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = PAIRING_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = PAIRING_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Data Pairing Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_PAIRING_CONSTRAINT_OPERATION_COUNT = PAIRING_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunnableConstraintTargetImpl <em>Runnable Constraint Target</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunnableConstraintTargetImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnableConstraintTarget()
	 * @generated
	 */
	int RUNNABLE_CONSTRAINT_TARGET = 117;

	/**
	 * The number of structural features of the '<em>Runnable Constraint Target</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CONSTRAINT_TARGET_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Runnable Constraint Target</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CONSTRAINT_TARGET_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessConstraintTargetImpl <em>Process Constraint Target</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessConstraintTargetImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessConstraintTarget()
	 * @generated
	 */
	int PROCESS_CONSTRAINT_TARGET = 118;

	/**
	 * The number of structural features of the '<em>Process Constraint Target</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CONSTRAINT_TARGET_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Process Constraint Target</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CONSTRAINT_TARGET_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataConstraintTargetImpl <em>Data Constraint Target</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataConstraintTargetImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataConstraintTarget()
	 * @generated
	 */
	int DATA_CONSTRAINT_TARGET = 119;

	/**
	 * The number of structural features of the '<em>Data Constraint Target</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_CONSTRAINT_TARGET_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Data Constraint Target</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_CONSTRAINT_TARGET_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TargetMemoryImpl <em>Target Memory</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TargetMemoryImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTargetMemory()
	 * @generated
	 */
	int TARGET_MEMORY = 120;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_MEMORY__CUSTOM_PROPERTIES = DATA_CONSTRAINT_TARGET_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Memories</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_MEMORY__MEMORIES = DATA_CONSTRAINT_TARGET_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Target Memory</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_MEMORY_FEATURE_COUNT = DATA_CONSTRAINT_TARGET_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Target Memory</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_MEMORY_OPERATION_COUNT = DATA_CONSTRAINT_TARGET_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TargetCoreImpl <em>Target Core</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TargetCoreImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTargetCore()
	 * @generated
	 */
	int TARGET_CORE = 121;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_CORE__CUSTOM_PROPERTIES = RUNNABLE_CONSTRAINT_TARGET_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Cores</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_CORE__CORES = RUNNABLE_CONSTRAINT_TARGET_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Target Core</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_CORE_FEATURE_COUNT = RUNNABLE_CONSTRAINT_TARGET_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Target Core</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_CORE_OPERATION_COUNT = RUNNABLE_CONSTRAINT_TARGET_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TargetSchedulerImpl <em>Target Scheduler</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TargetSchedulerImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTargetScheduler()
	 * @generated
	 */
	int TARGET_SCHEDULER = 122;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_SCHEDULER__CUSTOM_PROPERTIES = RUNNABLE_CONSTRAINT_TARGET_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Schedulers</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_SCHEDULER__SCHEDULERS = RUNNABLE_CONSTRAINT_TARGET_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Target Scheduler</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_SCHEDULER_FEATURE_COUNT = RUNNABLE_CONSTRAINT_TARGET_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Target Scheduler</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_SCHEDULER_OPERATION_COUNT = RUNNABLE_CONSTRAINT_TARGET_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.LabelGroupImpl <em>Label Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.LabelGroupImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLabelGroup()
	 * @generated
	 */
	int LABEL_GROUP = 123;

	/**
	 * The number of structural features of the '<em>Label Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_GROUP_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Label Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunnableGroupImpl <em>Runnable Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunnableGroupImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnableGroup()
	 * @generated
	 */
	int RUNNABLE_GROUP = 124;

	/**
	 * The number of structural features of the '<em>Runnable Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_GROUP_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Runnable Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessGroupImpl <em>Process Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessGroupImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessGroup()
	 * @generated
	 */
	int PROCESS_GROUP = 125;

	/**
	 * The number of structural features of the '<em>Process Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_GROUP_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Process Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_GROUP_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.LabelEntityGroupImpl <em>Label Entity Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.LabelEntityGroupImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLabelEntityGroup()
	 * @generated
	 */
	int LABEL_ENTITY_GROUP = 126;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ENTITY_GROUP__CUSTOM_PROPERTIES = LABEL_GROUP_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Labels</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ENTITY_GROUP__LABELS = LABEL_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Label Entity Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ENTITY_GROUP_FEATURE_COUNT = LABEL_GROUP_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Label Entity Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ENTITY_GROUP_OPERATION_COUNT = LABEL_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunnableEntityGroupImpl <em>Runnable Entity Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunnableEntityGroupImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnableEntityGroup()
	 * @generated
	 */
	int RUNNABLE_ENTITY_GROUP = 127;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_ENTITY_GROUP__CUSTOM_PROPERTIES = RUNNABLE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Runnables</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_ENTITY_GROUP__RUNNABLES = RUNNABLE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Runnable Entity Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_ENTITY_GROUP_FEATURE_COUNT = RUNNABLE_GROUP_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Runnable Entity Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_ENTITY_GROUP_OPERATION_COUNT = RUNNABLE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessEntityGroupImpl <em>Process Entity Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessEntityGroupImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessEntityGroup()
	 * @generated
	 */
	int PROCESS_ENTITY_GROUP = 128;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_ENTITY_GROUP__CUSTOM_PROPERTIES = PROCESS_GROUP_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Processes</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_ENTITY_GROUP__PROCESSES = PROCESS_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Process Entity Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_ENTITY_GROUP_FEATURE_COUNT = PROCESS_GROUP_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Process Entity Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_ENTITY_GROUP_OPERATION_COUNT = PROCESS_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TagGroupImpl <em>Tag Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TagGroupImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTagGroup()
	 * @generated
	 */
	int TAG_GROUP = 129;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG_GROUP__CUSTOM_PROPERTIES = RUNNABLE_GROUP_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Tag</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG_GROUP__TAG = RUNNABLE_GROUP_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Tag Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG_GROUP_FEATURE_COUNT = RUNNABLE_GROUP_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Tag Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAG_GROUP_OPERATION_COUNT = RUNNABLE_GROUP_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.AbstractEventChainImpl <em>Abstract Event Chain</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AbstractEventChainImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getAbstractEventChain()
	 * @generated
	 */
	int ABSTRACT_EVENT_CHAIN = 130;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN__NAME = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN__QUALIFIED_NAME = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Stimulus</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN__STIMULUS = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Response</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN__RESPONSE = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN__ITEMS = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Item Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN__ITEM_TYPE = BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Min Items Completed</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN__MIN_ITEMS_COMPLETED = BASE_OBJECT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Abstract Event Chain</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 7;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN___GET_NAMED_CONTAINER = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN___GET_NAME_PREFIX = BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN___GET_QUALIFIED_NAME_SEGMENTS = BASE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN___GET_DEFAULT_NAME_SEPARATOR = BASE_OBJECT_OPERATION_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN___GET_NAMESPACE = BASE_OBJECT_OPERATION_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN___GET_NAME_PREFIX_SEGMENTS = BASE_OBJECT_OPERATION_COUNT + 5;

	/**
	 * The number of operations of the '<em>Abstract Event Chain</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_EVENT_CHAIN_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EventChainImpl <em>Event Chain</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EventChainImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEventChain()
	 * @generated
	 */
	int EVENT_CHAIN = 131;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN__CUSTOM_PROPERTIES = ABSTRACT_EVENT_CHAIN__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN__NAME = ABSTRACT_EVENT_CHAIN__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN__QUALIFIED_NAME = ABSTRACT_EVENT_CHAIN__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Stimulus</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN__STIMULUS = ABSTRACT_EVENT_CHAIN__STIMULUS;

	/**
	 * The feature id for the '<em><b>Response</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN__RESPONSE = ABSTRACT_EVENT_CHAIN__RESPONSE;

	/**
	 * The feature id for the '<em><b>Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN__ITEMS = ABSTRACT_EVENT_CHAIN__ITEMS;

	/**
	 * The feature id for the '<em><b>Item Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN__ITEM_TYPE = ABSTRACT_EVENT_CHAIN__ITEM_TYPE;

	/**
	 * The feature id for the '<em><b>Min Items Completed</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN__MIN_ITEMS_COMPLETED = ABSTRACT_EVENT_CHAIN__MIN_ITEMS_COMPLETED;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN__UNIQUE_NAME = ABSTRACT_EVENT_CHAIN_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Event Chain</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_FEATURE_COUNT = ABSTRACT_EVENT_CHAIN_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN___GET_NAMED_CONTAINER = ABSTRACT_EVENT_CHAIN___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN___GET_NAME_PREFIX = ABSTRACT_EVENT_CHAIN___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN___GET_QUALIFIED_NAME_SEGMENTS = ABSTRACT_EVENT_CHAIN___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN___GET_DEFAULT_NAME_SEPARATOR = ABSTRACT_EVENT_CHAIN___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN___GET_NAMESPACE = ABSTRACT_EVENT_CHAIN___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN___GET_NAME_PREFIX_SEGMENTS = ABSTRACT_EVENT_CHAIN___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN___GET_ENCODED_QUALIFIED_NAME = ABSTRACT_EVENT_CHAIN_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ABSTRACT_EVENT_CHAIN_OPERATION_COUNT + 1;

	/**
	 * The number of operations of the '<em>Event Chain</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_OPERATION_COUNT = ABSTRACT_EVENT_CHAIN_OPERATION_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SubEventChainImpl <em>Sub Event Chain</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SubEventChainImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSubEventChain()
	 * @generated
	 */
	int SUB_EVENT_CHAIN = 132;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN__CUSTOM_PROPERTIES = ABSTRACT_EVENT_CHAIN__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN__NAME = ABSTRACT_EVENT_CHAIN__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN__QUALIFIED_NAME = ABSTRACT_EVENT_CHAIN__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Stimulus</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN__STIMULUS = ABSTRACT_EVENT_CHAIN__STIMULUS;

	/**
	 * The feature id for the '<em><b>Response</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN__RESPONSE = ABSTRACT_EVENT_CHAIN__RESPONSE;

	/**
	 * The feature id for the '<em><b>Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN__ITEMS = ABSTRACT_EVENT_CHAIN__ITEMS;

	/**
	 * The feature id for the '<em><b>Item Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN__ITEM_TYPE = ABSTRACT_EVENT_CHAIN__ITEM_TYPE;

	/**
	 * The feature id for the '<em><b>Min Items Completed</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN__MIN_ITEMS_COMPLETED = ABSTRACT_EVENT_CHAIN__MIN_ITEMS_COMPLETED;

	/**
	 * The number of structural features of the '<em>Sub Event Chain</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN_FEATURE_COUNT = ABSTRACT_EVENT_CHAIN_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN___GET_NAMED_CONTAINER = ABSTRACT_EVENT_CHAIN___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN___GET_NAME_PREFIX = ABSTRACT_EVENT_CHAIN___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN___GET_QUALIFIED_NAME_SEGMENTS = ABSTRACT_EVENT_CHAIN___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN___GET_DEFAULT_NAME_SEPARATOR = ABSTRACT_EVENT_CHAIN___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN___GET_NAMESPACE = ABSTRACT_EVENT_CHAIN___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN___GET_NAME_PREFIX_SEGMENTS = ABSTRACT_EVENT_CHAIN___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The number of operations of the '<em>Sub Event Chain</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SUB_EVENT_CHAIN_OPERATION_COUNT = ABSTRACT_EVENT_CHAIN_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.EventChainItem <em>Event Chain Item</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.EventChainItem
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEventChainItem()
	 * @generated
	 */
	int EVENT_CHAIN_ITEM = 133;

	/**
	 * The number of structural features of the '<em>Event Chain Item</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_ITEM_FEATURE_COUNT = 0;

	/**
	 * The operation id for the '<em>Get Event Chain</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_ITEM___GET_EVENT_CHAIN = 0;

	/**
	 * The number of operations of the '<em>Event Chain Item</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_ITEM_OPERATION_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EventChainReferenceImpl <em>Event Chain Reference</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EventChainReferenceImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEventChainReference()
	 * @generated
	 */
	int EVENT_CHAIN_REFERENCE = 134;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_REFERENCE__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Event Chain</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_REFERENCE__EVENT_CHAIN = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Event Chain Reference</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_REFERENCE_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Event Chain</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_REFERENCE___GET_EVENT_CHAIN = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Event Chain Reference</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_REFERENCE_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EventChainContainerImpl <em>Event Chain Container</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EventChainContainerImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEventChainContainer()
	 * @generated
	 */
	int EVENT_CHAIN_CONTAINER = 135;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_CONTAINER__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Event Chain</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_CONTAINER__EVENT_CHAIN = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Event Chain Container</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_CONTAINER_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Event Chain</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_CONTAINER___GET_EVENT_CHAIN = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Event Chain Container</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_CONTAINER_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TimingConstraintImpl <em>Timing Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TimingConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTimingConstraint()
	 * @generated
	 */
	int TIMING_CONSTRAINT = 136;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMING_CONSTRAINT__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMING_CONSTRAINT__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMING_CONSTRAINT__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMING_CONSTRAINT__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The number of structural features of the '<em>Timing Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMING_CONSTRAINT_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMING_CONSTRAINT___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMING_CONSTRAINT___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMING_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMING_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMING_CONSTRAINT___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMING_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMING_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMING_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Timing Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIMING_CONSTRAINT_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.PhysicalSectionConstraintImpl <em>Physical Section Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.PhysicalSectionConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPhysicalSectionConstraint()
	 * @generated
	 */
	int PHYSICAL_SECTION_CONSTRAINT = 137;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Section</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT__SECTION = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Memories</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT__MEMORIES = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Physical Section Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Physical Section Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_CONSTRAINT_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SynchronizationConstraintImpl <em>Synchronization Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SynchronizationConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSynchronizationConstraint()
	 * @generated
	 */
	int SYNCHRONIZATION_CONSTRAINT = 138;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT__CUSTOM_PROPERTIES = TIMING_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT__NAME = TIMING_CONSTRAINT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT__QUALIFIED_NAME = TIMING_CONSTRAINT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT__UNIQUE_NAME = TIMING_CONSTRAINT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Multiple Occurrences Allowed</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT__MULTIPLE_OCCURRENCES_ALLOWED = TIMING_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Tolerance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT__TOLERANCE = TIMING_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Synchronization Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT_FEATURE_COUNT = TIMING_CONSTRAINT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT___GET_NAMED_CONTAINER = TIMING_CONSTRAINT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT___GET_NAME_PREFIX = TIMING_CONSTRAINT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = TIMING_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = TIMING_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT___GET_NAMESPACE = TIMING_CONSTRAINT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = TIMING_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = TIMING_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TIMING_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Synchronization Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONIZATION_CONSTRAINT_OPERATION_COUNT = TIMING_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EventSynchronizationConstraintImpl <em>Event Synchronization Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EventSynchronizationConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEventSynchronizationConstraint()
	 * @generated
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT = 139;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT__CUSTOM_PROPERTIES = SYNCHRONIZATION_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT__NAME = SYNCHRONIZATION_CONSTRAINT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT__QUALIFIED_NAME = SYNCHRONIZATION_CONSTRAINT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT__UNIQUE_NAME = SYNCHRONIZATION_CONSTRAINT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Multiple Occurrences Allowed</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT__MULTIPLE_OCCURRENCES_ALLOWED = SYNCHRONIZATION_CONSTRAINT__MULTIPLE_OCCURRENCES_ALLOWED;

	/**
	 * The feature id for the '<em><b>Tolerance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT__TOLERANCE = SYNCHRONIZATION_CONSTRAINT__TOLERANCE;

	/**
	 * The feature id for the '<em><b>Events</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT__EVENTS = SYNCHRONIZATION_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Event Synchronization Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT_FEATURE_COUNT = SYNCHRONIZATION_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT___GET_NAMED_CONTAINER = SYNCHRONIZATION_CONSTRAINT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT___GET_NAME_PREFIX = SYNCHRONIZATION_CONSTRAINT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = SYNCHRONIZATION_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = SYNCHRONIZATION_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT___GET_NAMESPACE = SYNCHRONIZATION_CONSTRAINT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = SYNCHRONIZATION_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = SYNCHRONIZATION_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = SYNCHRONIZATION_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Event Synchronization Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SYNCHRONIZATION_CONSTRAINT_OPERATION_COUNT = SYNCHRONIZATION_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EventChainSynchronizationConstraintImpl <em>Event Chain Synchronization Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EventChainSynchronizationConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEventChainSynchronizationConstraint()
	 * @generated
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT = 140;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT__CUSTOM_PROPERTIES = SYNCHRONIZATION_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT__NAME = SYNCHRONIZATION_CONSTRAINT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT__QUALIFIED_NAME = SYNCHRONIZATION_CONSTRAINT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT__UNIQUE_NAME = SYNCHRONIZATION_CONSTRAINT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Multiple Occurrences Allowed</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT__MULTIPLE_OCCURRENCES_ALLOWED = SYNCHRONIZATION_CONSTRAINT__MULTIPLE_OCCURRENCES_ALLOWED;

	/**
	 * The feature id for the '<em><b>Tolerance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT__TOLERANCE = SYNCHRONIZATION_CONSTRAINT__TOLERANCE;

	/**
	 * The feature id for the '<em><b>Scope</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT__SCOPE = SYNCHRONIZATION_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT__TYPE = SYNCHRONIZATION_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Event Chain Synchronization Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT_FEATURE_COUNT = SYNCHRONIZATION_CONSTRAINT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT___GET_NAMED_CONTAINER = SYNCHRONIZATION_CONSTRAINT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT___GET_NAME_PREFIX = SYNCHRONIZATION_CONSTRAINT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = SYNCHRONIZATION_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = SYNCHRONIZATION_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT___GET_NAMESPACE = SYNCHRONIZATION_CONSTRAINT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = SYNCHRONIZATION_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = SYNCHRONIZATION_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = SYNCHRONIZATION_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Event Chain Synchronization Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_SYNCHRONIZATION_CONSTRAINT_OPERATION_COUNT = SYNCHRONIZATION_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DelayConstraintImpl <em>Delay Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DelayConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDelayConstraint()
	 * @generated
	 */
	int DELAY_CONSTRAINT = 141;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT__CUSTOM_PROPERTIES = TIMING_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT__NAME = TIMING_CONSTRAINT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT__QUALIFIED_NAME = TIMING_CONSTRAINT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT__UNIQUE_NAME = TIMING_CONSTRAINT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Mapping Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT__MAPPING_TYPE = TIMING_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT__SOURCE = TIMING_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT__TARGET = TIMING_CONSTRAINT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Upper</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT__UPPER = TIMING_CONSTRAINT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Lower</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT__LOWER = TIMING_CONSTRAINT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Delay Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT_FEATURE_COUNT = TIMING_CONSTRAINT_FEATURE_COUNT + 5;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT___GET_NAMED_CONTAINER = TIMING_CONSTRAINT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT___GET_NAME_PREFIX = TIMING_CONSTRAINT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = TIMING_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = TIMING_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT___GET_NAMESPACE = TIMING_CONSTRAINT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = TIMING_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = TIMING_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TIMING_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Delay Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DELAY_CONSTRAINT_OPERATION_COUNT = TIMING_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EventChainLatencyConstraintImpl <em>Event Chain Latency Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EventChainLatencyConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEventChainLatencyConstraint()
	 * @generated
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT = 142;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT__CUSTOM_PROPERTIES = TIMING_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT__NAME = TIMING_CONSTRAINT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT__QUALIFIED_NAME = TIMING_CONSTRAINT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT__UNIQUE_NAME = TIMING_CONSTRAINT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Scope</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT__SCOPE = TIMING_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT__TYPE = TIMING_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Minimum</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT__MINIMUM = TIMING_CONSTRAINT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Maximum</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT__MAXIMUM = TIMING_CONSTRAINT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Event Chain Latency Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT_FEATURE_COUNT = TIMING_CONSTRAINT_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT___GET_NAMED_CONTAINER = TIMING_CONSTRAINT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT___GET_NAME_PREFIX = TIMING_CONSTRAINT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = TIMING_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = TIMING_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT___GET_NAMESPACE = TIMING_CONSTRAINT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = TIMING_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = TIMING_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TIMING_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Event Chain Latency Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_CHAIN_LATENCY_CONSTRAINT_OPERATION_COUNT = TIMING_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RepetitionConstraintImpl <em>Repetition Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RepetitionConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRepetitionConstraint()
	 * @generated
	 */
	int REPETITION_CONSTRAINT = 143;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT__CUSTOM_PROPERTIES = TIMING_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT__NAME = TIMING_CONSTRAINT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT__QUALIFIED_NAME = TIMING_CONSTRAINT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT__UNIQUE_NAME = TIMING_CONSTRAINT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Event</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT__EVENT = TIMING_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Span</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT__SPAN = TIMING_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Lower</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT__LOWER = TIMING_CONSTRAINT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Upper</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT__UPPER = TIMING_CONSTRAINT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Jitter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT__JITTER = TIMING_CONSTRAINT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Period</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT__PERIOD = TIMING_CONSTRAINT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Repetition Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT_FEATURE_COUNT = TIMING_CONSTRAINT_FEATURE_COUNT + 6;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT___GET_NAMED_CONTAINER = TIMING_CONSTRAINT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT___GET_NAME_PREFIX = TIMING_CONSTRAINT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = TIMING_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = TIMING_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT___GET_NAMESPACE = TIMING_CONSTRAINT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = TIMING_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = TIMING_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TIMING_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Repetition Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REPETITION_CONSTRAINT_OPERATION_COUNT = TIMING_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataAgeConstraintImpl <em>Data Age Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataAgeConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataAgeConstraint()
	 * @generated
	 */
	int DATA_AGE_CONSTRAINT = 144;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT__RUNNABLE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Label</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT__LABEL = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Data Age</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT__DATA_AGE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Data Age Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Data Age Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CONSTRAINT_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataAgeImpl <em>Data Age</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataAgeImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataAge()
	 * @generated
	 */
	int DATA_AGE = 145;

	/**
	 * The number of structural features of the '<em>Data Age</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Data Age</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataAgeCycleImpl <em>Data Age Cycle</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataAgeCycleImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataAgeCycle()
	 * @generated
	 */
	int DATA_AGE_CYCLE = 146;

	/**
	 * The feature id for the '<em><b>Minimum Cycle</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CYCLE__MINIMUM_CYCLE = DATA_AGE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Maximum Cycle</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CYCLE__MAXIMUM_CYCLE = DATA_AGE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Data Age Cycle</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CYCLE_FEATURE_COUNT = DATA_AGE_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Data Age Cycle</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_CYCLE_OPERATION_COUNT = DATA_AGE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataAgeTimeImpl <em>Data Age Time</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataAgeTimeImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataAgeTime()
	 * @generated
	 */
	int DATA_AGE_TIME = 147;

	/**
	 * The feature id for the '<em><b>Minimum Time</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_TIME__MINIMUM_TIME = DATA_AGE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Maximum Time</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_TIME__MAXIMUM_TIME = DATA_AGE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Data Age Time</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_TIME_FEATURE_COUNT = DATA_AGE_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Data Age Time</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_AGE_TIME_OPERATION_COUNT = DATA_AGE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RequirementImpl <em>Requirement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RequirementImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRequirement()
	 * @generated
	 */
	int REQUIREMENT = 148;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT__NAME = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT__QUALIFIED_NAME = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Severity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT__SEVERITY = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Limit</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT__LIMIT = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Requirement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT___GET_NAMED_CONTAINER = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT___GET_NAME_PREFIX = BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT___GET_QUALIFIED_NAME_SEGMENTS = BASE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT___GET_DEFAULT_NAME_SEPARATOR = BASE_OBJECT_OPERATION_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT___GET_NAMESPACE = BASE_OBJECT_OPERATION_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT___GET_NAME_PREFIX_SEGMENTS = BASE_OBJECT_OPERATION_COUNT + 5;

	/**
	 * The number of operations of the '<em>Requirement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessRequirementImpl <em>Process Requirement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessRequirementImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessRequirement()
	 * @generated
	 */
	int PROCESS_REQUIREMENT = 149;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_REQUIREMENT__CUSTOM_PROPERTIES = REQUIREMENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_REQUIREMENT__NAME = REQUIREMENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_REQUIREMENT__QUALIFIED_NAME = REQUIREMENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Severity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_REQUIREMENT__SEVERITY = REQUIREMENT__SEVERITY;

	/**
	 * The feature id for the '<em><b>Limit</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_REQUIREMENT__LIMIT = REQUIREMENT__LIMIT;

	/**
	 * The feature id for the '<em><b>Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_REQUIREMENT__PROCESS = REQUIREMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Process Requirement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_REQUIREMENT_FEATURE_COUNT = REQUIREMENT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_REQUIREMENT___GET_NAMED_CONTAINER = REQUIREMENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_REQUIREMENT___GET_NAME_PREFIX = REQUIREMENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_REQUIREMENT___GET_QUALIFIED_NAME_SEGMENTS = REQUIREMENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_REQUIREMENT___GET_DEFAULT_NAME_SEPARATOR = REQUIREMENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_REQUIREMENT___GET_NAMESPACE = REQUIREMENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_REQUIREMENT___GET_NAME_PREFIX_SEGMENTS = REQUIREMENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The number of operations of the '<em>Process Requirement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_REQUIREMENT_OPERATION_COUNT = REQUIREMENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunnableRequirementImpl <em>Runnable Requirement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunnableRequirementImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnableRequirement()
	 * @generated
	 */
	int RUNNABLE_REQUIREMENT = 150;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_REQUIREMENT__CUSTOM_PROPERTIES = REQUIREMENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_REQUIREMENT__NAME = REQUIREMENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_REQUIREMENT__QUALIFIED_NAME = REQUIREMENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Severity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_REQUIREMENT__SEVERITY = REQUIREMENT__SEVERITY;

	/**
	 * The feature id for the '<em><b>Limit</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_REQUIREMENT__LIMIT = REQUIREMENT__LIMIT;

	/**
	 * The feature id for the '<em><b>Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_REQUIREMENT__RUNNABLE = REQUIREMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Runnable Requirement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_REQUIREMENT_FEATURE_COUNT = REQUIREMENT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_REQUIREMENT___GET_NAMED_CONTAINER = REQUIREMENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_REQUIREMENT___GET_NAME_PREFIX = REQUIREMENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_REQUIREMENT___GET_QUALIFIED_NAME_SEGMENTS = REQUIREMENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_REQUIREMENT___GET_DEFAULT_NAME_SEPARATOR = REQUIREMENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_REQUIREMENT___GET_NAMESPACE = REQUIREMENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_REQUIREMENT___GET_NAME_PREFIX_SEGMENTS = REQUIREMENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The number of operations of the '<em>Runnable Requirement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_REQUIREMENT_OPERATION_COUNT = REQUIREMENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ArchitectureRequirementImpl <em>Architecture Requirement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ArchitectureRequirementImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getArchitectureRequirement()
	 * @generated
	 */
	int ARCHITECTURE_REQUIREMENT = 151;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARCHITECTURE_REQUIREMENT__CUSTOM_PROPERTIES = REQUIREMENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARCHITECTURE_REQUIREMENT__NAME = REQUIREMENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARCHITECTURE_REQUIREMENT__QUALIFIED_NAME = REQUIREMENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Severity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARCHITECTURE_REQUIREMENT__SEVERITY = REQUIREMENT__SEVERITY;

	/**
	 * The feature id for the '<em><b>Limit</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARCHITECTURE_REQUIREMENT__LIMIT = REQUIREMENT__LIMIT;

	/**
	 * The feature id for the '<em><b>Component</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARCHITECTURE_REQUIREMENT__COMPONENT = REQUIREMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Architecture Requirement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARCHITECTURE_REQUIREMENT_FEATURE_COUNT = REQUIREMENT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARCHITECTURE_REQUIREMENT___GET_NAMED_CONTAINER = REQUIREMENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARCHITECTURE_REQUIREMENT___GET_NAME_PREFIX = REQUIREMENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARCHITECTURE_REQUIREMENT___GET_QUALIFIED_NAME_SEGMENTS = REQUIREMENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARCHITECTURE_REQUIREMENT___GET_DEFAULT_NAME_SEPARATOR = REQUIREMENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARCHITECTURE_REQUIREMENT___GET_NAMESPACE = REQUIREMENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARCHITECTURE_REQUIREMENT___GET_NAME_PREFIX_SEGMENTS = REQUIREMENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The number of operations of the '<em>Architecture Requirement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARCHITECTURE_REQUIREMENT_OPERATION_COUNT = REQUIREMENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessChainRequirementImpl <em>Process Chain Requirement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessChainRequirementImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessChainRequirement()
	 * @generated
	 */
	int PROCESS_CHAIN_REQUIREMENT = 152;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_REQUIREMENT__CUSTOM_PROPERTIES = REQUIREMENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_REQUIREMENT__NAME = REQUIREMENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_REQUIREMENT__QUALIFIED_NAME = REQUIREMENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Severity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_REQUIREMENT__SEVERITY = REQUIREMENT__SEVERITY;

	/**
	 * The feature id for the '<em><b>Limit</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_REQUIREMENT__LIMIT = REQUIREMENT__LIMIT;

	/**
	 * The feature id for the '<em><b>Process Chain</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_REQUIREMENT__PROCESS_CHAIN = REQUIREMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Process Chain Requirement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_REQUIREMENT_FEATURE_COUNT = REQUIREMENT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_REQUIREMENT___GET_NAMED_CONTAINER = REQUIREMENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_REQUIREMENT___GET_NAME_PREFIX = REQUIREMENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_REQUIREMENT___GET_QUALIFIED_NAME_SEGMENTS = REQUIREMENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_REQUIREMENT___GET_DEFAULT_NAME_SEPARATOR = REQUIREMENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_REQUIREMENT___GET_NAMESPACE = REQUIREMENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_REQUIREMENT___GET_NAME_PREFIX_SEGMENTS = REQUIREMENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The number of operations of the '<em>Process Chain Requirement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_REQUIREMENT_OPERATION_COUNT = REQUIREMENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RequirementLimitImpl <em>Requirement Limit</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RequirementLimitImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRequirementLimit()
	 * @generated
	 */
	int REQUIREMENT_LIMIT = 153;

	/**
	 * The feature id for the '<em><b>Limit Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT_LIMIT__LIMIT_TYPE = 0;

	/**
	 * The number of structural features of the '<em>Requirement Limit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT_LIMIT_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>Requirement Limit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIREMENT_LIMIT_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CPUPercentageRequirementLimitImpl <em>CPU Percentage Requirement Limit</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CPUPercentageRequirementLimitImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCPUPercentageRequirementLimit()
	 * @generated
	 */
	int CPU_PERCENTAGE_REQUIREMENT_LIMIT = 154;

	/**
	 * The feature id for the '<em><b>Limit Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CPU_PERCENTAGE_REQUIREMENT_LIMIT__LIMIT_TYPE = REQUIREMENT_LIMIT__LIMIT_TYPE;

	/**
	 * The feature id for the '<em><b>Metric</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CPU_PERCENTAGE_REQUIREMENT_LIMIT__METRIC = REQUIREMENT_LIMIT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Limit Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CPU_PERCENTAGE_REQUIREMENT_LIMIT__LIMIT_VALUE = REQUIREMENT_LIMIT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Hardware Context</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CPU_PERCENTAGE_REQUIREMENT_LIMIT__HARDWARE_CONTEXT = REQUIREMENT_LIMIT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>CPU Percentage Requirement Limit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CPU_PERCENTAGE_REQUIREMENT_LIMIT_FEATURE_COUNT = REQUIREMENT_LIMIT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>CPU Percentage Requirement Limit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CPU_PERCENTAGE_REQUIREMENT_LIMIT_OPERATION_COUNT = REQUIREMENT_LIMIT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.FrequencyRequirementLimitImpl <em>Frequency Requirement Limit</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.FrequencyRequirementLimitImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getFrequencyRequirementLimit()
	 * @generated
	 */
	int FREQUENCY_REQUIREMENT_LIMIT = 155;

	/**
	 * The feature id for the '<em><b>Limit Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_REQUIREMENT_LIMIT__LIMIT_TYPE = REQUIREMENT_LIMIT__LIMIT_TYPE;

	/**
	 * The feature id for the '<em><b>Metric</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_REQUIREMENT_LIMIT__METRIC = REQUIREMENT_LIMIT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Limit Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_REQUIREMENT_LIMIT__LIMIT_VALUE = REQUIREMENT_LIMIT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Frequency Requirement Limit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_REQUIREMENT_LIMIT_FEATURE_COUNT = REQUIREMENT_LIMIT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Frequency Requirement Limit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_REQUIREMENT_LIMIT_OPERATION_COUNT = REQUIREMENT_LIMIT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.PercentageRequirementLimitImpl <em>Percentage Requirement Limit</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.PercentageRequirementLimitImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPercentageRequirementLimit()
	 * @generated
	 */
	int PERCENTAGE_REQUIREMENT_LIMIT = 156;

	/**
	 * The feature id for the '<em><b>Limit Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERCENTAGE_REQUIREMENT_LIMIT__LIMIT_TYPE = REQUIREMENT_LIMIT__LIMIT_TYPE;

	/**
	 * The feature id for the '<em><b>Metric</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERCENTAGE_REQUIREMENT_LIMIT__METRIC = REQUIREMENT_LIMIT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Limit Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERCENTAGE_REQUIREMENT_LIMIT__LIMIT_VALUE = REQUIREMENT_LIMIT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Percentage Requirement Limit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERCENTAGE_REQUIREMENT_LIMIT_FEATURE_COUNT = REQUIREMENT_LIMIT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Percentage Requirement Limit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERCENTAGE_REQUIREMENT_LIMIT_OPERATION_COUNT = REQUIREMENT_LIMIT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CountRequirementLimitImpl <em>Count Requirement Limit</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CountRequirementLimitImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCountRequirementLimit()
	 * @generated
	 */
	int COUNT_REQUIREMENT_LIMIT = 157;

	/**
	 * The feature id for the '<em><b>Limit Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNT_REQUIREMENT_LIMIT__LIMIT_TYPE = REQUIREMENT_LIMIT__LIMIT_TYPE;

	/**
	 * The feature id for the '<em><b>Metric</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNT_REQUIREMENT_LIMIT__METRIC = REQUIREMENT_LIMIT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Limit Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNT_REQUIREMENT_LIMIT__LIMIT_VALUE = REQUIREMENT_LIMIT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Count Requirement Limit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNT_REQUIREMENT_LIMIT_FEATURE_COUNT = REQUIREMENT_LIMIT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Count Requirement Limit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNT_REQUIREMENT_LIMIT_OPERATION_COUNT = REQUIREMENT_LIMIT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TimeRequirementLimitImpl <em>Time Requirement Limit</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TimeRequirementLimitImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTimeRequirementLimit()
	 * @generated
	 */
	int TIME_REQUIREMENT_LIMIT = 158;

	/**
	 * The feature id for the '<em><b>Limit Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_REQUIREMENT_LIMIT__LIMIT_TYPE = REQUIREMENT_LIMIT__LIMIT_TYPE;

	/**
	 * The feature id for the '<em><b>Metric</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_REQUIREMENT_LIMIT__METRIC = REQUIREMENT_LIMIT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Limit Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_REQUIREMENT_LIMIT__LIMIT_VALUE = REQUIREMENT_LIMIT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Time Requirement Limit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_REQUIREMENT_LIMIT_FEATURE_COUNT = REQUIREMENT_LIMIT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Time Requirement Limit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_REQUIREMENT_LIMIT_OPERATION_COUNT = REQUIREMENT_LIMIT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataCoherencyGroupImpl <em>Data Coherency Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataCoherencyGroupImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataCoherencyGroup()
	 * @generated
	 */
	int DATA_COHERENCY_GROUP = 159;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Labels</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP__LABELS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Scope</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP__SCOPE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP__DIRECTION = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Data Coherency Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Data Coherency Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_COHERENCY_GROUP_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataStabilityGroupImpl <em>Data Stability Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataStabilityGroupImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataStabilityGroup()
	 * @generated
	 */
	int DATA_STABILITY_GROUP = 160;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Labels</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP__LABELS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Scope</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP__SCOPE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Data Stability Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Data Stability Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_GROUP_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataGroupScopeImpl <em>Data Group Scope</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataGroupScopeImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataGroupScope()
	 * @generated
	 */
	int DATA_GROUP_SCOPE = 161;

	/**
	 * The number of structural features of the '<em>Data Group Scope</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_GROUP_SCOPE_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Data Group Scope</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_GROUP_SCOPE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessScopeImpl <em>Process Scope</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessScopeImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessScope()
	 * @generated
	 */
	int PROCESS_SCOPE = 162;

	/**
	 * The feature id for the '<em><b>Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SCOPE__PROCESS = DATA_GROUP_SCOPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Process Scope</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SCOPE_FEATURE_COUNT = DATA_GROUP_SCOPE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Process Scope</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_SCOPE_OPERATION_COUNT = DATA_GROUP_SCOPE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunnableScopeImpl <em>Runnable Scope</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunnableScopeImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnableScope()
	 * @generated
	 */
	int RUNNABLE_SCOPE = 163;

	/**
	 * The feature id for the '<em><b>Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SCOPE__RUNNABLE = DATA_GROUP_SCOPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Runnable Scope</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SCOPE_FEATURE_COUNT = DATA_GROUP_SCOPE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Runnable Scope</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_SCOPE_OPERATION_COUNT = DATA_GROUP_SCOPE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ComponentScopeImpl <em>Component Scope</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ComponentScopeImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getComponentScope()
	 * @generated
	 */
	int COMPONENT_SCOPE = 164;

	/**
	 * The feature id for the '<em><b>Component</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SCOPE__COMPONENT = DATA_GROUP_SCOPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Component Scope</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SCOPE_FEATURE_COUNT = DATA_GROUP_SCOPE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Component Scope</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_SCOPE_OPERATION_COUNT = DATA_GROUP_SCOPE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EventModelImpl <em>Event Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EventModelImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEventModel()
	 * @generated
	 */
	int EVENT_MODEL = 165;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MODEL__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MODEL__EVENTS = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Event Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MODEL_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Event Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MODEL_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EventImpl <em>Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEvent()
	 * @generated
	 */
	int EVENT = 166;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT__DESCRIPTION = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EventSetImpl <em>Event Set</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EventSetImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEventSet()
	 * @generated
	 */
	int EVENT_SET = 167;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET__CUSTOM_PROPERTIES = EVENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET__NAME = EVENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET__QUALIFIED_NAME = EVENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET__UNIQUE_NAME = EVENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET__TAGS = EVENT__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET__DESCRIPTION = EVENT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Events</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET__EVENTS = EVENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Event Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET_FEATURE_COUNT = EVENT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET___GET_NAMED_CONTAINER = EVENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET___GET_NAME_PREFIX = EVENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET___GET_QUALIFIED_NAME_SEGMENTS = EVENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET___GET_DEFAULT_NAME_SEPARATOR = EVENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET___GET_NAMESPACE = EVENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET___GET_NAME_PREFIX_SEGMENTS = EVENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET___GET_ENCODED_QUALIFIED_NAME = EVENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Event Set</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_SET_OPERATION_COUNT = EVENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EntityEventImpl <em>Entity Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EntityEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEntityEvent()
	 * @generated
	 */
	int ENTITY_EVENT = 168;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT__CUSTOM_PROPERTIES = EVENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT__NAME = EVENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT__QUALIFIED_NAME = EVENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT__UNIQUE_NAME = EVENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT__TAGS = EVENT__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT__DESCRIPTION = EVENT__DESCRIPTION;

	/**
	 * The number of structural features of the '<em>Entity Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT_FEATURE_COUNT = EVENT_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT___GET_NAMED_CONTAINER = EVENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT___GET_NAME_PREFIX = EVENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT___GET_QUALIFIED_NAME_SEGMENTS = EVENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT___GET_DEFAULT_NAME_SEPARATOR = EVENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT___GET_NAMESPACE = EVENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT___GET_NAME_PREFIX_SEGMENTS = EVENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT___GET_ENCODED_QUALIFIED_NAME = EVENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Entity Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_EVENT_OPERATION_COUNT = EVENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TriggerEventImpl <em>Trigger Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TriggerEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTriggerEvent()
	 * @generated
	 */
	int TRIGGER_EVENT = 169;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT__CUSTOM_PROPERTIES = ENTITY_EVENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT__NAME = ENTITY_EVENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT__QUALIFIED_NAME = ENTITY_EVENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT__UNIQUE_NAME = ENTITY_EVENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT__TAGS = ENTITY_EVENT__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT__DESCRIPTION = ENTITY_EVENT__DESCRIPTION;

	/**
	 * The number of structural features of the '<em>Trigger Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT_FEATURE_COUNT = ENTITY_EVENT_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT___GET_NAMED_CONTAINER = ENTITY_EVENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT___GET_NAME_PREFIX = ENTITY_EVENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT___GET_QUALIFIED_NAME_SEGMENTS = ENTITY_EVENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT___GET_DEFAULT_NAME_SEPARATOR = ENTITY_EVENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT___GET_NAMESPACE = ENTITY_EVENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT___GET_NAME_PREFIX_SEGMENTS = ENTITY_EVENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT___GET_ENCODED_QUALIFIED_NAME = ENTITY_EVENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ENTITY_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Trigger Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_EVENT_OPERATION_COUNT = ENTITY_EVENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CustomEventImpl <em>Custom Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CustomEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCustomEvent()
	 * @generated
	 */
	int CUSTOM_EVENT = 170;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT__CUSTOM_PROPERTIES = TRIGGER_EVENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT__NAME = TRIGGER_EVENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT__QUALIFIED_NAME = TRIGGER_EVENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT__UNIQUE_NAME = TRIGGER_EVENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT__TAGS = TRIGGER_EVENT__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT__DESCRIPTION = TRIGGER_EVENT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Event Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT__EVENT_TYPE = TRIGGER_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Explicit Triggers</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT__EXPLICIT_TRIGGERS = TRIGGER_EVENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Custom Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT_FEATURE_COUNT = TRIGGER_EVENT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT___GET_NAMED_CONTAINER = TRIGGER_EVENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT___GET_NAME_PREFIX = TRIGGER_EVENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT___GET_QUALIFIED_NAME_SEGMENTS = TRIGGER_EVENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT___GET_DEFAULT_NAME_SEPARATOR = TRIGGER_EVENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT___GET_NAMESPACE = TRIGGER_EVENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT___GET_NAME_PREFIX_SEGMENTS = TRIGGER_EVENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT___GET_ENCODED_QUALIFIED_NAME = TRIGGER_EVENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TRIGGER_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Custom Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT_OPERATION_COUNT = TRIGGER_EVENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.StimulusEventImpl <em>Stimulus Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.StimulusEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getStimulusEvent()
	 * @generated
	 */
	int STIMULUS_EVENT = 171;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT__CUSTOM_PROPERTIES = ENTITY_EVENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT__NAME = ENTITY_EVENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT__QUALIFIED_NAME = ENTITY_EVENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT__UNIQUE_NAME = ENTITY_EVENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT__TAGS = ENTITY_EVENT__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT__DESCRIPTION = ENTITY_EVENT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Entity</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT__ENTITY = ENTITY_EVENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Stimulus Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT_FEATURE_COUNT = ENTITY_EVENT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT___GET_NAMED_CONTAINER = ENTITY_EVENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT___GET_NAME_PREFIX = ENTITY_EVENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT___GET_QUALIFIED_NAME_SEGMENTS = ENTITY_EVENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT___GET_DEFAULT_NAME_SEPARATOR = ENTITY_EVENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT___GET_NAMESPACE = ENTITY_EVENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT___GET_NAME_PREFIX_SEGMENTS = ENTITY_EVENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT___GET_ENCODED_QUALIFIED_NAME = ENTITY_EVENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ENTITY_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Stimulus Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_EVENT_OPERATION_COUNT = ENTITY_EVENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessEventImpl <em>Process Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessEvent()
	 * @generated
	 */
	int PROCESS_EVENT = 172;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT__CUSTOM_PROPERTIES = ENTITY_EVENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT__NAME = ENTITY_EVENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT__QUALIFIED_NAME = ENTITY_EVENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT__UNIQUE_NAME = ENTITY_EVENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT__TAGS = ENTITY_EVENT__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT__DESCRIPTION = ENTITY_EVENT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Event Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT__EVENT_TYPE = ENTITY_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Entity</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT__ENTITY = ENTITY_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Processing Unit</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT__PROCESSING_UNIT = ENTITY_EVENT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Process Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT_FEATURE_COUNT = ENTITY_EVENT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT___GET_NAMED_CONTAINER = ENTITY_EVENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT___GET_NAME_PREFIX = ENTITY_EVENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT___GET_QUALIFIED_NAME_SEGMENTS = ENTITY_EVENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT___GET_DEFAULT_NAME_SEPARATOR = ENTITY_EVENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT___GET_NAMESPACE = ENTITY_EVENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT___GET_NAME_PREFIX_SEGMENTS = ENTITY_EVENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT___GET_ENCODED_QUALIFIED_NAME = ENTITY_EVENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ENTITY_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Process Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_EVENT_OPERATION_COUNT = ENTITY_EVENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessChainEventImpl <em>Process Chain Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessChainEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessChainEvent()
	 * @generated
	 */
	int PROCESS_CHAIN_EVENT = 173;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT__CUSTOM_PROPERTIES = ENTITY_EVENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT__NAME = ENTITY_EVENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT__QUALIFIED_NAME = ENTITY_EVENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT__UNIQUE_NAME = ENTITY_EVENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT__TAGS = ENTITY_EVENT__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT__DESCRIPTION = ENTITY_EVENT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Event Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT__EVENT_TYPE = ENTITY_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Entity</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT__ENTITY = ENTITY_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Processing Unit</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT__PROCESSING_UNIT = ENTITY_EVENT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Process Chain Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT_FEATURE_COUNT = ENTITY_EVENT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT___GET_NAMED_CONTAINER = ENTITY_EVENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT___GET_NAME_PREFIX = ENTITY_EVENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT___GET_QUALIFIED_NAME_SEGMENTS = ENTITY_EVENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT___GET_DEFAULT_NAME_SEPARATOR = ENTITY_EVENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT___GET_NAMESPACE = ENTITY_EVENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT___GET_NAME_PREFIX_SEGMENTS = ENTITY_EVENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT___GET_ENCODED_QUALIFIED_NAME = ENTITY_EVENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ENTITY_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Process Chain Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_EVENT_OPERATION_COUNT = ENTITY_EVENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunnableEventImpl <em>Runnable Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunnableEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnableEvent()
	 * @generated
	 */
	int RUNNABLE_EVENT = 174;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT__CUSTOM_PROPERTIES = TRIGGER_EVENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT__NAME = TRIGGER_EVENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT__QUALIFIED_NAME = TRIGGER_EVENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT__UNIQUE_NAME = TRIGGER_EVENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT__TAGS = TRIGGER_EVENT__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT__DESCRIPTION = TRIGGER_EVENT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Event Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT__EVENT_TYPE = TRIGGER_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Entity</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT__ENTITY = TRIGGER_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT__PROCESS = TRIGGER_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Processing Unit</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT__PROCESSING_UNIT = TRIGGER_EVENT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Runnable Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT_FEATURE_COUNT = TRIGGER_EVENT_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT___GET_NAMED_CONTAINER = TRIGGER_EVENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT___GET_NAME_PREFIX = TRIGGER_EVENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT___GET_QUALIFIED_NAME_SEGMENTS = TRIGGER_EVENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT___GET_DEFAULT_NAME_SEPARATOR = TRIGGER_EVENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT___GET_NAMESPACE = TRIGGER_EVENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT___GET_NAME_PREFIX_SEGMENTS = TRIGGER_EVENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT___GET_ENCODED_QUALIFIED_NAME = TRIGGER_EVENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TRIGGER_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Runnable Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_EVENT_OPERATION_COUNT = TRIGGER_EVENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.LabelEventImpl <em>Label Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.LabelEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLabelEvent()
	 * @generated
	 */
	int LABEL_EVENT = 175;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT__CUSTOM_PROPERTIES = TRIGGER_EVENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT__NAME = TRIGGER_EVENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT__QUALIFIED_NAME = TRIGGER_EVENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT__UNIQUE_NAME = TRIGGER_EVENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT__TAGS = TRIGGER_EVENT__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT__DESCRIPTION = TRIGGER_EVENT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Event Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT__EVENT_TYPE = TRIGGER_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Entity</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT__ENTITY = TRIGGER_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT__RUNNABLE = TRIGGER_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT__PROCESS = TRIGGER_EVENT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Label Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT_FEATURE_COUNT = TRIGGER_EVENT_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT___GET_NAMED_CONTAINER = TRIGGER_EVENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT___GET_NAME_PREFIX = TRIGGER_EVENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT___GET_QUALIFIED_NAME_SEGMENTS = TRIGGER_EVENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT___GET_DEFAULT_NAME_SEPARATOR = TRIGGER_EVENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT___GET_NAMESPACE = TRIGGER_EVENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT___GET_NAME_PREFIX_SEGMENTS = TRIGGER_EVENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT___GET_ENCODED_QUALIFIED_NAME = TRIGGER_EVENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TRIGGER_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Label Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_EVENT_OPERATION_COUNT = TRIGGER_EVENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ModeLabelEventImpl <em>Mode Label Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ModeLabelEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeLabelEvent()
	 * @generated
	 */
	int MODE_LABEL_EVENT = 176;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT__CUSTOM_PROPERTIES = TRIGGER_EVENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT__NAME = TRIGGER_EVENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT__QUALIFIED_NAME = TRIGGER_EVENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT__UNIQUE_NAME = TRIGGER_EVENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT__TAGS = TRIGGER_EVENT__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT__DESCRIPTION = TRIGGER_EVENT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Event Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT__EVENT_TYPE = TRIGGER_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Entity</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT__ENTITY = TRIGGER_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT__RUNNABLE = TRIGGER_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT__PROCESS = TRIGGER_EVENT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Mode Label Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT_FEATURE_COUNT = TRIGGER_EVENT_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT___GET_NAMED_CONTAINER = TRIGGER_EVENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT___GET_NAME_PREFIX = TRIGGER_EVENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT___GET_QUALIFIED_NAME_SEGMENTS = TRIGGER_EVENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT___GET_DEFAULT_NAME_SEPARATOR = TRIGGER_EVENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT___GET_NAMESPACE = TRIGGER_EVENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT___GET_NAME_PREFIX_SEGMENTS = TRIGGER_EVENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT___GET_ENCODED_QUALIFIED_NAME = TRIGGER_EVENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TRIGGER_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Mode Label Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_EVENT_OPERATION_COUNT = TRIGGER_EVENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ChannelEventImpl <em>Channel Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ChannelEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getChannelEvent()
	 * @generated
	 */
	int CHANNEL_EVENT = 177;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT__CUSTOM_PROPERTIES = TRIGGER_EVENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT__NAME = TRIGGER_EVENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT__QUALIFIED_NAME = TRIGGER_EVENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT__UNIQUE_NAME = TRIGGER_EVENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT__TAGS = TRIGGER_EVENT__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT__DESCRIPTION = TRIGGER_EVENT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Event Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT__EVENT_TYPE = TRIGGER_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Entity</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT__ENTITY = TRIGGER_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT__RUNNABLE = TRIGGER_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT__PROCESS = TRIGGER_EVENT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Channel Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT_FEATURE_COUNT = TRIGGER_EVENT_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT___GET_NAMED_CONTAINER = TRIGGER_EVENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT___GET_NAME_PREFIX = TRIGGER_EVENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT___GET_QUALIFIED_NAME_SEGMENTS = TRIGGER_EVENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT___GET_DEFAULT_NAME_SEPARATOR = TRIGGER_EVENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT___GET_NAMESPACE = TRIGGER_EVENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT___GET_NAME_PREFIX_SEGMENTS = TRIGGER_EVENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT___GET_ENCODED_QUALIFIED_NAME = TRIGGER_EVENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TRIGGER_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Channel Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_EVENT_OPERATION_COUNT = TRIGGER_EVENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SemaphoreEventImpl <em>Semaphore Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SemaphoreEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSemaphoreEvent()
	 * @generated
	 */
	int SEMAPHORE_EVENT = 178;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT__CUSTOM_PROPERTIES = ENTITY_EVENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT__NAME = ENTITY_EVENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT__QUALIFIED_NAME = ENTITY_EVENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT__UNIQUE_NAME = ENTITY_EVENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT__TAGS = ENTITY_EVENT__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT__DESCRIPTION = ENTITY_EVENT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Event Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT__EVENT_TYPE = ENTITY_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Entity</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT__ENTITY = ENTITY_EVENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT__RUNNABLE = ENTITY_EVENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT__PROCESS = ENTITY_EVENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Processing Unit</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT__PROCESSING_UNIT = ENTITY_EVENT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Semaphore Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT_FEATURE_COUNT = ENTITY_EVENT_FEATURE_COUNT + 5;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT___GET_NAMED_CONTAINER = ENTITY_EVENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT___GET_NAME_PREFIX = ENTITY_EVENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT___GET_QUALIFIED_NAME_SEGMENTS = ENTITY_EVENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT___GET_DEFAULT_NAME_SEPARATOR = ENTITY_EVENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT___GET_NAMESPACE = ENTITY_EVENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT___GET_NAME_PREFIX_SEGMENTS = ENTITY_EVENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT___GET_ENCODED_QUALIFIED_NAME = ENTITY_EVENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ENTITY_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Semaphore Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_EVENT_OPERATION_COUNT = ENTITY_EVENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ComponentEventImpl <em>Component Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ComponentEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getComponentEvent()
	 * @generated
	 */
	int COMPONENT_EVENT = 179;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT__CUSTOM_PROPERTIES = ENTITY_EVENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT__NAME = ENTITY_EVENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT__QUALIFIED_NAME = ENTITY_EVENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT__UNIQUE_NAME = ENTITY_EVENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT__TAGS = ENTITY_EVENT__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT__DESCRIPTION = ENTITY_EVENT__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Event Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT__EVENT_TYPE = ENTITY_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Entity</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT__ENTITY = ENTITY_EVENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Component Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT_FEATURE_COUNT = ENTITY_EVENT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT___GET_NAMED_CONTAINER = ENTITY_EVENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT___GET_NAME_PREFIX = ENTITY_EVENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT___GET_QUALIFIED_NAME_SEGMENTS = ENTITY_EVENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT___GET_DEFAULT_NAME_SEPARATOR = ENTITY_EVENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT___GET_NAMESPACE = ENTITY_EVENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT___GET_NAME_PREFIX_SEGMENTS = ENTITY_EVENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT___GET_ENCODED_QUALIFIED_NAME = ENTITY_EVENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ENTITY_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Component Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_EVENT_OPERATION_COUNT = ENTITY_EVENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.HWModelImpl <em>HW Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.HWModelImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getHWModel()
	 * @generated
	 */
	int HW_MODEL = 180;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODEL__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Definitions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODEL__DEFINITIONS = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Feature Categories</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODEL__FEATURE_CATEGORIES = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Structures</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODEL__STRUCTURES = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Domains</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODEL__DOMAINS = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>HW Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODEL_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The number of operations of the '<em>HW Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODEL_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.HwStructureImpl <em>Hw Structure</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.HwStructureImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getHwStructure()
	 * @generated
	 */
	int HW_STRUCTURE = 181;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Structure Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE__STRUCTURE_TYPE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Ports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE__PORTS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Structures</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE__STRUCTURES = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Modules</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE__MODULES = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Connections</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE__CONNECTIONS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Inner Ports</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE__INNER_PORTS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Hw Structure</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 7;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Hw Structure</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_STRUCTURE_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.HwModuleImpl <em>Hw Module</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.HwModuleImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getHwModule()
	 * @generated
	 */
	int HW_MODULE = 182;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Ports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE__PORTS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Power Domain</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE__POWER_DOMAIN = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Frequency Domain</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE__FREQUENCY_DOMAIN = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Hw Module</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Hw Module</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_MODULE_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.HwDomainImpl <em>Hw Domain</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.HwDomainImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getHwDomain()
	 * @generated
	 */
	int HW_DOMAIN = 183;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DOMAIN__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DOMAIN__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DOMAIN__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DOMAIN__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DOMAIN__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Hw Domain</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DOMAIN_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DOMAIN___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DOMAIN___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DOMAIN___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DOMAIN___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DOMAIN___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DOMAIN___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DOMAIN___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DOMAIN___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Hw Domain</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DOMAIN_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.FrequencyDomainImpl <em>Frequency Domain</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.FrequencyDomainImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getFrequencyDomain()
	 * @generated
	 */
	int FREQUENCY_DOMAIN = 184;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN__CUSTOM_PROPERTIES = HW_DOMAIN__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN__NAME = HW_DOMAIN__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN__QUALIFIED_NAME = HW_DOMAIN__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN__UNIQUE_NAME = HW_DOMAIN__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN__TAGS = HW_DOMAIN__TAGS;

	/**
	 * The feature id for the '<em><b>Default Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN__DEFAULT_VALUE = HW_DOMAIN_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Clock Gating</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN__CLOCK_GATING = HW_DOMAIN_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Frequency Domain</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN_FEATURE_COUNT = HW_DOMAIN_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN___GET_NAMED_CONTAINER = HW_DOMAIN___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN___GET_NAME_PREFIX = HW_DOMAIN___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN___GET_QUALIFIED_NAME_SEGMENTS = HW_DOMAIN___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN___GET_DEFAULT_NAME_SEPARATOR = HW_DOMAIN___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN___GET_NAMESPACE = HW_DOMAIN___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN___GET_NAME_PREFIX_SEGMENTS = HW_DOMAIN___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN___GET_ENCODED_QUALIFIED_NAME = HW_DOMAIN___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = HW_DOMAIN___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Frequency Domain</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FREQUENCY_DOMAIN_OPERATION_COUNT = HW_DOMAIN_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.PowerDomainImpl <em>Power Domain</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.PowerDomainImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPowerDomain()
	 * @generated
	 */
	int POWER_DOMAIN = 185;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN__CUSTOM_PROPERTIES = HW_DOMAIN__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN__NAME = HW_DOMAIN__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN__QUALIFIED_NAME = HW_DOMAIN__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN__UNIQUE_NAME = HW_DOMAIN__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN__TAGS = HW_DOMAIN__TAGS;

	/**
	 * The feature id for the '<em><b>Default Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN__DEFAULT_VALUE = HW_DOMAIN_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Power Gating</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN__POWER_GATING = HW_DOMAIN_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Power Domain</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN_FEATURE_COUNT = HW_DOMAIN_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN___GET_NAMED_CONTAINER = HW_DOMAIN___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN___GET_NAME_PREFIX = HW_DOMAIN___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN___GET_QUALIFIED_NAME_SEGMENTS = HW_DOMAIN___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN___GET_DEFAULT_NAME_SEPARATOR = HW_DOMAIN___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN___GET_NAMESPACE = HW_DOMAIN___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN___GET_NAME_PREFIX_SEGMENTS = HW_DOMAIN___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN___GET_ENCODED_QUALIFIED_NAME = HW_DOMAIN___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = HW_DOMAIN___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Power Domain</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POWER_DOMAIN_OPERATION_COUNT = HW_DOMAIN_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessingUnitImpl <em>Processing Unit</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessingUnitImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessingUnit()
	 * @generated
	 */
	int PROCESSING_UNIT = 186;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT__CUSTOM_PROPERTIES = HW_MODULE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT__NAME = HW_MODULE__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT__QUALIFIED_NAME = HW_MODULE__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT__UNIQUE_NAME = HW_MODULE__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT__TAGS = HW_MODULE__TAGS;

	/**
	 * The feature id for the '<em><b>Ports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT__PORTS = HW_MODULE__PORTS;

	/**
	 * The feature id for the '<em><b>Power Domain</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT__POWER_DOMAIN = HW_MODULE__POWER_DOMAIN;

	/**
	 * The feature id for the '<em><b>Frequency Domain</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT__FREQUENCY_DOMAIN = HW_MODULE__FREQUENCY_DOMAIN;

	/**
	 * The feature id for the '<em><b>Definition</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT__DEFINITION = HW_MODULE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Access Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT__ACCESS_ELEMENTS = HW_MODULE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Caches</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT__CACHES = HW_MODULE_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Processing Unit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_FEATURE_COUNT = HW_MODULE_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT___GET_NAMED_CONTAINER = HW_MODULE___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT___GET_NAME_PREFIX = HW_MODULE___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT___GET_QUALIFIED_NAME_SEGMENTS = HW_MODULE___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT___GET_DEFAULT_NAME_SEPARATOR = HW_MODULE___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT___GET_NAMESPACE = HW_MODULE___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT___GET_NAME_PREFIX_SEGMENTS = HW_MODULE___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT___GET_ENCODED_QUALIFIED_NAME = HW_MODULE___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = HW_MODULE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Ports</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT___GET_PORTS = HW_MODULE_OPERATION_COUNT + 1;

	/**
	 * The number of operations of the '<em>Processing Unit</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_OPERATION_COUNT = HW_MODULE_OPERATION_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.MemoryImpl <em>Memory</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.MemoryImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getMemory()
	 * @generated
	 */
	int MEMORY = 187;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY__CUSTOM_PROPERTIES = HW_MODULE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY__NAME = HW_MODULE__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY__QUALIFIED_NAME = HW_MODULE__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY__UNIQUE_NAME = HW_MODULE__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY__TAGS = HW_MODULE__TAGS;

	/**
	 * The feature id for the '<em><b>Ports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY__PORTS = HW_MODULE__PORTS;

	/**
	 * The feature id for the '<em><b>Power Domain</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY__POWER_DOMAIN = HW_MODULE__POWER_DOMAIN;

	/**
	 * The feature id for the '<em><b>Frequency Domain</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY__FREQUENCY_DOMAIN = HW_MODULE__FREQUENCY_DOMAIN;

	/**
	 * The feature id for the '<em><b>Definition</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY__DEFINITION = HW_MODULE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Mappings</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY__MAPPINGS = HW_MODULE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Memory</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_FEATURE_COUNT = HW_MODULE_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY___GET_NAMED_CONTAINER = HW_MODULE___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY___GET_NAME_PREFIX = HW_MODULE___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY___GET_QUALIFIED_NAME_SEGMENTS = HW_MODULE___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY___GET_DEFAULT_NAME_SEPARATOR = HW_MODULE___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY___GET_NAMESPACE = HW_MODULE___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY___GET_NAME_PREFIX_SEGMENTS = HW_MODULE___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY___GET_ENCODED_QUALIFIED_NAME = HW_MODULE___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = HW_MODULE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Ports</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY___GET_PORTS = HW_MODULE_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Memory</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_OPERATION_COUNT = HW_MODULE_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CacheImpl <em>Cache</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CacheImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCache()
	 * @generated
	 */
	int CACHE = 188;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE__CUSTOM_PROPERTIES = HW_MODULE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE__NAME = HW_MODULE__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE__QUALIFIED_NAME = HW_MODULE__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE__UNIQUE_NAME = HW_MODULE__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE__TAGS = HW_MODULE__TAGS;

	/**
	 * The feature id for the '<em><b>Ports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE__PORTS = HW_MODULE__PORTS;

	/**
	 * The feature id for the '<em><b>Power Domain</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE__POWER_DOMAIN = HW_MODULE__POWER_DOMAIN;

	/**
	 * The feature id for the '<em><b>Frequency Domain</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE__FREQUENCY_DOMAIN = HW_MODULE__FREQUENCY_DOMAIN;

	/**
	 * The feature id for the '<em><b>Definition</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE__DEFINITION = HW_MODULE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Cache</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_FEATURE_COUNT = HW_MODULE_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE___GET_NAMED_CONTAINER = HW_MODULE___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE___GET_NAME_PREFIX = HW_MODULE___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE___GET_QUALIFIED_NAME_SEGMENTS = HW_MODULE___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE___GET_DEFAULT_NAME_SEPARATOR = HW_MODULE___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE___GET_NAMESPACE = HW_MODULE___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE___GET_NAME_PREFIX_SEGMENTS = HW_MODULE___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE___GET_ENCODED_QUALIFIED_NAME = HW_MODULE___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = HW_MODULE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Ports</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE___GET_PORTS = HW_MODULE_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Cache</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_OPERATION_COUNT = HW_MODULE_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.HwFeatureCategoryImpl <em>Hw Feature Category</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.HwFeatureCategoryImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getHwFeatureCategory()
	 * @generated
	 */
	int HW_FEATURE_CATEGORY = 189;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY__DESCRIPTION = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Feature Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY__FEATURE_TYPE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Features</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY__FEATURES = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Hw Feature Category</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Hw Feature Category</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_CATEGORY_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.HwFeatureImpl <em>Hw Feature</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.HwFeatureImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getHwFeature()
	 * @generated
	 */
	int HW_FEATURE = 190;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Containing Category</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE__CONTAINING_CATEGORY = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE__VALUE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Hw Feature</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>To String</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE___TO_STRING = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The number of operations of the '<em>Hw Feature</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_FEATURE_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.HwPortImpl <em>Hw Port</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.HwPortImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getHwPort()
	 * @generated
	 */
	int HW_PORT = 191;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Bit Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT__BIT_WIDTH = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Priority</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT__PRIORITY = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Port Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT__PORT_TYPE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Port Interface</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT__PORT_INTERFACE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Delegated</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT__DELEGATED = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Connections</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT__CONNECTIONS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Hw Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 7;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Hw Port</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PORT_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ConnectionHandlerImpl <em>Connection Handler</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ConnectionHandlerImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getConnectionHandler()
	 * @generated
	 */
	int CONNECTION_HANDLER = 192;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER__CUSTOM_PROPERTIES = HW_MODULE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER__NAME = HW_MODULE__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER__QUALIFIED_NAME = HW_MODULE__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER__UNIQUE_NAME = HW_MODULE__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER__TAGS = HW_MODULE__TAGS;

	/**
	 * The feature id for the '<em><b>Ports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER__PORTS = HW_MODULE__PORTS;

	/**
	 * The feature id for the '<em><b>Power Domain</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER__POWER_DOMAIN = HW_MODULE__POWER_DOMAIN;

	/**
	 * The feature id for the '<em><b>Frequency Domain</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER__FREQUENCY_DOMAIN = HW_MODULE__FREQUENCY_DOMAIN;

	/**
	 * The feature id for the '<em><b>Definition</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER__DEFINITION = HW_MODULE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Internal Connections</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER__INTERNAL_CONNECTIONS = HW_MODULE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Connection Handler</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_FEATURE_COUNT = HW_MODULE_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER___GET_NAMED_CONTAINER = HW_MODULE___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER___GET_NAME_PREFIX = HW_MODULE___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER___GET_QUALIFIED_NAME_SEGMENTS = HW_MODULE___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER___GET_DEFAULT_NAME_SEPARATOR = HW_MODULE___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER___GET_NAMESPACE = HW_MODULE___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER___GET_NAME_PREFIX_SEGMENTS = HW_MODULE___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER___GET_ENCODED_QUALIFIED_NAME = HW_MODULE___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = HW_MODULE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Ports</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER___GET_PORTS = HW_MODULE_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Connection Handler</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_OPERATION_COUNT = HW_MODULE_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.HwConnectionImpl <em>Hw Connection</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.HwConnectionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getHwConnection()
	 * @generated
	 */
	int HW_CONNECTION = 193;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Read Latency</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION__READ_LATENCY = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Write Latency</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION__WRITE_LATENCY = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Data Rate</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION__DATA_RATE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Port1</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION__PORT1 = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Port2</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION__PORT2 = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Internal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION__INTERNAL = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Hw Connection</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 7;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Ports</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION___GET_PORTS = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Hw Connection</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_CONNECTION_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.HwAccessElementImpl <em>Hw Access Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.HwAccessElementImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getHwAccessElement()
	 * @generated
	 */
	int HW_ACCESS_ELEMENT = 194;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT__TAGS = ITAGGABLE__TAGS;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT__NAME = ITAGGABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT__QUALIFIED_NAME = ITAGGABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Source</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT__SOURCE = ITAGGABLE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Destination</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT__DESTINATION = ITAGGABLE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Access Path</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT__ACCESS_PATH = ITAGGABLE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Read Latency</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT__READ_LATENCY = ITAGGABLE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Write Latency</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT__WRITE_LATENCY = ITAGGABLE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Data Rate</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT__DATA_RATE = ITAGGABLE_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Hw Access Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT_FEATURE_COUNT = ITAGGABLE_FEATURE_COUNT + 8;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT___GET_NAMED_CONTAINER = ITAGGABLE_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT___GET_NAME_PREFIX = ITAGGABLE_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT___GET_QUALIFIED_NAME_SEGMENTS = ITAGGABLE_OPERATION_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT___GET_DEFAULT_NAME_SEPARATOR = ITAGGABLE_OPERATION_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT___GET_NAMESPACE = ITAGGABLE_OPERATION_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT___GET_NAME_PREFIX_SEGMENTS = ITAGGABLE_OPERATION_COUNT + 5;

	/**
	 * The number of operations of the '<em>Hw Access Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_ELEMENT_OPERATION_COUNT = ITAGGABLE_OPERATION_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.HwDefinitionImpl <em>Hw Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.HwDefinitionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getHwDefinition()
	 * @generated
	 */
	int HW_DEFINITION = 195;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DEFINITION__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DEFINITION__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DEFINITION__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DEFINITION__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DEFINITION__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Hw Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DEFINITION_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DEFINITION___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DEFINITION___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DEFINITION___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DEFINITION___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DEFINITION___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DEFINITION___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Hw Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DEFINITION_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessingUnitDefinitionImpl <em>Processing Unit Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessingUnitDefinitionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessingUnitDefinition()
	 * @generated
	 */
	int PROCESSING_UNIT_DEFINITION = 196;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION__CUSTOM_PROPERTIES = HW_DEFINITION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION__NAME = HW_DEFINITION__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION__QUALIFIED_NAME = HW_DEFINITION__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION__UNIQUE_NAME = HW_DEFINITION__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION__TAGS = HW_DEFINITION__TAGS;

	/**
	 * The feature id for the '<em><b>Pu Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION__PU_TYPE = HW_DEFINITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Features</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION__FEATURES = HW_DEFINITION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Classifiers</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION__CLASSIFIERS = HW_DEFINITION_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Processing Unit Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION_FEATURE_COUNT = HW_DEFINITION_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION___GET_NAMED_CONTAINER = HW_DEFINITION___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION___GET_NAME_PREFIX = HW_DEFINITION___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS = HW_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION___GET_DEFAULT_NAME_SEPARATOR = HW_DEFINITION___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION___GET_NAMESPACE = HW_DEFINITION___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION___GET_NAME_PREFIX_SEGMENTS = HW_DEFINITION___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION___GET_ENCODED_QUALIFIED_NAME = HW_DEFINITION___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = HW_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Processing Unit Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESSING_UNIT_DEFINITION_OPERATION_COUNT = HW_DEFINITION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ConnectionHandlerDefinitionImpl <em>Connection Handler Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ConnectionHandlerDefinitionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getConnectionHandlerDefinition()
	 * @generated
	 */
	int CONNECTION_HANDLER_DEFINITION = 197;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION__CUSTOM_PROPERTIES = HW_DEFINITION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION__NAME = HW_DEFINITION__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION__QUALIFIED_NAME = HW_DEFINITION__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION__UNIQUE_NAME = HW_DEFINITION__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION__TAGS = HW_DEFINITION__TAGS;

	/**
	 * The feature id for the '<em><b>Policy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION__POLICY = HW_DEFINITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Read Latency</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION__READ_LATENCY = HW_DEFINITION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Write Latency</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION__WRITE_LATENCY = HW_DEFINITION_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Data Rate</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION__DATA_RATE = HW_DEFINITION_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Max Burst Size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION__MAX_BURST_SIZE = HW_DEFINITION_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Max Concurrent Transfers</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION__MAX_CONCURRENT_TRANSFERS = HW_DEFINITION_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Connection Handler Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION_FEATURE_COUNT = HW_DEFINITION_FEATURE_COUNT + 6;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION___GET_NAMED_CONTAINER = HW_DEFINITION___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION___GET_NAME_PREFIX = HW_DEFINITION___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS = HW_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION___GET_DEFAULT_NAME_SEPARATOR = HW_DEFINITION___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION___GET_NAMESPACE = HW_DEFINITION___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION___GET_NAME_PREFIX_SEGMENTS = HW_DEFINITION___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION___GET_ENCODED_QUALIFIED_NAME = HW_DEFINITION___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = HW_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Connection Handler Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONNECTION_HANDLER_DEFINITION_OPERATION_COUNT = HW_DEFINITION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.MemoryDefinitionImpl <em>Memory Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.MemoryDefinitionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getMemoryDefinition()
	 * @generated
	 */
	int MEMORY_DEFINITION = 198;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION__CUSTOM_PROPERTIES = HW_DEFINITION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION__NAME = HW_DEFINITION__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION__QUALIFIED_NAME = HW_DEFINITION__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION__UNIQUE_NAME = HW_DEFINITION__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION__TAGS = HW_DEFINITION__TAGS;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION__SIZE = HW_DEFINITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Access Latency</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION__ACCESS_LATENCY = HW_DEFINITION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Data Rate</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION__DATA_RATE = HW_DEFINITION_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Memory Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION__MEMORY_TYPE = HW_DEFINITION_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Classifiers</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION__CLASSIFIERS = HW_DEFINITION_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Memory Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION_FEATURE_COUNT = HW_DEFINITION_FEATURE_COUNT + 5;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION___GET_NAMED_CONTAINER = HW_DEFINITION___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION___GET_NAME_PREFIX = HW_DEFINITION___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS = HW_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION___GET_DEFAULT_NAME_SEPARATOR = HW_DEFINITION___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION___GET_NAMESPACE = HW_DEFINITION___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION___GET_NAME_PREFIX_SEGMENTS = HW_DEFINITION___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION___GET_ENCODED_QUALIFIED_NAME = HW_DEFINITION___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = HW_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Memory Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_DEFINITION_OPERATION_COUNT = HW_DEFINITION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CacheDefinitionImpl <em>Cache Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CacheDefinitionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCacheDefinition()
	 * @generated
	 */
	int CACHE_DEFINITION = 199;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION__CUSTOM_PROPERTIES = HW_DEFINITION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION__NAME = HW_DEFINITION__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION__QUALIFIED_NAME = HW_DEFINITION__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION__UNIQUE_NAME = HW_DEFINITION__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION__TAGS = HW_DEFINITION__TAGS;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION__SIZE = HW_DEFINITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Line Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION__LINE_SIZE = HW_DEFINITION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Access Latency</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION__ACCESS_LATENCY = HW_DEFINITION_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Cache Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION__CACHE_TYPE = HW_DEFINITION_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Write Strategy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION__WRITE_STRATEGY = HW_DEFINITION_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>NWays</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION__NWAYS = HW_DEFINITION_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Coherency</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION__COHERENCY = HW_DEFINITION_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Exclusive</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION__EXCLUSIVE = HW_DEFINITION_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Hit Rate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION__HIT_RATE = HW_DEFINITION_FEATURE_COUNT + 8;

	/**
	 * The number of structural features of the '<em>Cache Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION_FEATURE_COUNT = HW_DEFINITION_FEATURE_COUNT + 9;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION___GET_NAMED_CONTAINER = HW_DEFINITION___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION___GET_NAME_PREFIX = HW_DEFINITION___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS = HW_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION___GET_DEFAULT_NAME_SEPARATOR = HW_DEFINITION___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION___GET_NAMESPACE = HW_DEFINITION___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION___GET_NAME_PREFIX_SEGMENTS = HW_DEFINITION___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION___GET_ENCODED_QUALIFIED_NAME = HW_DEFINITION___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = HW_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Cache Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CACHE_DEFINITION_OPERATION_COUNT = HW_DEFINITION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.HwPathImpl <em>Hw Path</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.HwPathImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getHwPath()
	 * @generated
	 */
	int HW_PATH = 200;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH__SOURCE = 0;

	/**
	 * The feature id for the '<em><b>Destination</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH__DESTINATION = 1;

	/**
	 * The number of structural features of the '<em>Hw Path</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_FEATURE_COUNT = 2;

	/**
	 * The operation id for the '<em>Get Containing Access Element</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH___GET_CONTAINING_ACCESS_ELEMENT = 0;

	/**
	 * The number of operations of the '<em>Hw Path</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_OPERATION_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.HwAccessPathImpl <em>Hw Access Path</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.HwAccessPathImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getHwAccessPath()
	 * @generated
	 */
	int HW_ACCESS_PATH = 201;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH__SOURCE = HW_PATH__SOURCE;

	/**
	 * The feature id for the '<em><b>Destination</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH__DESTINATION = HW_PATH__DESTINATION;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH__NAME = HW_PATH_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH__QUALIFIED_NAME = HW_PATH_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Containing Access Element</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH__CONTAINING_ACCESS_ELEMENT = HW_PATH_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Path Elements</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH__PATH_ELEMENTS = HW_PATH_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Start Address</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH__START_ADDRESS = HW_PATH_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>End Address</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH__END_ADDRESS = HW_PATH_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Mem Offset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH__MEM_OFFSET = HW_PATH_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Hw Access Path</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH_FEATURE_COUNT = HW_PATH_FEATURE_COUNT + 7;

	/**
	 * The operation id for the '<em>Get Containing Access Element</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH___GET_CONTAINING_ACCESS_ELEMENT = HW_PATH___GET_CONTAINING_ACCESS_ELEMENT;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH___GET_NAMED_CONTAINER = HW_PATH_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH___GET_NAME_PREFIX = HW_PATH_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH___GET_QUALIFIED_NAME_SEGMENTS = HW_PATH_OPERATION_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH___GET_DEFAULT_NAME_SEPARATOR = HW_PATH_OPERATION_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH___GET_NAMESPACE = HW_PATH_OPERATION_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH___GET_NAME_PREFIX_SEGMENTS = HW_PATH_OPERATION_COUNT + 5;

	/**
	 * The number of operations of the '<em>Hw Access Path</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_ACCESS_PATH_OPERATION_COUNT = HW_PATH_OPERATION_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.HwPathElement <em>Hw Path Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.HwPathElement
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getHwPathElement()
	 * @generated
	 */
	int HW_PATH_ELEMENT = 202;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_ELEMENT__NAME = IREFERABLE__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_ELEMENT__QUALIFIED_NAME = IREFERABLE__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_ELEMENT__UNIQUE_NAME = IREFERABLE__UNIQUE_NAME;

	/**
	 * The number of structural features of the '<em>Hw Path Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_ELEMENT_FEATURE_COUNT = IREFERABLE_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_ELEMENT___GET_NAMED_CONTAINER = IREFERABLE___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_ELEMENT___GET_NAME_PREFIX = IREFERABLE___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_ELEMENT___GET_QUALIFIED_NAME_SEGMENTS = IREFERABLE___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_ELEMENT___GET_DEFAULT_NAME_SEPARATOR = IREFERABLE___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_ELEMENT___GET_NAMESPACE = IREFERABLE___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_ELEMENT___GET_NAME_PREFIX_SEGMENTS = IREFERABLE___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_ELEMENT___GET_ENCODED_QUALIFIED_NAME = IREFERABLE___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_ELEMENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = IREFERABLE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Ports</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_ELEMENT___GET_PORTS = IREFERABLE_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Hw Path Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_PATH_ELEMENT_OPERATION_COUNT = IREFERABLE_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.HwDestination <em>Hw Destination</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.HwDestination
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getHwDestination()
	 * @generated
	 */
	int HW_DESTINATION = 203;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DESTINATION__NAME = IREFERABLE__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DESTINATION__QUALIFIED_NAME = IREFERABLE__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DESTINATION__UNIQUE_NAME = IREFERABLE__UNIQUE_NAME;

	/**
	 * The number of structural features of the '<em>Hw Destination</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DESTINATION_FEATURE_COUNT = IREFERABLE_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DESTINATION___GET_NAMED_CONTAINER = IREFERABLE___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DESTINATION___GET_NAME_PREFIX = IREFERABLE___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DESTINATION___GET_QUALIFIED_NAME_SEGMENTS = IREFERABLE___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DESTINATION___GET_DEFAULT_NAME_SEPARATOR = IREFERABLE___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DESTINATION___GET_NAMESPACE = IREFERABLE___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DESTINATION___GET_NAME_PREFIX_SEGMENTS = IREFERABLE___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DESTINATION___GET_ENCODED_QUALIFIED_NAME = IREFERABLE___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DESTINATION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = IREFERABLE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Ports</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DESTINATION___GET_PORTS = IREFERABLE_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Hw Destination</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HW_DESTINATION_OPERATION_COUNT = IREFERABLE_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.MappingModelImpl <em>Mapping Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.MappingModelImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getMappingModel()
	 * @generated
	 */
	int MAPPING_MODEL = 204;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAPPING_MODEL__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Scheduler Allocation</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAPPING_MODEL__SCHEDULER_ALLOCATION = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Runnable Allocation</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAPPING_MODEL__RUNNABLE_ALLOCATION = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Task Allocation</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAPPING_MODEL__TASK_ALLOCATION = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Isr Allocation</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAPPING_MODEL__ISR_ALLOCATION = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Memory Mapping</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAPPING_MODEL__MEMORY_MAPPING = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Physical Section Mapping</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAPPING_MODEL__PHYSICAL_SECTION_MAPPING = BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Address Mapping Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAPPING_MODEL__ADDRESS_MAPPING_TYPE = BASE_OBJECT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Mapping Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAPPING_MODEL_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 7;

	/**
	 * The number of operations of the '<em>Mapping Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAPPING_MODEL_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SchedulerAllocationImpl <em>Scheduler Allocation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SchedulerAllocationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSchedulerAllocation()
	 * @generated
	 */
	int SCHEDULER_ALLOCATION = 205;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_ALLOCATION__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Scheduler</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_ALLOCATION__SCHEDULER = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Responsibility</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_ALLOCATION__RESPONSIBILITY = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Executing PU</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_ALLOCATION__EXECUTING_PU = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Scheduler Allocation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_ALLOCATION_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Scheduler Allocation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_ALLOCATION_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TaskAllocationImpl <em>Task Allocation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TaskAllocationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTaskAllocation()
	 * @generated
	 */
	int TASK_ALLOCATION = 206;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_ALLOCATION__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Scheduling Parameters</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_ALLOCATION__SCHEDULING_PARAMETERS = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Task</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_ALLOCATION__TASK = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Scheduler</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_ALLOCATION__SCHEDULER = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Affinity</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_ALLOCATION__AFFINITY = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Task Allocation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_ALLOCATION_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The number of operations of the '<em>Task Allocation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_ALLOCATION_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ISRAllocationImpl <em>ISR Allocation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ISRAllocationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getISRAllocation()
	 * @generated
	 */
	int ISR_ALLOCATION = 207;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR_ALLOCATION__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Isr</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR_ALLOCATION__ISR = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Controller</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR_ALLOCATION__CONTROLLER = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Priority</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR_ALLOCATION__PRIORITY = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>ISR Allocation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR_ALLOCATION_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>ISR Allocation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR_ALLOCATION_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunnableAllocationImpl <em>Runnable Allocation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunnableAllocationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnableAllocation()
	 * @generated
	 */
	int RUNNABLE_ALLOCATION = 208;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_ALLOCATION__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Scheduler</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_ALLOCATION__SCHEDULER = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Entity</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_ALLOCATION__ENTITY = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Runnable Allocation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_ALLOCATION_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Runnable Allocation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_ALLOCATION_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.MemoryMappingImpl <em>Memory Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.MemoryMappingImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getMemoryMapping()
	 * @generated
	 */
	int MEMORY_MAPPING = 209;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_MAPPING__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Abstract Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_MAPPING__ABSTRACT_ELEMENT = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Memory</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_MAPPING__MEMORY = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Memory Position Address</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_MAPPING__MEMORY_POSITION_ADDRESS = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Memory Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_MAPPING_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Memory Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_MAPPING_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.PhysicalSectionMappingImpl <em>Physical Section Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.PhysicalSectionMappingImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPhysicalSectionMapping()
	 * @generated
	 */
	int PHYSICAL_SECTION_MAPPING = 210;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Origin</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING__ORIGIN = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Memory</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING__MEMORY = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Start Address</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING__START_ADDRESS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>End Address</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING__END_ADDRESS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Labels</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING__LABELS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Run Entities</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING__RUN_ENTITIES = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Physical Section Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 6;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Physical Section Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PHYSICAL_SECTION_MAPPING_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.OSModelImpl <em>OS Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.OSModelImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getOSModel()
	 * @generated
	 */
	int OS_MODEL = 211;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_MODEL__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Semaphores</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_MODEL__SEMAPHORES = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Operating Systems</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_MODEL__OPERATING_SYSTEMS = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Os Overheads</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_MODEL__OS_OVERHEADS = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Scheduler Definitions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_MODEL__SCHEDULER_DEFINITIONS = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Scheduling Parameter Definitions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_MODEL__SCHEDULING_PARAMETER_DEFINITIONS = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>OS Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_MODEL_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The number of operations of the '<em>OS Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_MODEL_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.OsDataConsistencyImpl <em>Os Data Consistency</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.OsDataConsistencyImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getOsDataConsistency()
	 * @generated
	 */
	int OS_DATA_CONSISTENCY = 212;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DATA_CONSISTENCY__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DATA_CONSISTENCY__MODE = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Data Stability</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DATA_CONSISTENCY__DATA_STABILITY = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Non Atomic Data Coherency</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DATA_CONSISTENCY__NON_ATOMIC_DATA_COHERENCY = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Os Data Consistency</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DATA_CONSISTENCY_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Os Data Consistency</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DATA_CONSISTENCY_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataStabilityImpl <em>Data Stability</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataStabilityImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataStability()
	 * @generated
	 */
	int DATA_STABILITY = 213;

	/**
	 * The feature id for the '<em><b>Enabled</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY__ENABLED = 0;

	/**
	 * The feature id for the '<em><b>Algorithm</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY__ALGORITHM = 1;

	/**
	 * The feature id for the '<em><b>Access Multiplicity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY__ACCESS_MULTIPLICITY = 2;

	/**
	 * The feature id for the '<em><b>Level</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY__LEVEL = 3;

	/**
	 * The number of structural features of the '<em>Data Stability</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>Data Stability</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_STABILITY_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.NonAtomicDataCoherencyImpl <em>Non Atomic Data Coherency</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.NonAtomicDataCoherencyImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getNonAtomicDataCoherency()
	 * @generated
	 */
	int NON_ATOMIC_DATA_COHERENCY = 214;

	/**
	 * The feature id for the '<em><b>Enabled</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NON_ATOMIC_DATA_COHERENCY__ENABLED = 0;

	/**
	 * The feature id for the '<em><b>Algorithm</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NON_ATOMIC_DATA_COHERENCY__ALGORITHM = 1;

	/**
	 * The feature id for the '<em><b>Access Multiplicity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NON_ATOMIC_DATA_COHERENCY__ACCESS_MULTIPLICITY = 2;

	/**
	 * The number of structural features of the '<em>Non Atomic Data Coherency</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NON_ATOMIC_DATA_COHERENCY_FEATURE_COUNT = 3;

	/**
	 * The number of operations of the '<em>Non Atomic Data Coherency</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NON_ATOMIC_DATA_COHERENCY_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SemaphoreImpl <em>Semaphore</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SemaphoreImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSemaphore()
	 * @generated
	 */
	int SEMAPHORE = 215;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Semaphore Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE__SEMAPHORE_TYPE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Initial Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE__INITIAL_VALUE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Max Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE__MAX_VALUE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Ownership</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE__OWNERSHIP = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Priority Ceiling Protocol</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE__PRIORITY_CEILING_PROTOCOL = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Semaphore Accesses</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE__SEMAPHORE_ACCESSES = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Referring Components</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE__REFERRING_COMPONENTS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Semaphore</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 7;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Semaphore</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SchedulerImpl <em>Scheduler</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SchedulerImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getScheduler()
	 * @generated
	 */
	int SCHEDULER = 216;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Scheduling Parameters</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER__SCHEDULING_PARAMETERS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Definition</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER__DEFINITION = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Computation Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER__COMPUTATION_ITEMS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Scheduler Allocations</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER__SCHEDULER_ALLOCATIONS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Runnable Allocations</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER__RUNNABLE_ALLOCATIONS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Scheduler</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Scheduler</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TaskSchedulerImpl <em>Task Scheduler</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TaskSchedulerImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTaskScheduler()
	 * @generated
	 */
	int TASK_SCHEDULER = 217;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER__CUSTOM_PROPERTIES = SCHEDULER__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER__NAME = SCHEDULER__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER__QUALIFIED_NAME = SCHEDULER__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER__UNIQUE_NAME = SCHEDULER__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Scheduling Parameters</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER__SCHEDULING_PARAMETERS = SCHEDULER__SCHEDULING_PARAMETERS;

	/**
	 * The feature id for the '<em><b>Definition</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER__DEFINITION = SCHEDULER__DEFINITION;

	/**
	 * The feature id for the '<em><b>Computation Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER__COMPUTATION_ITEMS = SCHEDULER__COMPUTATION_ITEMS;

	/**
	 * The feature id for the '<em><b>Scheduler Allocations</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER__SCHEDULER_ALLOCATIONS = SCHEDULER__SCHEDULER_ALLOCATIONS;

	/**
	 * The feature id for the '<em><b>Runnable Allocations</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER__RUNNABLE_ALLOCATIONS = SCHEDULER__RUNNABLE_ALLOCATIONS;

	/**
	 * The feature id for the '<em><b>Parent Association</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER__PARENT_ASSOCIATION = SCHEDULER_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Child Associations</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER__CHILD_ASSOCIATIONS = SCHEDULER_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Task Allocations</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER__TASK_ALLOCATIONS = SCHEDULER_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Parent Scheduler</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER__PARENT_SCHEDULER = SCHEDULER_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Child Schedulers</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER__CHILD_SCHEDULERS = SCHEDULER_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Task Scheduler</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER_FEATURE_COUNT = SCHEDULER_FEATURE_COUNT + 5;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER___GET_NAMED_CONTAINER = SCHEDULER___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER___GET_NAME_PREFIX = SCHEDULER___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER___GET_QUALIFIED_NAME_SEGMENTS = SCHEDULER___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER___GET_DEFAULT_NAME_SEPARATOR = SCHEDULER___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER___GET_NAMESPACE = SCHEDULER___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER___GET_NAME_PREFIX_SEGMENTS = SCHEDULER___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER___GET_ENCODED_QUALIFIED_NAME = SCHEDULER___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = SCHEDULER___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Task Scheduler</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_SCHEDULER_OPERATION_COUNT = SCHEDULER_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ISchedulingParameterContainer <em>IScheduling Parameter Container</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ISchedulingParameterContainer
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getISchedulingParameterContainer()
	 * @generated
	 */
	int ISCHEDULING_PARAMETER_CONTAINER = 223;

	/**
	 * The feature id for the '<em><b>Scheduling Parameters</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISCHEDULING_PARAMETER_CONTAINER__SCHEDULING_PARAMETERS = 0;

	/**
	 * The number of structural features of the '<em>IScheduling Parameter Container</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISCHEDULING_PARAMETER_CONTAINER_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>IScheduling Parameter Container</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISCHEDULING_PARAMETER_CONTAINER_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SchedulerAssociationImpl <em>Scheduler Association</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SchedulerAssociationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSchedulerAssociation()
	 * @generated
	 */
	int SCHEDULER_ASSOCIATION = 218;

	/**
	 * The feature id for the '<em><b>Scheduling Parameters</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_ASSOCIATION__SCHEDULING_PARAMETERS = ISCHEDULING_PARAMETER_CONTAINER__SCHEDULING_PARAMETERS;

	/**
	 * The feature id for the '<em><b>Child</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_ASSOCIATION__CHILD = ISCHEDULING_PARAMETER_CONTAINER_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Parent</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_ASSOCIATION__PARENT = ISCHEDULING_PARAMETER_CONTAINER_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Scheduler Association</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_ASSOCIATION_FEATURE_COUNT = ISCHEDULING_PARAMETER_CONTAINER_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Scheduler Association</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_ASSOCIATION_OPERATION_COUNT = ISCHEDULING_PARAMETER_CONTAINER_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.InterruptControllerImpl <em>Interrupt Controller</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.InterruptControllerImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getInterruptController()
	 * @generated
	 */
	int INTERRUPT_CONTROLLER = 219;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER__CUSTOM_PROPERTIES = SCHEDULER__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER__NAME = SCHEDULER__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER__QUALIFIED_NAME = SCHEDULER__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER__UNIQUE_NAME = SCHEDULER__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Scheduling Parameters</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER__SCHEDULING_PARAMETERS = SCHEDULER__SCHEDULING_PARAMETERS;

	/**
	 * The feature id for the '<em><b>Definition</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER__DEFINITION = SCHEDULER__DEFINITION;

	/**
	 * The feature id for the '<em><b>Computation Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER__COMPUTATION_ITEMS = SCHEDULER__COMPUTATION_ITEMS;

	/**
	 * The feature id for the '<em><b>Scheduler Allocations</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER__SCHEDULER_ALLOCATIONS = SCHEDULER__SCHEDULER_ALLOCATIONS;

	/**
	 * The feature id for the '<em><b>Runnable Allocations</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER__RUNNABLE_ALLOCATIONS = SCHEDULER__RUNNABLE_ALLOCATIONS;

	/**
	 * The feature id for the '<em><b>Isr Allocations</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER__ISR_ALLOCATIONS = SCHEDULER_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Interrupt Controller</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER_FEATURE_COUNT = SCHEDULER_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER___GET_NAMED_CONTAINER = SCHEDULER___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER___GET_NAME_PREFIX = SCHEDULER___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER___GET_QUALIFIED_NAME_SEGMENTS = SCHEDULER___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER___GET_DEFAULT_NAME_SEPARATOR = SCHEDULER___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER___GET_NAMESPACE = SCHEDULER___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER___GET_NAME_PREFIX_SEGMENTS = SCHEDULER___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER___GET_ENCODED_QUALIFIED_NAME = SCHEDULER___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = SCHEDULER___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Interrupt Controller</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTERRUPT_CONTROLLER_OPERATION_COUNT = SCHEDULER_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.OsDefinitionImpl <em>Os Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.OsDefinitionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getOsDefinition()
	 * @generated
	 */
	int OS_DEFINITION = 220;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DEFINITION__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DEFINITION__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DEFINITION__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DEFINITION__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DEFINITION__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Os Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DEFINITION_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DEFINITION___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DEFINITION___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DEFINITION___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DEFINITION___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DEFINITION___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DEFINITION___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Os Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_DEFINITION_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SchedulerDefinitionImpl <em>Scheduler Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SchedulerDefinitionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSchedulerDefinition()
	 * @generated
	 */
	int SCHEDULER_DEFINITION = 221;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION__CUSTOM_PROPERTIES = OS_DEFINITION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION__NAME = OS_DEFINITION__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION__QUALIFIED_NAME = OS_DEFINITION__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION__UNIQUE_NAME = OS_DEFINITION__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION__TAGS = OS_DEFINITION__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION__DESCRIPTION = OS_DEFINITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Algorithm Parameters</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION__ALGORITHM_PARAMETERS = OS_DEFINITION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Process Parameters</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION__PROCESS_PARAMETERS = OS_DEFINITION_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Requires Parent Scheduler</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION__REQUIRES_PARENT_SCHEDULER = OS_DEFINITION_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Passes Parameters Upwards</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION__PASSES_PARAMETERS_UPWARDS = OS_DEFINITION_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Has Exactly One Child</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION__HAS_EXACTLY_ONE_CHILD = OS_DEFINITION_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Scheduler Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION_FEATURE_COUNT = OS_DEFINITION_FEATURE_COUNT + 6;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION___GET_NAMED_CONTAINER = OS_DEFINITION___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION___GET_NAME_PREFIX = OS_DEFINITION___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS = OS_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION___GET_DEFAULT_NAME_SEPARATOR = OS_DEFINITION___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION___GET_NAMESPACE = OS_DEFINITION___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION___GET_NAME_PREFIX_SEGMENTS = OS_DEFINITION___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION___GET_ENCODED_QUALIFIED_NAME = OS_DEFINITION___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = OS_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Scheduler Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULER_DEFINITION_OPERATION_COUNT = OS_DEFINITION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SchedulingParameterDefinitionImpl <em>Scheduling Parameter Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SchedulingParameterDefinitionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSchedulingParameterDefinition()
	 * @generated
	 */
	int SCHEDULING_PARAMETER_DEFINITION = 222;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION__CUSTOM_PROPERTIES = OS_DEFINITION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION__NAME = OS_DEFINITION__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION__QUALIFIED_NAME = OS_DEFINITION__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION__UNIQUE_NAME = OS_DEFINITION__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION__TAGS = OS_DEFINITION__TAGS;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION__TYPE = OS_DEFINITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Many</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION__MANY = OS_DEFINITION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Mandatory</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION__MANDATORY = OS_DEFINITION_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Default Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION__DEFAULT_VALUE = OS_DEFINITION_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Scheduler Definitions</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION__SCHEDULER_DEFINITIONS = OS_DEFINITION_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Scheduling Parameter Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION_FEATURE_COUNT = OS_DEFINITION_FEATURE_COUNT + 5;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION___GET_NAMED_CONTAINER = OS_DEFINITION___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION___GET_NAME_PREFIX = OS_DEFINITION___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS = OS_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION___GET_DEFAULT_NAME_SEPARATOR = OS_DEFINITION___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION___GET_NAMESPACE = OS_DEFINITION___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION___GET_NAME_PREFIX_SEGMENTS = OS_DEFINITION___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION___GET_ENCODED_QUALIFIED_NAME = OS_DEFINITION___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = OS_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Scheduling Parameter Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_DEFINITION_OPERATION_COUNT = OS_DEFINITION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SchedulingParameterImpl <em>Scheduling Parameter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SchedulingParameterImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSchedulingParameter()
	 * @generated
	 */
	int SCHEDULING_PARAMETER = 224;

	/**
	 * The feature id for the '<em><b>Key</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER__KEY = 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER__VALUE = 1;

	/**
	 * The number of structural features of the '<em>Scheduling Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Scheduling Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULING_PARAMETER_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.OsOverheadImpl <em>Os Overhead</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.OsOverheadImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getOsOverhead()
	 * @generated
	 */
	int OS_OVERHEAD = 225;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD__CUSTOM_PROPERTIES = OS_DEFINITION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD__NAME = OS_DEFINITION__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD__QUALIFIED_NAME = OS_DEFINITION__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD__UNIQUE_NAME = OS_DEFINITION__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD__TAGS = OS_DEFINITION__TAGS;

	/**
	 * The feature id for the '<em><b>Api Overhead</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD__API_OVERHEAD = OS_DEFINITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Isr Category1 Overhead</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD__ISR_CATEGORY1_OVERHEAD = OS_DEFINITION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Isr Category2 Overhead</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD__ISR_CATEGORY2_OVERHEAD = OS_DEFINITION_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Os Overhead</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD_FEATURE_COUNT = OS_DEFINITION_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD___GET_NAMED_CONTAINER = OS_DEFINITION___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD___GET_NAME_PREFIX = OS_DEFINITION___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD___GET_QUALIFIED_NAME_SEGMENTS = OS_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD___GET_DEFAULT_NAME_SEPARATOR = OS_DEFINITION___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD___GET_NAMESPACE = OS_DEFINITION___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD___GET_NAME_PREFIX_SEGMENTS = OS_DEFINITION___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD___GET_ENCODED_QUALIFIED_NAME = OS_DEFINITION___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = OS_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Os Overhead</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_OVERHEAD_OPERATION_COUNT = OS_DEFINITION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.OsAPIOverheadImpl <em>Os API Overhead</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.OsAPIOverheadImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getOsAPIOverhead()
	 * @generated
	 */
	int OS_API_OVERHEAD = 226;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Api Send Message</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_SEND_MESSAGE = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Api Terminate Task</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_TERMINATE_TASK = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Api Schedule</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_SCHEDULE = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Api Request Resource</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_REQUEST_RESOURCE = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Api Release Resource</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_RELEASE_RESOURCE = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Api Set Event</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_SET_EVENT = BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Api Wait Event</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_WAIT_EVENT = BASE_OBJECT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Api Clear Event</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_CLEAR_EVENT = BASE_OBJECT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Api Activate Task</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_ACTIVATE_TASK = BASE_OBJECT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Api Enforced Migration</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_ENFORCED_MIGRATION = BASE_OBJECT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Api Suspend Os Interrupts</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_SUSPEND_OS_INTERRUPTS = BASE_OBJECT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Api Resume Os Interrupts</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_RESUME_OS_INTERRUPTS = BASE_OBJECT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Api Request Spinlock</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_REQUEST_SPINLOCK = BASE_OBJECT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Api Release Spinlock</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_RELEASE_SPINLOCK = BASE_OBJECT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Api Sender Receiver Read</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_SENDER_RECEIVER_READ = BASE_OBJECT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Api Sender Receiver Write</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_SENDER_RECEIVER_WRITE = BASE_OBJECT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Api Synchronous Server Call Point</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_SYNCHRONOUS_SERVER_CALL_POINT = BASE_OBJECT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Api Ioc Read</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_IOC_READ = BASE_OBJECT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Api Ioc Write</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD__API_IOC_WRITE = BASE_OBJECT_FEATURE_COUNT + 18;

	/**
	 * The number of structural features of the '<em>Os API Overhead</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 19;

	/**
	 * The number of operations of the '<em>Os API Overhead</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_API_OVERHEAD_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.OsISROverheadImpl <em>Os ISR Overhead</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.OsISROverheadImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getOsISROverhead()
	 * @generated
	 */
	int OS_ISR_OVERHEAD = 227;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_ISR_OVERHEAD__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Pre Execution Overhead</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_ISR_OVERHEAD__PRE_EXECUTION_OVERHEAD = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Post Execution Overhead</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_ISR_OVERHEAD__POST_EXECUTION_OVERHEAD = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Os ISR Overhead</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_ISR_OVERHEAD_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Os ISR Overhead</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_ISR_OVERHEAD_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.OperatingSystemImpl <em>Operating System</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.OperatingSystemImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getOperatingSystem()
	 * @generated
	 */
	int OPERATING_SYSTEM = 228;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATING_SYSTEM__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATING_SYSTEM__NAME = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATING_SYSTEM__QUALIFIED_NAME = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Overhead</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATING_SYSTEM__OVERHEAD = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Task Schedulers</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATING_SYSTEM__TASK_SCHEDULERS = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Interrupt Controllers</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATING_SYSTEM__INTERRUPT_CONTROLLERS = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Os Data Consistency</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATING_SYSTEM__OS_DATA_CONSISTENCY = BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Operating System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATING_SYSTEM_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 6;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATING_SYSTEM___GET_NAMED_CONTAINER = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATING_SYSTEM___GET_NAME_PREFIX = BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATING_SYSTEM___GET_QUALIFIED_NAME_SEGMENTS = BASE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATING_SYSTEM___GET_DEFAULT_NAME_SEPARATOR = BASE_OBJECT_OPERATION_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATING_SYSTEM___GET_NAMESPACE = BASE_OBJECT_OPERATION_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATING_SYSTEM___GET_NAME_PREFIX_SEGMENTS = BASE_OBJECT_OPERATION_COUNT + 5;

	/**
	 * The number of operations of the '<em>Operating System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPERATING_SYSTEM_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.VendorOperatingSystemImpl <em>Vendor Operating System</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.VendorOperatingSystemImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getVendorOperatingSystem()
	 * @generated
	 */
	int VENDOR_OPERATING_SYSTEM = 229;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM__CUSTOM_PROPERTIES = OPERATING_SYSTEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM__NAME = OPERATING_SYSTEM__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM__QUALIFIED_NAME = OPERATING_SYSTEM__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Overhead</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM__OVERHEAD = OPERATING_SYSTEM__OVERHEAD;

	/**
	 * The feature id for the '<em><b>Task Schedulers</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM__TASK_SCHEDULERS = OPERATING_SYSTEM__TASK_SCHEDULERS;

	/**
	 * The feature id for the '<em><b>Interrupt Controllers</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM__INTERRUPT_CONTROLLERS = OPERATING_SYSTEM__INTERRUPT_CONTROLLERS;

	/**
	 * The feature id for the '<em><b>Os Data Consistency</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM__OS_DATA_CONSISTENCY = OPERATING_SYSTEM__OS_DATA_CONSISTENCY;

	/**
	 * The feature id for the '<em><b>Os Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM__OS_NAME = OPERATING_SYSTEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Vendor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM__VENDOR = OPERATING_SYSTEM_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Version</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM__VERSION = OPERATING_SYSTEM_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Vendor Operating System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM_FEATURE_COUNT = OPERATING_SYSTEM_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM___GET_NAMED_CONTAINER = OPERATING_SYSTEM___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM___GET_NAME_PREFIX = OPERATING_SYSTEM___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM___GET_QUALIFIED_NAME_SEGMENTS = OPERATING_SYSTEM___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM___GET_DEFAULT_NAME_SEPARATOR = OPERATING_SYSTEM___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM___GET_NAMESPACE = OPERATING_SYSTEM___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM___GET_NAME_PREFIX_SEGMENTS = OPERATING_SYSTEM___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The number of operations of the '<em>Vendor Operating System</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VENDOR_OPERATING_SYSTEM_OPERATION_COUNT = OPERATING_SYSTEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.PropertyConstraintsModelImpl <em>Property Constraints Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.PropertyConstraintsModelImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPropertyConstraintsModel()
	 * @generated
	 */
	int PROPERTY_CONSTRAINTS_MODEL = 230;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY_CONSTRAINTS_MODEL__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Allocation Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY_CONSTRAINTS_MODEL__ALLOCATION_CONSTRAINTS = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Mapping Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY_CONSTRAINTS_MODEL__MAPPING_CONSTRAINTS = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Property Constraints Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY_CONSTRAINTS_MODEL_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Property Constraints Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY_CONSTRAINTS_MODEL_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CoreAllocationConstraintImpl <em>Core Allocation Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CoreAllocationConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCoreAllocationConstraint()
	 * @generated
	 */
	int CORE_ALLOCATION_CONSTRAINT = 231;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_ALLOCATION_CONSTRAINT__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Core Classification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_ALLOCATION_CONSTRAINT__CORE_CLASSIFICATION = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Core Allocation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_ALLOCATION_CONSTRAINT_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Core Allocation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_ALLOCATION_CONSTRAINT_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.MemoryMappingConstraintImpl <em>Memory Mapping Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.MemoryMappingConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getMemoryMappingConstraint()
	 * @generated
	 */
	int MEMORY_MAPPING_CONSTRAINT = 232;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_MAPPING_CONSTRAINT__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Memory Classification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_MAPPING_CONSTRAINT__MEMORY_CLASSIFICATION = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Memory Mapping Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_MAPPING_CONSTRAINT_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Memory Mapping Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_MAPPING_CONSTRAINT_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessAllocationConstraintImpl <em>Process Allocation Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessAllocationConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessAllocationConstraint()
	 * @generated
	 */
	int PROCESS_ALLOCATION_CONSTRAINT = 233;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_ALLOCATION_CONSTRAINT__CUSTOM_PROPERTIES = CORE_ALLOCATION_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Core Classification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_ALLOCATION_CONSTRAINT__CORE_CLASSIFICATION = CORE_ALLOCATION_CONSTRAINT__CORE_CLASSIFICATION;

	/**
	 * The feature id for the '<em><b>Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_ALLOCATION_CONSTRAINT__PROCESS = CORE_ALLOCATION_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Process Allocation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_ALLOCATION_CONSTRAINT_FEATURE_COUNT = CORE_ALLOCATION_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Process Allocation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_ALLOCATION_CONSTRAINT_OPERATION_COUNT = CORE_ALLOCATION_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessPrototypeAllocationConstraintImpl <em>Process Prototype Allocation Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessPrototypeAllocationConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessPrototypeAllocationConstraint()
	 * @generated
	 */
	int PROCESS_PROTOTYPE_ALLOCATION_CONSTRAINT = 234;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE_ALLOCATION_CONSTRAINT__CUSTOM_PROPERTIES = CORE_ALLOCATION_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Core Classification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE_ALLOCATION_CONSTRAINT__CORE_CLASSIFICATION = CORE_ALLOCATION_CONSTRAINT__CORE_CLASSIFICATION;

	/**
	 * The feature id for the '<em><b>Process Prototype</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE_ALLOCATION_CONSTRAINT__PROCESS_PROTOTYPE = CORE_ALLOCATION_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Process Prototype Allocation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE_ALLOCATION_CONSTRAINT_FEATURE_COUNT = CORE_ALLOCATION_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Process Prototype Allocation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE_ALLOCATION_CONSTRAINT_OPERATION_COUNT = CORE_ALLOCATION_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunnableAllocationConstraintImpl <em>Runnable Allocation Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunnableAllocationConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnableAllocationConstraint()
	 * @generated
	 */
	int RUNNABLE_ALLOCATION_CONSTRAINT = 235;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_ALLOCATION_CONSTRAINT__CUSTOM_PROPERTIES = CORE_ALLOCATION_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Core Classification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_ALLOCATION_CONSTRAINT__CORE_CLASSIFICATION = CORE_ALLOCATION_CONSTRAINT__CORE_CLASSIFICATION;

	/**
	 * The feature id for the '<em><b>Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_ALLOCATION_CONSTRAINT__RUNNABLE = CORE_ALLOCATION_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Runnable Allocation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_ALLOCATION_CONSTRAINT_FEATURE_COUNT = CORE_ALLOCATION_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Runnable Allocation Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_ALLOCATION_CONSTRAINT_OPERATION_COUNT = CORE_ALLOCATION_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.AbstractElementMappingConstraintImpl <em>Abstract Element Mapping Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AbstractElementMappingConstraintImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getAbstractElementMappingConstraint()
	 * @generated
	 */
	int ABSTRACT_ELEMENT_MAPPING_CONSTRAINT = 236;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_ELEMENT_MAPPING_CONSTRAINT__CUSTOM_PROPERTIES = MEMORY_MAPPING_CONSTRAINT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Memory Classification</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_ELEMENT_MAPPING_CONSTRAINT__MEMORY_CLASSIFICATION = MEMORY_MAPPING_CONSTRAINT__MEMORY_CLASSIFICATION;

	/**
	 * The feature id for the '<em><b>Abstract Element</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_ELEMENT_MAPPING_CONSTRAINT__ABSTRACT_ELEMENT = MEMORY_MAPPING_CONSTRAINT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Abstract Element Mapping Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_ELEMENT_MAPPING_CONSTRAINT_FEATURE_COUNT = MEMORY_MAPPING_CONSTRAINT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Abstract Element Mapping Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_ELEMENT_MAPPING_CONSTRAINT_OPERATION_COUNT = MEMORY_MAPPING_CONSTRAINT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ClassificationImpl <em>Classification</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ClassificationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getClassification()
	 * @generated
	 */
	int CLASSIFICATION = 237;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFICATION__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Condition</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFICATION__CONDITION = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Grouping</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFICATION__GROUPING = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Classification</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFICATION_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Classification</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLASSIFICATION_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CoreClassificationImpl <em>Core Classification</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CoreClassificationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCoreClassification()
	 * @generated
	 */
	int CORE_CLASSIFICATION = 238;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFICATION__CUSTOM_PROPERTIES = CLASSIFICATION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Condition</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFICATION__CONDITION = CLASSIFICATION__CONDITION;

	/**
	 * The feature id for the '<em><b>Grouping</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFICATION__GROUPING = CLASSIFICATION__GROUPING;

	/**
	 * The feature id for the '<em><b>Classifiers</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFICATION__CLASSIFIERS = CLASSIFICATION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Core Classification</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFICATION_FEATURE_COUNT = CLASSIFICATION_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Core Classification</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_CLASSIFICATION_OPERATION_COUNT = CLASSIFICATION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.MemoryClassificationImpl <em>Memory Classification</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.MemoryClassificationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getMemoryClassification()
	 * @generated
	 */
	int MEMORY_CLASSIFICATION = 239;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFICATION__CUSTOM_PROPERTIES = CLASSIFICATION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Condition</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFICATION__CONDITION = CLASSIFICATION__CONDITION;

	/**
	 * The feature id for the '<em><b>Grouping</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFICATION__GROUPING = CLASSIFICATION__GROUPING;

	/**
	 * The feature id for the '<em><b>Classifiers</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFICATION__CLASSIFIERS = CLASSIFICATION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Memory Classification</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFICATION_FEATURE_COUNT = CLASSIFICATION_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Memory Classification</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEMORY_CLASSIFICATION_OPERATION_COUNT = CLASSIFICATION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.StimuliModelImpl <em>Stimuli Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.StimuliModelImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getStimuliModel()
	 * @generated
	 */
	int STIMULI_MODEL = 240;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULI_MODEL__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Stimuli</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULI_MODEL__STIMULI = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Clocks</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULI_MODEL__CLOCKS = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Stimuli Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULI_MODEL_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Stimuli Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULI_MODEL_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.StimulusImpl <em>Stimulus</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.StimulusImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getStimulus()
	 * @generated
	 */
	int STIMULUS = 241;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Set Mode Value List</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS__SET_MODE_VALUE_LIST = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Execution Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS__EXECUTION_CONDITION = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Affected Processes</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS__AFFECTED_PROCESSES = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STIMULUS_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ModeValueListImpl <em>Mode Value List</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ModeValueListImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeValueList()
	 * @generated
	 */
	int MODE_VALUE_LIST = 242;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_LIST__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Entries</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_LIST__ENTRIES = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Mode Value List</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_LIST_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Mode Value List</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_LIST_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ModeValueMapEntryImpl <em>Mode Value Map Entry</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ModeValueMapEntryImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeValueMapEntry()
	 * @generated
	 */
	int MODE_VALUE_MAP_ENTRY = 243;

	/**
	 * The feature id for the '<em><b>Key</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_MAP_ENTRY__KEY = 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_MAP_ENTRY__VALUE = 1;

	/**
	 * The number of structural features of the '<em>Mode Value Map Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_MAP_ENTRY_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Mode Value Map Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_MAP_ENTRY_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ModeValueImpl <em>Mode Value</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ModeValueImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeValue()
	 * @generated
	 */
	int MODE_VALUE = 244;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Label</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE__LABEL = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE__VALUE = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Mode Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Literal</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE___GET_LITERAL = BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Integer</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE___GET_INTEGER = BASE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Mode Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ModeAssignmentImpl <em>Mode Assignment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ModeAssignmentImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeAssignment()
	 * @generated
	 */
	int MODE_ASSIGNMENT = 245;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_ASSIGNMENT__CUSTOM_PROPERTIES = MODE_VALUE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Label</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_ASSIGNMENT__LABEL = MODE_VALUE__LABEL;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_ASSIGNMENT__VALUE = MODE_VALUE__VALUE;

	/**
	 * The number of structural features of the '<em>Mode Assignment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_ASSIGNMENT_FEATURE_COUNT = MODE_VALUE_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_ASSIGNMENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = MODE_VALUE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Literal</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_ASSIGNMENT___GET_LITERAL = MODE_VALUE___GET_LITERAL;

	/**
	 * The operation id for the '<em>Get Integer</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_ASSIGNMENT___GET_INTEGER = MODE_VALUE___GET_INTEGER;

	/**
	 * The number of operations of the '<em>Mode Assignment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_ASSIGNMENT_OPERATION_COUNT = MODE_VALUE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ConditionDisjunctionEntry <em>Condition Disjunction Entry</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ConditionDisjunctionEntry
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getConditionDisjunctionEntry()
	 * @generated
	 */
	int CONDITION_DISJUNCTION_ENTRY = 250;

	/**
	 * The number of structural features of the '<em>Condition Disjunction Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITION_DISJUNCTION_ENTRY_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Condition Disjunction Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITION_DISJUNCTION_ENTRY_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ConditionImpl <em>Condition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ConditionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCondition()
	 * @generated
	 */
	int CONDITION = 252;

	/**
	 * The number of structural features of the '<em>Condition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITION_FEATURE_COUNT = CONDITION_DISJUNCTION_ENTRY_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Condition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITION_OPERATION_COUNT = CONDITION_DISJUNCTION_ENTRY_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ModeConditionImpl <em>Mode Condition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ModeConditionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeCondition()
	 * @generated
	 */
	int MODE_CONDITION = 246;

	/**
	 * The feature id for the '<em><b>Relation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_CONDITION__RELATION = CONDITION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Mode Condition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_CONDITION_FEATURE_COUNT = CONDITION_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Mode Condition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_CONDITION_OPERATION_COUNT = CONDITION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ModeValueConditionImpl <em>Mode Value Condition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ModeValueConditionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeValueCondition()
	 * @generated
	 */
	int MODE_VALUE_CONDITION = 247;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_CONDITION__CUSTOM_PROPERTIES = MODE_VALUE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Label</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_CONDITION__LABEL = MODE_VALUE__LABEL;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_CONDITION__VALUE = MODE_VALUE__VALUE;

	/**
	 * The feature id for the '<em><b>Relation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_CONDITION__RELATION = MODE_VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Mode Value Condition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_CONDITION_FEATURE_COUNT = MODE_VALUE_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_CONDITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = MODE_VALUE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Literal</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_CONDITION___GET_LITERAL = MODE_VALUE___GET_LITERAL;

	/**
	 * The operation id for the '<em>Get Integer</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_CONDITION___GET_INTEGER = MODE_VALUE___GET_INTEGER;

	/**
	 * The operation id for the '<em>Is Satisfied By</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_CONDITION___IS_SATISFIED_BY__EMAP = MODE_VALUE_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Mode Value Condition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_VALUE_CONDITION_OPERATION_COUNT = MODE_VALUE_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ModeLabelConditionImpl <em>Mode Label Condition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ModeLabelConditionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeLabelCondition()
	 * @generated
	 */
	int MODE_LABEL_CONDITION = 248;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_CONDITION__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Relation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_CONDITION__RELATION = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Label1</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_CONDITION__LABEL1 = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Label2</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_CONDITION__LABEL2 = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Mode Label Condition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_CONDITION_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Is Satisfied By</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_CONDITION___IS_SATISFIED_BY__EMAP = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_CONDITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The number of operations of the '<em>Mode Label Condition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_CONDITION_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ConditionDisjunctionImpl <em>Condition Disjunction</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ConditionDisjunctionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getConditionDisjunction()
	 * @generated
	 */
	int CONDITION_DISJUNCTION = 249;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITION_DISJUNCTION__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Entries</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITION_DISJUNCTION__ENTRIES = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Condition Disjunction</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITION_DISJUNCTION_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Condition Disjunction</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITION_DISJUNCTION_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ConditionConjunctionImpl <em>Condition Conjunction</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ConditionConjunctionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getConditionConjunction()
	 * @generated
	 */
	int CONDITION_CONJUNCTION = 251;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITION_CONJUNCTION__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Entries</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITION_CONJUNCTION__ENTRIES = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Condition Conjunction</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITION_CONJUNCTION_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Condition Conjunction</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITION_CONJUNCTION_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ChannelFillConditionImpl <em>Channel Fill Condition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ChannelFillConditionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getChannelFillCondition()
	 * @generated
	 */
	int CHANNEL_FILL_CONDITION = 253;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_FILL_CONDITION__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Channel</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_FILL_CONDITION__CHANNEL = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Relation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_FILL_CONDITION__RELATION = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Fill Level</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_FILL_CONDITION__FILL_LEVEL = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Channel Fill Condition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_FILL_CONDITION_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Channel Fill Condition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_FILL_CONDITION_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.FixedPeriodic <em>Fixed Periodic</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.FixedPeriodic
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getFixedPeriodic()
	 * @generated
	 */
	int FIXED_PERIODIC = 254;

	/**
	 * The feature id for the '<em><b>Recurrence</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIXED_PERIODIC__RECURRENCE = 0;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIXED_PERIODIC__OFFSET = 1;

	/**
	 * The number of structural features of the '<em>Fixed Periodic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIXED_PERIODIC_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Fixed Periodic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIXED_PERIODIC_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.PeriodicStimulusImpl <em>Periodic Stimulus</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.PeriodicStimulusImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPeriodicStimulus()
	 * @generated
	 */
	int PERIODIC_STIMULUS = 255;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS__CUSTOM_PROPERTIES = STIMULUS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS__NAME = STIMULUS__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS__QUALIFIED_NAME = STIMULUS__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS__UNIQUE_NAME = STIMULUS__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS__TAGS = STIMULUS__TAGS;

	/**
	 * The feature id for the '<em><b>Set Mode Value List</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS__SET_MODE_VALUE_LIST = STIMULUS__SET_MODE_VALUE_LIST;

	/**
	 * The feature id for the '<em><b>Execution Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS__EXECUTION_CONDITION = STIMULUS__EXECUTION_CONDITION;

	/**
	 * The feature id for the '<em><b>Affected Processes</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS__AFFECTED_PROCESSES = STIMULUS__AFFECTED_PROCESSES;

	/**
	 * The feature id for the '<em><b>Recurrence</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS__RECURRENCE = STIMULUS_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS__OFFSET = STIMULUS_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Jitter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS__JITTER = STIMULUS_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Min Distance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS__MIN_DISTANCE = STIMULUS_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Periodic Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS_FEATURE_COUNT = STIMULUS_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS___GET_NAMED_CONTAINER = STIMULUS___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS___GET_NAME_PREFIX = STIMULUS___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS___GET_QUALIFIED_NAME_SEGMENTS = STIMULUS___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS___GET_DEFAULT_NAME_SEPARATOR = STIMULUS___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS___GET_NAMESPACE = STIMULUS___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS___GET_NAME_PREFIX_SEGMENTS = STIMULUS___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS___GET_ENCODED_QUALIFIED_NAME = STIMULUS___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Periodic Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_STIMULUS_OPERATION_COUNT = STIMULUS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RelativePeriodicStimulusImpl <em>Relative Periodic Stimulus</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RelativePeriodicStimulusImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRelativePeriodicStimulus()
	 * @generated
	 */
	int RELATIVE_PERIODIC_STIMULUS = 256;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS__CUSTOM_PROPERTIES = STIMULUS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS__NAME = STIMULUS__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS__QUALIFIED_NAME = STIMULUS__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS__UNIQUE_NAME = STIMULUS__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS__TAGS = STIMULUS__TAGS;

	/**
	 * The feature id for the '<em><b>Set Mode Value List</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS__SET_MODE_VALUE_LIST = STIMULUS__SET_MODE_VALUE_LIST;

	/**
	 * The feature id for the '<em><b>Execution Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS__EXECUTION_CONDITION = STIMULUS__EXECUTION_CONDITION;

	/**
	 * The feature id for the '<em><b>Affected Processes</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS__AFFECTED_PROCESSES = STIMULUS__AFFECTED_PROCESSES;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS__OFFSET = STIMULUS_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Next Occurrence</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS__NEXT_OCCURRENCE = STIMULUS_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Relative Periodic Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS_FEATURE_COUNT = STIMULUS_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS___GET_NAMED_CONTAINER = STIMULUS___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS___GET_NAME_PREFIX = STIMULUS___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS___GET_QUALIFIED_NAME_SEGMENTS = STIMULUS___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS___GET_DEFAULT_NAME_SEPARATOR = STIMULUS___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS___GET_NAMESPACE = STIMULUS___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS___GET_NAME_PREFIX_SEGMENTS = STIMULUS___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS___GET_ENCODED_QUALIFIED_NAME = STIMULUS___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Relative Periodic Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIVE_PERIODIC_STIMULUS_OPERATION_COUNT = STIMULUS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.VariableRateStimulusImpl <em>Variable Rate Stimulus</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.VariableRateStimulusImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getVariableRateStimulus()
	 * @generated
	 */
	int VARIABLE_RATE_STIMULUS = 257;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS__CUSTOM_PROPERTIES = STIMULUS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS__NAME = STIMULUS__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS__QUALIFIED_NAME = STIMULUS__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS__UNIQUE_NAME = STIMULUS__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS__TAGS = STIMULUS__TAGS;

	/**
	 * The feature id for the '<em><b>Set Mode Value List</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS__SET_MODE_VALUE_LIST = STIMULUS__SET_MODE_VALUE_LIST;

	/**
	 * The feature id for the '<em><b>Execution Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS__EXECUTION_CONDITION = STIMULUS__EXECUTION_CONDITION;

	/**
	 * The feature id for the '<em><b>Affected Processes</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS__AFFECTED_PROCESSES = STIMULUS__AFFECTED_PROCESSES;

	/**
	 * The feature id for the '<em><b>Step</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS__STEP = STIMULUS_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Occurrences Per Step</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS__OCCURRENCES_PER_STEP = STIMULUS_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Max Increase Per Step</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS__MAX_INCREASE_PER_STEP = STIMULUS_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Max Decrease Per Step</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS__MAX_DECREASE_PER_STEP = STIMULUS_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Scenario</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS__SCENARIO = STIMULUS_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Variable Rate Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS_FEATURE_COUNT = STIMULUS_FEATURE_COUNT + 5;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS___GET_NAMED_CONTAINER = STIMULUS___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS___GET_NAME_PREFIX = STIMULUS___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS___GET_QUALIFIED_NAME_SEGMENTS = STIMULUS___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS___GET_DEFAULT_NAME_SEPARATOR = STIMULUS___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS___GET_NAMESPACE = STIMULUS___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS___GET_NAME_PREFIX_SEGMENTS = STIMULUS___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS___GET_ENCODED_QUALIFIED_NAME = STIMULUS___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Variable Rate Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_STIMULUS_OPERATION_COUNT = STIMULUS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ScenarioImpl <em>Scenario</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ScenarioImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getScenario()
	 * @generated
	 */
	int SCENARIO = 258;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCENARIO__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Clock</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCENARIO__CLOCK = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Sampling Offset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCENARIO__SAMPLING_OFFSET = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Sampling Recurrence</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCENARIO__SAMPLING_RECURRENCE = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Scenario</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCENARIO_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Scenario</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCENARIO_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.PeriodicSyntheticStimulusImpl <em>Periodic Synthetic Stimulus</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.PeriodicSyntheticStimulusImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPeriodicSyntheticStimulus()
	 * @generated
	 */
	int PERIODIC_SYNTHETIC_STIMULUS = 259;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS__CUSTOM_PROPERTIES = STIMULUS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS__NAME = STIMULUS__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS__QUALIFIED_NAME = STIMULUS__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS__UNIQUE_NAME = STIMULUS__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS__TAGS = STIMULUS__TAGS;

	/**
	 * The feature id for the '<em><b>Set Mode Value List</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS__SET_MODE_VALUE_LIST = STIMULUS__SET_MODE_VALUE_LIST;

	/**
	 * The feature id for the '<em><b>Execution Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS__EXECUTION_CONDITION = STIMULUS__EXECUTION_CONDITION;

	/**
	 * The feature id for the '<em><b>Affected Processes</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS__AFFECTED_PROCESSES = STIMULUS__AFFECTED_PROCESSES;

	/**
	 * The feature id for the '<em><b>Recurrence</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS__RECURRENCE = STIMULUS_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS__OFFSET = STIMULUS_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Occurrence Times</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS__OCCURRENCE_TIMES = STIMULUS_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Periodic Synthetic Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS_FEATURE_COUNT = STIMULUS_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS___GET_NAMED_CONTAINER = STIMULUS___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS___GET_NAME_PREFIX = STIMULUS___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS___GET_QUALIFIED_NAME_SEGMENTS = STIMULUS___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS___GET_DEFAULT_NAME_SEPARATOR = STIMULUS___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS___GET_NAMESPACE = STIMULUS___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS___GET_NAME_PREFIX_SEGMENTS = STIMULUS___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS___GET_ENCODED_QUALIFIED_NAME = STIMULUS___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Periodic Synthetic Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_SYNTHETIC_STIMULUS_OPERATION_COUNT = STIMULUS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CustomStimulusImpl <em>Custom Stimulus</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CustomStimulusImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCustomStimulus()
	 * @generated
	 */
	int CUSTOM_STIMULUS = 260;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS__CUSTOM_PROPERTIES = STIMULUS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS__NAME = STIMULUS__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS__QUALIFIED_NAME = STIMULUS__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS__UNIQUE_NAME = STIMULUS__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS__TAGS = STIMULUS__TAGS;

	/**
	 * The feature id for the '<em><b>Set Mode Value List</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS__SET_MODE_VALUE_LIST = STIMULUS__SET_MODE_VALUE_LIST;

	/**
	 * The feature id for the '<em><b>Execution Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS__EXECUTION_CONDITION = STIMULUS__EXECUTION_CONDITION;

	/**
	 * The feature id for the '<em><b>Affected Processes</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS__AFFECTED_PROCESSES = STIMULUS__AFFECTED_PROCESSES;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS__DESCRIPTION = STIMULUS_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Custom Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS_FEATURE_COUNT = STIMULUS_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS___GET_NAMED_CONTAINER = STIMULUS___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS___GET_NAME_PREFIX = STIMULUS___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS___GET_QUALIFIED_NAME_SEGMENTS = STIMULUS___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS___GET_DEFAULT_NAME_SEPARATOR = STIMULUS___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS___GET_NAMESPACE = STIMULUS___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS___GET_NAME_PREFIX_SEGMENTS = STIMULUS___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS___GET_ENCODED_QUALIFIED_NAME = STIMULUS___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Custom Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_STIMULUS_OPERATION_COUNT = STIMULUS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SingleStimulusImpl <em>Single Stimulus</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SingleStimulusImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSingleStimulus()
	 * @generated
	 */
	int SINGLE_STIMULUS = 261;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS__CUSTOM_PROPERTIES = STIMULUS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS__NAME = STIMULUS__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS__QUALIFIED_NAME = STIMULUS__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS__UNIQUE_NAME = STIMULUS__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS__TAGS = STIMULUS__TAGS;

	/**
	 * The feature id for the '<em><b>Set Mode Value List</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS__SET_MODE_VALUE_LIST = STIMULUS__SET_MODE_VALUE_LIST;

	/**
	 * The feature id for the '<em><b>Execution Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS__EXECUTION_CONDITION = STIMULUS__EXECUTION_CONDITION;

	/**
	 * The feature id for the '<em><b>Affected Processes</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS__AFFECTED_PROCESSES = STIMULUS__AFFECTED_PROCESSES;

	/**
	 * The feature id for the '<em><b>Occurrence</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS__OCCURRENCE = STIMULUS_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Single Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS_FEATURE_COUNT = STIMULUS_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS___GET_NAMED_CONTAINER = STIMULUS___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS___GET_NAME_PREFIX = STIMULUS___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS___GET_QUALIFIED_NAME_SEGMENTS = STIMULUS___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS___GET_DEFAULT_NAME_SEPARATOR = STIMULUS___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS___GET_NAMESPACE = STIMULUS___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS___GET_NAME_PREFIX_SEGMENTS = STIMULUS___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS___GET_ENCODED_QUALIFIED_NAME = STIMULUS___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Single Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_STIMULUS_OPERATION_COUNT = STIMULUS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.InterProcessStimulusImpl <em>Inter Process Stimulus</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.InterProcessStimulusImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getInterProcessStimulus()
	 * @generated
	 */
	int INTER_PROCESS_STIMULUS = 262;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS__CUSTOM_PROPERTIES = STIMULUS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS__NAME = STIMULUS__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS__QUALIFIED_NAME = STIMULUS__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS__UNIQUE_NAME = STIMULUS__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS__TAGS = STIMULUS__TAGS;

	/**
	 * The feature id for the '<em><b>Set Mode Value List</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS__SET_MODE_VALUE_LIST = STIMULUS__SET_MODE_VALUE_LIST;

	/**
	 * The feature id for the '<em><b>Execution Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS__EXECUTION_CONDITION = STIMULUS__EXECUTION_CONDITION;

	/**
	 * The feature id for the '<em><b>Affected Processes</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS__AFFECTED_PROCESSES = STIMULUS__AFFECTED_PROCESSES;

	/**
	 * The feature id for the '<em><b>Counter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS__COUNTER = STIMULUS_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Explicit Triggers</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS__EXPLICIT_TRIGGERS = STIMULUS_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Inter Process Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS_FEATURE_COUNT = STIMULUS_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS___GET_NAMED_CONTAINER = STIMULUS___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS___GET_NAME_PREFIX = STIMULUS___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS___GET_QUALIFIED_NAME_SEGMENTS = STIMULUS___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS___GET_DEFAULT_NAME_SEPARATOR = STIMULUS___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS___GET_NAMESPACE = STIMULUS___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS___GET_NAME_PREFIX_SEGMENTS = STIMULUS___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS___GET_ENCODED_QUALIFIED_NAME = STIMULUS___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Inter Process Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_STIMULUS_OPERATION_COUNT = STIMULUS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.PeriodicBurstStimulusImpl <em>Periodic Burst Stimulus</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.PeriodicBurstStimulusImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPeriodicBurstStimulus()
	 * @generated
	 */
	int PERIODIC_BURST_STIMULUS = 263;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS__CUSTOM_PROPERTIES = STIMULUS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS__NAME = STIMULUS__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS__QUALIFIED_NAME = STIMULUS__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS__UNIQUE_NAME = STIMULUS__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS__TAGS = STIMULUS__TAGS;

	/**
	 * The feature id for the '<em><b>Set Mode Value List</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS__SET_MODE_VALUE_LIST = STIMULUS__SET_MODE_VALUE_LIST;

	/**
	 * The feature id for the '<em><b>Execution Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS__EXECUTION_CONDITION = STIMULUS__EXECUTION_CONDITION;

	/**
	 * The feature id for the '<em><b>Affected Processes</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS__AFFECTED_PROCESSES = STIMULUS__AFFECTED_PROCESSES;

	/**
	 * The feature id for the '<em><b>Recurrence</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS__RECURRENCE = STIMULUS_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS__OFFSET = STIMULUS_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Burst Length</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS__BURST_LENGTH = STIMULUS_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Occurrence Min Distance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS__OCCURRENCE_MIN_DISTANCE = STIMULUS_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Occurrence Count</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS__OCCURRENCE_COUNT = STIMULUS_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Periodic Burst Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS_FEATURE_COUNT = STIMULUS_FEATURE_COUNT + 5;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS___GET_NAMED_CONTAINER = STIMULUS___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS___GET_NAME_PREFIX = STIMULUS___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS___GET_QUALIFIED_NAME_SEGMENTS = STIMULUS___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS___GET_DEFAULT_NAME_SEPARATOR = STIMULUS___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS___GET_NAMESPACE = STIMULUS___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS___GET_NAME_PREFIX_SEGMENTS = STIMULUS___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS___GET_ENCODED_QUALIFIED_NAME = STIMULUS___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Periodic Burst Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_BURST_STIMULUS_OPERATION_COUNT = STIMULUS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EventStimulusImpl <em>Event Stimulus</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EventStimulusImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEventStimulus()
	 * @generated
	 */
	int EVENT_STIMULUS = 264;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS__CUSTOM_PROPERTIES = STIMULUS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS__NAME = STIMULUS__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS__QUALIFIED_NAME = STIMULUS__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS__UNIQUE_NAME = STIMULUS__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS__TAGS = STIMULUS__TAGS;

	/**
	 * The feature id for the '<em><b>Set Mode Value List</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS__SET_MODE_VALUE_LIST = STIMULUS__SET_MODE_VALUE_LIST;

	/**
	 * The feature id for the '<em><b>Execution Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS__EXECUTION_CONDITION = STIMULUS__EXECUTION_CONDITION;

	/**
	 * The feature id for the '<em><b>Affected Processes</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS__AFFECTED_PROCESSES = STIMULUS__AFFECTED_PROCESSES;

	/**
	 * The feature id for the '<em><b>Triggering Events</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS__TRIGGERING_EVENTS = STIMULUS_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Counter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS__COUNTER = STIMULUS_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Event Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS_FEATURE_COUNT = STIMULUS_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS___GET_NAMED_CONTAINER = STIMULUS___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS___GET_NAME_PREFIX = STIMULUS___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS___GET_QUALIFIED_NAME_SEGMENTS = STIMULUS___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS___GET_DEFAULT_NAME_SEPARATOR = STIMULUS___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS___GET_NAMESPACE = STIMULUS___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS___GET_NAME_PREFIX_SEGMENTS = STIMULUS___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS___GET_ENCODED_QUALIFIED_NAME = STIMULUS___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Event Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_STIMULUS_OPERATION_COUNT = STIMULUS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ArrivalCurveStimulusImpl <em>Arrival Curve Stimulus</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ArrivalCurveStimulusImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getArrivalCurveStimulus()
	 * @generated
	 */
	int ARRIVAL_CURVE_STIMULUS = 265;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS__CUSTOM_PROPERTIES = STIMULUS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS__NAME = STIMULUS__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS__QUALIFIED_NAME = STIMULUS__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS__UNIQUE_NAME = STIMULUS__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS__TAGS = STIMULUS__TAGS;

	/**
	 * The feature id for the '<em><b>Set Mode Value List</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS__SET_MODE_VALUE_LIST = STIMULUS__SET_MODE_VALUE_LIST;

	/**
	 * The feature id for the '<em><b>Execution Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS__EXECUTION_CONDITION = STIMULUS__EXECUTION_CONDITION;

	/**
	 * The feature id for the '<em><b>Affected Processes</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS__AFFECTED_PROCESSES = STIMULUS__AFFECTED_PROCESSES;

	/**
	 * The feature id for the '<em><b>Entries</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS__ENTRIES = STIMULUS_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Arrival Curve Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS_FEATURE_COUNT = STIMULUS_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS___GET_NAMED_CONTAINER = STIMULUS___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS___GET_NAME_PREFIX = STIMULUS___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS___GET_QUALIFIED_NAME_SEGMENTS = STIMULUS___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS___GET_DEFAULT_NAME_SEPARATOR = STIMULUS___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS___GET_NAMESPACE = STIMULUS___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS___GET_NAME_PREFIX_SEGMENTS = STIMULUS___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS___GET_ENCODED_QUALIFIED_NAME = STIMULUS___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = STIMULUS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Arrival Curve Stimulus</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_STIMULUS_OPERATION_COUNT = STIMULUS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ArrivalCurveEntryImpl <em>Arrival Curve Entry</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ArrivalCurveEntryImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getArrivalCurveEntry()
	 * @generated
	 */
	int ARRIVAL_CURVE_ENTRY = 266;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_ENTRY__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Number Of Occurrences</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_ENTRY__NUMBER_OF_OCCURRENCES = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Lower Time Border</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_ENTRY__LOWER_TIME_BORDER = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Upper Time Border</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_ENTRY__UPPER_TIME_BORDER = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Arrival Curve Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_ENTRY_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Arrival Curve Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRIVAL_CURVE_ENTRY_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ClockImpl <em>Clock</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ClockImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getClock()
	 * @generated
	 */
	int CLOCK = 267;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The number of structural features of the '<em>Clock</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Clock</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ClockFunctionImpl <em>Clock Function</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ClockFunctionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getClockFunction()
	 * @generated
	 */
	int CLOCK_FUNCTION = 268;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION__CUSTOM_PROPERTIES = CLOCK__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION__NAME = CLOCK__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION__QUALIFIED_NAME = CLOCK__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION__UNIQUE_NAME = CLOCK__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Curve Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION__CURVE_TYPE = CLOCK_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Period</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION__PERIOD = CLOCK_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Peak To Peak</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION__PEAK_TO_PEAK = CLOCK_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>XOffset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION__XOFFSET = CLOCK_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>YOffset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION__YOFFSET = CLOCK_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Clock Function</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION_FEATURE_COUNT = CLOCK_FEATURE_COUNT + 5;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION___GET_NAMED_CONTAINER = CLOCK___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION___GET_NAME_PREFIX = CLOCK___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION___GET_QUALIFIED_NAME_SEGMENTS = CLOCK___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION___GET_DEFAULT_NAME_SEPARATOR = CLOCK___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION___GET_NAMESPACE = CLOCK___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION___GET_NAME_PREFIX_SEGMENTS = CLOCK___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION___GET_ENCODED_QUALIFIED_NAME = CLOCK___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = CLOCK___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Clock Function</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_FUNCTION_OPERATION_COUNT = CLOCK_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ClockStepListImpl <em>Clock Step List</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ClockStepListImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getClockStepList()
	 * @generated
	 */
	int CLOCK_STEP_LIST = 269;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST__CUSTOM_PROPERTIES = CLOCK__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST__NAME = CLOCK__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST__QUALIFIED_NAME = CLOCK__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST__UNIQUE_NAME = CLOCK__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Entries</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST__ENTRIES = CLOCK_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Period</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST__PERIOD = CLOCK_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Clock Step List</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST_FEATURE_COUNT = CLOCK_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST___GET_NAMED_CONTAINER = CLOCK___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST___GET_NAME_PREFIX = CLOCK___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST___GET_QUALIFIED_NAME_SEGMENTS = CLOCK___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST___GET_DEFAULT_NAME_SEPARATOR = CLOCK___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST___GET_NAMESPACE = CLOCK___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST___GET_NAME_PREFIX_SEGMENTS = CLOCK___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST___GET_ENCODED_QUALIFIED_NAME = CLOCK___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = CLOCK___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Clock Step List</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_LIST_OPERATION_COUNT = CLOCK_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ClockStepImpl <em>Clock Step</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ClockStepImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getClockStep()
	 * @generated
	 */
	int CLOCK_STEP = 270;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Frequency</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP__FREQUENCY = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Time</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP__TIME = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Clock Step</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Clock Step</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOCK_STEP_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SWModelImpl <em>SW Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SWModelImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSWModel()
	 * @generated
	 */
	int SW_MODEL = 271;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Isrs</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL__ISRS = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Tasks</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL__TASKS = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Runnables</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL__RUNNABLES = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Labels</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL__LABELS = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Channels</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL__CHANNELS = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Process Prototypes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL__PROCESS_PROTOTYPES = BASE_OBJECT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Sections</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL__SECTIONS = BASE_OBJECT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Activations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL__ACTIVATIONS = BASE_OBJECT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL__EVENTS = BASE_OBJECT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Type Definitions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL__TYPE_DEFINITIONS = BASE_OBJECT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Custom Entities</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL__CUSTOM_ENTITIES = BASE_OBJECT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Process Chains</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL__PROCESS_CHAINS = BASE_OBJECT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Modes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL__MODES = BASE_OBJECT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Mode Labels</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL__MODE_LABELS = BASE_OBJECT_FEATURE_COUNT + 13;

	/**
	 * The number of structural features of the '<em>SW Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 14;

	/**
	 * The operation id for the '<em>Mode Literal</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL___MODE_LITERAL__STRING_STRING = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>SW Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SW_MODEL_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.AbstractMemoryElementImpl <em>Abstract Memory Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AbstractMemoryElementImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getAbstractMemoryElement()
	 * @generated
	 */
	int ABSTRACT_MEMORY_ELEMENT = 272;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT__SIZE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Mappings</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT__MAPPINGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Abstract Memory Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Abstract Memory Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_MEMORY_ELEMENT_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.AbstractProcessImpl <em>Abstract Process</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AbstractProcessImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getAbstractProcess()
	 * @generated
	 */
	int ABSTRACT_PROCESS = 273;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS__CUSTOM_PROPERTIES = ABSTRACT_MEMORY_ELEMENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS__NAME = ABSTRACT_MEMORY_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS__QUALIFIED_NAME = ABSTRACT_MEMORY_ELEMENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS__UNIQUE_NAME = ABSTRACT_MEMORY_ELEMENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS__TAGS = ABSTRACT_MEMORY_ELEMENT__TAGS;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS__SIZE = ABSTRACT_MEMORY_ELEMENT__SIZE;

	/**
	 * The feature id for the '<em><b>Mappings</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS__MAPPINGS = ABSTRACT_MEMORY_ELEMENT__MAPPINGS;

	/**
	 * The feature id for the '<em><b>Referring Components</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS__REFERRING_COMPONENTS = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Abstract Process</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS_FEATURE_COUNT = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS___GET_NAMED_CONTAINER = ABSTRACT_MEMORY_ELEMENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS___GET_NAME_PREFIX = ABSTRACT_MEMORY_ELEMENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS___GET_QUALIFIED_NAME_SEGMENTS = ABSTRACT_MEMORY_ELEMENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS___GET_DEFAULT_NAME_SEPARATOR = ABSTRACT_MEMORY_ELEMENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS___GET_NAMESPACE = ABSTRACT_MEMORY_ELEMENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS___GET_NAME_PREFIX_SEGMENTS = ABSTRACT_MEMORY_ELEMENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS___GET_ENCODED_QUALIFIED_NAME = ABSTRACT_MEMORY_ELEMENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ABSTRACT_MEMORY_ELEMENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Abstract Process</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ABSTRACT_PROCESS_OPERATION_COUNT = ABSTRACT_MEMORY_ELEMENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CustomEntityImpl <em>Custom Entity</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CustomEntityImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCustomEntity()
	 * @generated
	 */
	int CUSTOM_ENTITY = 274;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY__CUSTOM_PROPERTIES = ABSTRACT_MEMORY_ELEMENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY__NAME = ABSTRACT_MEMORY_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY__QUALIFIED_NAME = ABSTRACT_MEMORY_ELEMENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY__UNIQUE_NAME = ABSTRACT_MEMORY_ELEMENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY__TAGS = ABSTRACT_MEMORY_ELEMENT__TAGS;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY__SIZE = ABSTRACT_MEMORY_ELEMENT__SIZE;

	/**
	 * The feature id for the '<em><b>Mappings</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY__MAPPINGS = ABSTRACT_MEMORY_ELEMENT__MAPPINGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY__DESCRIPTION = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Type Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY__TYPE_NAME = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Custom Entity</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY_FEATURE_COUNT = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY___GET_NAMED_CONTAINER = ABSTRACT_MEMORY_ELEMENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY___GET_NAME_PREFIX = ABSTRACT_MEMORY_ELEMENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY___GET_QUALIFIED_NAME_SEGMENTS = ABSTRACT_MEMORY_ELEMENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY___GET_DEFAULT_NAME_SEPARATOR = ABSTRACT_MEMORY_ELEMENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY___GET_NAMESPACE = ABSTRACT_MEMORY_ELEMENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY___GET_NAME_PREFIX_SEGMENTS = ABSTRACT_MEMORY_ELEMENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY___GET_ENCODED_QUALIFIED_NAME = ABSTRACT_MEMORY_ELEMENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ABSTRACT_MEMORY_ELEMENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Custom Entity</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ENTITY_OPERATION_COUNT = ABSTRACT_MEMORY_ELEMENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessChainImpl <em>Process Chain</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessChainImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessChain()
	 * @generated
	 */
	int PROCESS_CHAIN = 275;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Processes</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN__PROCESSES = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Process Chain</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Process Chain</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_CHAIN_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.IExecutable <em>IExecutable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.IExecutable
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getIExecutable()
	 * @since 1.2
	 * @generated
	 */
	int IEXECUTABLE = 276;

	/**
	 * The feature id for the '<em><b>Local Labels</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int IEXECUTABLE__LOCAL_LABELS = 0;

	/**
	 * The feature id for the '<em><b>Activity Graph</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int IEXECUTABLE__ACTIVITY_GRAPH = 1;

	/**
	 * The number of structural features of the '<em>IExecutable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int IEXECUTABLE_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>IExecutable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int IEXECUTABLE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessImpl <em>Process</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcess()
	 * @generated
	 */
	int PROCESS = 277;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS__CUSTOM_PROPERTIES = ABSTRACT_PROCESS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS__NAME = ABSTRACT_PROCESS__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS__QUALIFIED_NAME = ABSTRACT_PROCESS__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS__UNIQUE_NAME = ABSTRACT_PROCESS__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS__TAGS = ABSTRACT_PROCESS__TAGS;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS__SIZE = ABSTRACT_PROCESS__SIZE;

	/**
	 * The feature id for the '<em><b>Mappings</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS__MAPPINGS = ABSTRACT_PROCESS__MAPPINGS;

	/**
	 * The feature id for the '<em><b>Referring Components</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS__REFERRING_COMPONENTS = ABSTRACT_PROCESS__REFERRING_COMPONENTS;

	/**
	 * The feature id for the '<em><b>Local Labels</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int PROCESS__LOCAL_LABELS = ABSTRACT_PROCESS_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Activity Graph</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int PROCESS__ACTIVITY_GRAPH = ABSTRACT_PROCESS_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Stimuli</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS__STIMULI = ABSTRACT_PROCESS_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Process</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_FEATURE_COUNT = ABSTRACT_PROCESS_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS___GET_NAMED_CONTAINER = ABSTRACT_PROCESS___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS___GET_NAME_PREFIX = ABSTRACT_PROCESS___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS___GET_QUALIFIED_NAME_SEGMENTS = ABSTRACT_PROCESS___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS___GET_DEFAULT_NAME_SEPARATOR = ABSTRACT_PROCESS___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS___GET_NAMESPACE = ABSTRACT_PROCESS___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS___GET_NAME_PREFIX_SEGMENTS = ABSTRACT_PROCESS___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS___GET_ENCODED_QUALIFIED_NAME = ABSTRACT_PROCESS___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ABSTRACT_PROCESS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Process</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_OPERATION_COUNT = ABSTRACT_PROCESS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.IActivityGraphItemContainer <em>IActivity Graph Item Container</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.IActivityGraphItemContainer
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getIActivityGraphItemContainer()
	 * @generated
	 */
	int IACTIVITY_GRAPH_ITEM_CONTAINER = 278;

	/**
	 * The feature id for the '<em><b>Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IACTIVITY_GRAPH_ITEM_CONTAINER__ITEMS = 0;

	/**
	 * The number of structural features of the '<em>IActivity Graph Item Container</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IACTIVITY_GRAPH_ITEM_CONTAINER_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>IActivity Graph Item Container</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IACTIVITY_GRAPH_ITEM_CONTAINER_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ActivityGraphImpl <em>Activity Graph</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ActivityGraphImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getActivityGraph()
	 * @generated
	 */
	int ACTIVITY_GRAPH = 279;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVITY_GRAPH__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVITY_GRAPH__ITEMS = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Activity Graph</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVITY_GRAPH_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Activity Graph</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVITY_GRAPH_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ActivityGraphItemImpl <em>Activity Graph Item</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ActivityGraphItemImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getActivityGraphItem()
	 * @generated
	 */
	int ACTIVITY_GRAPH_ITEM = 280;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Activity Graph Item</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVITY_GRAPH_ITEM_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The number of operations of the '<em>Activity Graph Item</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVITY_GRAPH_ITEM_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SwitchImpl <em>Switch</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SwitchImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSwitch()
	 * @since 2.0
	 * @generated
	 */
	int SWITCH = 281;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int SWITCH__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SWITCH__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SWITCH__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Entries</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 2.0
	 * @generated
	 * @ordered
	 */
	int SWITCH__ENTRIES = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Default Entry</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 2.0
	 * @generated
	 * @ordered
	 */
	int SWITCH__DEFAULT_ENTRY = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Switch</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 2.0
	 * @generated
	 * @ordered
	 */
	int SWITCH_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Switch</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 2.0
	 * @generated
	 * @ordered
	 */
	int SWITCH_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SwitchEntryImpl <em>Switch Entry</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SwitchEntryImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSwitchEntry()
	 * @generated
	 */
	int SWITCH_ENTRY = 282;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_ENTRY__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_ENTRY__NAME = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_ENTRY__QUALIFIED_NAME = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_ENTRY__ITEMS = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_ENTRY__CONDITION = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Switch Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_ENTRY_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_ENTRY___GET_NAMED_CONTAINER = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_ENTRY___GET_NAME_PREFIX = BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_ENTRY___GET_QUALIFIED_NAME_SEGMENTS = BASE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_ENTRY___GET_DEFAULT_NAME_SEPARATOR = BASE_OBJECT_OPERATION_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_ENTRY___GET_NAMESPACE = BASE_OBJECT_OPERATION_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_ENTRY___GET_NAME_PREFIX_SEGMENTS = BASE_OBJECT_OPERATION_COUNT + 5;

	/**
	 * The number of operations of the '<em>Switch Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_ENTRY_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SwitchDefaultImpl <em>Switch Default</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SwitchDefaultImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSwitchDefault()
	 * @generated
	 */
	int SWITCH_DEFAULT = 283;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_DEFAULT__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_DEFAULT__ITEMS = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Switch Default</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_DEFAULT_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Switch Default</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SWITCH_DEFAULT_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProbabilitySwitchImpl <em>Probability Switch</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProbabilitySwitchImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProbabilitySwitch()
	 * @generated
	 */
	int PROBABILITY_SWITCH = 284;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROBABILITY_SWITCH__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int PROBABILITY_SWITCH__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int PROBABILITY_SWITCH__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int PROBABILITY_SWITCH__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROBABILITY_SWITCH__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Entries</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROBABILITY_SWITCH__ENTRIES = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Probability Switch</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROBABILITY_SWITCH_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Probability Switch</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROBABILITY_SWITCH_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProbabilitySwitchEntryImpl <em>Probability Switch Entry</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProbabilitySwitchEntryImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProbabilitySwitchEntry()
	 * @generated
	 */
	int PROBABILITY_SWITCH_ENTRY = 285;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROBABILITY_SWITCH_ENTRY__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROBABILITY_SWITCH_ENTRY__ITEMS = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Probability</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROBABILITY_SWITCH_ENTRY__PROBABILITY = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Probability Switch Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROBABILITY_SWITCH_ENTRY_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Probability Switch Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROBABILITY_SWITCH_ENTRY_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.WhileLoopImpl <em>While Loop</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.WhileLoopImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getWhileLoop()
	 * @since 1.2
	 * @generated
	 */
	int WHILE_LOOP = 286;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WHILE_LOOP__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int WHILE_LOOP__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int WHILE_LOOP__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int WHILE_LOOP__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WHILE_LOOP__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WHILE_LOOP__ITEMS = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int WHILE_LOOP__CONDITION = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>While Loop</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int WHILE_LOOP_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>While Loop</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int WHILE_LOOP_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CounterImpl <em>Counter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CounterImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCounter()
	 * @generated
	 */
	int COUNTER = 287;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNTER__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Prescaler</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNTER__PRESCALER = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNTER__OFFSET = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Counter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNTER_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Counter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNTER_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.WaitEventImpl <em>Wait Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.WaitEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getWaitEvent()
	 * @generated
	 */
	int WAIT_EVENT = 288;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_EVENT__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int WAIT_EVENT__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int WAIT_EVENT__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int WAIT_EVENT__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_EVENT__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Event Mask</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_EVENT__EVENT_MASK = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Mask Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_EVENT__MASK_TYPE = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Waiting Behaviour</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_EVENT__WAITING_BEHAVIOUR = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Counter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_EVENT__COUNTER = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Wait Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_EVENT_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 4;

	/**
	 * The number of operations of the '<em>Wait Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WAIT_EVENT_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SetEventImpl <em>Set Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SetEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSetEvent()
	 * @generated
	 */
	int SET_EVENT = 289;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_EVENT__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int SET_EVENT__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SET_EVENT__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SET_EVENT__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_EVENT__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Event Mask</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_EVENT__EVENT_MASK = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_EVENT__PROCESS = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Counter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_EVENT__COUNTER = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Set Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_EVENT_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Set Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_EVENT_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ClearEventImpl <em>Clear Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ClearEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getClearEvent()
	 * @generated
	 */
	int CLEAR_EVENT = 290;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLEAR_EVENT__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int CLEAR_EVENT__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int CLEAR_EVENT__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int CLEAR_EVENT__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLEAR_EVENT__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Event Mask</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLEAR_EVENT__EVENT_MASK = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Counter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLEAR_EVENT__COUNTER = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Clear Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLEAR_EVENT_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Clear Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLEAR_EVENT_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EventMaskImpl <em>Event Mask</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EventMaskImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEventMask()
	 * @generated
	 */
	int EVENT_MASK = 291;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MASK__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Events</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MASK__EVENTS = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Event Mask</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MASK_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Event Mask</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MASK_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.OsEventImpl <em>Os Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.OsEventImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getOsEvent()
	 * @generated
	 */
	int OS_EVENT = 292;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Communication Overhead In Bit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT__COMMUNICATION_OVERHEAD_IN_BIT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Referring Components</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT__REFERRING_COMPONENTS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Os Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Os Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OS_EVENT_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.InterProcessTriggerImpl <em>Inter Process Trigger</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.InterProcessTriggerImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getInterProcessTrigger()
	 * @generated
	 */
	int INTER_PROCESS_TRIGGER = 293;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_TRIGGER__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_TRIGGER__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int INTER_PROCESS_TRIGGER__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int INTER_PROCESS_TRIGGER__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_TRIGGER__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Stimulus</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_TRIGGER__STIMULUS = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Counter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_TRIGGER__COUNTER = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Inter Process Trigger</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_TRIGGER_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Inter Process Trigger</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTER_PROCESS_TRIGGER_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EnforcedMigrationImpl <em>Enforced Migration</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EnforcedMigrationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEnforcedMigration()
	 * @generated
	 */
	int ENFORCED_MIGRATION = 294;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENFORCED_MIGRATION__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int ENFORCED_MIGRATION__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int ENFORCED_MIGRATION__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int ENFORCED_MIGRATION__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENFORCED_MIGRATION__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Resource Owner</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENFORCED_MIGRATION__RESOURCE_OWNER = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Enforced Migration</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENFORCED_MIGRATION_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Enforced Migration</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENFORCED_MIGRATION_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SchedulePointImpl <em>Schedule Point</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SchedulePointImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSchedulePoint()
	 * @generated
	 */
	int SCHEDULE_POINT = 295;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULE_POINT__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int SCHEDULE_POINT__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SCHEDULE_POINT__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SCHEDULE_POINT__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULE_POINT__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The number of structural features of the '<em>Schedule Point</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULE_POINT_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Schedule Point</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SCHEDULE_POINT_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TerminateProcessImpl <em>Terminate Process</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TerminateProcessImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTerminateProcess()
	 * @generated
	 */
	int TERMINATE_PROCESS = 296;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TERMINATE_PROCESS__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int TERMINATE_PROCESS__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int TERMINATE_PROCESS__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int TERMINATE_PROCESS__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TERMINATE_PROCESS__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Counter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TERMINATE_PROCESS__COUNTER = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Terminate Process</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TERMINATE_PROCESS_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Terminate Process</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TERMINATE_PROCESS_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TaskImpl <em>Task</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TaskImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTask()
	 * @generated
	 */
	int TASK = 297;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK__CUSTOM_PROPERTIES = PROCESS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK__NAME = PROCESS__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK__QUALIFIED_NAME = PROCESS__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK__UNIQUE_NAME = PROCESS__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK__TAGS = PROCESS__TAGS;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK__SIZE = PROCESS__SIZE;

	/**
	 * The feature id for the '<em><b>Mappings</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK__MAPPINGS = PROCESS__MAPPINGS;

	/**
	 * The feature id for the '<em><b>Referring Components</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK__REFERRING_COMPONENTS = PROCESS__REFERRING_COMPONENTS;

	/**
	 * The feature id for the '<em><b>Local Labels</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int TASK__LOCAL_LABELS = PROCESS__LOCAL_LABELS;

	/**
	 * The feature id for the '<em><b>Activity Graph</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int TASK__ACTIVITY_GRAPH = PROCESS__ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Stimuli</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK__STIMULI = PROCESS__STIMULI;

	/**
	 * The feature id for the '<em><b>Preemption</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK__PREEMPTION = PROCESS_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Multiple Task Activation Limit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK__MULTIPLE_TASK_ACTIVATION_LIMIT = PROCESS_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Task</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_FEATURE_COUNT = PROCESS_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK___GET_NAMED_CONTAINER = PROCESS___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK___GET_NAME_PREFIX = PROCESS___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK___GET_QUALIFIED_NAME_SEGMENTS = PROCESS___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK___GET_DEFAULT_NAME_SEPARATOR = PROCESS___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK___GET_NAMESPACE = PROCESS___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK___GET_NAME_PREFIX_SEGMENTS = PROCESS___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK___GET_ENCODED_QUALIFIED_NAME = PROCESS___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = PROCESS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Task</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TASK_OPERATION_COUNT = PROCESS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ISRImpl <em>ISR</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ISRImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getISR()
	 * @generated
	 */
	int ISR = 298;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR__CUSTOM_PROPERTIES = PROCESS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR__NAME = PROCESS__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR__QUALIFIED_NAME = PROCESS__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR__UNIQUE_NAME = PROCESS__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR__TAGS = PROCESS__TAGS;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR__SIZE = PROCESS__SIZE;

	/**
	 * The feature id for the '<em><b>Mappings</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR__MAPPINGS = PROCESS__MAPPINGS;

	/**
	 * The feature id for the '<em><b>Referring Components</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR__REFERRING_COMPONENTS = PROCESS__REFERRING_COMPONENTS;

	/**
	 * The feature id for the '<em><b>Local Labels</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int ISR__LOCAL_LABELS = PROCESS__LOCAL_LABELS;

	/**
	 * The feature id for the '<em><b>Activity Graph</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int ISR__ACTIVITY_GRAPH = PROCESS__ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Stimuli</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR__STIMULI = PROCESS__STIMULI;

	/**
	 * The feature id for the '<em><b>Category</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR__CATEGORY = PROCESS_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ISR</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR_FEATURE_COUNT = PROCESS_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR___GET_NAMED_CONTAINER = PROCESS___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR___GET_NAME_PREFIX = PROCESS___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR___GET_QUALIFIED_NAME_SEGMENTS = PROCESS___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR___GET_DEFAULT_NAME_SEPARATOR = PROCESS___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR___GET_NAMESPACE = PROCESS___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR___GET_NAME_PREFIX_SEGMENTS = PROCESS___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR___GET_ENCODED_QUALIFIED_NAME = PROCESS___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = PROCESS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>ISR</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ISR_OPERATION_COUNT = PROCESS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ProcessPrototypeImpl <em>Process Prototype</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ProcessPrototypeImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessPrototype()
	 * @generated
	 */
	int PROCESS_PROTOTYPE = 299;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__CUSTOM_PROPERTIES = ABSTRACT_PROCESS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__NAME = ABSTRACT_PROCESS__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__QUALIFIED_NAME = ABSTRACT_PROCESS__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__UNIQUE_NAME = ABSTRACT_PROCESS__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__TAGS = ABSTRACT_PROCESS__TAGS;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__SIZE = ABSTRACT_PROCESS__SIZE;

	/**
	 * The feature id for the '<em><b>Mappings</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__MAPPINGS = ABSTRACT_PROCESS__MAPPINGS;

	/**
	 * The feature id for the '<em><b>Referring Components</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__REFERRING_COMPONENTS = ABSTRACT_PROCESS__REFERRING_COMPONENTS;

	/**
	 * The feature id for the '<em><b>Preemption</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__PREEMPTION = ABSTRACT_PROCESS_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>First Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__FIRST_RUNNABLE = ABSTRACT_PROCESS_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Last Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__LAST_RUNNABLE = ABSTRACT_PROCESS_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Access Precedence Spec</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__ACCESS_PRECEDENCE_SPEC = ABSTRACT_PROCESS_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Order Precedence Spec</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__ORDER_PRECEDENCE_SPEC = ABSTRACT_PROCESS_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Chained Prototypes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__CHAINED_PROTOTYPES = ABSTRACT_PROCESS_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Activation</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__ACTIVATION = ABSTRACT_PROCESS_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Runnable Calls</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE__RUNNABLE_CALLS = ABSTRACT_PROCESS_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Process Prototype</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE_FEATURE_COUNT = ABSTRACT_PROCESS_FEATURE_COUNT + 8;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE___GET_NAMED_CONTAINER = ABSTRACT_PROCESS___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE___GET_NAME_PREFIX = ABSTRACT_PROCESS___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE___GET_QUALIFIED_NAME_SEGMENTS = ABSTRACT_PROCESS___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE___GET_DEFAULT_NAME_SEPARATOR = ABSTRACT_PROCESS___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE___GET_NAMESPACE = ABSTRACT_PROCESS___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE___GET_NAME_PREFIX_SEGMENTS = ABSTRACT_PROCESS___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE___GET_ENCODED_QUALIFIED_NAME = ABSTRACT_PROCESS___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ABSTRACT_PROCESS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Process Prototype</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROCESS_PROTOTYPE_OPERATION_COUNT = ABSTRACT_PROCESS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ChainedProcessPrototypeImpl <em>Chained Process Prototype</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ChainedProcessPrototypeImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getChainedProcessPrototype()
	 * @generated
	 */
	int CHAINED_PROCESS_PROTOTYPE = 300;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHAINED_PROCESS_PROTOTYPE__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Prototype</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHAINED_PROCESS_PROTOTYPE__PROTOTYPE = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Apply</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHAINED_PROCESS_PROTOTYPE__APPLY = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHAINED_PROCESS_PROTOTYPE__OFFSET = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Chained Process Prototype</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHAINED_PROCESS_PROTOTYPE_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Chained Process Prototype</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHAINED_PROCESS_PROTOTYPE_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.GeneralPrecedenceImpl <em>General Precedence</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.GeneralPrecedenceImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getGeneralPrecedence()
	 * @generated
	 */
	int GENERAL_PRECEDENCE = 301;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GENERAL_PRECEDENCE__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Origin</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GENERAL_PRECEDENCE__ORIGIN = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GENERAL_PRECEDENCE__TARGET = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>General Precedence</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GENERAL_PRECEDENCE_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>General Precedence</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GENERAL_PRECEDENCE_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.AccessPrecedenceSpecImpl <em>Access Precedence Spec</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AccessPrecedenceSpecImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getAccessPrecedenceSpec()
	 * @generated
	 */
	int ACCESS_PRECEDENCE_SPEC = 302;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACCESS_PRECEDENCE_SPEC__CUSTOM_PROPERTIES = GENERAL_PRECEDENCE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Origin</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACCESS_PRECEDENCE_SPEC__ORIGIN = GENERAL_PRECEDENCE__ORIGIN;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACCESS_PRECEDENCE_SPEC__TARGET = GENERAL_PRECEDENCE__TARGET;

	/**
	 * The feature id for the '<em><b>Label</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACCESS_PRECEDENCE_SPEC__LABEL = GENERAL_PRECEDENCE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Order Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACCESS_PRECEDENCE_SPEC__ORDER_TYPE = GENERAL_PRECEDENCE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Access Precedence Spec</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACCESS_PRECEDENCE_SPEC_FEATURE_COUNT = GENERAL_PRECEDENCE_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Access Precedence Spec</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACCESS_PRECEDENCE_SPEC_OPERATION_COUNT = GENERAL_PRECEDENCE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.OrderPrecedenceSpecImpl <em>Order Precedence Spec</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.OrderPrecedenceSpecImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getOrderPrecedenceSpec()
	 * @generated
	 */
	int ORDER_PRECEDENCE_SPEC = 303;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ORDER_PRECEDENCE_SPEC__CUSTOM_PROPERTIES = GENERAL_PRECEDENCE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Origin</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ORDER_PRECEDENCE_SPEC__ORIGIN = GENERAL_PRECEDENCE__ORIGIN;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ORDER_PRECEDENCE_SPEC__TARGET = GENERAL_PRECEDENCE__TARGET;

	/**
	 * The feature id for the '<em><b>Order Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ORDER_PRECEDENCE_SPEC__ORDER_TYPE = GENERAL_PRECEDENCE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Order Precedence Spec</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ORDER_PRECEDENCE_SPEC_FEATURE_COUNT = GENERAL_PRECEDENCE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Order Precedence Spec</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ORDER_PRECEDENCE_SPEC_OPERATION_COUNT = GENERAL_PRECEDENCE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.IDependsOn <em>IDepends On</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.IDependsOn
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getIDependsOn()
	 * @generated
	 */
	int IDEPENDS_ON = 304;

	/**
	 * The feature id for the '<em><b>Depends On</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDEPENDS_ON__DEPENDS_ON = 0;

	/**
	 * The number of structural features of the '<em>IDepends On</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDEPENDS_ON_FEATURE_COUNT = 1;

	/**
	 * The number of operations of the '<em>IDepends On</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IDEPENDS_ON_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataDependencyImpl <em>Data Dependency</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataDependencyImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataDependency()
	 * @generated
	 */
	int DATA_DEPENDENCY = 305;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_DEPENDENCY__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Labels</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_DEPENDENCY__LABELS = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_DEPENDENCY__PARAMETERS = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Call Arguments</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_DEPENDENCY__CALL_ARGUMENTS = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_DEPENDENCY__CONTAINING_RUNNABLE = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Data Dependency</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_DEPENDENCY_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The number of operations of the '<em>Data Dependency</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_DEPENDENCY_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunnableParameterImpl <em>Runnable Parameter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunnableParameterImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnableParameter()
	 * @generated
	 */
	int RUNNABLE_PARAMETER = 306;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Depends On</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER__DEPENDS_ON = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER__CONTAINING_RUNNABLE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER__DIRECTION = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Data Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER__DATA_TYPE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Runnable Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>To String</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER___TO_STRING = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The number of operations of the '<em>Runnable Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_PARAMETER_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunnableImpl <em>Runnable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunnableImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnable()
	 * @generated
	 */
	int RUNNABLE = 307;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__CUSTOM_PROPERTIES = ABSTRACT_MEMORY_ELEMENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__NAME = ABSTRACT_MEMORY_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__QUALIFIED_NAME = ABSTRACT_MEMORY_ELEMENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__UNIQUE_NAME = ABSTRACT_MEMORY_ELEMENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__TAGS = ABSTRACT_MEMORY_ELEMENT__TAGS;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__SIZE = ABSTRACT_MEMORY_ELEMENT__SIZE;

	/**
	 * The feature id for the '<em><b>Mappings</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__MAPPINGS = ABSTRACT_MEMORY_ELEMENT__MAPPINGS;

	/**
	 * The feature id for the '<em><b>Local Labels</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__LOCAL_LABELS = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Activity Graph</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__ACTIVITY_GRAPH = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Namespace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__NAMESPACE = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Execution Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__EXECUTION_CONDITION = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__PARAMETERS = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Activations</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__ACTIVATIONS = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Callback</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__CALLBACK = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Service</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__SERVICE = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Asil Level</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__ASIL_LEVEL = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Section</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__SECTION = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Runnable Calls</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__RUNNABLE_CALLS = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Referring Components</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE__REFERRING_COMPONENTS = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The number of structural features of the '<em>Runnable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_FEATURE_COUNT = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE___GET_NAMED_CONTAINER = ABSTRACT_MEMORY_ELEMENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE___GET_NAME_PREFIX = ABSTRACT_MEMORY_ELEMENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE___GET_QUALIFIED_NAME_SEGMENTS = ABSTRACT_MEMORY_ELEMENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE___GET_DEFAULT_NAME_SEPARATOR = ABSTRACT_MEMORY_ELEMENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE___GET_NAMESPACE = ABSTRACT_MEMORY_ELEMENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE___GET_NAME_PREFIX_SEGMENTS = ABSTRACT_MEMORY_ELEMENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE___GET_ENCODED_QUALIFIED_NAME = ABSTRACT_MEMORY_ELEMENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ABSTRACT_MEMORY_ELEMENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Runnable Items</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE___GET_RUNNABLE_ITEMS = ABSTRACT_MEMORY_ELEMENT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get First Activation</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE___GET_FIRST_ACTIVATION = ABSTRACT_MEMORY_ELEMENT_OPERATION_COUNT + 1;

	/**
	 * The number of operations of the '<em>Runnable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_OPERATION_COUNT = ABSTRACT_MEMORY_ELEMENT_OPERATION_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.LabelImpl <em>Label</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.LabelImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLabel()
	 * @generated
	 */
	int LABEL = 308;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__CUSTOM_PROPERTIES = ABSTRACT_MEMORY_ELEMENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__NAME = ABSTRACT_MEMORY_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__QUALIFIED_NAME = ABSTRACT_MEMORY_ELEMENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__UNIQUE_NAME = ABSTRACT_MEMORY_ELEMENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__TAGS = ABSTRACT_MEMORY_ELEMENT__TAGS;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__SIZE = ABSTRACT_MEMORY_ELEMENT__SIZE;

	/**
	 * The feature id for the '<em><b>Mappings</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__MAPPINGS = ABSTRACT_MEMORY_ELEMENT__MAPPINGS;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__DISPLAY_NAME = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Namespace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__NAMESPACE = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Data Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__DATA_TYPE = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Constant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__CONSTANT = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>BVolatile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__BVOLATILE = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Data Stability</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__DATA_STABILITY = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Stability Level</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__STABILITY_LEVEL = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Section</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__SECTION = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Label Accesses</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__LABEL_ACCESSES = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Referring Components</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__REFERRING_COMPONENTS = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The number of structural features of the '<em>Label</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_FEATURE_COUNT = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL___GET_NAMED_CONTAINER = ABSTRACT_MEMORY_ELEMENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL___GET_NAME_PREFIX = ABSTRACT_MEMORY_ELEMENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL___GET_QUALIFIED_NAME_SEGMENTS = ABSTRACT_MEMORY_ELEMENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL___GET_DEFAULT_NAME_SEPARATOR = ABSTRACT_MEMORY_ELEMENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL___GET_NAMESPACE = ABSTRACT_MEMORY_ELEMENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL___GET_NAME_PREFIX_SEGMENTS = ABSTRACT_MEMORY_ELEMENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL___GET_ENCODED_QUALIFIED_NAME = ABSTRACT_MEMORY_ELEMENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ABSTRACT_MEMORY_ELEMENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Label</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_OPERATION_COUNT = ABSTRACT_MEMORY_ELEMENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ChannelImpl <em>Channel</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ChannelImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getChannel()
	 * @generated
	 */
	int CHANNEL = 309;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__CUSTOM_PROPERTIES = ABSTRACT_MEMORY_ELEMENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__NAME = ABSTRACT_MEMORY_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__QUALIFIED_NAME = ABSTRACT_MEMORY_ELEMENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__UNIQUE_NAME = ABSTRACT_MEMORY_ELEMENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__TAGS = ABSTRACT_MEMORY_ELEMENT__TAGS;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__SIZE = ABSTRACT_MEMORY_ELEMENT__SIZE;

	/**
	 * The feature id for the '<em><b>Mappings</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__MAPPINGS = ABSTRACT_MEMORY_ELEMENT__MAPPINGS;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__DISPLAY_NAME = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Namespace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__NAMESPACE = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Element Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__ELEMENT_TYPE = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Default Elements</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__DEFAULT_ELEMENTS = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Max Elements</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__MAX_ELEMENTS = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Channel Accesses</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL__CHANNEL_ACCESSES = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Channel</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_FEATURE_COUNT = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL___GET_NAMED_CONTAINER = ABSTRACT_MEMORY_ELEMENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL___GET_NAME_PREFIX = ABSTRACT_MEMORY_ELEMENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL___GET_QUALIFIED_NAME_SEGMENTS = ABSTRACT_MEMORY_ELEMENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL___GET_DEFAULT_NAME_SEPARATOR = ABSTRACT_MEMORY_ELEMENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL___GET_NAMESPACE = ABSTRACT_MEMORY_ELEMENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL___GET_NAME_PREFIX_SEGMENTS = ABSTRACT_MEMORY_ELEMENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL___GET_ENCODED_QUALIFIED_NAME = ABSTRACT_MEMORY_ELEMENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ABSTRACT_MEMORY_ELEMENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Channel</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_OPERATION_COUNT = ABSTRACT_MEMORY_ELEMENT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ModeLabelImpl <em>Mode Label</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ModeLabelImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeLabel()
	 * @generated
	 */
	int MODE_LABEL = 310;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL__CUSTOM_PROPERTIES = ABSTRACT_MEMORY_ELEMENT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL__NAME = ABSTRACT_MEMORY_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL__QUALIFIED_NAME = ABSTRACT_MEMORY_ELEMENT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL__UNIQUE_NAME = ABSTRACT_MEMORY_ELEMENT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL__TAGS = ABSTRACT_MEMORY_ELEMENT__TAGS;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL__SIZE = ABSTRACT_MEMORY_ELEMENT__SIZE;

	/**
	 * The feature id for the '<em><b>Mappings</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL__MAPPINGS = ABSTRACT_MEMORY_ELEMENT__MAPPINGS;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL__DISPLAY_NAME = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Mode</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL__MODE = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Initial Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL__INITIAL_VALUE = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Mode Label</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_FEATURE_COUNT = ABSTRACT_MEMORY_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL___GET_NAMED_CONTAINER = ABSTRACT_MEMORY_ELEMENT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL___GET_NAME_PREFIX = ABSTRACT_MEMORY_ELEMENT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL___GET_QUALIFIED_NAME_SEGMENTS = ABSTRACT_MEMORY_ELEMENT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL___GET_DEFAULT_NAME_SEPARATOR = ABSTRACT_MEMORY_ELEMENT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL___GET_NAMESPACE = ABSTRACT_MEMORY_ELEMENT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL___GET_NAME_PREFIX_SEGMENTS = ABSTRACT_MEMORY_ELEMENT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL___GET_ENCODED_QUALIFIED_NAME = ABSTRACT_MEMORY_ELEMENT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ABSTRACT_MEMORY_ELEMENT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Is Enum</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL___IS_ENUM = ABSTRACT_MEMORY_ELEMENT_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Is Numeric</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL___IS_NUMERIC = ABSTRACT_MEMORY_ELEMENT_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Mode Label</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_OPERATION_COUNT = ABSTRACT_MEMORY_ELEMENT_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SectionImpl <em>Section</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SectionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSection()
	 * @generated
	 */
	int SECTION = 311;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Asil Level</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION__ASIL_LEVEL = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Labels</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION__LABELS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Runnables</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION__RUNNABLES = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Section</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Section</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SECTION_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ComputationItemImpl <em>Computation Item</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ComputationItemImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getComputationItem()
	 * @generated
	 */
	int COMPUTATION_ITEM = 312;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPUTATION_ITEM__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int COMPUTATION_ITEM__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int COMPUTATION_ITEM__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int COMPUTATION_ITEM__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPUTATION_ITEM__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The number of structural features of the '<em>Computation Item</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPUTATION_ITEM_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Computation Item</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPUTATION_ITEM_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ExecutionNeedImpl <em>Execution Need</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ExecutionNeedImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getExecutionNeed()
	 * @generated
	 */
	int EXECUTION_NEED = 313;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXECUTION_NEED__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int EXECUTION_NEED__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int EXECUTION_NEED__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int EXECUTION_NEED__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXECUTION_NEED__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Needs</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXECUTION_NEED__NEEDS = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Execution Need</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXECUTION_NEED_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Execution Need</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXECUTION_NEED_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.NeedEntryImpl <em>Need Entry</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.NeedEntryImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getNeedEntry()
	 * @generated
	 */
	int NEED_ENTRY = 314;

	/**
	 * The feature id for the '<em><b>Key</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NEED_ENTRY__KEY = 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NEED_ENTRY__VALUE = 1;

	/**
	 * The number of structural features of the '<em>Need Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NEED_ENTRY_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Need Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NEED_ENTRY_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TicksImpl <em>Ticks</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TicksImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTicks()
	 * @generated
	 */
	int TICKS = 315;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TICKS__CUSTOM_PROPERTIES = COMPUTATION_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int TICKS__CONTAINING_EXECUTABLE = COMPUTATION_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int TICKS__CONTAINING_PROCESS = COMPUTATION_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int TICKS__CONTAINING_RUNNABLE = COMPUTATION_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TICKS__CONTAINING_ACTIVITY_GRAPH = COMPUTATION_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Default</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TICKS__DEFAULT = COMPUTATION_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Extended</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TICKS__EXTENDED = COMPUTATION_ITEM_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Ticks</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TICKS_FEATURE_COUNT = COMPUTATION_ITEM_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Ticks</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TICKS_OPERATION_COUNT = COMPUTATION_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TicksEntryImpl <em>Ticks Entry</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TicksEntryImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTicksEntry()
	 * @generated
	 */
	int TICKS_ENTRY = 316;

	/**
	 * The feature id for the '<em><b>Key</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TICKS_ENTRY__KEY = 0;

	/**
	 * The feature id for the '<em><b>Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TICKS_ENTRY__VALUE = 1;

	/**
	 * The number of structural features of the '<em>Ticks Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TICKS_ENTRY_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Ticks Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TICKS_ENTRY_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ModeLabelAccessImpl <em>Mode Label Access</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ModeLabelAccessImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeLabelAccess()
	 * @generated
	 */
	int MODE_LABEL_ACCESS = 317;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ACCESS__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ACCESS__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int MODE_LABEL_ACCESS__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int MODE_LABEL_ACCESS__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ACCESS__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Data</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ACCESS__DATA = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Access</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ACCESS__ACCESS = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ACCESS__VALUE = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Step</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ACCESS__STEP = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Mode Label Access</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ACCESS_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ACCESS___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Mode Label Access</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ACCESS_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.LabelAccessImpl <em>Label Access</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.LabelAccessImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLabelAccess()
	 * @generated
	 */
	int LABEL_ACCESS = 318;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS__CUSTOM_PROPERTIES = COMPUTATION_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS__CONTAINING_EXECUTABLE = COMPUTATION_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int LABEL_ACCESS__CONTAINING_PROCESS = COMPUTATION_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int LABEL_ACCESS__CONTAINING_RUNNABLE = COMPUTATION_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS__CONTAINING_ACTIVITY_GRAPH = COMPUTATION_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS__TAGS = COMPUTATION_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Depends On</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS__DEPENDS_ON = COMPUTATION_ITEM_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Data</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS__DATA = COMPUTATION_ITEM_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Access</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS__ACCESS = COMPUTATION_ITEM_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Statistic</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS__STATISTIC = COMPUTATION_ITEM_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Transmission Policy</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS__TRANSMISSION_POLICY = COMPUTATION_ITEM_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Data Stability</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS__DATA_STABILITY = COMPUTATION_ITEM_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Implementation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS__IMPLEMENTATION = COMPUTATION_ITEM_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Label Access</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS_FEATURE_COUNT = COMPUTATION_ITEM_FEATURE_COUNT + 8;

	/**
	 * The number of operations of the '<em>Label Access</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS_OPERATION_COUNT = COMPUTATION_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ChannelAccessImpl <em>Channel Access</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ChannelAccessImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getChannelAccess()
	 * @generated
	 */
	int CHANNEL_ACCESS = 319;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_ACCESS__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int CHANNEL_ACCESS__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int CHANNEL_ACCESS__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int CHANNEL_ACCESS__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_ACCESS__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Data</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_ACCESS__DATA = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Elements</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_ACCESS__ELEMENTS = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Transmission Policy</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_ACCESS__TRANSMISSION_POLICY = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Channel Access</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_ACCESS_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Channel Access</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_ACCESS_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ChannelSendImpl <em>Channel Send</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ChannelSendImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getChannelSend()
	 * @generated
	 */
	int CHANNEL_SEND = 320;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_SEND__CUSTOM_PROPERTIES = CHANNEL_ACCESS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int CHANNEL_SEND__CONTAINING_EXECUTABLE = CHANNEL_ACCESS__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int CHANNEL_SEND__CONTAINING_PROCESS = CHANNEL_ACCESS__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int CHANNEL_SEND__CONTAINING_RUNNABLE = CHANNEL_ACCESS__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_SEND__CONTAINING_ACTIVITY_GRAPH = CHANNEL_ACCESS__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Data</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_SEND__DATA = CHANNEL_ACCESS__DATA;

	/**
	 * The feature id for the '<em><b>Elements</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_SEND__ELEMENTS = CHANNEL_ACCESS__ELEMENTS;

	/**
	 * The feature id for the '<em><b>Transmission Policy</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_SEND__TRANSMISSION_POLICY = CHANNEL_ACCESS__TRANSMISSION_POLICY;

	/**
	 * The number of structural features of the '<em>Channel Send</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_SEND_FEATURE_COUNT = CHANNEL_ACCESS_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Channel Send</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_SEND_OPERATION_COUNT = CHANNEL_ACCESS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ChannelReceiveImpl <em>Channel Receive</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ChannelReceiveImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getChannelReceive()
	 * @generated
	 */
	int CHANNEL_RECEIVE = 321;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_RECEIVE__CUSTOM_PROPERTIES = CHANNEL_ACCESS__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int CHANNEL_RECEIVE__CONTAINING_EXECUTABLE = CHANNEL_ACCESS__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int CHANNEL_RECEIVE__CONTAINING_PROCESS = CHANNEL_ACCESS__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int CHANNEL_RECEIVE__CONTAINING_RUNNABLE = CHANNEL_ACCESS__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_RECEIVE__CONTAINING_ACTIVITY_GRAPH = CHANNEL_ACCESS__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Data</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_RECEIVE__DATA = CHANNEL_ACCESS__DATA;

	/**
	 * The feature id for the '<em><b>Elements</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_RECEIVE__ELEMENTS = CHANNEL_ACCESS__ELEMENTS;

	/**
	 * The feature id for the '<em><b>Transmission Policy</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_RECEIVE__TRANSMISSION_POLICY = CHANNEL_ACCESS__TRANSMISSION_POLICY;

	/**
	 * The feature id for the '<em><b>Receive Operation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_RECEIVE__RECEIVE_OPERATION = CHANNEL_ACCESS_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Data Must Be New</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_RECEIVE__DATA_MUST_BE_NEW = CHANNEL_ACCESS_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Element Index</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_RECEIVE__ELEMENT_INDEX = CHANNEL_ACCESS_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_RECEIVE__LOWER_BOUND = CHANNEL_ACCESS_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Channel Receive</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_RECEIVE_FEATURE_COUNT = CHANNEL_ACCESS_FEATURE_COUNT + 4;

	/**
	 * The number of operations of the '<em>Channel Receive</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_RECEIVE_OPERATION_COUNT = CHANNEL_ACCESS_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SemaphoreAccessImpl <em>Semaphore Access</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SemaphoreAccessImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSemaphoreAccess()
	 * @generated
	 */
	int SEMAPHORE_ACCESS = 322;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_ACCESS__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_ACCESS__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SEMAPHORE_ACCESS__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SEMAPHORE_ACCESS__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_ACCESS__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Semaphore</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_ACCESS__SEMAPHORE = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Access</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_ACCESS__ACCESS = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Waiting Behaviour</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_ACCESS__WAITING_BEHAVIOUR = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Semaphore Access</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_ACCESS_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Semaphore Access</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SEMAPHORE_ACCESS_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SenderReceiverCommunicationImpl <em>Sender Receiver Communication</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SenderReceiverCommunicationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSenderReceiverCommunication()
	 * @generated
	 */
	int SENDER_RECEIVER_COMMUNICATION = 323;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_COMMUNICATION__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_COMMUNICATION__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SENDER_RECEIVER_COMMUNICATION__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SENDER_RECEIVER_COMMUNICATION__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_COMMUNICATION__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Buffered</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_COMMUNICATION__BUFFERED = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Label</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_COMMUNICATION__LABEL = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Port</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_COMMUNICATION__PORT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Sender Receiver Communication</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_COMMUNICATION_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Sender Receiver Communication</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_COMMUNICATION_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SenderReceiverReadImpl <em>Sender Receiver Read</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SenderReceiverReadImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSenderReceiverRead()
	 * @generated
	 */
	int SENDER_RECEIVER_READ = 324;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_READ__CUSTOM_PROPERTIES = SENDER_RECEIVER_COMMUNICATION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_READ__CONTAINING_EXECUTABLE = SENDER_RECEIVER_COMMUNICATION__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SENDER_RECEIVER_READ__CONTAINING_PROCESS = SENDER_RECEIVER_COMMUNICATION__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SENDER_RECEIVER_READ__CONTAINING_RUNNABLE = SENDER_RECEIVER_COMMUNICATION__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_READ__CONTAINING_ACTIVITY_GRAPH = SENDER_RECEIVER_COMMUNICATION__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Buffered</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_READ__BUFFERED = SENDER_RECEIVER_COMMUNICATION__BUFFERED;

	/**
	 * The feature id for the '<em><b>Label</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_READ__LABEL = SENDER_RECEIVER_COMMUNICATION__LABEL;

	/**
	 * The feature id for the '<em><b>Port</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_READ__PORT = SENDER_RECEIVER_COMMUNICATION__PORT;

	/**
	 * The number of structural features of the '<em>Sender Receiver Read</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_READ_FEATURE_COUNT = SENDER_RECEIVER_COMMUNICATION_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Sender Receiver Read</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_READ_OPERATION_COUNT = SENDER_RECEIVER_COMMUNICATION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SenderReceiverWriteImpl <em>Sender Receiver Write</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SenderReceiverWriteImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSenderReceiverWrite()
	 * @generated
	 */
	int SENDER_RECEIVER_WRITE = 325;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_WRITE__CUSTOM_PROPERTIES = SENDER_RECEIVER_COMMUNICATION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_WRITE__CONTAINING_EXECUTABLE = SENDER_RECEIVER_COMMUNICATION__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SENDER_RECEIVER_WRITE__CONTAINING_PROCESS = SENDER_RECEIVER_COMMUNICATION__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SENDER_RECEIVER_WRITE__CONTAINING_RUNNABLE = SENDER_RECEIVER_COMMUNICATION__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_WRITE__CONTAINING_ACTIVITY_GRAPH = SENDER_RECEIVER_COMMUNICATION__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Buffered</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_WRITE__BUFFERED = SENDER_RECEIVER_COMMUNICATION__BUFFERED;

	/**
	 * The feature id for the '<em><b>Label</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_WRITE__LABEL = SENDER_RECEIVER_COMMUNICATION__LABEL;

	/**
	 * The feature id for the '<em><b>Port</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_WRITE__PORT = SENDER_RECEIVER_COMMUNICATION__PORT;

	/**
	 * The feature id for the '<em><b>Notified Runnables</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_WRITE__NOTIFIED_RUNNABLES = SENDER_RECEIVER_COMMUNICATION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Sender Receiver Write</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_WRITE_FEATURE_COUNT = SENDER_RECEIVER_COMMUNICATION_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Sender Receiver Write</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SENDER_RECEIVER_WRITE_OPERATION_COUNT = SENDER_RECEIVER_COMMUNICATION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ServerCallImpl <em>Server Call</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ServerCallImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getServerCall()
	 * @generated
	 */
	int SERVER_CALL = 326;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVER_CALL__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int SERVER_CALL__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SERVER_CALL__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SERVER_CALL__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVER_CALL__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Server Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVER_CALL__SERVER_RUNNABLE = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Port</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVER_CALL__PORT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Server Call</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVER_CALL_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Server Call</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVER_CALL_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SynchronousServerCallImpl <em>Synchronous Server Call</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SynchronousServerCallImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSynchronousServerCall()
	 * @generated
	 */
	int SYNCHRONOUS_SERVER_CALL = 327;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONOUS_SERVER_CALL__CUSTOM_PROPERTIES = SERVER_CALL__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int SYNCHRONOUS_SERVER_CALL__CONTAINING_EXECUTABLE = SERVER_CALL__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SYNCHRONOUS_SERVER_CALL__CONTAINING_PROCESS = SERVER_CALL__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int SYNCHRONOUS_SERVER_CALL__CONTAINING_RUNNABLE = SERVER_CALL__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONOUS_SERVER_CALL__CONTAINING_ACTIVITY_GRAPH = SERVER_CALL__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Server Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONOUS_SERVER_CALL__SERVER_RUNNABLE = SERVER_CALL__SERVER_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Port</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONOUS_SERVER_CALL__PORT = SERVER_CALL__PORT;

	/**
	 * The feature id for the '<em><b>Waiting Behaviour</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONOUS_SERVER_CALL__WAITING_BEHAVIOUR = SERVER_CALL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Synchronous Server Call</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONOUS_SERVER_CALL_FEATURE_COUNT = SERVER_CALL_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Synchronous Server Call</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SYNCHRONOUS_SERVER_CALL_OPERATION_COUNT = SERVER_CALL_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.AsynchronousServerCallImpl <em>Asynchronous Server Call</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AsynchronousServerCallImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getAsynchronousServerCall()
	 * @generated
	 */
	int ASYNCHRONOUS_SERVER_CALL = 328;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ASYNCHRONOUS_SERVER_CALL__CUSTOM_PROPERTIES = SERVER_CALL__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int ASYNCHRONOUS_SERVER_CALL__CONTAINING_EXECUTABLE = SERVER_CALL__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int ASYNCHRONOUS_SERVER_CALL__CONTAINING_PROCESS = SERVER_CALL__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int ASYNCHRONOUS_SERVER_CALL__CONTAINING_RUNNABLE = SERVER_CALL__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ASYNCHRONOUS_SERVER_CALL__CONTAINING_ACTIVITY_GRAPH = SERVER_CALL__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Server Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ASYNCHRONOUS_SERVER_CALL__SERVER_RUNNABLE = SERVER_CALL__SERVER_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Port</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ASYNCHRONOUS_SERVER_CALL__PORT = SERVER_CALL__PORT;

	/**
	 * The feature id for the '<em><b>Result Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ASYNCHRONOUS_SERVER_CALL__RESULT_RUNNABLE = SERVER_CALL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Asynchronous Server Call</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ASYNCHRONOUS_SERVER_CALL_FEATURE_COUNT = SERVER_CALL_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Asynchronous Server Call</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ASYNCHRONOUS_SERVER_CALL_OPERATION_COUNT = SERVER_CALL_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.GetResultServerCallImpl <em>Get Result Server Call</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.GetResultServerCallImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getGetResultServerCall()
	 * @generated
	 */
	int GET_RESULT_SERVER_CALL = 329;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GET_RESULT_SERVER_CALL__CUSTOM_PROPERTIES = SERVER_CALL__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int GET_RESULT_SERVER_CALL__CONTAINING_EXECUTABLE = SERVER_CALL__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int GET_RESULT_SERVER_CALL__CONTAINING_PROCESS = SERVER_CALL__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int GET_RESULT_SERVER_CALL__CONTAINING_RUNNABLE = SERVER_CALL__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GET_RESULT_SERVER_CALL__CONTAINING_ACTIVITY_GRAPH = SERVER_CALL__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Server Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GET_RESULT_SERVER_CALL__SERVER_RUNNABLE = SERVER_CALL__SERVER_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Port</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GET_RESULT_SERVER_CALL__PORT = SERVER_CALL__PORT;

	/**
	 * The feature id for the '<em><b>Blocking Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GET_RESULT_SERVER_CALL__BLOCKING_TYPE = SERVER_CALL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Get Result Server Call</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GET_RESULT_SERVER_CALL_FEATURE_COUNT = SERVER_CALL_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Get Result Server Call</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GET_RESULT_SERVER_CALL_OPERATION_COUNT = SERVER_CALL_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.GroupImpl <em>Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.GroupImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getGroup()
	 * @generated
	 */
	int GROUP = 330;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int GROUP__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int GROUP__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int GROUP__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP__NAME = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP__QUALIFIED_NAME = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP__ITEMS = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Ordered</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP__ORDERED = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Interruptible</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int GROUP__INTERRUPTIBLE = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 5;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP___GET_NAMED_CONTAINER = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP___GET_NAME_PREFIX = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP___GET_QUALIFIED_NAME_SEGMENTS = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP___GET_DEFAULT_NAME_SEPARATOR = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP___GET_NAMESPACE = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP___GET_NAME_PREFIX_SEGMENTS = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 5;

	/**
	 * The number of operations of the '<em>Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CallArgumentImpl <em>Call Argument</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CallArgumentImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCallArgument()
	 * @generated
	 */
	int CALL_ARGUMENT = 331;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT__NAME = REFERABLE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT__QUALIFIED_NAME = REFERABLE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT__UNIQUE_NAME = REFERABLE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Depends On</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT__DEPENDS_ON = REFERABLE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Containing Call</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT__CONTAINING_CALL = REFERABLE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Parameter</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT__PARAMETER = REFERABLE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Call Argument</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT_FEATURE_COUNT = REFERABLE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT___GET_NAMED_CONTAINER = REFERABLE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT___GET_NAME_PREFIX = REFERABLE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT___GET_NAMESPACE = REFERABLE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT___GET_ENCODED_QUALIFIED_NAME = REFERABLE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The operation id for the '<em>Get Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT___GET_NAME = REFERABLE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT___GET_NAME_PREFIX_SEGMENTS = REFERABLE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The number of operations of the '<em>Call Argument</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_ARGUMENT_OPERATION_COUNT = REFERABLE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunnableCallImpl <em>Runnable Call</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunnableCallImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnableCall()
	 * @generated
	 */
	int RUNNABLE_CALL = 332;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CALL__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CALL__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int RUNNABLE_CALL__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int RUNNABLE_CALL__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CALL__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CALL__TAGS = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CALL__RUNNABLE = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Arguments</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CALL__ARGUMENTS = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Context</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CALL__CONTEXT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Counter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CALL__COUNTER = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Statistic</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CALL__STATISTIC = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Runnable Call</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CALL_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 6;

	/**
	 * The number of operations of the '<em>Runnable Call</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUNNABLE_CALL_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CustomEventTriggerImpl <em>Custom Event Trigger</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CustomEventTriggerImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCustomEventTrigger()
	 * @generated
	 */
	int CUSTOM_EVENT_TRIGGER = 333;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT_TRIGGER__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT_TRIGGER__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int CUSTOM_EVENT_TRIGGER__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int CUSTOM_EVENT_TRIGGER__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT_TRIGGER__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Event</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT_TRIGGER__EVENT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Custom Event Trigger</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT_TRIGGER_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Custom Event Trigger</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_EVENT_TRIGGER_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.DataType <em>Data Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.DataType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataType()
	 * @generated
	 */
	int DATA_TYPE = 334;

	/**
	 * The number of structural features of the '<em>Data Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_FEATURE_COUNT = 0;

	/**
	 * The number of operations of the '<em>Data Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CompoundTypeImpl <em>Compound Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CompoundTypeImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCompoundType()
	 * @generated
	 */
	int COMPOUND_TYPE = 335;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOUND_TYPE__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The number of structural features of the '<em>Compound Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOUND_TYPE_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of operations of the '<em>Compound Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOUND_TYPE_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.StructImpl <em>Struct</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.StructImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getStruct()
	 * @generated
	 */
	int STRUCT = 336;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT__CUSTOM_PROPERTIES = COMPOUND_TYPE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT__TAGS = COMPOUND_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Entries</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT__ENTRIES = COMPOUND_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Struct</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT_FEATURE_COUNT = COMPOUND_TYPE_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Struct</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT_OPERATION_COUNT = COMPOUND_TYPE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.StructEntryImpl <em>Struct Entry</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.StructEntryImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getStructEntry()
	 * @generated
	 */
	int STRUCT_ENTRY = 337;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT_ENTRY__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT_ENTRY__NAME = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT_ENTRY__QUALIFIED_NAME = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT_ENTRY__TAGS = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Data Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT_ENTRY__DATA_TYPE = BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Struct Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT_ENTRY_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT_ENTRY___GET_NAMED_CONTAINER = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT_ENTRY___GET_NAME_PREFIX = BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT_ENTRY___GET_QUALIFIED_NAME_SEGMENTS = BASE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT_ENTRY___GET_DEFAULT_NAME_SEPARATOR = BASE_OBJECT_OPERATION_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT_ENTRY___GET_NAMESPACE = BASE_OBJECT_OPERATION_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT_ENTRY___GET_NAME_PREFIX_SEGMENTS = BASE_OBJECT_OPERATION_COUNT + 5;

	/**
	 * The number of operations of the '<em>Struct Entry</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCT_ENTRY_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ArrayImpl <em>Array</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ArrayImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getArray()
	 * @generated
	 */
	int ARRAY = 338;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRAY__CUSTOM_PROPERTIES = COMPOUND_TYPE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Number Elements</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRAY__NUMBER_ELEMENTS = COMPOUND_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Data Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRAY__DATA_TYPE = COMPOUND_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Array</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRAY_FEATURE_COUNT = COMPOUND_TYPE_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Array</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARRAY_OPERATION_COUNT = COMPOUND_TYPE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.PointerImpl <em>Pointer</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.PointerImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPointer()
	 * @generated
	 */
	int POINTER = 339;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POINTER__CUSTOM_PROPERTIES = COMPOUND_TYPE__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Data Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POINTER__DATA_TYPE = COMPOUND_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Pointer</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POINTER_FEATURE_COUNT = COMPOUND_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Pointer</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POINTER_OPERATION_COUNT = COMPOUND_TYPE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TypeRefImpl <em>Type Ref</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TypeRefImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTypeRef()
	 * @generated
	 */
	int TYPE_REF = 340;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_REF__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Type Def</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_REF__TYPE_DEF = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Type Ref</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_REF_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Type Ref</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_REF_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.AliasImpl <em>Alias</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AliasImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getAlias()
	 * @generated
	 */
	int ALIAS = 341;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ALIAS__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Target</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ALIAS__TARGET = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Alias</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ALIAS__ALIAS = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Alias</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ALIAS_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Alias</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ALIAS_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.TypeDefinitionImpl <em>Type Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.TypeDefinitionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTypeDefinition()
	 * @generated
	 */
	int TYPE_DEFINITION = 342;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Namespace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION__NAMESPACE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION__SIZE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Type Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Type Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.DataTypeDefinitionImpl <em>Data Type Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.DataTypeDefinitionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataTypeDefinition()
	 * @generated
	 */
	int DATA_TYPE_DEFINITION = 343;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION__CUSTOM_PROPERTIES = TYPE_DEFINITION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION__NAME = TYPE_DEFINITION__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION__QUALIFIED_NAME = TYPE_DEFINITION__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION__UNIQUE_NAME = TYPE_DEFINITION__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Namespace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION__NAMESPACE = TYPE_DEFINITION__NAMESPACE;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION__SIZE = TYPE_DEFINITION__SIZE;

	/**
	 * The feature id for the '<em><b>Data Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION__DATA_TYPE = TYPE_DEFINITION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Data Type Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION_FEATURE_COUNT = TYPE_DEFINITION_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION___GET_NAMED_CONTAINER = TYPE_DEFINITION___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION___GET_NAME_PREFIX = TYPE_DEFINITION___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS = TYPE_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION___GET_DEFAULT_NAME_SEPARATOR = TYPE_DEFINITION___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION___GET_NAMESPACE = TYPE_DEFINITION___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION___GET_NAME_PREFIX_SEGMENTS = TYPE_DEFINITION___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION___GET_ENCODED_QUALIFIED_NAME = TYPE_DEFINITION___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TYPE_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Data Type Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_DEFINITION_OPERATION_COUNT = TYPE_DEFINITION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.BaseTypeDefinitionImpl <em>Base Type Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.BaseTypeDefinitionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getBaseTypeDefinition()
	 * @generated
	 */
	int BASE_TYPE_DEFINITION = 344;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION__CUSTOM_PROPERTIES = TYPE_DEFINITION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION__NAME = TYPE_DEFINITION__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION__QUALIFIED_NAME = TYPE_DEFINITION__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION__UNIQUE_NAME = TYPE_DEFINITION__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Namespace</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION__NAMESPACE = TYPE_DEFINITION__NAMESPACE;

	/**
	 * The feature id for the '<em><b>Size</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION__SIZE = TYPE_DEFINITION__SIZE;

	/**
	 * The feature id for the '<em><b>Aliases</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION__ALIASES = TYPE_DEFINITION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Base Type Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION_FEATURE_COUNT = TYPE_DEFINITION_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION___GET_NAMED_CONTAINER = TYPE_DEFINITION___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION___GET_NAME_PREFIX = TYPE_DEFINITION___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS = TYPE_DEFINITION___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION___GET_DEFAULT_NAME_SEPARATOR = TYPE_DEFINITION___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION___GET_NAMESPACE = TYPE_DEFINITION___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION___GET_NAME_PREFIX_SEGMENTS = TYPE_DEFINITION___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION___GET_ENCODED_QUALIFIED_NAME = TYPE_DEFINITION___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = TYPE_DEFINITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Base Type Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_TYPE_DEFINITION_OPERATION_COUNT = TYPE_DEFINITION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ActivationImpl <em>Activation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ActivationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getActivation()
	 * @generated
	 */
	int ACTIVATION = 345;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVATION__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVATION__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVATION__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVATION__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVATION__TAGS = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Activation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVATION_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVATION___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVATION___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVATION___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVATION___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVATION___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVATION___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVATION___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVATION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Activation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIVATION_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.PeriodicActivationImpl <em>Periodic Activation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.PeriodicActivationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPeriodicActivation()
	 * @generated
	 */
	int PERIODIC_ACTIVATION = 346;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION__CUSTOM_PROPERTIES = ACTIVATION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION__NAME = ACTIVATION__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION__QUALIFIED_NAME = ACTIVATION__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION__UNIQUE_NAME = ACTIVATION__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION__TAGS = ACTIVATION__TAGS;

	/**
	 * The feature id for the '<em><b>Min</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION__MIN = ACTIVATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Max</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION__MAX = ACTIVATION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Recurrence</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION__RECURRENCE = ACTIVATION_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION__OFFSET = ACTIVATION_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Periodic Activation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION_FEATURE_COUNT = ACTIVATION_FEATURE_COUNT + 4;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION___GET_NAMED_CONTAINER = ACTIVATION___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION___GET_NAME_PREFIX = ACTIVATION___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION___GET_QUALIFIED_NAME_SEGMENTS = ACTIVATION___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION___GET_DEFAULT_NAME_SEPARATOR = ACTIVATION___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION___GET_NAMESPACE = ACTIVATION___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION___GET_NAME_PREFIX_SEGMENTS = ACTIVATION___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION___GET_ENCODED_QUALIFIED_NAME = ACTIVATION___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ACTIVATION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Periodic Activation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERIODIC_ACTIVATION_OPERATION_COUNT = ACTIVATION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.VariableRateActivationImpl <em>Variable Rate Activation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.VariableRateActivationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getVariableRateActivation()
	 * @generated
	 */
	int VARIABLE_RATE_ACTIVATION = 347;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION__CUSTOM_PROPERTIES = ACTIVATION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION__NAME = ACTIVATION__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION__QUALIFIED_NAME = ACTIVATION__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION__UNIQUE_NAME = ACTIVATION__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION__TAGS = ACTIVATION__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION__DESCRIPTION = ACTIVATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Step</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION__STEP = ACTIVATION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Occurrences Per Step</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION__OCCURRENCES_PER_STEP = ACTIVATION_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Variable Rate Activation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION_FEATURE_COUNT = ACTIVATION_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION___GET_NAMED_CONTAINER = ACTIVATION___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION___GET_NAME_PREFIX = ACTIVATION___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION___GET_QUALIFIED_NAME_SEGMENTS = ACTIVATION___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION___GET_DEFAULT_NAME_SEPARATOR = ACTIVATION___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION___GET_NAMESPACE = ACTIVATION___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION___GET_NAME_PREFIX_SEGMENTS = ACTIVATION___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION___GET_ENCODED_QUALIFIED_NAME = ACTIVATION___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ACTIVATION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Variable Rate Activation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_RATE_ACTIVATION_OPERATION_COUNT = ACTIVATION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SporadicActivationImpl <em>Sporadic Activation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SporadicActivationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSporadicActivation()
	 * @generated
	 */
	int SPORADIC_ACTIVATION = 348;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION__CUSTOM_PROPERTIES = ACTIVATION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION__NAME = ACTIVATION__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION__QUALIFIED_NAME = ACTIVATION__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION__UNIQUE_NAME = ACTIVATION__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION__TAGS = ACTIVATION__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION__DESCRIPTION = ACTIVATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Occurrence</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION__OCCURRENCE = ACTIVATION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Sporadic Activation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION_FEATURE_COUNT = ACTIVATION_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION___GET_NAMED_CONTAINER = ACTIVATION___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION___GET_NAME_PREFIX = ACTIVATION___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION___GET_QUALIFIED_NAME_SEGMENTS = ACTIVATION___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION___GET_DEFAULT_NAME_SEPARATOR = ACTIVATION___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION___GET_NAMESPACE = ACTIVATION___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION___GET_NAME_PREFIX_SEGMENTS = ACTIVATION___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION___GET_ENCODED_QUALIFIED_NAME = ACTIVATION___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ACTIVATION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Sporadic Activation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SPORADIC_ACTIVATION_OPERATION_COUNT = ACTIVATION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.SingleActivationImpl <em>Single Activation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.SingleActivationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSingleActivation()
	 * @generated
	 */
	int SINGLE_ACTIVATION = 349;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION__CUSTOM_PROPERTIES = ACTIVATION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION__NAME = ACTIVATION__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION__QUALIFIED_NAME = ACTIVATION__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION__UNIQUE_NAME = ACTIVATION__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION__TAGS = ACTIVATION__TAGS;

	/**
	 * The feature id for the '<em><b>Min</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION__MIN = ACTIVATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Max</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION__MAX = ACTIVATION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Single Activation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION_FEATURE_COUNT = ACTIVATION_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION___GET_NAMED_CONTAINER = ACTIVATION___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION___GET_NAME_PREFIX = ACTIVATION___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION___GET_QUALIFIED_NAME_SEGMENTS = ACTIVATION___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION___GET_DEFAULT_NAME_SEPARATOR = ACTIVATION___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION___GET_NAMESPACE = ACTIVATION___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION___GET_NAME_PREFIX_SEGMENTS = ACTIVATION___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION___GET_ENCODED_QUALIFIED_NAME = ACTIVATION___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ACTIVATION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Single Activation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINGLE_ACTIVATION_OPERATION_COUNT = ACTIVATION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.EventActivationImpl <em>Event Activation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.EventActivationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEventActivation()
	 * @generated
	 */
	int EVENT_ACTIVATION = 350;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION__CUSTOM_PROPERTIES = ACTIVATION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION__NAME = ACTIVATION__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION__QUALIFIED_NAME = ACTIVATION__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION__UNIQUE_NAME = ACTIVATION__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION__TAGS = ACTIVATION__TAGS;

	/**
	 * The feature id for the '<em><b>Triggering Events</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION__TRIGGERING_EVENTS = ACTIVATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Counter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION__COUNTER = ACTIVATION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Event Activation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION_FEATURE_COUNT = ACTIVATION_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION___GET_NAMED_CONTAINER = ACTIVATION___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION___GET_NAME_PREFIX = ACTIVATION___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION___GET_QUALIFIED_NAME_SEGMENTS = ACTIVATION___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION___GET_DEFAULT_NAME_SEPARATOR = ACTIVATION___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION___GET_NAMESPACE = ACTIVATION___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION___GET_NAME_PREFIX_SEGMENTS = ACTIVATION___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION___GET_ENCODED_QUALIFIED_NAME = ACTIVATION___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ACTIVATION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Event Activation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_ACTIVATION_OPERATION_COUNT = ACTIVATION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.CustomActivationImpl <em>Custom Activation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.CustomActivationImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCustomActivation()
	 * @generated
	 */
	int CUSTOM_ACTIVATION = 351;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION__CUSTOM_PROPERTIES = ACTIVATION__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION__NAME = ACTIVATION__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION__QUALIFIED_NAME = ACTIVATION__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION__UNIQUE_NAME = ACTIVATION__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Tags</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION__TAGS = ACTIVATION__TAGS;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION__DESCRIPTION = ACTIVATION_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Custom Activation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION_FEATURE_COUNT = ACTIVATION_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION___GET_NAMED_CONTAINER = ACTIVATION___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION___GET_NAME_PREFIX = ACTIVATION___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION___GET_QUALIFIED_NAME_SEGMENTS = ACTIVATION___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION___GET_DEFAULT_NAME_SEPARATOR = ACTIVATION___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION___GET_NAMESPACE = ACTIVATION___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION___GET_NAME_PREFIX_SEGMENTS = ACTIVATION___GET_NAME_PREFIX_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION___GET_ENCODED_QUALIFIED_NAME = ACTIVATION___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ACTIVATION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Custom Activation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_ACTIVATION_OPERATION_COUNT = ACTIVATION_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.LabelAccessStatisticImpl <em>Label Access Statistic</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.LabelAccessStatisticImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLabelAccessStatistic()
	 * @generated
	 */
	int LABEL_ACCESS_STATISTIC = 352;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS_STATISTIC__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS_STATISTIC__VALUE = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Cache Misses</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS_STATISTIC__CACHE_MISSES = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Label Access Statistic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS_STATISTIC_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of operations of the '<em>Label Access Statistic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_ACCESS_STATISTIC_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.RunEntityCallStatisticImpl <em>Run Entity Call Statistic</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.RunEntityCallStatisticImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunEntityCallStatistic()
	 * @generated
	 */
	int RUN_ENTITY_CALL_STATISTIC = 353;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUN_ENTITY_CALL_STATISTIC__CUSTOM_PROPERTIES = BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Statistic</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUN_ENTITY_CALL_STATISTIC__STATISTIC = BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Run Entity Call Statistic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUN_ENTITY_CALL_STATISTIC_FEATURE_COUNT = BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of operations of the '<em>Run Entity Call Statistic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RUN_ENTITY_CALL_STATISTIC_OPERATION_COUNT = BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.LocalModeLabelImpl <em>Local Mode Label</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.LocalModeLabelImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLocalModeLabel()
	 * @generated
	 */
	int LOCAL_MODE_LABEL = 354;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL__CUSTOM_PROPERTIES = REFERABLE_BASE_OBJECT__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL__NAME = REFERABLE_BASE_OBJECT__NAME;

	/**
	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL__QUALIFIED_NAME = REFERABLE_BASE_OBJECT__QUALIFIED_NAME;

	/**
	 * The feature id for the '<em><b>Unique Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL__UNIQUE_NAME = REFERABLE_BASE_OBJECT__UNIQUE_NAME;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL__CONTAINING_EXECUTABLE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Mode</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL__MODE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Default Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL__DEFAULT_VALUE = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Local Mode Label</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_FEATURE_COUNT = REFERABLE_BASE_OBJECT_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Get Named Container</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL___GET_NAMED_CONTAINER = REFERABLE_BASE_OBJECT___GET_NAMED_CONTAINER;

	/**
	 * The operation id for the '<em>Get Name Prefix</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL___GET_NAME_PREFIX = REFERABLE_BASE_OBJECT___GET_NAME_PREFIX;

	/**
	 * The operation id for the '<em>Get Qualified Name Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL___GET_QUALIFIED_NAME_SEGMENTS = REFERABLE_BASE_OBJECT___GET_QUALIFIED_NAME_SEGMENTS;

	/**
	 * The operation id for the '<em>Get Default Name Separator</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL___GET_DEFAULT_NAME_SEPARATOR = REFERABLE_BASE_OBJECT___GET_DEFAULT_NAME_SEPARATOR;

	/**
	 * The operation id for the '<em>Get Namespace</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL___GET_NAMESPACE = REFERABLE_BASE_OBJECT___GET_NAMESPACE;

	/**
	 * The operation id for the '<em>Get Encoded Qualified Name</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL___GET_ENCODED_QUALIFIED_NAME = REFERABLE_BASE_OBJECT___GET_ENCODED_QUALIFIED_NAME;

	/**
	 * The operation id for the '<em>Get Name Prefix Segments</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL___GET_NAME_PREFIX_SEGMENTS = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Is Enum</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL___IS_ENUM = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 2;

	/**
	 * The operation id for the '<em>Is Numeric</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL___IS_NUMERIC = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 3;

	/**
	 * The number of operations of the '<em>Local Mode Label</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_OPERATION_COUNT = REFERABLE_BASE_OBJECT_OPERATION_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.LocalModeValueImpl <em>Local Mode Value</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.LocalModeValueImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLocalModeValue()
	 * @generated
	 */
	int LOCAL_MODE_VALUE = 355;

	/**
	 * The feature id for the '<em><b>Label</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_VALUE__LABEL = 0;

	/**
	 * The feature id for the '<em><b>Value Source</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_VALUE__VALUE_SOURCE = 1;

	/**
	 * The number of structural features of the '<em>Local Mode Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_VALUE_FEATURE_COUNT = 2;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_VALUE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = 0;

	/**
	 * The number of operations of the '<em>Local Mode Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_VALUE_OPERATION_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.LocalModeLabelAssignmentImpl <em>Local Mode Label Assignment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.LocalModeLabelAssignmentImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLocalModeLabelAssignment()
	 * @generated
	 */
	int LOCAL_MODE_LABEL_ASSIGNMENT = 356;

	/**
	 * The feature id for the '<em><b>Label</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_ASSIGNMENT__LABEL = LOCAL_MODE_VALUE__LABEL;

	/**
	 * The feature id for the '<em><b>Value Source</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_ASSIGNMENT__VALUE_SOURCE = LOCAL_MODE_VALUE__VALUE_SOURCE;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_ASSIGNMENT__CUSTOM_PROPERTIES = LOCAL_MODE_VALUE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_ASSIGNMENT__CONTAINING_EXECUTABLE = LOCAL_MODE_VALUE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int LOCAL_MODE_LABEL_ASSIGNMENT__CONTAINING_PROCESS = LOCAL_MODE_VALUE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int LOCAL_MODE_LABEL_ASSIGNMENT__CONTAINING_RUNNABLE = LOCAL_MODE_VALUE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_ASSIGNMENT__CONTAINING_ACTIVITY_GRAPH = LOCAL_MODE_VALUE_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Local Mode Label Assignment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_ASSIGNMENT_FEATURE_COUNT = LOCAL_MODE_VALUE_FEATURE_COUNT + 5;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_ASSIGNMENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = LOCAL_MODE_VALUE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Local Mode Label Assignment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_ASSIGNMENT_OPERATION_COUNT = LOCAL_MODE_VALUE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.LocalModeConditionImpl <em>Local Mode Condition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.LocalModeConditionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLocalModeCondition()
	 * @generated
	 */
	int LOCAL_MODE_CONDITION = 357;

	/**
	 * The feature id for the '<em><b>Label</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_CONDITION__LABEL = LOCAL_MODE_VALUE__LABEL;

	/**
	 * The feature id for the '<em><b>Value Source</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_CONDITION__VALUE_SOURCE = LOCAL_MODE_VALUE__VALUE_SOURCE;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_CONDITION__CUSTOM_PROPERTIES = LOCAL_MODE_VALUE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Relation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_CONDITION__RELATION = LOCAL_MODE_VALUE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Local Mode Condition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_CONDITION_FEATURE_COUNT = LOCAL_MODE_VALUE_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_CONDITION___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = LOCAL_MODE_VALUE___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP;

	/**
	 * The number of operations of the '<em>Local Mode Condition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_CONDITION_OPERATION_COUNT = LOCAL_MODE_VALUE_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ILocalModeValueSource <em>ILocal Mode Value Source</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ILocalModeValueSource
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getILocalModeValueSource()
	 * @generated
	 */
	int ILOCAL_MODE_VALUE_SOURCE = 358;

	/**
	 * The number of structural features of the '<em>ILocal Mode Value Source</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ILOCAL_MODE_VALUE_SOURCE_FEATURE_COUNT = 0;

	/**
	 * The operation id for the '<em>Is Enum</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ILOCAL_MODE_VALUE_SOURCE___IS_ENUM = 0;

	/**
	 * The operation id for the '<em>Is Numeric</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ILOCAL_MODE_VALUE_SOURCE___IS_NUMERIC = 1;

	/**
	 * The operation id for the '<em>Get Mode</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ILOCAL_MODE_VALUE_SOURCE___GET_MODE = 2;

	/**
	 * The number of operations of the '<em>ILocal Mode Value Source</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ModeLiteralConstImpl <em>Mode Literal Const</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ModeLiteralConstImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeLiteralConst()
	 * @generated
	 */
	int MODE_LITERAL_CONST = 359;

	/**
	 * The feature id for the '<em><b>Value</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL_CONST__VALUE = ILOCAL_MODE_VALUE_SOURCE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Mode Literal Const</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL_CONST_FEATURE_COUNT = ILOCAL_MODE_VALUE_SOURCE_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Is Numeric</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL_CONST___IS_NUMERIC = ILOCAL_MODE_VALUE_SOURCE___IS_NUMERIC;

	/**
	 * The operation id for the '<em>Is Enum</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL_CONST___IS_ENUM = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Get Mode</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL_CONST___GET_MODE = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 1;

	/**
	 * The number of operations of the '<em>Mode Literal Const</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LITERAL_CONST_OPERATION_COUNT = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.IntegerConstImpl <em>Integer Const</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.IntegerConstImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getIntegerConst()
	 * @generated
	 */
	int INTEGER_CONST = 360;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_CONST__VALUE = ILOCAL_MODE_VALUE_SOURCE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Integer Const</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_CONST_FEATURE_COUNT = ILOCAL_MODE_VALUE_SOURCE_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Is Enum</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_CONST___IS_ENUM = ILOCAL_MODE_VALUE_SOURCE___IS_ENUM;

	/**
	 * The operation id for the '<em>Get Mode</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_CONST___GET_MODE = ILOCAL_MODE_VALUE_SOURCE___GET_MODE;

	/**
	 * The operation id for the '<em>Is Numeric</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_CONST___IS_NUMERIC = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Integer Const</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_CONST_OPERATION_COUNT = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ModeLabelRefImpl <em>Mode Label Ref</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ModeLabelRefImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeLabelRef()
	 * @generated
	 */
	int MODE_LABEL_REF = 361;

	/**
	 * The feature id for the '<em><b>Value</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_REF__VALUE = ILOCAL_MODE_VALUE_SOURCE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Mode Label Ref</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_REF_FEATURE_COUNT = ILOCAL_MODE_VALUE_SOURCE_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Is Enum</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_REF___IS_ENUM = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Is Numeric</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_REF___IS_NUMERIC = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Mode</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_REF___GET_MODE = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Mode Label Ref</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_REF_OPERATION_COUNT = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.LocalModeLabelRefImpl <em>Local Mode Label Ref</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.LocalModeLabelRefImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLocalModeLabelRef()
	 * @generated
	 */
	int LOCAL_MODE_LABEL_REF = 362;

	/**
	 * The feature id for the '<em><b>Value</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_REF__VALUE = ILOCAL_MODE_VALUE_SOURCE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Local Mode Label Ref</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_REF_FEATURE_COUNT = ILOCAL_MODE_VALUE_SOURCE_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Is Enum</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_REF___IS_ENUM = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 0;

	/**
	 * The operation id for the '<em>Is Numeric</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_REF___IS_NUMERIC = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 1;

	/**
	 * The operation id for the '<em>Get Mode</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_REF___GET_MODE = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 2;

	/**
	 * The number of operations of the '<em>Local Mode Label Ref</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LOCAL_MODE_LABEL_REF_OPERATION_COUNT = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ChannelFillRefImpl <em>Channel Fill Ref</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ChannelFillRefImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getChannelFillRef()
	 * @generated
	 */
	int CHANNEL_FILL_REF = 363;

	/**
	 * The feature id for the '<em><b>Value</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_FILL_REF__VALUE = ILOCAL_MODE_VALUE_SOURCE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Channel Fill Ref</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_FILL_REF_FEATURE_COUNT = ILOCAL_MODE_VALUE_SOURCE_FEATURE_COUNT + 1;

	/**
	 * The operation id for the '<em>Is Enum</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_FILL_REF___IS_ENUM = ILOCAL_MODE_VALUE_SOURCE___IS_ENUM;

	/**
	 * The operation id for the '<em>Get Mode</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_FILL_REF___GET_MODE = ILOCAL_MODE_VALUE_SOURCE___GET_MODE;

	/**
	 * The operation id for the '<em>Is Numeric</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_FILL_REF___IS_NUMERIC = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Channel Fill Ref</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CHANNEL_FILL_REF_OPERATION_COUNT = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ArithmeticExpressionImpl <em>Arithmetic Expression</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ArithmeticExpressionImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getArithmeticExpression()
	 * @generated
	 */
	int ARITHMETIC_EXPRESSION = 364;

	/**
	 * The feature id for the '<em><b>Operand1</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARITHMETIC_EXPRESSION__OPERAND1 = ILOCAL_MODE_VALUE_SOURCE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Operand2</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARITHMETIC_EXPRESSION__OPERAND2 = ILOCAL_MODE_VALUE_SOURCE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Operator</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARITHMETIC_EXPRESSION__OPERATOR = ILOCAL_MODE_VALUE_SOURCE_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Arithmetic Expression</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARITHMETIC_EXPRESSION_FEATURE_COUNT = ILOCAL_MODE_VALUE_SOURCE_FEATURE_COUNT + 3;

	/**
	 * The operation id for the '<em>Is Enum</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARITHMETIC_EXPRESSION___IS_ENUM = ILOCAL_MODE_VALUE_SOURCE___IS_ENUM;

	/**
	 * The operation id for the '<em>Get Mode</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARITHMETIC_EXPRESSION___GET_MODE = ILOCAL_MODE_VALUE_SOURCE___GET_MODE;

	/**
	 * The operation id for the '<em>Is Numeric</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARITHMETIC_EXPRESSION___IS_NUMERIC = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Arithmetic Expression</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARITHMETIC_EXPRESSION_OPERATION_COUNT = ILOCAL_MODE_VALUE_SOURCE_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.impl.ModeLabelAssignmentImpl <em>Mode Label Assignment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.ModeLabelAssignmentImpl
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeLabelAssignment()
	 * @generated
	 */
	int MODE_LABEL_ASSIGNMENT = 365;

	/**
	 * The feature id for the '<em><b>Custom Properties</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ASSIGNMENT__CUSTOM_PROPERTIES = ACTIVITY_GRAPH_ITEM__CUSTOM_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Containing Executable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @since 1.2
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ASSIGNMENT__CONTAINING_EXECUTABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_EXECUTABLE;

	/**
	 * The feature id for the '<em><b>Containing Process</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int MODE_LABEL_ASSIGNMENT__CONTAINING_PROCESS = ACTIVITY_GRAPH_ITEM__CONTAINING_PROCESS;

	/**
	 * The feature id for the '<em><b>Containing Runnable</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 * @ordered
	 */
	@Deprecated
	int MODE_LABEL_ASSIGNMENT__CONTAINING_RUNNABLE = ACTIVITY_GRAPH_ITEM__CONTAINING_RUNNABLE;

	/**
	 * The feature id for the '<em><b>Containing Activity Graph</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ASSIGNMENT__CONTAINING_ACTIVITY_GRAPH = ACTIVITY_GRAPH_ITEM__CONTAINING_ACTIVITY_GRAPH;

	/**
	 * The feature id for the '<em><b>Global Label</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ASSIGNMENT__GLOBAL_LABEL = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Local Label</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ASSIGNMENT__LOCAL_LABEL = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Mode Label Assignment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ASSIGNMENT_FEATURE_COUNT = ACTIVITY_GRAPH_ITEM_FEATURE_COUNT + 2;

	/**
	 * The operation id for the '<em>Validate Invariants</em>' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ASSIGNMENT___VALIDATE_INVARIANTS__DIAGNOSTICCHAIN_MAP = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 0;

	/**
	 * The number of operations of the '<em>Mode Label Assignment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODE_LABEL_ASSIGNMENT_OPERATION_COUNT = ACTIVITY_GRAPH_ITEM_OPERATION_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.RelationalOperator <em>Relational Operator</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.RelationalOperator
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRelationalOperator()
	 * @generated
	 */
	int RELATIONAL_OPERATOR = 366;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ParameterType <em>Parameter Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ParameterType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getParameterType()
	 * @generated
	 */
	int PARAMETER_TYPE = 367;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.TimeUnit <em>Time Unit</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.TimeUnit
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTimeUnit()
	 * @generated
	 */
	int TIME_UNIT = 368;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.FrequencyUnit <em>Frequency Unit</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.FrequencyUnit
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getFrequencyUnit()
	 * @generated
	 */
	int FREQUENCY_UNIT = 369;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.VoltageUnit <em>Voltage Unit</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.VoltageUnit
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getVoltageUnit()
	 * @generated
	 */
	int VOLTAGE_UNIT = 370;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.DataSizeUnit <em>Data Size Unit</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.DataSizeUnit
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataSizeUnit()
	 * @generated
	 */
	int DATA_SIZE_UNIT = 371;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.DataRateUnit <em>Data Rate Unit</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.DataRateUnit
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataRateUnit()
	 * @generated
	 */
	int DATA_RATE_UNIT = 372;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.SamplingType <em>Sampling Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.SamplingType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSamplingType()
	 * @generated
	 */
	int SAMPLING_TYPE = 373;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.InterfaceKind <em>Interface Kind</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.InterfaceKind
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getInterfaceKind()
	 * @generated
	 */
	int INTERFACE_KIND = 374;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.RunnableOrderType <em>Runnable Order Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.RunnableOrderType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnableOrderType()
	 * @generated
	 */
	int RUNNABLE_ORDER_TYPE = 375;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.EventChainItemType <em>Event Chain Item Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.EventChainItemType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getEventChainItemType()
	 * @generated
	 */
	int EVENT_CHAIN_ITEM_TYPE = 376;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.SynchronizationType <em>Synchronization Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.SynchronizationType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSynchronizationType()
	 * @generated
	 */
	int SYNCHRONIZATION_TYPE = 377;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.MappingType <em>Mapping Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.MappingType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getMappingType()
	 * @generated
	 */
	int MAPPING_TYPE = 378;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.LatencyType <em>Latency Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.LatencyType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLatencyType()
	 * @generated
	 */
	int LATENCY_TYPE = 379;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.Severity <em>Severity</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.Severity
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSeverity()
	 * @generated
	 */
	int SEVERITY = 380;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.LimitType <em>Limit Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.LimitType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLimitType()
	 * @generated
	 */
	int LIMIT_TYPE = 381;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.TimeMetric <em>Time Metric</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.TimeMetric
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getTimeMetric()
	 * @generated
	 */
	int TIME_METRIC = 382;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.CountMetric <em>Count Metric</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.CountMetric
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCountMetric()
	 * @generated
	 */
	int COUNT_METRIC = 383;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.PercentageMetric <em>Percentage Metric</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.PercentageMetric
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPercentageMetric()
	 * @generated
	 */
	int PERCENTAGE_METRIC = 384;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.CPUPercentageMetric <em>CPU Percentage Metric</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.CPUPercentageMetric
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCPUPercentageMetric()
	 * @generated
	 */
	int CPU_PERCENTAGE_METRIC = 385;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.FrequencyMetric <em>Frequency Metric</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.FrequencyMetric
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getFrequencyMetric()
	 * @generated
	 */
	int FREQUENCY_METRIC = 386;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.CoherencyDirection <em>Coherency Direction</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.CoherencyDirection
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCoherencyDirection()
	 * @generated
	 */
	int COHERENCY_DIRECTION = 387;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ProcessEventType <em>Process Event Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ProcessEventType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getProcessEventType()
	 * @generated
	 */
	int PROCESS_EVENT_TYPE = 388;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.RunnableEventType <em>Runnable Event Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.RunnableEventType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getRunnableEventType()
	 * @generated
	 */
	int RUNNABLE_EVENT_TYPE = 389;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.LabelEventType <em>Label Event Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.LabelEventType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLabelEventType()
	 * @generated
	 */
	int LABEL_EVENT_TYPE = 390;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ModeLabelEventType <em>Mode Label Event Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelEventType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeLabelEventType()
	 * @generated
	 */
	int MODE_LABEL_EVENT_TYPE = 391;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ChannelEventType <em>Channel Event Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ChannelEventType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getChannelEventType()
	 * @generated
	 */
	int CHANNEL_EVENT_TYPE = 392;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.SemaphoreEventType <em>Semaphore Event Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreEventType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSemaphoreEventType()
	 * @generated
	 */
	int SEMAPHORE_EVENT_TYPE = 393;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ComponentEventType <em>Component Event Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ComponentEventType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getComponentEventType()
	 * @generated
	 */
	int COMPONENT_EVENT_TYPE = 394;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.MemoryType <em>Memory Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.MemoryType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getMemoryType()
	 * @generated
	 */
	int MEMORY_TYPE = 395;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.StructureType <em>Structure Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.StructureType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getStructureType()
	 * @generated
	 */
	int STRUCTURE_TYPE = 396;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.CacheType <em>Cache Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.CacheType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCacheType()
	 * @generated
	 */
	int CACHE_TYPE = 397;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.PortType <em>Port Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.PortType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPortType()
	 * @generated
	 */
	int PORT_TYPE = 398;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.SchedPolicy <em>Sched Policy</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.SchedPolicy
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSchedPolicy()
	 * @generated
	 */
	int SCHED_POLICY = 399;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.WriteStrategy <em>Write Strategy</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.WriteStrategy
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getWriteStrategy()
	 * @generated
	 */
	int WRITE_STRATEGY = 400;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.PuType <em>Pu Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.PuType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPuType()
	 * @generated
	 */
	int PU_TYPE = 401;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.PortInterface <em>Port Interface</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.PortInterface
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPortInterface()
	 * @generated
	 */
	int PORT_INTERFACE = 402;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.HwFeatureType <em>Hw Feature Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.HwFeatureType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getHwFeatureType()
	 * @generated
	 */
	int HW_FEATURE_TYPE = 403;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.MemoryAddressMappingType <em>Memory Address Mapping Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.MemoryAddressMappingType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getMemoryAddressMappingType()
	 * @generated
	 */
	int MEMORY_ADDRESS_MAPPING_TYPE = 404;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.OsDataConsistencyMode <em>Os Data Consistency Mode</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.OsDataConsistencyMode
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getOsDataConsistencyMode()
	 * @generated
	 */
	int OS_DATA_CONSISTENCY_MODE = 405;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.AccessMultiplicity <em>Access Multiplicity</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.AccessMultiplicity
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getAccessMultiplicity()
	 * @generated
	 */
	int ACCESS_MULTIPLICITY = 406;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.DataStabilityLevel <em>Data Stability Level</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.DataStabilityLevel
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDataStabilityLevel()
	 * @generated
	 */
	int DATA_STABILITY_LEVEL = 407;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.SemaphoreType <em>Semaphore Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSemaphoreType()
	 * @generated
	 */
	int SEMAPHORE_TYPE = 408;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.CombinatorialCondition <em>Combinatorial Condition</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.CombinatorialCondition
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCombinatorialCondition()
	 * @generated
	 */
	int COMBINATORIAL_CONDITION = 409;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.GroupingType <em>Grouping Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.GroupingType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getGroupingType()
	 * @generated
	 */
	int GROUPING_TYPE = 410;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.CurveType <em>Curve Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.CurveType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getCurveType()
	 * @generated
	 */
	int CURVE_TYPE = 411;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.WaitEventType <em>Wait Event Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.WaitEventType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getWaitEventType()
	 * @generated
	 */
	int WAIT_EVENT_TYPE = 412;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.WaitingBehaviour <em>Waiting Behaviour</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.WaitingBehaviour
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getWaitingBehaviour()
	 * @generated
	 */
	int WAITING_BEHAVIOUR = 413;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ISRCategory <em>ISR Category</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ISRCategory
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getISRCategory()
	 * @generated
	 */
	int ISR_CATEGORY = 414;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.AccessPrecedenceType <em>Access Precedence Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.AccessPrecedenceType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getAccessPrecedenceType()
	 * @generated
	 */
	int ACCESS_PRECEDENCE_TYPE = 415;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.OrderType <em>Order Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.OrderType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getOrderType()
	 * @generated
	 */
	int ORDER_TYPE = 416;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.DirectionType <em>Direction Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.DirectionType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getDirectionType()
	 * @generated
	 */
	int DIRECTION_TYPE = 417;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.LabelDataStability <em>Label Data Stability</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.LabelDataStability
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLabelDataStability()
	 * @generated
	 */
	int LABEL_DATA_STABILITY = 418;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ModeLabelAccessEnum <em>Mode Label Access Enum</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelAccessEnum
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getModeLabelAccessEnum()
	 * @generated
	 */
	int MODE_LABEL_ACCESS_ENUM = 419;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ReceiveOperation <em>Receive Operation</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ReceiveOperation
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getReceiveOperation()
	 * @generated
	 */
	int RECEIVE_OPERATION = 420;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.LabelAccessDataStability <em>Label Access Data Stability</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccessDataStability
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLabelAccessDataStability()
	 * @generated
	 */
	int LABEL_ACCESS_DATA_STABILITY = 421;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.LabelAccessEnum <em>Label Access Enum</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccessEnum
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLabelAccessEnum()
	 * @generated
	 */
	int LABEL_ACCESS_ENUM = 422;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.LabelAccessImplementation <em>Label Access Implementation</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccessImplementation
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getLabelAccessImplementation()
	 * @generated
	 */
	int LABEL_ACCESS_IMPLEMENTATION = 423;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.SemaphoreAccessEnum <em>Semaphore Access Enum</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreAccessEnum
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getSemaphoreAccessEnum()
	 * @generated
	 */
	int SEMAPHORE_ACCESS_ENUM = 424;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.BlockingType <em>Blocking Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.BlockingType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getBlockingType()
	 * @generated
	 */
	int BLOCKING_TYPE = 425;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.Preemption <em>Preemption</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.Preemption
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPreemption()
	 * @generated
	 */
	int PREEMPTION = 426;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ConcurrencyType <em>Concurrency Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ConcurrencyType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getConcurrencyType()
	 * @generated
	 */
	int CONCURRENCY_TYPE = 427;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ASILType <em>ASIL Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ASILType
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getASILType()
	 * @generated
	 */
	int ASIL_TYPE = 428;

	/**
	 * The meta object id for the '{@link org.eclipse.app4mc.amalthea.model.ArithmeticOperator <em>Arithmetic Operator</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.ArithmeticOperator
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getArithmeticOperator()
	 * @generated
	 */
	int ARITHMETIC_OPERATOR = 429;

	/**
	 * The meta object id for the '<em>Address</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getAddress()
	 * @generated
	 */
	int ADDRESS = 430;

	/**
	 * The meta object id for the '<em>Positive Int</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPositiveInt()
	 * @generated
	 */
	int POSITIVE_INT = 431;

	/**
	 * The meta object id for the '<em>Positive Long</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPositiveLong()
	 * @generated
	 */
	int POSITIVE_LONG = 432;

	/**
	 * The meta object id for the '<em>Positive Double</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getPositiveDouble()
	 * @generated
	 */
	int POSITIVE_DOUBLE = 433;

	/**
	 * The meta object id for the '<em>Non Negative Int</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getNonNegativeInt()
	 * @generated
	 */
	int NON_NEGATIVE_INT = 434;

	/**
	 * The meta object id for the '<em>Non Negative Long</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getNonNegativeLong()
	 * @generated
	 */
	int NON_NEGATIVE_LONG = 435;

	/**
	 * The meta object id for the '<em>Non Negative Double</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.app4mc.amalthea.model.impl.AmaltheaPackageImpl#getNonNegativeDouble()
	 * @generated
	 */
	int NON_NEGATIVE_DOUBLE = 436;


	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Amalthea <em>Amalthea</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Amalthea</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Amalthea
	 * @generated
	 */
	EClass getAmalthea();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Amalthea#getVersion <em>Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Version</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Amalthea#getVersion()
	 * @see #getAmalthea()
	 * @generated
	 */
	EAttribute getAmalthea_Version();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Amalthea#getCommonElements <em>Common Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Common Elements</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Amalthea#getCommonElements()
	 * @see #getAmalthea()
	 * @generated
	 */
	EReference getAmalthea_CommonElements();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Amalthea#getSwModel <em>Sw Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Sw Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Amalthea#getSwModel()
	 * @see #getAmalthea()
	 * @generated
	 */
	EReference getAmalthea_SwModel();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Amalthea#getHwModel <em>Hw Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Hw Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Amalthea#getHwModel()
	 * @see #getAmalthea()
	 * @generated
	 */
	EReference getAmalthea_HwModel();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Amalthea#getOsModel <em>Os Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Os Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Amalthea#getOsModel()
	 * @see #getAmalthea()
	 * @generated
	 */
	EReference getAmalthea_OsModel();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Amalthea#getStimuliModel <em>Stimuli Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Stimuli Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Amalthea#getStimuliModel()
	 * @see #getAmalthea()
	 * @generated
	 */
	EReference getAmalthea_StimuliModel();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Amalthea#getEventModel <em>Event Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Event Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Amalthea#getEventModel()
	 * @see #getAmalthea()
	 * @generated
	 */
	EReference getAmalthea_EventModel();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Amalthea#getConstraintsModel <em>Constraints Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Constraints Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Amalthea#getConstraintsModel()
	 * @see #getAmalthea()
	 * @generated
	 */
	EReference getAmalthea_ConstraintsModel();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Amalthea#getPropertyConstraintsModel <em>Property Constraints Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Property Constraints Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Amalthea#getPropertyConstraintsModel()
	 * @see #getAmalthea()
	 * @generated
	 */
	EReference getAmalthea_PropertyConstraintsModel();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Amalthea#getMappingModel <em>Mapping Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Mapping Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Amalthea#getMappingModel()
	 * @see #getAmalthea()
	 * @generated
	 */
	EReference getAmalthea_MappingModel();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Amalthea#getComponentsModel <em>Components Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Components Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Amalthea#getComponentsModel()
	 * @see #getAmalthea()
	 * @generated
	 */
	EReference getAmalthea_ComponentsModel();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Amalthea#getConfigModel <em>Config Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Config Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Amalthea#getConfigModel()
	 * @see #getAmalthea()
	 * @generated
	 */
	EReference getAmalthea_ConfigModel();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.CommonElements <em>Common Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Common Elements</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CommonElements
	 * @generated
	 */
	EClass getCommonElements();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.CommonElements#getTags <em>Tags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tags</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CommonElements#getTags()
	 * @see #getCommonElements()
	 * @generated
	 */
	EReference getCommonElements_Tags();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.CommonElements#getNamespaces <em>Namespaces</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Namespaces</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CommonElements#getNamespaces()
	 * @see #getCommonElements()
	 * @generated
	 */
	EReference getCommonElements_Namespaces();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.CommonElements#getCoreClassifiers <em>Core Classifiers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Core Classifiers</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CommonElements#getCoreClassifiers()
	 * @see #getCommonElements()
	 * @generated
	 */
	EReference getCommonElements_CoreClassifiers();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.CommonElements#getMemoryClassifiers <em>Memory Classifiers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Memory Classifiers</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CommonElements#getMemoryClassifiers()
	 * @see #getCommonElements()
	 * @generated
	 */
	EReference getCommonElements_MemoryClassifiers();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.BaseObject <em>Base Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Base Object</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.BaseObject
	 * @generated
	 */
	EClass getBaseObject();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ReferableObject <em>Referable Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referable Object</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ReferableObject
	 * @generated
	 */
	EClass getReferableObject();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ReferableBaseObject <em>Referable Base Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referable Base Object</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ReferableBaseObject
	 * @generated
	 */
	EClass getReferableBaseObject();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.IAnnotatable <em>IAnnotatable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IAnnotatable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IAnnotatable
	 * @generated
	 */
	EClass getIAnnotatable();

	/**
	 * Returns the meta object for the map '{@link org.eclipse.app4mc.amalthea.model.IAnnotatable#getCustomProperties <em>Custom Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the map '<em>Custom Properties</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IAnnotatable#getCustomProperties()
	 * @see #getIAnnotatable()
	 * @generated
	 */
	EReference getIAnnotatable_CustomProperties();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ITaggable <em>ITaggable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ITaggable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ITaggable
	 * @generated
	 */
	EClass getITaggable();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.ITaggable#getTags <em>Tags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Tags</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ITaggable#getTags()
	 * @see #getITaggable()
	 * @generated
	 */
	EReference getITaggable_Tags();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.INamed <em>INamed</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>INamed</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.INamed
	 * @generated
	 */
	EClass getINamed();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.INamed#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.INamed#getName()
	 * @see #getINamed()
	 * @generated
	 */
	EAttribute getINamed_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.INamed#getQualifiedName <em>Qualified Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Qualified Name</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.INamed#getQualifiedName()
	 * @see #getINamed()
	 * @generated
	 */
	EAttribute getINamed_QualifiedName();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.INamed#getNamedContainer() <em>Get Named Container</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Named Container</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.INamed#getNamedContainer()
	 * @generated
	 */
	EOperation getINamed__GetNamedContainer();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.INamed#getNamePrefix() <em>Get Name Prefix</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Name Prefix</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.INamed#getNamePrefix()
	 * @generated
	 */
	EOperation getINamed__GetNamePrefix();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.INamed#getQualifiedNameSegments() <em>Get Qualified Name Segments</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Qualified Name Segments</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.INamed#getQualifiedNameSegments()
	 * @generated
	 */
	EOperation getINamed__GetQualifiedNameSegments();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.INamed#getDefaultNameSeparator() <em>Get Default Name Separator</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Default Name Separator</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.INamed#getDefaultNameSeparator()
	 * @generated
	 */
	EOperation getINamed__GetDefaultNameSeparator();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.INamed#getNamespace() <em>Get Namespace</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Namespace</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.INamed#getNamespace()
	 * @generated
	 */
	EOperation getINamed__GetNamespace();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.INamed#getNamePrefixSegments() <em>Get Name Prefix Segments</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Name Prefix Segments</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.INamed#getNamePrefixSegments()
	 * @generated
	 */
	EOperation getINamed__GetNamePrefixSegments();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.IReferable <em>IReferable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IReferable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IReferable
	 * @generated
	 */
	EClass getIReferable();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.IReferable#getUniqueName <em>Unique Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unique Name</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IReferable#getUniqueName()
	 * @see #getIReferable()
	 * @generated
	 */
	EAttribute getIReferable_UniqueName();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.IReferable#getEncodedQualifiedName() <em>Get Encoded Qualified Name</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Encoded Qualified Name</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.IReferable#getEncodedQualifiedName()
	 * @generated
	 */
	EOperation getIReferable__GetEncodedQualifiedName();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.IReferable#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map) <em>Validate Invariants</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Validate Invariants</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.IReferable#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)
	 * @generated
	 */
	EOperation getIReferable__ValidateInvariants__DiagnosticChain_Map();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.IDisplayName <em>IDisplay Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IDisplay Name</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IDisplayName
	 * @generated
	 */
	EClass getIDisplayName();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.IDisplayName#getDisplayName <em>Display Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Display Name</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IDisplayName#getDisplayName()
	 * @see #getIDisplayName()
	 * @generated
	 */
	EAttribute getIDisplayName_DisplayName();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.IDescription <em>IDescription</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IDescription</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IDescription
	 * @generated
	 */
	EClass getIDescription();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.IDescription#getDescription <em>Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Description</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IDescription#getDescription()
	 * @see #getIDescription()
	 * @generated
	 */
	EAttribute getIDescription_Description();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.INamespaceMember <em>INamespace Member</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>INamespace Member</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.INamespaceMember
	 * @generated
	 */
	EClass getINamespaceMember();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.INamespaceMember#getNamespace <em>Namespace</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Namespace</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.INamespaceMember#getNamespace()
	 * @see #getINamespaceMember()
	 * @generated
	 */
	EReference getINamespaceMember_Namespace();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Tag <em>Tag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tag</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Tag
	 * @generated
	 */
	EClass getTag();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Tag#getTagType <em>Tag Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Tag Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Tag#getTagType()
	 * @see #getTag()
	 * @generated
	 */
	EAttribute getTag_TagType();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Tag#getTaggedObjects <em>Tagged Objects</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Tagged Objects</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Tag#getTaggedObjects()
	 * @see #getTag()
	 * @generated
	 */
	EReference getTag_TaggedObjects();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Namespace <em>Namespace</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Namespace</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Namespace
	 * @generated
	 */
	EClass getNamespace();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.Namespace#getNextSegments <em>Next Segments</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Next Segments</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Namespace#getNextSegments()
	 * @see #getNamespace()
	 * @generated
	 */
	EReference getNamespace_NextSegments();

	/**
	 * Returns the meta object for the container reference '{@link org.eclipse.app4mc.amalthea.model.Namespace#getPreviousSegment <em>Previous Segment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Previous Segment</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Namespace#getPreviousSegment()
	 * @see #getNamespace()
	 * @generated
	 */
	EReference getNamespace_PreviousSegment();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Namespace#getMemberObjects <em>Member Objects</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Member Objects</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Namespace#getMemberObjects()
	 * @see #getNamespace()
	 * @generated
	 */
	EReference getNamespace_MemberObjects();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.Namespace#getNamePrefixSegments() <em>Get Name Prefix Segments</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Name Prefix Segments</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.Namespace#getNamePrefixSegments()
	 * @generated
	 */
	EOperation getNamespace__GetNamePrefixSegments();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Classifier <em>Classifier</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Classifier</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Classifier
	 * @generated
	 */
	EClass getClassifier();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.CoreClassifier <em>Core Classifier</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Core Classifier</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CoreClassifier
	 * @generated
	 */
	EClass getCoreClassifier();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.MemoryClassifier <em>Memory Classifier</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Memory Classifier</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryClassifier
	 * @generated
	 */
	EClass getMemoryClassifier();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TransmissionPolicy <em>Transmission Policy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Transmission Policy</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TransmissionPolicy
	 * @generated
	 */
	EClass getTransmissionPolicy();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.TransmissionPolicy#getChunkSize <em>Chunk Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Chunk Size</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TransmissionPolicy#getChunkSize()
	 * @see #getTransmissionPolicy()
	 * @generated
	 */
	EReference getTransmissionPolicy_ChunkSize();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.TransmissionPolicy#getChunkProcessingTicks <em>Chunk Processing Ticks</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Chunk Processing Ticks</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TransmissionPolicy#getChunkProcessingTicks()
	 * @see #getTransmissionPolicy()
	 * @generated
	 */
	EAttribute getTransmissionPolicy_ChunkProcessingTicks();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.TransmissionPolicy#getTransmitRatio <em>Transmit Ratio</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Transmit Ratio</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TransmissionPolicy#getTransmitRatio()
	 * @see #getTransmissionPolicy()
	 * @generated
	 */
	EAttribute getTransmissionPolicy_TransmitRatio();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Quantity <em>Quantity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Quantity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Quantity
	 * @generated
	 */
	EClass getQuantity();

	/**
	 * Returns the meta object for class '{@link java.lang.Comparable <em>Time Comparable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Time Comparable</em>'.
	 * @see java.lang.Comparable
	 * @model instanceClass="java.lang.Comparable&lt;org.eclipse.app4mc.amalthea.model.Time&gt;"
	 * @generated
	 */
	EClass getTimeComparable();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Time <em>Time</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Time</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Time
	 * @generated
	 */
	EClass getTime();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Time#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Time#getValue()
	 * @see #getTime()
	 * @generated
	 */
	EAttribute getTime_Value();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Time#getUnit <em>Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Time#getUnit()
	 * @see #getTime()
	 * @generated
	 */
	EAttribute getTime_Unit();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.Time#toString() <em>To String</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>To String</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.Time#toString()
	 * @generated
	 */
	EOperation getTime__ToString();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.Time#compareTo(org.eclipse.app4mc.amalthea.model.Time) <em>Compare To</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Compare To</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.Time#compareTo(org.eclipse.app4mc.amalthea.model.Time)
	 * @generated
	 */
	EOperation getTime__CompareTo__Time();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.Time#adjustUnit() <em>Adjust Unit</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Adjust Unit</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.Time#adjustUnit()
	 * @generated
	 */
	EOperation getTime__AdjustUnit();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.Time#add(org.eclipse.app4mc.amalthea.model.Time) <em>Add</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Add</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.Time#add(org.eclipse.app4mc.amalthea.model.Time)
	 * @generated
	 */
	EOperation getTime__Add__Time();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.Time#subtract(org.eclipse.app4mc.amalthea.model.Time) <em>Subtract</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Subtract</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.Time#subtract(org.eclipse.app4mc.amalthea.model.Time)
	 * @generated
	 */
	EOperation getTime__Subtract__Time();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.Time#multiply(long) <em>Multiply</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Multiply</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.Time#multiply(long)
	 * @generated
	 */
	EOperation getTime__Multiply__long();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.Time#multiply(double) <em>Multiply</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Multiply</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.Time#multiply(double)
	 * @generated
	 */
	EOperation getTime__Multiply__double();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.Time#divide(org.eclipse.app4mc.amalthea.model.Time) <em>Divide</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Divide</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.Time#divide(org.eclipse.app4mc.amalthea.model.Time)
	 * @generated
	 */
	EOperation getTime__Divide__Time();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Frequency <em>Frequency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Frequency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Frequency
	 * @generated
	 */
	EClass getFrequency();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Frequency#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Frequency#getValue()
	 * @see #getFrequency()
	 * @generated
	 */
	EAttribute getFrequency_Value();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Frequency#getUnit <em>Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Frequency#getUnit()
	 * @see #getFrequency()
	 * @generated
	 */
	EAttribute getFrequency_Unit();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.Frequency#toString() <em>To String</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>To String</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.Frequency#toString()
	 * @generated
	 */
	EOperation getFrequency__ToString();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Voltage <em>Voltage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Voltage</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Voltage
	 * @generated
	 */
	EClass getVoltage();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Voltage#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Voltage#getValue()
	 * @see #getVoltage()
	 * @generated
	 */
	EAttribute getVoltage_Value();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Voltage#getUnit <em>Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Voltage#getUnit()
	 * @see #getVoltage()
	 * @generated
	 */
	EAttribute getVoltage_Unit();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.Voltage#toString() <em>To String</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>To String</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.Voltage#toString()
	 * @generated
	 */
	EOperation getVoltage__ToString();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataSize <em>Data Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Size</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataSize
	 * @generated
	 */
	EClass getDataSize();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DataSize#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataSize#getValue()
	 * @see #getDataSize()
	 * @generated
	 */
	EAttribute getDataSize_Value();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DataSize#getUnit <em>Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataSize#getUnit()
	 * @see #getDataSize()
	 * @generated
	 */
	EAttribute getDataSize_Unit();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.DataSize#toString() <em>To String</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>To String</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.DataSize#toString()
	 * @generated
	 */
	EOperation getDataSize__ToString();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.DataSize#getNumberBits() <em>Get Number Bits</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Number Bits</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.DataSize#getNumberBits()
	 * @generated
	 */
	EOperation getDataSize__GetNumberBits();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.DataSize#getNumberBytes() <em>Get Number Bytes</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Number Bytes</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.DataSize#getNumberBytes()
	 * @generated
	 */
	EOperation getDataSize__GetNumberBytes();

	/**
	 * Returns the meta object for class '{@link java.lang.Comparable <em>Data Rate Comparable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Rate Comparable</em>'.
	 * @see java.lang.Comparable
	 * @model instanceClass="java.lang.Comparable&lt;org.eclipse.app4mc.amalthea.model.DataRate&gt;"
	 * @generated
	 */
	EClass getDataRateComparable();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataRate <em>Data Rate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Rate</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataRate
	 * @generated
	 */
	EClass getDataRate();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DataRate#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataRate#getValue()
	 * @see #getDataRate()
	 * @generated
	 */
	EAttribute getDataRate_Value();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DataRate#getUnit <em>Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataRate#getUnit()
	 * @see #getDataRate()
	 * @generated
	 */
	EAttribute getDataRate_Unit();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.DataRate#toString() <em>To String</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>To String</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.DataRate#toString()
	 * @generated
	 */
	EOperation getDataRate__ToString();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.DataRate#compareTo(org.eclipse.app4mc.amalthea.model.DataRate) <em>Compare To</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Compare To</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.DataRate#compareTo(org.eclipse.app4mc.amalthea.model.DataRate)
	 * @generated
	 */
	EOperation getDataRate__CompareTo__DataRate();

	/**
	 * Returns the meta object for class '{@link java.util.Map.Entry <em>Custom Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Custom Property</em>'.
	 * @see java.util.Map.Entry
	 * @model keyUnique="false" keyDataType="org.eclipse.emf.ecore.EString" keyRequired="true"
	 *        valueType="org.eclipse.app4mc.amalthea.model.Value" valueContainment="true"
	 * @generated
	 */
	EClass getCustomProperty();

	/**
	 * Returns the meta object for the attribute '{@link java.util.Map.Entry <em>Key</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Key</em>'.
	 * @see java.util.Map.Entry
	 * @see #getCustomProperty()
	 * @generated
	 */
	EAttribute getCustomProperty_Key();

	/**
	 * Returns the meta object for the containment reference '{@link java.util.Map.Entry <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Value</em>'.
	 * @see java.util.Map.Entry
	 * @see #getCustomProperty()
	 * @generated
	 */
	EReference getCustomProperty_Value();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Value <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Value
	 * @generated
	 */
	EClass getValue();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ListObject <em>List Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>List Object</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ListObject
	 * @generated
	 */
	EClass getListObject();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ListObject#getValues <em>Values</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Values</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ListObject#getValues()
	 * @see #getListObject()
	 * @generated
	 */
	EReference getListObject_Values();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.MapObject <em>Map Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Map Object</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MapObject
	 * @since 1.2
	 * @generated
	 */
	EClass getMapObject();

	/**
	 * Returns the meta object for the map '{@link org.eclipse.app4mc.amalthea.model.MapObject#getEntries <em>Entries</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the map '<em>Entries</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MapObject#getEntries()
	 * @see #getMapObject()
	 * @since 1.2
	 * @generated
	 */
	EReference getMapObject_Entries();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.StringObject <em>String Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>String Object</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.StringObject
	 * @generated
	 */
	EClass getStringObject();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.StringObject#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.StringObject#getValue()
	 * @see #getStringObject()
	 * @generated
	 */
	EAttribute getStringObject_Value();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.BigIntegerObject <em>Big Integer Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Big Integer Object</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.BigIntegerObject
	 * @generated
	 */
	EClass getBigIntegerObject();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.BigIntegerObject#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.BigIntegerObject#getValue()
	 * @see #getBigIntegerObject()
	 * @generated
	 */
	EAttribute getBigIntegerObject_Value();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ReferenceObject <em>Reference Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Reference Object</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ReferenceObject
	 * @generated
	 */
	EClass getReferenceObject();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ReferenceObject#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ReferenceObject#getValue()
	 * @see #getReferenceObject()
	 * @generated
	 */
	EReference getReferenceObject_Value();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.IntegerObject <em>Integer Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Integer Object</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IntegerObject
	 * @generated
	 */
	EClass getIntegerObject();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.IntegerObject#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IntegerObject#getValue()
	 * @see #getIntegerObject()
	 * @generated
	 */
	EAttribute getIntegerObject_Value();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.LongObject <em>Long Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Long Object</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LongObject
	 * @generated
	 */
	EClass getLongObject();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.LongObject#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LongObject#getValue()
	 * @see #getLongObject()
	 * @generated
	 */
	EAttribute getLongObject_Value();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.FloatObject <em>Float Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Float Object</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.FloatObject
	 * @generated
	 */
	EClass getFloatObject();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.FloatObject#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.FloatObject#getValue()
	 * @see #getFloatObject()
	 * @generated
	 */
	EAttribute getFloatObject_Value();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DoubleObject <em>Double Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Double Object</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DoubleObject
	 * @generated
	 */
	EClass getDoubleObject();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DoubleObject#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DoubleObject#getValue()
	 * @see #getDoubleObject()
	 * @generated
	 */
	EAttribute getDoubleObject_Value();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.BooleanObject <em>Boolean Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Boolean Object</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.BooleanObject
	 * @generated
	 */
	EClass getBooleanObject();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.BooleanObject#isValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.BooleanObject#isValue()
	 * @see #getBooleanObject()
	 * @generated
	 */
	EAttribute getBooleanObject_Value();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.NumericStatistic <em>Numeric Statistic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Numeric Statistic</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.NumericStatistic
	 * @generated
	 */
	EClass getNumericStatistic();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.MinAvgMaxStatistic <em>Min Avg Max Statistic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Min Avg Max Statistic</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MinAvgMaxStatistic
	 * @generated
	 */
	EClass getMinAvgMaxStatistic();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.MinAvgMaxStatistic#getMin <em>Min</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Min</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MinAvgMaxStatistic#getMin()
	 * @see #getMinAvgMaxStatistic()
	 * @generated
	 */
	EAttribute getMinAvgMaxStatistic_Min();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.MinAvgMaxStatistic#getAvg <em>Avg</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Avg</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MinAvgMaxStatistic#getAvg()
	 * @see #getMinAvgMaxStatistic()
	 * @generated
	 */
	EAttribute getMinAvgMaxStatistic_Avg();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.MinAvgMaxStatistic#getMax <em>Max</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MinAvgMaxStatistic#getMax()
	 * @see #getMinAvgMaxStatistic()
	 * @generated
	 */
	EAttribute getMinAvgMaxStatistic_Max();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.MinAvgMaxStatistic#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map) <em>Validate Invariants</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Validate Invariants</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.MinAvgMaxStatistic#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)
	 * @generated
	 */
	EOperation getMinAvgMaxStatistic__ValidateInvariants__DiagnosticChain_Map();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SingleValueStatistic <em>Single Value Statistic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Single Value Statistic</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SingleValueStatistic
	 * @generated
	 */
	EClass getSingleValueStatistic();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.SingleValueStatistic#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SingleValueStatistic#getValue()
	 * @see #getSingleValueStatistic()
	 * @generated
	 */
	EAttribute getSingleValueStatistic_Value();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ITimeDeviation <em>ITime Deviation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ITime Deviation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ITimeDeviation
	 * @generated
	 */
	EClass getITimeDeviation();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ITimeDeviation#getLowerBound() <em>Get Lower Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Lower Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ITimeDeviation#getLowerBound()
	 * @generated
	 */
	EOperation getITimeDeviation__GetLowerBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ITimeDeviation#getUpperBound() <em>Get Upper Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Upper Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ITimeDeviation#getUpperBound()
	 * @generated
	 */
	EOperation getITimeDeviation__GetUpperBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ITimeDeviation#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ITimeDeviation#getAverage()
	 * @generated
	 */
	EOperation getITimeDeviation__GetAverage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TimeInterval <em>Time Interval</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Time Interval</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeInterval
	 * @generated
	 */
	EClass getTimeInterval();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.TimeInterval#getLowerBound <em>Lower Bound</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Lower Bound</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeInterval#getLowerBound()
	 * @see #getTimeInterval()
	 * @generated
	 */
	EReference getTimeInterval_LowerBound();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.TimeInterval#getUpperBound <em>Upper Bound</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Upper Bound</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeInterval#getUpperBound()
	 * @see #getTimeInterval()
	 * @generated
	 */
	EReference getTimeInterval_UpperBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.TimeInterval#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.TimeInterval#getAverage()
	 * @generated
	 */
	EOperation getTimeInterval__GetAverage();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.TimeInterval#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map) <em>Validate Invariants</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Validate Invariants</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.TimeInterval#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)
	 * @generated
	 */
	EOperation getTimeInterval__ValidateInvariants__DiagnosticChain_Map();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TimeConstant <em>Time Constant</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Time Constant</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeConstant
	 * @generated
	 */
	EClass getTimeConstant();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.TimeConstant#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeConstant#getValue()
	 * @see #getTimeConstant()
	 * @generated
	 */
	EReference getTimeConstant_Value();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.TimeConstant#getLowerBound() <em>Get Lower Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Lower Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.TimeConstant#getLowerBound()
	 * @generated
	 */
	EOperation getTimeConstant__GetLowerBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.TimeConstant#getUpperBound() <em>Get Upper Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Upper Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.TimeConstant#getUpperBound()
	 * @generated
	 */
	EOperation getTimeConstant__GetUpperBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.TimeConstant#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.TimeConstant#getAverage()
	 * @generated
	 */
	EOperation getTimeConstant__GetAverage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TimeHistogram <em>Time Histogram</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Time Histogram</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeHistogram
	 * @generated
	 */
	EClass getTimeHistogram();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.TimeHistogram#getEntries <em>Entries</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Entries</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeHistogram#getEntries()
	 * @see #getTimeHistogram()
	 * @generated
	 */
	EReference getTimeHistogram_Entries();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.TimeHistogram#getLowerBound() <em>Get Lower Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Lower Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.TimeHistogram#getLowerBound()
	 * @generated
	 */
	EOperation getTimeHistogram__GetLowerBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.TimeHistogram#getUpperBound() <em>Get Upper Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Upper Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.TimeHistogram#getUpperBound()
	 * @generated
	 */
	EOperation getTimeHistogram__GetUpperBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.TimeHistogram#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.TimeHistogram#getAverage()
	 * @generated
	 */
	EOperation getTimeHistogram__GetAverage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TimeHistogramEntry <em>Time Histogram Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Time Histogram Entry</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeHistogramEntry
	 * @generated
	 */
	EClass getTimeHistogramEntry();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.TimeHistogramEntry#getOccurrences <em>Occurrences</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Occurrences</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeHistogramEntry#getOccurrences()
	 * @see #getTimeHistogramEntry()
	 * @generated
	 */
	EAttribute getTimeHistogramEntry_Occurrences();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.BoundedTimeDistribution <em>Bounded Time Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bounded Time Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.BoundedTimeDistribution
	 * @generated
	 */
	EClass getBoundedTimeDistribution();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TruncatedTimeDistribution <em>Truncated Time Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Truncated Time Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TruncatedTimeDistribution
	 * @generated
	 */
	EClass getTruncatedTimeDistribution();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.TruncatedTimeDistribution#getLowerBound <em>Lower Bound</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Lower Bound</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TruncatedTimeDistribution#getLowerBound()
	 * @see #getTruncatedTimeDistribution()
	 * @generated
	 */
	EReference getTruncatedTimeDistribution_LowerBound();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.TruncatedTimeDistribution#getUpperBound <em>Upper Bound</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Upper Bound</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TruncatedTimeDistribution#getUpperBound()
	 * @see #getTruncatedTimeDistribution()
	 * @generated
	 */
	EReference getTruncatedTimeDistribution_UpperBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.TruncatedTimeDistribution#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map) <em>Validate Invariants</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Validate Invariants</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.TruncatedTimeDistribution#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)
	 * @generated
	 */
	EOperation getTruncatedTimeDistribution__ValidateInvariants__DiagnosticChain_Map();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TimeBoundaries <em>Time Boundaries</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Time Boundaries</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeBoundaries
	 * @generated
	 */
	EClass getTimeBoundaries();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.TimeBoundaries#getSamplingType <em>Sampling Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Sampling Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeBoundaries#getSamplingType()
	 * @see #getTimeBoundaries()
	 * @generated
	 */
	EAttribute getTimeBoundaries_SamplingType();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TimeStatistics <em>Time Statistics</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Time Statistics</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeStatistics
	 * @generated
	 */
	EClass getTimeStatistics();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.TimeStatistics#getAverage <em>Average</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Average</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeStatistics#getAverage()
	 * @see #getTimeStatistics()
	 * @generated
	 */
	EReference getTimeStatistics_Average();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TimeUniformDistribution <em>Time Uniform Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Time Uniform Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeUniformDistribution
	 * @generated
	 */
	EClass getTimeUniformDistribution();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TimeGaussDistribution <em>Time Gauss Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Time Gauss Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeGaussDistribution
	 * @generated
	 */
	EClass getTimeGaussDistribution();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.TimeGaussDistribution#getMean <em>Mean</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Mean</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeGaussDistribution#getMean()
	 * @see #getTimeGaussDistribution()
	 * @generated
	 */
	EReference getTimeGaussDistribution_Mean();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.TimeGaussDistribution#getSd <em>Sd</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Sd</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeGaussDistribution#getSd()
	 * @see #getTimeGaussDistribution()
	 * @generated
	 */
	EReference getTimeGaussDistribution_Sd();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.TimeGaussDistribution#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.TimeGaussDistribution#getAverage()
	 * @generated
	 */
	EOperation getTimeGaussDistribution__GetAverage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TimeWeibullEstimatorsDistribution <em>Time Weibull Estimators Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Time Weibull Estimators Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeWeibullEstimatorsDistribution
	 * @generated
	 */
	EClass getTimeWeibullEstimatorsDistribution();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.TimeWeibullEstimatorsDistribution#getAverage <em>Average</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Average</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeWeibullEstimatorsDistribution#getAverage()
	 * @see #getTimeWeibullEstimatorsDistribution()
	 * @generated
	 */
	EReference getTimeWeibullEstimatorsDistribution_Average();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.TimeWeibullEstimatorsDistribution#getPRemainPromille <em>PRemain Promille</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>PRemain Promille</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeWeibullEstimatorsDistribution#getPRemainPromille()
	 * @see #getTimeWeibullEstimatorsDistribution()
	 * @generated
	 */
	EAttribute getTimeWeibullEstimatorsDistribution_PRemainPromille();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TimeBetaDistribution <em>Time Beta Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Time Beta Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeBetaDistribution
	 * @generated
	 */
	EClass getTimeBetaDistribution();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.TimeBetaDistribution#getAlpha <em>Alpha</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Alpha</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeBetaDistribution#getAlpha()
	 * @see #getTimeBetaDistribution()
	 * @generated
	 */
	EAttribute getTimeBetaDistribution_Alpha();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.TimeBetaDistribution#getBeta <em>Beta</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Beta</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeBetaDistribution#getBeta()
	 * @see #getTimeBetaDistribution()
	 * @generated
	 */
	EAttribute getTimeBetaDistribution_Beta();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.TimeBetaDistribution#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.TimeBetaDistribution#getAverage()
	 * @generated
	 */
	EOperation getTimeBetaDistribution__GetAverage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation <em>IDiscrete Value Deviation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IDiscrete Value Deviation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation
	 * @generated
	 */
	EClass getIDiscreteValueDeviation();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation#getLowerBound() <em>Get Lower Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Lower Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation#getLowerBound()
	 * @generated
	 */
	EOperation getIDiscreteValueDeviation__GetLowerBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation#getUpperBound() <em>Get Upper Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Upper Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation#getUpperBound()
	 * @generated
	 */
	EOperation getIDiscreteValueDeviation__GetUpperBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation#getAverage()
	 * @generated
	 */
	EOperation getIDiscreteValueDeviation__GetAverage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueInterval <em>Discrete Value Interval</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Discrete Value Interval</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueInterval
	 * @generated
	 */
	EClass getDiscreteValueInterval();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueInterval#getLowerBound <em>Lower Bound</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Lower Bound</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueInterval#getLowerBound()
	 * @see #getDiscreteValueInterval()
	 * @generated
	 */
	EAttribute getDiscreteValueInterval_LowerBound();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueInterval#getUpperBound <em>Upper Bound</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Upper Bound</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueInterval#getUpperBound()
	 * @see #getDiscreteValueInterval()
	 * @generated
	 */
	EAttribute getDiscreteValueInterval_UpperBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueInterval#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueInterval#getAverage()
	 * @generated
	 */
	EOperation getDiscreteValueInterval__GetAverage();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueInterval#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map) <em>Validate Invariants</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Validate Invariants</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueInterval#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)
	 * @generated
	 */
	EOperation getDiscreteValueInterval__ValidateInvariants__DiagnosticChain_Map();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueConstant <em>Discrete Value Constant</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Discrete Value Constant</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueConstant
	 * @generated
	 */
	EClass getDiscreteValueConstant();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueConstant#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueConstant#getValue()
	 * @see #getDiscreteValueConstant()
	 * @generated
	 */
	EAttribute getDiscreteValueConstant_Value();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueConstant#getLowerBound() <em>Get Lower Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Lower Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueConstant#getLowerBound()
	 * @generated
	 */
	EOperation getDiscreteValueConstant__GetLowerBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueConstant#getUpperBound() <em>Get Upper Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Upper Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueConstant#getUpperBound()
	 * @generated
	 */
	EOperation getDiscreteValueConstant__GetUpperBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueConstant#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueConstant#getAverage()
	 * @generated
	 */
	EOperation getDiscreteValueConstant__GetAverage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueHistogram <em>Discrete Value Histogram</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Discrete Value Histogram</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueHistogram
	 * @generated
	 */
	EClass getDiscreteValueHistogram();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueHistogram#getEntries <em>Entries</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Entries</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueHistogram#getEntries()
	 * @see #getDiscreteValueHistogram()
	 * @generated
	 */
	EReference getDiscreteValueHistogram_Entries();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueHistogram#getLowerBound() <em>Get Lower Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Lower Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueHistogram#getLowerBound()
	 * @generated
	 */
	EOperation getDiscreteValueHistogram__GetLowerBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueHistogram#getUpperBound() <em>Get Upper Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Upper Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueHistogram#getUpperBound()
	 * @generated
	 */
	EOperation getDiscreteValueHistogram__GetUpperBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueHistogram#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueHistogram#getAverage()
	 * @generated
	 */
	EOperation getDiscreteValueHistogram__GetAverage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueHistogramEntry <em>Discrete Value Histogram Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Discrete Value Histogram Entry</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueHistogramEntry
	 * @generated
	 */
	EClass getDiscreteValueHistogramEntry();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueHistogramEntry#getOccurrences <em>Occurrences</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Occurrences</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueHistogramEntry#getOccurrences()
	 * @see #getDiscreteValueHistogramEntry()
	 * @generated
	 */
	EAttribute getDiscreteValueHistogramEntry_Occurrences();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.BoundedDiscreteValueDistribution <em>Bounded Discrete Value Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bounded Discrete Value Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.BoundedDiscreteValueDistribution
	 * @generated
	 */
	EClass getBoundedDiscreteValueDistribution();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TruncatedDiscreteValueDistribution <em>Truncated Discrete Value Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Truncated Discrete Value Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TruncatedDiscreteValueDistribution
	 * @generated
	 */
	EClass getTruncatedDiscreteValueDistribution();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.TruncatedDiscreteValueDistribution#getLowerBound <em>Lower Bound</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Lower Bound</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TruncatedDiscreteValueDistribution#getLowerBound()
	 * @see #getTruncatedDiscreteValueDistribution()
	 * @generated
	 */
	EAttribute getTruncatedDiscreteValueDistribution_LowerBound();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.TruncatedDiscreteValueDistribution#getUpperBound <em>Upper Bound</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Upper Bound</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TruncatedDiscreteValueDistribution#getUpperBound()
	 * @see #getTruncatedDiscreteValueDistribution()
	 * @generated
	 */
	EAttribute getTruncatedDiscreteValueDistribution_UpperBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.TruncatedDiscreteValueDistribution#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map) <em>Validate Invariants</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Validate Invariants</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.TruncatedDiscreteValueDistribution#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)
	 * @generated
	 */
	EOperation getTruncatedDiscreteValueDistribution__ValidateInvariants__DiagnosticChain_Map();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueBoundaries <em>Discrete Value Boundaries</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Discrete Value Boundaries</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueBoundaries
	 * @generated
	 */
	EClass getDiscreteValueBoundaries();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueBoundaries#getSamplingType <em>Sampling Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Sampling Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueBoundaries#getSamplingType()
	 * @see #getDiscreteValueBoundaries()
	 * @generated
	 */
	EAttribute getDiscreteValueBoundaries_SamplingType();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueStatistics <em>Discrete Value Statistics</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Discrete Value Statistics</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueStatistics
	 * @generated
	 */
	EClass getDiscreteValueStatistics();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueStatistics#getAverage <em>Average</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Average</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueStatistics#getAverage()
	 * @see #getDiscreteValueStatistics()
	 * @generated
	 */
	EAttribute getDiscreteValueStatistics_Average();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueUniformDistribution <em>Discrete Value Uniform Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Discrete Value Uniform Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueUniformDistribution
	 * @generated
	 */
	EClass getDiscreteValueUniformDistribution();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueGaussDistribution <em>Discrete Value Gauss Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Discrete Value Gauss Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueGaussDistribution
	 * @generated
	 */
	EClass getDiscreteValueGaussDistribution();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueGaussDistribution#getMean <em>Mean</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mean</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueGaussDistribution#getMean()
	 * @see #getDiscreteValueGaussDistribution()
	 * @generated
	 */
	EAttribute getDiscreteValueGaussDistribution_Mean();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueGaussDistribution#getSd <em>Sd</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Sd</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueGaussDistribution#getSd()
	 * @see #getDiscreteValueGaussDistribution()
	 * @generated
	 */
	EAttribute getDiscreteValueGaussDistribution_Sd();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueGaussDistribution#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueGaussDistribution#getAverage()
	 * @generated
	 */
	EOperation getDiscreteValueGaussDistribution__GetAverage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueWeibullEstimatorsDistribution <em>Discrete Value Weibull Estimators Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Discrete Value Weibull Estimators Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueWeibullEstimatorsDistribution
	 * @generated
	 */
	EClass getDiscreteValueWeibullEstimatorsDistribution();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueWeibullEstimatorsDistribution#getAverage <em>Average</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Average</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueWeibullEstimatorsDistribution#getAverage()
	 * @see #getDiscreteValueWeibullEstimatorsDistribution()
	 * @generated
	 */
	EAttribute getDiscreteValueWeibullEstimatorsDistribution_Average();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueWeibullEstimatorsDistribution#getPRemainPromille <em>PRemain Promille</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>PRemain Promille</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueWeibullEstimatorsDistribution#getPRemainPromille()
	 * @see #getDiscreteValueWeibullEstimatorsDistribution()
	 * @generated
	 */
	EAttribute getDiscreteValueWeibullEstimatorsDistribution_PRemainPromille();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueBetaDistribution <em>Discrete Value Beta Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Discrete Value Beta Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueBetaDistribution
	 * @generated
	 */
	EClass getDiscreteValueBetaDistribution();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueBetaDistribution#getAlpha <em>Alpha</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Alpha</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueBetaDistribution#getAlpha()
	 * @see #getDiscreteValueBetaDistribution()
	 * @generated
	 */
	EAttribute getDiscreteValueBetaDistribution_Alpha();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueBetaDistribution#getBeta <em>Beta</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Beta</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueBetaDistribution#getBeta()
	 * @see #getDiscreteValueBetaDistribution()
	 * @generated
	 */
	EAttribute getDiscreteValueBetaDistribution_Beta();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.DiscreteValueBetaDistribution#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.DiscreteValueBetaDistribution#getAverage()
	 * @generated
	 */
	EOperation getDiscreteValueBetaDistribution__GetAverage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.IContinuousValueDeviation <em>IContinuous Value Deviation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IContinuous Value Deviation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IContinuousValueDeviation
	 * @generated
	 */
	EClass getIContinuousValueDeviation();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.IContinuousValueDeviation#getLowerBound() <em>Get Lower Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Lower Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.IContinuousValueDeviation#getLowerBound()
	 * @generated
	 */
	EOperation getIContinuousValueDeviation__GetLowerBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.IContinuousValueDeviation#getUpperBound() <em>Get Upper Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Upper Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.IContinuousValueDeviation#getUpperBound()
	 * @generated
	 */
	EOperation getIContinuousValueDeviation__GetUpperBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.IContinuousValueDeviation#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.IContinuousValueDeviation#getAverage()
	 * @generated
	 */
	EOperation getIContinuousValueDeviation__GetAverage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueInterval <em>Continuous Value Interval</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Continuous Value Interval</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueInterval
	 * @generated
	 */
	EClass getContinuousValueInterval();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueInterval#getLowerBound <em>Lower Bound</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Lower Bound</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueInterval#getLowerBound()
	 * @see #getContinuousValueInterval()
	 * @generated
	 */
	EAttribute getContinuousValueInterval_LowerBound();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueInterval#getUpperBound <em>Upper Bound</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Upper Bound</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueInterval#getUpperBound()
	 * @see #getContinuousValueInterval()
	 * @generated
	 */
	EAttribute getContinuousValueInterval_UpperBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueInterval#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueInterval#getAverage()
	 * @generated
	 */
	EOperation getContinuousValueInterval__GetAverage();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueInterval#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map) <em>Validate Invariants</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Validate Invariants</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueInterval#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)
	 * @generated
	 */
	EOperation getContinuousValueInterval__ValidateInvariants__DiagnosticChain_Map();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueConstant <em>Continuous Value Constant</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Continuous Value Constant</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueConstant
	 * @generated
	 */
	EClass getContinuousValueConstant();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueConstant#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueConstant#getValue()
	 * @see #getContinuousValueConstant()
	 * @generated
	 */
	EAttribute getContinuousValueConstant_Value();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueConstant#getLowerBound() <em>Get Lower Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Lower Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueConstant#getLowerBound()
	 * @generated
	 */
	EOperation getContinuousValueConstant__GetLowerBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueConstant#getUpperBound() <em>Get Upper Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Upper Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueConstant#getUpperBound()
	 * @generated
	 */
	EOperation getContinuousValueConstant__GetUpperBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueConstant#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueConstant#getAverage()
	 * @generated
	 */
	EOperation getContinuousValueConstant__GetAverage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueHistogram <em>Continuous Value Histogram</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Continuous Value Histogram</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueHistogram
	 * @generated
	 */
	EClass getContinuousValueHistogram();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueHistogram#getEntries <em>Entries</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Entries</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueHistogram#getEntries()
	 * @see #getContinuousValueHistogram()
	 * @generated
	 */
	EReference getContinuousValueHistogram_Entries();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueHistogram#getLowerBound() <em>Get Lower Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Lower Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueHistogram#getLowerBound()
	 * @generated
	 */
	EOperation getContinuousValueHistogram__GetLowerBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueHistogram#getUpperBound() <em>Get Upper Bound</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Upper Bound</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueHistogram#getUpperBound()
	 * @generated
	 */
	EOperation getContinuousValueHistogram__GetUpperBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueHistogram#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueHistogram#getAverage()
	 * @generated
	 */
	EOperation getContinuousValueHistogram__GetAverage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueHistogramEntry <em>Continuous Value Histogram Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Continuous Value Histogram Entry</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueHistogramEntry
	 * @generated
	 */
	EClass getContinuousValueHistogramEntry();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueHistogramEntry#getOccurrences <em>Occurrences</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Occurrences</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueHistogramEntry#getOccurrences()
	 * @see #getContinuousValueHistogramEntry()
	 * @generated
	 */
	EAttribute getContinuousValueHistogramEntry_Occurrences();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.BoundedContinuousValueDistribution <em>Bounded Continuous Value Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bounded Continuous Value Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.BoundedContinuousValueDistribution
	 * @generated
	 */
	EClass getBoundedContinuousValueDistribution();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TruncatedContinuousValueDistribution <em>Truncated Continuous Value Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Truncated Continuous Value Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TruncatedContinuousValueDistribution
	 * @generated
	 */
	EClass getTruncatedContinuousValueDistribution();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.TruncatedContinuousValueDistribution#getLowerBound <em>Lower Bound</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Lower Bound</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TruncatedContinuousValueDistribution#getLowerBound()
	 * @see #getTruncatedContinuousValueDistribution()
	 * @generated
	 */
	EAttribute getTruncatedContinuousValueDistribution_LowerBound();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.TruncatedContinuousValueDistribution#getUpperBound <em>Upper Bound</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Upper Bound</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TruncatedContinuousValueDistribution#getUpperBound()
	 * @see #getTruncatedContinuousValueDistribution()
	 * @generated
	 */
	EAttribute getTruncatedContinuousValueDistribution_UpperBound();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.TruncatedContinuousValueDistribution#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map) <em>Validate Invariants</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Validate Invariants</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.TruncatedContinuousValueDistribution#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)
	 * @generated
	 */
	EOperation getTruncatedContinuousValueDistribution__ValidateInvariants__DiagnosticChain_Map();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueBoundaries <em>Continuous Value Boundaries</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Continuous Value Boundaries</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueBoundaries
	 * @generated
	 */
	EClass getContinuousValueBoundaries();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueBoundaries#getSamplingType <em>Sampling Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Sampling Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueBoundaries#getSamplingType()
	 * @see #getContinuousValueBoundaries()
	 * @generated
	 */
	EAttribute getContinuousValueBoundaries_SamplingType();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueStatistics <em>Continuous Value Statistics</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Continuous Value Statistics</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueStatistics
	 * @generated
	 */
	EClass getContinuousValueStatistics();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueStatistics#getAverage <em>Average</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Average</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueStatistics#getAverage()
	 * @see #getContinuousValueStatistics()
	 * @generated
	 */
	EAttribute getContinuousValueStatistics_Average();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueUniformDistribution <em>Continuous Value Uniform Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Continuous Value Uniform Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueUniformDistribution
	 * @generated
	 */
	EClass getContinuousValueUniformDistribution();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueGaussDistribution <em>Continuous Value Gauss Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Continuous Value Gauss Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueGaussDistribution
	 * @generated
	 */
	EClass getContinuousValueGaussDistribution();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueGaussDistribution#getMean <em>Mean</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mean</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueGaussDistribution#getMean()
	 * @see #getContinuousValueGaussDistribution()
	 * @generated
	 */
	EAttribute getContinuousValueGaussDistribution_Mean();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueGaussDistribution#getSd <em>Sd</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Sd</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueGaussDistribution#getSd()
	 * @see #getContinuousValueGaussDistribution()
	 * @generated
	 */
	EAttribute getContinuousValueGaussDistribution_Sd();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueGaussDistribution#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueGaussDistribution#getAverage()
	 * @generated
	 */
	EOperation getContinuousValueGaussDistribution__GetAverage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueWeibullEstimatorsDistribution <em>Continuous Value Weibull Estimators Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Continuous Value Weibull Estimators Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueWeibullEstimatorsDistribution
	 * @generated
	 */
	EClass getContinuousValueWeibullEstimatorsDistribution();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueWeibullEstimatorsDistribution#getAverage <em>Average</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Average</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueWeibullEstimatorsDistribution#getAverage()
	 * @see #getContinuousValueWeibullEstimatorsDistribution()
	 * @generated
	 */
	EAttribute getContinuousValueWeibullEstimatorsDistribution_Average();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueWeibullEstimatorsDistribution#getPRemainPromille <em>PRemain Promille</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>PRemain Promille</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueWeibullEstimatorsDistribution#getPRemainPromille()
	 * @see #getContinuousValueWeibullEstimatorsDistribution()
	 * @generated
	 */
	EAttribute getContinuousValueWeibullEstimatorsDistribution_PRemainPromille();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueBetaDistribution <em>Continuous Value Beta Distribution</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Continuous Value Beta Distribution</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueBetaDistribution
	 * @generated
	 */
	EClass getContinuousValueBetaDistribution();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueBetaDistribution#getAlpha <em>Alpha</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Alpha</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueBetaDistribution#getAlpha()
	 * @see #getContinuousValueBetaDistribution()
	 * @generated
	 */
	EAttribute getContinuousValueBetaDistribution_Alpha();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueBetaDistribution#getBeta <em>Beta</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Beta</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueBetaDistribution#getBeta()
	 * @see #getContinuousValueBetaDistribution()
	 * @generated
	 */
	EAttribute getContinuousValueBetaDistribution_Beta();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ContinuousValueBetaDistribution#getAverage() <em>Get Average</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Average</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ContinuousValueBetaDistribution#getAverage()
	 * @generated
	 */
	EOperation getContinuousValueBetaDistribution__GetAverage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Mode <em>Mode</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Mode
	 * @generated
	 */
	EClass getMode();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.NumericMode <em>Numeric Mode</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Numeric Mode</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.NumericMode
	 * @generated
	 */
	EClass getNumericMode();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EnumMode <em>Enum Mode</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Enum Mode</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EnumMode
	 * @generated
	 */
	EClass getEnumMode();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.EnumMode#getLiterals <em>Literals</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Literals</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EnumMode#getLiterals()
	 * @see #getEnumMode()
	 * @generated
	 */
	EReference getEnumMode_Literals();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.EnumMode#getLiteral(java.lang.String) <em>Get Literal</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Literal</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.EnumMode#getLiteral(java.lang.String)
	 * @generated
	 */
	EOperation getEnumMode__GetLiteral__String();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ModeLiteral <em>Mode Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Literal</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLiteral
	 * @generated
	 */
	EClass getModeLiteral();

	/**
	 * Returns the meta object for the container reference '{@link org.eclipse.app4mc.amalthea.model.ModeLiteral#getContainingMode <em>Containing Mode</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Containing Mode</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLiteral#getContainingMode()
	 * @see #getModeLiteral()
	 * @generated
	 */
	EReference getModeLiteral_ContainingMode();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeLiteral#getNamePrefixSegments() <em>Get Name Prefix Segments</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Name Prefix Segments</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLiteral#getNamePrefixSegments()
	 * @generated
	 */
	EOperation getModeLiteral__GetNamePrefixSegments();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeLiteral#toString() <em>To String</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>To String</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLiteral#toString()
	 * @generated
	 */
	EOperation getModeLiteral__ToString();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ComponentsModel <em>Components Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Components Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentsModel
	 * @generated
	 */
	EClass getComponentsModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ComponentsModel#getStructures <em>Structures</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Structures</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentsModel#getStructures()
	 * @see #getComponentsModel()
	 * @generated
	 */
	EReference getComponentsModel_Structures();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ComponentsModel#getSystems <em>Systems</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Systems</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentsModel#getSystems()
	 * @see #getComponentsModel()
	 * @generated
	 */
	EReference getComponentsModel_Systems();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.IComponentContainer <em>IComponent Container</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IComponent Container</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IComponentContainer
	 * @generated
	 */
	EClass getIComponentContainer();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.IComponentContainer#getComponents <em>Components</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Components</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IComponentContainer#getComponents()
	 * @see #getIComponentContainer()
	 * @generated
	 */
	EReference getIComponentContainer_Components();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.IInterfaceContainer <em>IInterface Container</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IInterface Container</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IInterfaceContainer
	 * @generated
	 */
	EClass getIInterfaceContainer();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.IInterfaceContainer#getInterfaces <em>Interfaces</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Interfaces</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IInterfaceContainer#getInterfaces()
	 * @see #getIInterfaceContainer()
	 * @generated
	 */
	EReference getIInterfaceContainer_Interfaces();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ISystem <em>ISystem</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ISystem</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ISystem
	 * @generated
	 */
	EClass getISystem();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ISystem#getComponentInstances <em>Component Instances</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Component Instances</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ISystem#getComponentInstances()
	 * @see #getISystem()
	 * @generated
	 */
	EReference getISystem_ComponentInstances();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ISystem#getConnectors <em>Connectors</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Connectors</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ISystem#getConnectors()
	 * @see #getISystem()
	 * @generated
	 */
	EReference getISystem_Connectors();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ISystem#getGroundedPorts <em>Grounded Ports</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Grounded Ports</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ISystem#getGroundedPorts()
	 * @see #getISystem()
	 * @generated
	 */
	EReference getISystem_GroundedPorts();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.ISystem#getInnerPorts <em>Inner Ports</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Inner Ports</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ISystem#getInnerPorts()
	 * @see #getISystem()
	 * @generated
	 */
	EReference getISystem_InnerPorts();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ComponentInterface <em>Component Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Component Interface</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentInterface
	 * @generated
	 */
	EClass getComponentInterface();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ComponentInterface#getDataType <em>Data Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Data Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentInterface#getDataType()
	 * @see #getComponentInterface()
	 * @generated
	 */
	EReference getComponentInterface_DataType();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ComponentInterface#getSubInterfaces <em>Sub Interfaces</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Sub Interfaces</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentInterface#getSubInterfaces()
	 * @see #getComponentInterface()
	 * @generated
	 */
	EReference getComponentInterface_SubInterfaces();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.MainInterface <em>Main Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Main Interface</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MainInterface
	 * @generated
	 */
	EClass getMainInterface();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.MainInterface#getVersion <em>Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Version</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MainInterface#getVersion()
	 * @see #getMainInterface()
	 * @generated
	 */
	EAttribute getMainInterface_Version();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SubInterface <em>Sub Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sub Interface</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SubInterface
	 * @generated
	 */
	EClass getSubInterface();

	/**
	 * Returns the meta object for the container reference '{@link org.eclipse.app4mc.amalthea.model.SubInterface#getContainingInterface <em>Containing Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Containing Interface</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SubInterface#getContainingInterface()
	 * @see #getSubInterface()
	 * @generated
	 */
	EReference getSubInterface_ContainingInterface();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.SubInterface#getNamePrefixSegments() <em>Get Name Prefix Segments</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Name Prefix Segments</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.SubInterface#getNamePrefixSegments()
	 * @generated
	 */
	EOperation getSubInterface__GetNamePrefixSegments();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ComponentPort <em>Component Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Component Port</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentPort
	 * @generated
	 */
	EClass getComponentPort();

	/**
	 * Returns the meta object for the container reference '{@link org.eclipse.app4mc.amalthea.model.ComponentPort#getContainingComponent <em>Containing Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Containing Component</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentPort#getContainingComponent()
	 * @see #getComponentPort()
	 * @generated
	 */
	EReference getComponentPort_ContainingComponent();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ComponentPort#getKind <em>Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Kind</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentPort#getKind()
	 * @see #getComponentPort()
	 * @generated
	 */
	EAttribute getComponentPort_Kind();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ComponentPort#getInterface <em>Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Interface</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentPort#getInterface()
	 * @see #getComponentPort()
	 * @generated
	 */
	EReference getComponentPort_Interface();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ComponentPort#getNamePrefixSegments() <em>Get Name Prefix Segments</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Name Prefix Segments</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentPort#getNamePrefixSegments()
	 * @generated
	 */
	EOperation getComponentPort__GetNamePrefixSegments();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ComponentStructure <em>Component Structure</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Component Structure</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentStructure
	 * @generated
	 */
	EClass getComponentStructure();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ComponentStructure#getStructureType <em>Structure Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Structure Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentStructure#getStructureType()
	 * @see #getComponentStructure()
	 * @generated
	 */
	EAttribute getComponentStructure_StructureType();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ComponentStructure#getSubStructures <em>Sub Structures</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Sub Structures</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentStructure#getSubStructures()
	 * @see #getComponentStructure()
	 * @generated
	 */
	EReference getComponentStructure_SubStructures();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.ComponentStructure#getMemberObjects <em>Member Objects</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Member Objects</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentStructure#getMemberObjects()
	 * @see #getComponentStructure()
	 * @generated
	 */
	EReference getComponentStructure_MemberObjects();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ComponentStructure#getContainingStructure() <em>Get Containing Structure</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Containing Structure</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentStructure#getContainingStructure()
	 * @generated
	 */
	EOperation getComponentStructure__GetContainingStructure();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ComponentStructure#getDefaultNameSeparator() <em>Get Default Name Separator</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Default Name Separator</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentStructure#getDefaultNameSeparator()
	 * @generated
	 */
	EOperation getComponentStructure__GetDefaultNameSeparator();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ComponentStructure#getNamePrefixSegments() <em>Get Name Prefix Segments</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Name Prefix Segments</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentStructure#getNamePrefixSegments()
	 * @generated
	 */
	EOperation getComponentStructure__GetNamePrefixSegments();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.IComponentStructureMember <em>IComponent Structure Member</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IComponent Structure Member</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IComponentStructureMember
	 * @generated
	 */
	EClass getIComponentStructureMember();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.IComponentStructureMember#getStructure <em>Structure</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Structure</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IComponentStructureMember#getStructure()
	 * @see #getIComponentStructureMember()
	 * @generated
	 */
	EReference getIComponentStructureMember_Structure();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Component <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Component</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Component
	 * @generated
	 */
	EClass getComponent();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.Component#getPorts <em>Ports</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Ports</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Component#getPorts()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Ports();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Component#getProcesses <em>Processes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Processes</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Component#getProcesses()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Processes();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Component#getRunnables <em>Runnables</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Runnables</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Component#getRunnables()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Runnables();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Component#getLabels <em>Labels</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Labels</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Component#getLabels()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Labels();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Component#getSemaphores <em>Semaphores</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Semaphores</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Component#getSemaphores()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Semaphores();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Component#getOsEvents <em>Os Events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Os Events</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Component#getOsEvents()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_OsEvents();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Composite <em>Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Composite</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Composite
	 * @generated
	 */
	EClass getComposite();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.System <em>System</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>System</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.System
	 * @generated
	 */
	EClass getSystem();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ComponentInstance <em>Component Instance</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Component Instance</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentInstance
	 * @generated
	 */
	EClass getComponentInstance();

	/**
	 * Returns the meta object for the container reference '{@link org.eclipse.app4mc.amalthea.model.ComponentInstance#getContainingSystem <em>Containing System</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Containing System</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentInstance#getContainingSystem()
	 * @see #getComponentInstance()
	 * @generated
	 */
	EReference getComponentInstance_ContainingSystem();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ComponentInstance#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentInstance#getType()
	 * @see #getComponentInstance()
	 * @generated
	 */
	EReference getComponentInstance_Type();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ComponentInstance#getNamePrefixSegments() <em>Get Name Prefix Segments</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Name Prefix Segments</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentInstance#getNamePrefixSegments()
	 * @generated
	 */
	EOperation getComponentInstance__GetNamePrefixSegments();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Connector <em>Connector</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Connector</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Connector
	 * @generated
	 */
	EClass getConnector();

	/**
	 * Returns the meta object for the container reference '{@link org.eclipse.app4mc.amalthea.model.Connector#getContainingSystem <em>Containing System</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Containing System</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Connector#getContainingSystem()
	 * @see #getConnector()
	 * @generated
	 */
	EReference getConnector_ContainingSystem();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Connector#getSourcePort <em>Source Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Source Port</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Connector#getSourcePort()
	 * @see #getConnector()
	 * @generated
	 */
	EReference getConnector_SourcePort();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Connector#getTargetPort <em>Target Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Target Port</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Connector#getTargetPort()
	 * @see #getConnector()
	 * @generated
	 */
	EReference getConnector_TargetPort();

	/**
	 * Returns the meta object for the map '{@link org.eclipse.app4mc.amalthea.model.Connector#getImplementedInterfaces <em>Implemented Interfaces</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the map '<em>Implemented Interfaces</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Connector#getImplementedInterfaces()
	 * @see #getConnector()
	 * @generated
	 */
	EReference getConnector_ImplementedInterfaces();

	/**
	 * Returns the meta object for class '{@link java.util.Map.Entry <em>Interface Channel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Interface Channel</em>'.
	 * @see java.util.Map.Entry
	 * @model keyType="org.eclipse.app4mc.amalthea.model.ComponentInterface" keyRequired="true"
	 *        valueType="org.eclipse.app4mc.amalthea.model.Channel"
	 * @generated
	 */
	EClass getInterfaceChannel();

	/**
	 * Returns the meta object for the reference '{@link java.util.Map.Entry <em>Key</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Key</em>'.
	 * @see java.util.Map.Entry
	 * @see #getInterfaceChannel()
	 * @generated
	 */
	EReference getInterfaceChannel_Key();

	/**
	 * Returns the meta object for the reference '{@link java.util.Map.Entry <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Value</em>'.
	 * @see java.util.Map.Entry
	 * @see #getInterfaceChannel()
	 * @generated
	 */
	EReference getInterfaceChannel_Value();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.QualifiedPort <em>Qualified Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Qualified Port</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.QualifiedPort
	 * @generated
	 */
	EClass getQualifiedPort();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.QualifiedPort#getInstance <em>Instance</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Instance</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.QualifiedPort#getInstance()
	 * @see #getQualifiedPort()
	 * @generated
	 */
	EReference getQualifiedPort_Instance();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.QualifiedPort#getPort <em>Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Port</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.QualifiedPort#getPort()
	 * @see #getQualifiedPort()
	 * @generated
	 */
	EReference getQualifiedPort_Port();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ConfigModel <em>Config Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Config Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConfigModel
	 * @generated
	 */
	EClass getConfigModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ConfigModel#getEventsToTrace <em>Events To Trace</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Events To Trace</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConfigModel#getEventsToTrace()
	 * @see #getConfigModel()
	 * @generated
	 */
	EReference getConfigModel_EventsToTrace();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EventConfig <em>Event Config</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Config</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventConfig
	 * @generated
	 */
	EClass getEventConfig();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.EventConfig#getEvent <em>Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventConfig#getEvent()
	 * @see #getEventConfig()
	 * @generated
	 */
	EReference getEventConfig_Event();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ConstraintsModel <em>Constraints Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Constraints Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConstraintsModel
	 * @generated
	 */
	EClass getConstraintsModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ConstraintsModel#getEventChains <em>Event Chains</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Event Chains</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConstraintsModel#getEventChains()
	 * @see #getConstraintsModel()
	 * @generated
	 */
	EReference getConstraintsModel_EventChains();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ConstraintsModel#getTimingConstraints <em>Timing Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Timing Constraints</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConstraintsModel#getTimingConstraints()
	 * @see #getConstraintsModel()
	 * @generated
	 */
	EReference getConstraintsModel_TimingConstraints();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ConstraintsModel#getAffinityConstraints <em>Affinity Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Affinity Constraints</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConstraintsModel#getAffinityConstraints()
	 * @see #getConstraintsModel()
	 * @generated
	 */
	EReference getConstraintsModel_AffinityConstraints();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ConstraintsModel#getRunnableSequencingConstraints <em>Runnable Sequencing Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Runnable Sequencing Constraints</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConstraintsModel#getRunnableSequencingConstraints()
	 * @see #getConstraintsModel()
	 * @generated
	 */
	EReference getConstraintsModel_RunnableSequencingConstraints();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ConstraintsModel#getDataAgeConstraints <em>Data Age Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Data Age Constraints</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConstraintsModel#getDataAgeConstraints()
	 * @see #getConstraintsModel()
	 * @generated
	 */
	EReference getConstraintsModel_DataAgeConstraints();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ConstraintsModel#getRequirements <em>Requirements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Requirements</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConstraintsModel#getRequirements()
	 * @see #getConstraintsModel()
	 * @generated
	 */
	EReference getConstraintsModel_Requirements();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ConstraintsModel#getDataCoherencyGroups <em>Data Coherency Groups</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Data Coherency Groups</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConstraintsModel#getDataCoherencyGroups()
	 * @see #getConstraintsModel()
	 * @generated
	 */
	EReference getConstraintsModel_DataCoherencyGroups();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ConstraintsModel#getDataStabilityGroups <em>Data Stability Groups</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Data Stability Groups</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConstraintsModel#getDataStabilityGroups()
	 * @see #getConstraintsModel()
	 * @generated
	 */
	EReference getConstraintsModel_DataStabilityGroups();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ConstraintsModel#getPhysicalSectionConstraints <em>Physical Section Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Physical Section Constraints</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConstraintsModel#getPhysicalSectionConstraints()
	 * @see #getConstraintsModel()
	 * @generated
	 */
	EReference getConstraintsModel_PhysicalSectionConstraints();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RunnableSequencingConstraint <em>Runnable Sequencing Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Runnable Sequencing Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableSequencingConstraint
	 * @generated
	 */
	EClass getRunnableSequencingConstraint();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.RunnableSequencingConstraint#getOrderType <em>Order Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Order Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableSequencingConstraint#getOrderType()
	 * @see #getRunnableSequencingConstraint()
	 * @generated
	 */
	EAttribute getRunnableSequencingConstraint_OrderType();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.RunnableSequencingConstraint#getRunnableGroups <em>Runnable Groups</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Runnable Groups</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableSequencingConstraint#getRunnableGroups()
	 * @see #getRunnableSequencingConstraint()
	 * @generated
	 */
	EReference getRunnableSequencingConstraint_RunnableGroups();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.RunnableSequencingConstraint#getProcessScope <em>Process Scope</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Process Scope</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableSequencingConstraint#getProcessScope()
	 * @see #getRunnableSequencingConstraint()
	 * @generated
	 */
	EReference getRunnableSequencingConstraint_ProcessScope();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.AffinityConstraint <em>Affinity Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Affinity Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AffinityConstraint
	 * @generated
	 */
	EClass getAffinityConstraint();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SeparationConstraint <em>Separation Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Separation Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SeparationConstraint
	 * @generated
	 */
	EClass getSeparationConstraint();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.PairingConstraint <em>Pairing Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Pairing Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PairingConstraint
	 * @generated
	 */
	EClass getPairingConstraint();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessConstraint <em>Process Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessConstraint
	 * @generated
	 */
	EClass getProcessConstraint();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ProcessConstraint#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Target</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessConstraint#getTarget()
	 * @see #getProcessConstraint()
	 * @generated
	 */
	EReference getProcessConstraint_Target();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RunnableConstraint <em>Runnable Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Runnable Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableConstraint
	 * @generated
	 */
	EClass getRunnableConstraint();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.RunnableConstraint#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Target</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableConstraint#getTarget()
	 * @see #getRunnableConstraint()
	 * @generated
	 */
	EReference getRunnableConstraint_Target();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataConstraint <em>Data Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataConstraint
	 * @generated
	 */
	EClass getDataConstraint();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.DataConstraint#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Target</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataConstraint#getTarget()
	 * @see #getDataConstraint()
	 * @generated
	 */
	EReference getDataConstraint_Target();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RunnableSeparationConstraint <em>Runnable Separation Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Runnable Separation Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableSeparationConstraint
	 * @generated
	 */
	EClass getRunnableSeparationConstraint();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.RunnableSeparationConstraint#getGroups <em>Groups</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Groups</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableSeparationConstraint#getGroups()
	 * @see #getRunnableSeparationConstraint()
	 * @generated
	 */
	EReference getRunnableSeparationConstraint_Groups();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessSeparationConstraint <em>Process Separation Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Separation Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessSeparationConstraint
	 * @generated
	 */
	EClass getProcessSeparationConstraint();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ProcessSeparationConstraint#getGroups <em>Groups</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Groups</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessSeparationConstraint#getGroups()
	 * @see #getProcessSeparationConstraint()
	 * @generated
	 */
	EReference getProcessSeparationConstraint_Groups();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataSeparationConstraint <em>Data Separation Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Separation Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataSeparationConstraint
	 * @generated
	 */
	EClass getDataSeparationConstraint();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.DataSeparationConstraint#getGroups <em>Groups</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Groups</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataSeparationConstraint#getGroups()
	 * @see #getDataSeparationConstraint()
	 * @generated
	 */
	EReference getDataSeparationConstraint_Groups();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RunnablePairingConstraint <em>Runnable Pairing Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Runnable Pairing Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnablePairingConstraint
	 * @generated
	 */
	EClass getRunnablePairingConstraint();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.RunnablePairingConstraint#getGroup <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Group</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnablePairingConstraint#getGroup()
	 * @see #getRunnablePairingConstraint()
	 * @generated
	 */
	EReference getRunnablePairingConstraint_Group();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessPairingConstraint <em>Process Pairing Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Pairing Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessPairingConstraint
	 * @generated
	 */
	EClass getProcessPairingConstraint();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ProcessPairingConstraint#getGroup <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Group</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessPairingConstraint#getGroup()
	 * @see #getProcessPairingConstraint()
	 * @generated
	 */
	EReference getProcessPairingConstraint_Group();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataPairingConstraint <em>Data Pairing Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Pairing Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataPairingConstraint
	 * @generated
	 */
	EClass getDataPairingConstraint();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.DataPairingConstraint#getGroup <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Group</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataPairingConstraint#getGroup()
	 * @see #getDataPairingConstraint()
	 * @generated
	 */
	EReference getDataPairingConstraint_Group();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RunnableConstraintTarget <em>Runnable Constraint Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Runnable Constraint Target</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableConstraintTarget
	 * @generated
	 */
	EClass getRunnableConstraintTarget();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessConstraintTarget <em>Process Constraint Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Constraint Target</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessConstraintTarget
	 * @generated
	 */
	EClass getProcessConstraintTarget();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataConstraintTarget <em>Data Constraint Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Constraint Target</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataConstraintTarget
	 * @generated
	 */
	EClass getDataConstraintTarget();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TargetMemory <em>Target Memory</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Target Memory</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TargetMemory
	 * @generated
	 */
	EClass getTargetMemory();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.TargetMemory#getMemories <em>Memories</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Memories</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TargetMemory#getMemories()
	 * @see #getTargetMemory()
	 * @generated
	 */
	EReference getTargetMemory_Memories();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TargetCore <em>Target Core</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Target Core</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TargetCore
	 * @generated
	 */
	EClass getTargetCore();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.TargetCore#getCores <em>Cores</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Cores</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TargetCore#getCores()
	 * @see #getTargetCore()
	 * @generated
	 */
	EReference getTargetCore_Cores();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TargetScheduler <em>Target Scheduler</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Target Scheduler</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TargetScheduler
	 * @generated
	 */
	EClass getTargetScheduler();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.TargetScheduler#getSchedulers <em>Schedulers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Schedulers</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TargetScheduler#getSchedulers()
	 * @see #getTargetScheduler()
	 * @generated
	 */
	EReference getTargetScheduler_Schedulers();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.LabelGroup <em>Label Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Label Group</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelGroup
	 * @generated
	 */
	EClass getLabelGroup();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RunnableGroup <em>Runnable Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Runnable Group</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableGroup
	 * @generated
	 */
	EClass getRunnableGroup();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessGroup <em>Process Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Group</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessGroup
	 * @generated
	 */
	EClass getProcessGroup();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.LabelEntityGroup <em>Label Entity Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Label Entity Group</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelEntityGroup
	 * @generated
	 */
	EClass getLabelEntityGroup();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.LabelEntityGroup#getLabels <em>Labels</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Labels</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelEntityGroup#getLabels()
	 * @see #getLabelEntityGroup()
	 * @generated
	 */
	EReference getLabelEntityGroup_Labels();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RunnableEntityGroup <em>Runnable Entity Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Runnable Entity Group</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableEntityGroup
	 * @generated
	 */
	EClass getRunnableEntityGroup();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.RunnableEntityGroup#getRunnables <em>Runnables</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Runnables</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableEntityGroup#getRunnables()
	 * @see #getRunnableEntityGroup()
	 * @generated
	 */
	EReference getRunnableEntityGroup_Runnables();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessEntityGroup <em>Process Entity Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Entity Group</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessEntityGroup
	 * @generated
	 */
	EClass getProcessEntityGroup();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.ProcessEntityGroup#getProcesses <em>Processes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Processes</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessEntityGroup#getProcesses()
	 * @see #getProcessEntityGroup()
	 * @generated
	 */
	EReference getProcessEntityGroup_Processes();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TagGroup <em>Tag Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tag Group</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TagGroup
	 * @generated
	 */
	EClass getTagGroup();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.TagGroup#getTag <em>Tag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Tag</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TagGroup#getTag()
	 * @see #getTagGroup()
	 * @generated
	 */
	EReference getTagGroup_Tag();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.AbstractEventChain <em>Abstract Event Chain</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Abstract Event Chain</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AbstractEventChain
	 * @generated
	 */
	EClass getAbstractEventChain();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.AbstractEventChain#getStimulus <em>Stimulus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Stimulus</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AbstractEventChain#getStimulus()
	 * @see #getAbstractEventChain()
	 * @generated
	 */
	EReference getAbstractEventChain_Stimulus();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.AbstractEventChain#getResponse <em>Response</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Response</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AbstractEventChain#getResponse()
	 * @see #getAbstractEventChain()
	 * @generated
	 */
	EReference getAbstractEventChain_Response();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.AbstractEventChain#getItems <em>Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Items</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AbstractEventChain#getItems()
	 * @see #getAbstractEventChain()
	 * @generated
	 */
	EReference getAbstractEventChain_Items();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.AbstractEventChain#getItemType <em>Item Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Item Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AbstractEventChain#getItemType()
	 * @see #getAbstractEventChain()
	 * @generated
	 */
	EAttribute getAbstractEventChain_ItemType();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.AbstractEventChain#getMinItemsCompleted <em>Min Items Completed</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Min Items Completed</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AbstractEventChain#getMinItemsCompleted()
	 * @see #getAbstractEventChain()
	 * @generated
	 */
	EAttribute getAbstractEventChain_MinItemsCompleted();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EventChain <em>Event Chain</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Chain</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventChain
	 * @generated
	 */
	EClass getEventChain();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SubEventChain <em>Sub Event Chain</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sub Event Chain</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SubEventChain
	 * @generated
	 */
	EClass getSubEventChain();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EventChainItem <em>Event Chain Item</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Chain Item</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventChainItem
	 * @generated
	 */
	EClass getEventChainItem();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.EventChainItem#getEventChain() <em>Get Event Chain</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Event Chain</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.EventChainItem#getEventChain()
	 * @generated
	 */
	EOperation getEventChainItem__GetEventChain();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EventChainReference <em>Event Chain Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Chain Reference</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventChainReference
	 * @generated
	 */
	EClass getEventChainReference();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.EventChainReference#getEventChain <em>Event Chain</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Event Chain</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventChainReference#getEventChain()
	 * @see #getEventChainReference()
	 * @generated
	 */
	EReference getEventChainReference_EventChain();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EventChainContainer <em>Event Chain Container</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Chain Container</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventChainContainer
	 * @generated
	 */
	EClass getEventChainContainer();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.EventChainContainer#getEventChain <em>Event Chain</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Event Chain</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventChainContainer#getEventChain()
	 * @see #getEventChainContainer()
	 * @generated
	 */
	EReference getEventChainContainer_EventChain();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TimingConstraint <em>Timing Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Timing Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimingConstraint
	 * @generated
	 */
	EClass getTimingConstraint();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.PhysicalSectionConstraint <em>Physical Section Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Physical Section Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PhysicalSectionConstraint
	 * @generated
	 */
	EClass getPhysicalSectionConstraint();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.PhysicalSectionConstraint#getSection <em>Section</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Section</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PhysicalSectionConstraint#getSection()
	 * @see #getPhysicalSectionConstraint()
	 * @generated
	 */
	EReference getPhysicalSectionConstraint_Section();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.PhysicalSectionConstraint#getMemories <em>Memories</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Memories</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PhysicalSectionConstraint#getMemories()
	 * @see #getPhysicalSectionConstraint()
	 * @generated
	 */
	EReference getPhysicalSectionConstraint_Memories();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SynchronizationConstraint <em>Synchronization Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Synchronization Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SynchronizationConstraint
	 * @generated
	 */
	EClass getSynchronizationConstraint();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.SynchronizationConstraint#isMultipleOccurrencesAllowed <em>Multiple Occurrences Allowed</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Multiple Occurrences Allowed</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SynchronizationConstraint#isMultipleOccurrencesAllowed()
	 * @see #getSynchronizationConstraint()
	 * @generated
	 */
	EAttribute getSynchronizationConstraint_MultipleOccurrencesAllowed();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.SynchronizationConstraint#getTolerance <em>Tolerance</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Tolerance</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SynchronizationConstraint#getTolerance()
	 * @see #getSynchronizationConstraint()
	 * @generated
	 */
	EReference getSynchronizationConstraint_Tolerance();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EventSynchronizationConstraint <em>Event Synchronization Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Synchronization Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventSynchronizationConstraint
	 * @generated
	 */
	EClass getEventSynchronizationConstraint();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.EventSynchronizationConstraint#getEvents <em>Events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Events</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventSynchronizationConstraint#getEvents()
	 * @see #getEventSynchronizationConstraint()
	 * @generated
	 */
	EReference getEventSynchronizationConstraint_Events();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EventChainSynchronizationConstraint <em>Event Chain Synchronization Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Chain Synchronization Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventChainSynchronizationConstraint
	 * @generated
	 */
	EClass getEventChainSynchronizationConstraint();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.EventChainSynchronizationConstraint#getScope <em>Scope</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Scope</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventChainSynchronizationConstraint#getScope()
	 * @see #getEventChainSynchronizationConstraint()
	 * @generated
	 */
	EReference getEventChainSynchronizationConstraint_Scope();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.EventChainSynchronizationConstraint#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventChainSynchronizationConstraint#getType()
	 * @see #getEventChainSynchronizationConstraint()
	 * @generated
	 */
	EAttribute getEventChainSynchronizationConstraint_Type();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DelayConstraint <em>Delay Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Delay Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DelayConstraint
	 * @generated
	 */
	EClass getDelayConstraint();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DelayConstraint#getMappingType <em>Mapping Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mapping Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DelayConstraint#getMappingType()
	 * @see #getDelayConstraint()
	 * @generated
	 */
	EAttribute getDelayConstraint_MappingType();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.DelayConstraint#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Source</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DelayConstraint#getSource()
	 * @see #getDelayConstraint()
	 * @generated
	 */
	EReference getDelayConstraint_Source();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.DelayConstraint#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Target</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DelayConstraint#getTarget()
	 * @see #getDelayConstraint()
	 * @generated
	 */
	EReference getDelayConstraint_Target();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.DelayConstraint#getUpper <em>Upper</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Upper</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DelayConstraint#getUpper()
	 * @see #getDelayConstraint()
	 * @generated
	 */
	EReference getDelayConstraint_Upper();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.DelayConstraint#getLower <em>Lower</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Lower</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DelayConstraint#getLower()
	 * @see #getDelayConstraint()
	 * @generated
	 */
	EReference getDelayConstraint_Lower();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EventChainLatencyConstraint <em>Event Chain Latency Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Chain Latency Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventChainLatencyConstraint
	 * @generated
	 */
	EClass getEventChainLatencyConstraint();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.EventChainLatencyConstraint#getScope <em>Scope</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Scope</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventChainLatencyConstraint#getScope()
	 * @see #getEventChainLatencyConstraint()
	 * @generated
	 */
	EReference getEventChainLatencyConstraint_Scope();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.EventChainLatencyConstraint#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventChainLatencyConstraint#getType()
	 * @see #getEventChainLatencyConstraint()
	 * @generated
	 */
	EAttribute getEventChainLatencyConstraint_Type();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.EventChainLatencyConstraint#getMinimum <em>Minimum</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Minimum</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventChainLatencyConstraint#getMinimum()
	 * @see #getEventChainLatencyConstraint()
	 * @generated
	 */
	EReference getEventChainLatencyConstraint_Minimum();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.EventChainLatencyConstraint#getMaximum <em>Maximum</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Maximum</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventChainLatencyConstraint#getMaximum()
	 * @see #getEventChainLatencyConstraint()
	 * @generated
	 */
	EReference getEventChainLatencyConstraint_Maximum();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RepetitionConstraint <em>Repetition Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Repetition Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RepetitionConstraint
	 * @generated
	 */
	EClass getRepetitionConstraint();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.RepetitionConstraint#getEvent <em>Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RepetitionConstraint#getEvent()
	 * @see #getRepetitionConstraint()
	 * @generated
	 */
	EReference getRepetitionConstraint_Event();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.RepetitionConstraint#getSpan <em>Span</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Span</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RepetitionConstraint#getSpan()
	 * @see #getRepetitionConstraint()
	 * @generated
	 */
	EAttribute getRepetitionConstraint_Span();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.RepetitionConstraint#getLower <em>Lower</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Lower</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RepetitionConstraint#getLower()
	 * @see #getRepetitionConstraint()
	 * @generated
	 */
	EReference getRepetitionConstraint_Lower();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.RepetitionConstraint#getUpper <em>Upper</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Upper</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RepetitionConstraint#getUpper()
	 * @see #getRepetitionConstraint()
	 * @generated
	 */
	EReference getRepetitionConstraint_Upper();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.RepetitionConstraint#getJitter <em>Jitter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Jitter</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RepetitionConstraint#getJitter()
	 * @see #getRepetitionConstraint()
	 * @generated
	 */
	EReference getRepetitionConstraint_Jitter();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.RepetitionConstraint#getPeriod <em>Period</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Period</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RepetitionConstraint#getPeriod()
	 * @see #getRepetitionConstraint()
	 * @generated
	 */
	EReference getRepetitionConstraint_Period();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataAgeConstraint <em>Data Age Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Age Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataAgeConstraint
	 * @generated
	 */
	EClass getDataAgeConstraint();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.DataAgeConstraint#getRunnable <em>Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataAgeConstraint#getRunnable()
	 * @see #getDataAgeConstraint()
	 * @generated
	 */
	EReference getDataAgeConstraint_Runnable();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.DataAgeConstraint#getLabel <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Label</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataAgeConstraint#getLabel()
	 * @see #getDataAgeConstraint()
	 * @generated
	 */
	EReference getDataAgeConstraint_Label();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.DataAgeConstraint#getDataAge <em>Data Age</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data Age</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataAgeConstraint#getDataAge()
	 * @see #getDataAgeConstraint()
	 * @generated
	 */
	EReference getDataAgeConstraint_DataAge();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataAge <em>Data Age</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Age</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataAge
	 * @generated
	 */
	EClass getDataAge();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataAgeCycle <em>Data Age Cycle</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Age Cycle</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataAgeCycle
	 * @generated
	 */
	EClass getDataAgeCycle();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DataAgeCycle#getMinimumCycle <em>Minimum Cycle</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Minimum Cycle</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataAgeCycle#getMinimumCycle()
	 * @see #getDataAgeCycle()
	 * @generated
	 */
	EAttribute getDataAgeCycle_MinimumCycle();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DataAgeCycle#getMaximumCycle <em>Maximum Cycle</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Maximum Cycle</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataAgeCycle#getMaximumCycle()
	 * @see #getDataAgeCycle()
	 * @generated
	 */
	EAttribute getDataAgeCycle_MaximumCycle();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataAgeTime <em>Data Age Time</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Age Time</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataAgeTime
	 * @generated
	 */
	EClass getDataAgeTime();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.DataAgeTime#getMinimumTime <em>Minimum Time</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Minimum Time</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataAgeTime#getMinimumTime()
	 * @see #getDataAgeTime()
	 * @generated
	 */
	EReference getDataAgeTime_MinimumTime();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.DataAgeTime#getMaximumTime <em>Maximum Time</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Maximum Time</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataAgeTime#getMaximumTime()
	 * @see #getDataAgeTime()
	 * @generated
	 */
	EReference getDataAgeTime_MaximumTime();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Requirement <em>Requirement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Requirement</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Requirement
	 * @generated
	 */
	EClass getRequirement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Requirement#getSeverity <em>Severity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Severity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Requirement#getSeverity()
	 * @see #getRequirement()
	 * @generated
	 */
	EAttribute getRequirement_Severity();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Requirement#getLimit <em>Limit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Limit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Requirement#getLimit()
	 * @see #getRequirement()
	 * @generated
	 */
	EReference getRequirement_Limit();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessRequirement <em>Process Requirement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Requirement</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessRequirement
	 * @generated
	 */
	EClass getProcessRequirement();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ProcessRequirement#getProcess <em>Process</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Process</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessRequirement#getProcess()
	 * @see #getProcessRequirement()
	 * @generated
	 */
	EReference getProcessRequirement_Process();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RunnableRequirement <em>Runnable Requirement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Runnable Requirement</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableRequirement
	 * @generated
	 */
	EClass getRunnableRequirement();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.RunnableRequirement#getRunnable <em>Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableRequirement#getRunnable()
	 * @see #getRunnableRequirement()
	 * @generated
	 */
	EReference getRunnableRequirement_Runnable();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ArchitectureRequirement <em>Architecture Requirement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Architecture Requirement</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ArchitectureRequirement
	 * @generated
	 */
	EClass getArchitectureRequirement();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ArchitectureRequirement#getComponent <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Component</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ArchitectureRequirement#getComponent()
	 * @see #getArchitectureRequirement()
	 * @generated
	 */
	EReference getArchitectureRequirement_Component();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessChainRequirement <em>Process Chain Requirement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Chain Requirement</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessChainRequirement
	 * @generated
	 */
	EClass getProcessChainRequirement();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ProcessChainRequirement#getProcessChain <em>Process Chain</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Process Chain</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessChainRequirement#getProcessChain()
	 * @see #getProcessChainRequirement()
	 * @generated
	 */
	EReference getProcessChainRequirement_ProcessChain();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RequirementLimit <em>Requirement Limit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Requirement Limit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RequirementLimit
	 * @generated
	 */
	EClass getRequirementLimit();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.RequirementLimit#getLimitType <em>Limit Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Limit Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RequirementLimit#getLimitType()
	 * @see #getRequirementLimit()
	 * @generated
	 */
	EAttribute getRequirementLimit_LimitType();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.CPUPercentageRequirementLimit <em>CPU Percentage Requirement Limit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>CPU Percentage Requirement Limit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CPUPercentageRequirementLimit
	 * @generated
	 */
	EClass getCPUPercentageRequirementLimit();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.CPUPercentageRequirementLimit#getMetric <em>Metric</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Metric</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CPUPercentageRequirementLimit#getMetric()
	 * @see #getCPUPercentageRequirementLimit()
	 * @generated
	 */
	EAttribute getCPUPercentageRequirementLimit_Metric();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.CPUPercentageRequirementLimit#getLimitValue <em>Limit Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Limit Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CPUPercentageRequirementLimit#getLimitValue()
	 * @see #getCPUPercentageRequirementLimit()
	 * @generated
	 */
	EAttribute getCPUPercentageRequirementLimit_LimitValue();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.CPUPercentageRequirementLimit#getHardwareContext <em>Hardware Context</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Hardware Context</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CPUPercentageRequirementLimit#getHardwareContext()
	 * @see #getCPUPercentageRequirementLimit()
	 * @generated
	 */
	EReference getCPUPercentageRequirementLimit_HardwareContext();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.FrequencyRequirementLimit <em>Frequency Requirement Limit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Frequency Requirement Limit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.FrequencyRequirementLimit
	 * @generated
	 */
	EClass getFrequencyRequirementLimit();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.FrequencyRequirementLimit#getMetric <em>Metric</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Metric</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.FrequencyRequirementLimit#getMetric()
	 * @see #getFrequencyRequirementLimit()
	 * @generated
	 */
	EAttribute getFrequencyRequirementLimit_Metric();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.FrequencyRequirementLimit#getLimitValue <em>Limit Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Limit Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.FrequencyRequirementLimit#getLimitValue()
	 * @see #getFrequencyRequirementLimit()
	 * @generated
	 */
	EReference getFrequencyRequirementLimit_LimitValue();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.PercentageRequirementLimit <em>Percentage Requirement Limit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Percentage Requirement Limit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PercentageRequirementLimit
	 * @generated
	 */
	EClass getPercentageRequirementLimit();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.PercentageRequirementLimit#getMetric <em>Metric</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Metric</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PercentageRequirementLimit#getMetric()
	 * @see #getPercentageRequirementLimit()
	 * @generated
	 */
	EAttribute getPercentageRequirementLimit_Metric();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.PercentageRequirementLimit#getLimitValue <em>Limit Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Limit Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PercentageRequirementLimit#getLimitValue()
	 * @see #getPercentageRequirementLimit()
	 * @generated
	 */
	EAttribute getPercentageRequirementLimit_LimitValue();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.CountRequirementLimit <em>Count Requirement Limit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Count Requirement Limit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CountRequirementLimit
	 * @generated
	 */
	EClass getCountRequirementLimit();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.CountRequirementLimit#getMetric <em>Metric</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Metric</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CountRequirementLimit#getMetric()
	 * @see #getCountRequirementLimit()
	 * @generated
	 */
	EAttribute getCountRequirementLimit_Metric();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.CountRequirementLimit#getLimitValue <em>Limit Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Limit Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CountRequirementLimit#getLimitValue()
	 * @see #getCountRequirementLimit()
	 * @generated
	 */
	EAttribute getCountRequirementLimit_LimitValue();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TimeRequirementLimit <em>Time Requirement Limit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Time Requirement Limit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeRequirementLimit
	 * @generated
	 */
	EClass getTimeRequirementLimit();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.TimeRequirementLimit#getMetric <em>Metric</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Metric</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeRequirementLimit#getMetric()
	 * @see #getTimeRequirementLimit()
	 * @generated
	 */
	EAttribute getTimeRequirementLimit_Metric();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.TimeRequirementLimit#getLimitValue <em>Limit Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Limit Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeRequirementLimit#getLimitValue()
	 * @see #getTimeRequirementLimit()
	 * @generated
	 */
	EReference getTimeRequirementLimit_LimitValue();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataCoherencyGroup <em>Data Coherency Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Coherency Group</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataCoherencyGroup
	 * @generated
	 */
	EClass getDataCoherencyGroup();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.DataCoherencyGroup#getLabels <em>Labels</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Labels</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataCoherencyGroup#getLabels()
	 * @see #getDataCoherencyGroup()
	 * @generated
	 */
	EReference getDataCoherencyGroup_Labels();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.DataCoherencyGroup#getScope <em>Scope</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Scope</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataCoherencyGroup#getScope()
	 * @see #getDataCoherencyGroup()
	 * @generated
	 */
	EReference getDataCoherencyGroup_Scope();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DataCoherencyGroup#getDirection <em>Direction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Direction</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataCoherencyGroup#getDirection()
	 * @see #getDataCoherencyGroup()
	 * @generated
	 */
	EAttribute getDataCoherencyGroup_Direction();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataStabilityGroup <em>Data Stability Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Stability Group</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataStabilityGroup
	 * @generated
	 */
	EClass getDataStabilityGroup();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.DataStabilityGroup#getLabels <em>Labels</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Labels</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataStabilityGroup#getLabels()
	 * @see #getDataStabilityGroup()
	 * @generated
	 */
	EReference getDataStabilityGroup_Labels();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.DataStabilityGroup#getScope <em>Scope</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Scope</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataStabilityGroup#getScope()
	 * @see #getDataStabilityGroup()
	 * @generated
	 */
	EReference getDataStabilityGroup_Scope();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataGroupScope <em>Data Group Scope</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Group Scope</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataGroupScope
	 * @generated
	 */
	EClass getDataGroupScope();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessScope <em>Process Scope</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Scope</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessScope
	 * @generated
	 */
	EClass getProcessScope();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ProcessScope#getProcess <em>Process</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Process</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessScope#getProcess()
	 * @see #getProcessScope()
	 * @generated
	 */
	EReference getProcessScope_Process();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RunnableScope <em>Runnable Scope</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Runnable Scope</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableScope
	 * @generated
	 */
	EClass getRunnableScope();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.RunnableScope#getRunnable <em>Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableScope#getRunnable()
	 * @see #getRunnableScope()
	 * @generated
	 */
	EReference getRunnableScope_Runnable();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ComponentScope <em>Component Scope</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Component Scope</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentScope
	 * @generated
	 */
	EClass getComponentScope();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ComponentScope#getComponent <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Component</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentScope#getComponent()
	 * @see #getComponentScope()
	 * @generated
	 */
	EReference getComponentScope_Component();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EventModel <em>Event Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventModel
	 * @generated
	 */
	EClass getEventModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.EventModel#getEvents <em>Events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Events</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventModel#getEvents()
	 * @see #getEventModel()
	 * @generated
	 */
	EReference getEventModel_Events();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Event <em>Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Event
	 * @generated
	 */
	EClass getEvent();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EventSet <em>Event Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Set</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventSet
	 * @generated
	 */
	EClass getEventSet();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.EventSet#getEvents <em>Events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Events</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventSet#getEvents()
	 * @see #getEventSet()
	 * @generated
	 */
	EReference getEventSet_Events();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EntityEvent <em>Entity Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Entity Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EntityEvent
	 * @generated
	 */
	EClass getEntityEvent();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TriggerEvent <em>Trigger Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Trigger Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TriggerEvent
	 * @generated
	 */
	EClass getTriggerEvent();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.CustomEvent <em>Custom Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Custom Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CustomEvent
	 * @generated
	 */
	EClass getCustomEvent();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.CustomEvent#getEventType <em>Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CustomEvent#getEventType()
	 * @see #getCustomEvent()
	 * @generated
	 */
	EAttribute getCustomEvent_EventType();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.CustomEvent#getExplicitTriggers <em>Explicit Triggers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Explicit Triggers</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CustomEvent#getExplicitTriggers()
	 * @see #getCustomEvent()
	 * @generated
	 */
	EReference getCustomEvent_ExplicitTriggers();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.StimulusEvent <em>Stimulus Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Stimulus Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.StimulusEvent
	 * @generated
	 */
	EClass getStimulusEvent();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.StimulusEvent#getEntity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Entity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.StimulusEvent#getEntity()
	 * @see #getStimulusEvent()
	 * @generated
	 */
	EReference getStimulusEvent_Entity();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessEvent <em>Process Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessEvent
	 * @generated
	 */
	EClass getProcessEvent();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ProcessEvent#getEventType <em>Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessEvent#getEventType()
	 * @see #getProcessEvent()
	 * @generated
	 */
	EAttribute getProcessEvent_EventType();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ProcessEvent#getEntity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Entity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessEvent#getEntity()
	 * @see #getProcessEvent()
	 * @generated
	 */
	EReference getProcessEvent_Entity();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ProcessEvent#getProcessingUnit <em>Processing Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Processing Unit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessEvent#getProcessingUnit()
	 * @see #getProcessEvent()
	 * @generated
	 */
	EReference getProcessEvent_ProcessingUnit();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessChainEvent <em>Process Chain Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Chain Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessChainEvent
	 * @generated
	 */
	EClass getProcessChainEvent();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ProcessChainEvent#getEventType <em>Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessChainEvent#getEventType()
	 * @see #getProcessChainEvent()
	 * @generated
	 */
	EAttribute getProcessChainEvent_EventType();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ProcessChainEvent#getEntity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Entity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessChainEvent#getEntity()
	 * @see #getProcessChainEvent()
	 * @generated
	 */
	EReference getProcessChainEvent_Entity();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ProcessChainEvent#getProcessingUnit <em>Processing Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Processing Unit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessChainEvent#getProcessingUnit()
	 * @see #getProcessChainEvent()
	 * @generated
	 */
	EReference getProcessChainEvent_ProcessingUnit();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RunnableEvent <em>Runnable Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Runnable Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableEvent
	 * @generated
	 */
	EClass getRunnableEvent();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.RunnableEvent#getEventType <em>Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableEvent#getEventType()
	 * @see #getRunnableEvent()
	 * @generated
	 */
	EAttribute getRunnableEvent_EventType();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.RunnableEvent#getEntity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Entity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableEvent#getEntity()
	 * @see #getRunnableEvent()
	 * @generated
	 */
	EReference getRunnableEvent_Entity();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.RunnableEvent#getProcess <em>Process</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Process</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableEvent#getProcess()
	 * @see #getRunnableEvent()
	 * @generated
	 */
	EReference getRunnableEvent_Process();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.RunnableEvent#getProcessingUnit <em>Processing Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Processing Unit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableEvent#getProcessingUnit()
	 * @see #getRunnableEvent()
	 * @generated
	 */
	EReference getRunnableEvent_ProcessingUnit();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.LabelEvent <em>Label Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Label Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelEvent
	 * @generated
	 */
	EClass getLabelEvent();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.LabelEvent#getEventType <em>Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelEvent#getEventType()
	 * @see #getLabelEvent()
	 * @generated
	 */
	EAttribute getLabelEvent_EventType();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.LabelEvent#getEntity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Entity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelEvent#getEntity()
	 * @see #getLabelEvent()
	 * @generated
	 */
	EReference getLabelEvent_Entity();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.LabelEvent#getRunnable <em>Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelEvent#getRunnable()
	 * @see #getLabelEvent()
	 * @generated
	 */
	EReference getLabelEvent_Runnable();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.LabelEvent#getProcess <em>Process</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Process</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelEvent#getProcess()
	 * @see #getLabelEvent()
	 * @generated
	 */
	EReference getLabelEvent_Process();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ModeLabelEvent <em>Mode Label Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Label Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelEvent
	 * @generated
	 */
	EClass getModeLabelEvent();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ModeLabelEvent#getEventType <em>Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelEvent#getEventType()
	 * @see #getModeLabelEvent()
	 * @generated
	 */
	EAttribute getModeLabelEvent_EventType();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ModeLabelEvent#getEntity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Entity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelEvent#getEntity()
	 * @see #getModeLabelEvent()
	 * @generated
	 */
	EReference getModeLabelEvent_Entity();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ModeLabelEvent#getRunnable <em>Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelEvent#getRunnable()
	 * @see #getModeLabelEvent()
	 * @generated
	 */
	EReference getModeLabelEvent_Runnable();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ModeLabelEvent#getProcess <em>Process</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Process</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelEvent#getProcess()
	 * @see #getModeLabelEvent()
	 * @generated
	 */
	EReference getModeLabelEvent_Process();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ChannelEvent <em>Channel Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Channel Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelEvent
	 * @generated
	 */
	EClass getChannelEvent();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ChannelEvent#getEventType <em>Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelEvent#getEventType()
	 * @see #getChannelEvent()
	 * @generated
	 */
	EAttribute getChannelEvent_EventType();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ChannelEvent#getEntity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Entity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelEvent#getEntity()
	 * @see #getChannelEvent()
	 * @generated
	 */
	EReference getChannelEvent_Entity();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ChannelEvent#getRunnable <em>Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelEvent#getRunnable()
	 * @see #getChannelEvent()
	 * @generated
	 */
	EReference getChannelEvent_Runnable();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ChannelEvent#getProcess <em>Process</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Process</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelEvent#getProcess()
	 * @see #getChannelEvent()
	 * @generated
	 */
	EReference getChannelEvent_Process();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SemaphoreEvent <em>Semaphore Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Semaphore Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreEvent
	 * @generated
	 */
	EClass getSemaphoreEvent();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.SemaphoreEvent#getEventType <em>Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreEvent#getEventType()
	 * @see #getSemaphoreEvent()
	 * @generated
	 */
	EAttribute getSemaphoreEvent_EventType();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.SemaphoreEvent#getEntity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Entity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreEvent#getEntity()
	 * @see #getSemaphoreEvent()
	 * @generated
	 */
	EReference getSemaphoreEvent_Entity();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.SemaphoreEvent#getRunnable <em>Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreEvent#getRunnable()
	 * @see #getSemaphoreEvent()
	 * @generated
	 */
	EReference getSemaphoreEvent_Runnable();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.SemaphoreEvent#getProcess <em>Process</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Process</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreEvent#getProcess()
	 * @see #getSemaphoreEvent()
	 * @generated
	 */
	EReference getSemaphoreEvent_Process();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.SemaphoreEvent#getProcessingUnit <em>Processing Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Processing Unit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreEvent#getProcessingUnit()
	 * @see #getSemaphoreEvent()
	 * @generated
	 */
	EReference getSemaphoreEvent_ProcessingUnit();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ComponentEvent <em>Component Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Component Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentEvent
	 * @generated
	 */
	EClass getComponentEvent();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ComponentEvent#getEventType <em>Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentEvent#getEventType()
	 * @see #getComponentEvent()
	 * @generated
	 */
	EAttribute getComponentEvent_EventType();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ComponentEvent#getEntity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Entity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentEvent#getEntity()
	 * @see #getComponentEvent()
	 * @generated
	 */
	EReference getComponentEvent_Entity();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.HWModel <em>HW Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>HW Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HWModel
	 * @generated
	 */
	EClass getHWModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.HWModel#getDefinitions <em>Definitions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Definitions</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HWModel#getDefinitions()
	 * @see #getHWModel()
	 * @generated
	 */
	EReference getHWModel_Definitions();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.HWModel#getFeatureCategories <em>Feature Categories</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Feature Categories</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HWModel#getFeatureCategories()
	 * @see #getHWModel()
	 * @generated
	 */
	EReference getHWModel_FeatureCategories();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.HWModel#getStructures <em>Structures</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Structures</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HWModel#getStructures()
	 * @see #getHWModel()
	 * @generated
	 */
	EReference getHWModel_Structures();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.HWModel#getDomains <em>Domains</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Domains</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HWModel#getDomains()
	 * @see #getHWModel()
	 * @generated
	 */
	EReference getHWModel_Domains();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.HwStructure <em>Hw Structure</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hw Structure</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwStructure
	 * @generated
	 */
	EClass getHwStructure();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.HwStructure#getStructureType <em>Structure Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Structure Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwStructure#getStructureType()
	 * @see #getHwStructure()
	 * @generated
	 */
	EAttribute getHwStructure_StructureType();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.HwStructure#getPorts <em>Ports</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Ports</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwStructure#getPorts()
	 * @see #getHwStructure()
	 * @generated
	 */
	EReference getHwStructure_Ports();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.HwStructure#getStructures <em>Structures</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Structures</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwStructure#getStructures()
	 * @see #getHwStructure()
	 * @generated
	 */
	EReference getHwStructure_Structures();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.HwStructure#getModules <em>Modules</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Modules</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwStructure#getModules()
	 * @see #getHwStructure()
	 * @generated
	 */
	EReference getHwStructure_Modules();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.HwStructure#getConnections <em>Connections</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Connections</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwStructure#getConnections()
	 * @see #getHwStructure()
	 * @generated
	 */
	EReference getHwStructure_Connections();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.HwStructure#getInnerPorts <em>Inner Ports</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Inner Ports</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwStructure#getInnerPorts()
	 * @see #getHwStructure()
	 * @generated
	 */
	EReference getHwStructure_InnerPorts();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.HwModule <em>Hw Module</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hw Module</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwModule
	 * @generated
	 */
	EClass getHwModule();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.HwModule#getPorts <em>Ports</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Ports</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwModule#getPorts()
	 * @see #getHwModule()
	 * @generated
	 */
	EReference getHwModule_Ports();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.HwModule#getPowerDomain <em>Power Domain</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Power Domain</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwModule#getPowerDomain()
	 * @see #getHwModule()
	 * @generated
	 */
	EReference getHwModule_PowerDomain();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.HwModule#getFrequencyDomain <em>Frequency Domain</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Frequency Domain</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwModule#getFrequencyDomain()
	 * @see #getHwModule()
	 * @generated
	 */
	EReference getHwModule_FrequencyDomain();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.HwDomain <em>Hw Domain</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hw Domain</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwDomain
	 * @generated
	 */
	EClass getHwDomain();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.FrequencyDomain <em>Frequency Domain</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Frequency Domain</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.FrequencyDomain
	 * @generated
	 */
	EClass getFrequencyDomain();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.FrequencyDomain#getDefaultValue <em>Default Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Default Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.FrequencyDomain#getDefaultValue()
	 * @see #getFrequencyDomain()
	 * @generated
	 */
	EReference getFrequencyDomain_DefaultValue();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.FrequencyDomain#isClockGating <em>Clock Gating</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Clock Gating</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.FrequencyDomain#isClockGating()
	 * @see #getFrequencyDomain()
	 * @generated
	 */
	EAttribute getFrequencyDomain_ClockGating();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.PowerDomain <em>Power Domain</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Power Domain</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PowerDomain
	 * @generated
	 */
	EClass getPowerDomain();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.PowerDomain#getDefaultValue <em>Default Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Default Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PowerDomain#getDefaultValue()
	 * @see #getPowerDomain()
	 * @generated
	 */
	EReference getPowerDomain_DefaultValue();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.PowerDomain#isPowerGating <em>Power Gating</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Power Gating</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PowerDomain#isPowerGating()
	 * @see #getPowerDomain()
	 * @generated
	 */
	EAttribute getPowerDomain_PowerGating();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessingUnit <em>Processing Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Processing Unit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessingUnit
	 * @generated
	 */
	EClass getProcessingUnit();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ProcessingUnit#getDefinition <em>Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessingUnit#getDefinition()
	 * @see #getProcessingUnit()
	 * @generated
	 */
	EReference getProcessingUnit_Definition();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ProcessingUnit#getAccessElements <em>Access Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Access Elements</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessingUnit#getAccessElements()
	 * @see #getProcessingUnit()
	 * @generated
	 */
	EReference getProcessingUnit_AccessElements();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ProcessingUnit#getCaches <em>Caches</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Caches</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessingUnit#getCaches()
	 * @see #getProcessingUnit()
	 * @generated
	 */
	EReference getProcessingUnit_Caches();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Memory <em>Memory</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Memory</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Memory
	 * @generated
	 */
	EClass getMemory();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.Memory#getDefinition <em>Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Memory#getDefinition()
	 * @see #getMemory()
	 * @generated
	 */
	EReference getMemory_Definition();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Memory#getMappings <em>Mappings</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Mappings</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Memory#getMappings()
	 * @see #getMemory()
	 * @generated
	 */
	EReference getMemory_Mappings();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Cache <em>Cache</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Cache</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Cache
	 * @generated
	 */
	EClass getCache();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.Cache#getDefinition <em>Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Cache#getDefinition()
	 * @see #getCache()
	 * @generated
	 */
	EReference getCache_Definition();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.HwFeatureCategory <em>Hw Feature Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hw Feature Category</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwFeatureCategory
	 * @generated
	 */
	EClass getHwFeatureCategory();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.HwFeatureCategory#getFeatureType <em>Feature Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Feature Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwFeatureCategory#getFeatureType()
	 * @see #getHwFeatureCategory()
	 * @generated
	 */
	EAttribute getHwFeatureCategory_FeatureType();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.HwFeatureCategory#getFeatures <em>Features</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Features</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwFeatureCategory#getFeatures()
	 * @see #getHwFeatureCategory()
	 * @generated
	 */
	EReference getHwFeatureCategory_Features();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.HwFeature <em>Hw Feature</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hw Feature</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwFeature
	 * @generated
	 */
	EClass getHwFeature();

	/**
	 * Returns the meta object for the container reference '{@link org.eclipse.app4mc.amalthea.model.HwFeature#getContainingCategory <em>Containing Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Containing Category</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwFeature#getContainingCategory()
	 * @see #getHwFeature()
	 * @generated
	 */
	EReference getHwFeature_ContainingCategory();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.HwFeature#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwFeature#getValue()
	 * @see #getHwFeature()
	 * @generated
	 */
	EAttribute getHwFeature_Value();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.HwFeature#getNamePrefixSegments() <em>Get Name Prefix Segments</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Name Prefix Segments</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.HwFeature#getNamePrefixSegments()
	 * @generated
	 */
	EOperation getHwFeature__GetNamePrefixSegments();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.HwFeature#toString() <em>To String</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>To String</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.HwFeature#toString()
	 * @generated
	 */
	EOperation getHwFeature__ToString();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.HwPort <em>Hw Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hw Port</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwPort
	 * @generated
	 */
	EClass getHwPort();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.HwPort#getBitWidth <em>Bit Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Bit Width</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwPort#getBitWidth()
	 * @see #getHwPort()
	 * @generated
	 */
	EAttribute getHwPort_BitWidth();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.HwPort#getPriority <em>Priority</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Priority</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwPort#getPriority()
	 * @see #getHwPort()
	 * @generated
	 */
	EAttribute getHwPort_Priority();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.HwPort#getPortType <em>Port Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Port Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwPort#getPortType()
	 * @see #getHwPort()
	 * @generated
	 */
	EAttribute getHwPort_PortType();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.HwPort#getPortInterface <em>Port Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Port Interface</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwPort#getPortInterface()
	 * @see #getHwPort()
	 * @generated
	 */
	EAttribute getHwPort_PortInterface();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.HwPort#isDelegated <em>Delegated</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Delegated</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwPort#isDelegated()
	 * @see #getHwPort()
	 * @generated
	 */
	EAttribute getHwPort_Delegated();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.HwPort#getConnections <em>Connections</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Connections</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwPort#getConnections()
	 * @see #getHwPort()
	 * @generated
	 */
	EReference getHwPort_Connections();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.HwPort#getNamePrefixSegments() <em>Get Name Prefix Segments</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Name Prefix Segments</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.HwPort#getNamePrefixSegments()
	 * @generated
	 */
	EOperation getHwPort__GetNamePrefixSegments();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ConnectionHandler <em>Connection Handler</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Connection Handler</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConnectionHandler
	 * @generated
	 */
	EClass getConnectionHandler();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ConnectionHandler#getDefinition <em>Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConnectionHandler#getDefinition()
	 * @see #getConnectionHandler()
	 * @generated
	 */
	EReference getConnectionHandler_Definition();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ConnectionHandler#getInternalConnections <em>Internal Connections</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Internal Connections</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConnectionHandler#getInternalConnections()
	 * @see #getConnectionHandler()
	 * @generated
	 */
	EReference getConnectionHandler_InternalConnections();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.HwConnection <em>Hw Connection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hw Connection</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwConnection
	 * @generated
	 */
	EClass getHwConnection();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.HwConnection#getReadLatency <em>Read Latency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Read Latency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwConnection#getReadLatency()
	 * @see #getHwConnection()
	 * @generated
	 */
	EReference getHwConnection_ReadLatency();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.HwConnection#getWriteLatency <em>Write Latency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Write Latency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwConnection#getWriteLatency()
	 * @see #getHwConnection()
	 * @generated
	 */
	EReference getHwConnection_WriteLatency();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.HwConnection#getDataRate <em>Data Rate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data Rate</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwConnection#getDataRate()
	 * @see #getHwConnection()
	 * @generated
	 */
	EReference getHwConnection_DataRate();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.HwConnection#getPort1 <em>Port1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Port1</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwConnection#getPort1()
	 * @see #getHwConnection()
	 * @generated
	 */
	EReference getHwConnection_Port1();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.HwConnection#getPort2 <em>Port2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Port2</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwConnection#getPort2()
	 * @see #getHwConnection()
	 * @generated
	 */
	EReference getHwConnection_Port2();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.HwConnection#isInternal <em>Internal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Internal</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwConnection#isInternal()
	 * @see #getHwConnection()
	 * @generated
	 */
	EAttribute getHwConnection_Internal();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.HwConnection#getNamePrefixSegments() <em>Get Name Prefix Segments</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Name Prefix Segments</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.HwConnection#getNamePrefixSegments()
	 * @generated
	 */
	EOperation getHwConnection__GetNamePrefixSegments();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.HwConnection#getPorts() <em>Get Ports</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Ports</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.HwConnection#getPorts()
	 * @generated
	 */
	EOperation getHwConnection__GetPorts();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.HwAccessElement <em>Hw Access Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hw Access Element</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwAccessElement
	 * @generated
	 */
	EClass getHwAccessElement();

	/**
	 * Returns the meta object for the container reference '{@link org.eclipse.app4mc.amalthea.model.HwAccessElement#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Source</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwAccessElement#getSource()
	 * @see #getHwAccessElement()
	 * @generated
	 */
	EReference getHwAccessElement_Source();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.HwAccessElement#getDestination <em>Destination</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Destination</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwAccessElement#getDestination()
	 * @see #getHwAccessElement()
	 * @generated
	 */
	EReference getHwAccessElement_Destination();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.HwAccessElement#getAccessPath <em>Access Path</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Access Path</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwAccessElement#getAccessPath()
	 * @see #getHwAccessElement()
	 * @generated
	 */
	EReference getHwAccessElement_AccessPath();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.HwAccessElement#getReadLatency <em>Read Latency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Read Latency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwAccessElement#getReadLatency()
	 * @see #getHwAccessElement()
	 * @generated
	 */
	EReference getHwAccessElement_ReadLatency();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.HwAccessElement#getWriteLatency <em>Write Latency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Write Latency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwAccessElement#getWriteLatency()
	 * @see #getHwAccessElement()
	 * @generated
	 */
	EReference getHwAccessElement_WriteLatency();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.HwAccessElement#getDataRate <em>Data Rate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data Rate</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwAccessElement#getDataRate()
	 * @see #getHwAccessElement()
	 * @generated
	 */
	EReference getHwAccessElement_DataRate();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.HwDefinition <em>Hw Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hw Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwDefinition
	 * @generated
	 */
	EClass getHwDefinition();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessingUnitDefinition <em>Processing Unit Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Processing Unit Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessingUnitDefinition
	 * @generated
	 */
	EClass getProcessingUnitDefinition();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ProcessingUnitDefinition#getPuType <em>Pu Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Pu Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessingUnitDefinition#getPuType()
	 * @see #getProcessingUnitDefinition()
	 * @generated
	 */
	EAttribute getProcessingUnitDefinition_PuType();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.ProcessingUnitDefinition#getFeatures <em>Features</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Features</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessingUnitDefinition#getFeatures()
	 * @see #getProcessingUnitDefinition()
	 * @generated
	 */
	EReference getProcessingUnitDefinition_Features();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.ProcessingUnitDefinition#getClassifiers <em>Classifiers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Classifiers</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessingUnitDefinition#getClassifiers()
	 * @see #getProcessingUnitDefinition()
	 * @generated
	 */
	EReference getProcessingUnitDefinition_Classifiers();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ConnectionHandlerDefinition <em>Connection Handler Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Connection Handler Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConnectionHandlerDefinition
	 * @generated
	 */
	EClass getConnectionHandlerDefinition();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ConnectionHandlerDefinition#getPolicy <em>Policy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Policy</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConnectionHandlerDefinition#getPolicy()
	 * @see #getConnectionHandlerDefinition()
	 * @generated
	 */
	EAttribute getConnectionHandlerDefinition_Policy();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ConnectionHandlerDefinition#getReadLatency <em>Read Latency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Read Latency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConnectionHandlerDefinition#getReadLatency()
	 * @see #getConnectionHandlerDefinition()
	 * @generated
	 */
	EReference getConnectionHandlerDefinition_ReadLatency();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ConnectionHandlerDefinition#getWriteLatency <em>Write Latency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Write Latency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConnectionHandlerDefinition#getWriteLatency()
	 * @see #getConnectionHandlerDefinition()
	 * @generated
	 */
	EReference getConnectionHandlerDefinition_WriteLatency();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ConnectionHandlerDefinition#getDataRate <em>Data Rate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data Rate</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConnectionHandlerDefinition#getDataRate()
	 * @see #getConnectionHandlerDefinition()
	 * @generated
	 */
	EReference getConnectionHandlerDefinition_DataRate();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ConnectionHandlerDefinition#getMaxBurstSize <em>Max Burst Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max Burst Size</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConnectionHandlerDefinition#getMaxBurstSize()
	 * @see #getConnectionHandlerDefinition()
	 * @generated
	 */
	EAttribute getConnectionHandlerDefinition_MaxBurstSize();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ConnectionHandlerDefinition#getMaxConcurrentTransfers <em>Max Concurrent Transfers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max Concurrent Transfers</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConnectionHandlerDefinition#getMaxConcurrentTransfers()
	 * @see #getConnectionHandlerDefinition()
	 * @generated
	 */
	EAttribute getConnectionHandlerDefinition_MaxConcurrentTransfers();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.MemoryDefinition <em>Memory Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Memory Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryDefinition
	 * @generated
	 */
	EClass getMemoryDefinition();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.MemoryDefinition#getSize <em>Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Size</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryDefinition#getSize()
	 * @see #getMemoryDefinition()
	 * @generated
	 */
	EReference getMemoryDefinition_Size();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.MemoryDefinition#getAccessLatency <em>Access Latency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Access Latency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryDefinition#getAccessLatency()
	 * @see #getMemoryDefinition()
	 * @generated
	 */
	EReference getMemoryDefinition_AccessLatency();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.MemoryDefinition#getDataRate <em>Data Rate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data Rate</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryDefinition#getDataRate()
	 * @see #getMemoryDefinition()
	 * @generated
	 */
	EReference getMemoryDefinition_DataRate();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.MemoryDefinition#getMemoryType <em>Memory Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Memory Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryDefinition#getMemoryType()
	 * @see #getMemoryDefinition()
	 * @generated
	 */
	EAttribute getMemoryDefinition_MemoryType();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.MemoryDefinition#getClassifiers <em>Classifiers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Classifiers</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryDefinition#getClassifiers()
	 * @see #getMemoryDefinition()
	 * @generated
	 */
	EReference getMemoryDefinition_Classifiers();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.CacheDefinition <em>Cache Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Cache Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CacheDefinition
	 * @generated
	 */
	EClass getCacheDefinition();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.CacheDefinition#getSize <em>Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Size</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CacheDefinition#getSize()
	 * @see #getCacheDefinition()
	 * @generated
	 */
	EReference getCacheDefinition_Size();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.CacheDefinition#getLineSize <em>Line Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Line Size</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CacheDefinition#getLineSize()
	 * @see #getCacheDefinition()
	 * @generated
	 */
	EReference getCacheDefinition_LineSize();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.CacheDefinition#getAccessLatency <em>Access Latency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Access Latency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CacheDefinition#getAccessLatency()
	 * @see #getCacheDefinition()
	 * @generated
	 */
	EReference getCacheDefinition_AccessLatency();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.CacheDefinition#getCacheType <em>Cache Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Cache Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CacheDefinition#getCacheType()
	 * @see #getCacheDefinition()
	 * @generated
	 */
	EAttribute getCacheDefinition_CacheType();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.CacheDefinition#getWriteStrategy <em>Write Strategy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Write Strategy</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CacheDefinition#getWriteStrategy()
	 * @see #getCacheDefinition()
	 * @generated
	 */
	EAttribute getCacheDefinition_WriteStrategy();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.CacheDefinition#getNWays <em>NWays</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>NWays</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CacheDefinition#getNWays()
	 * @see #getCacheDefinition()
	 * @generated
	 */
	EAttribute getCacheDefinition_NWays();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.CacheDefinition#isCoherency <em>Coherency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Coherency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CacheDefinition#isCoherency()
	 * @see #getCacheDefinition()
	 * @generated
	 */
	EAttribute getCacheDefinition_Coherency();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.CacheDefinition#isExclusive <em>Exclusive</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Exclusive</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CacheDefinition#isExclusive()
	 * @see #getCacheDefinition()
	 * @generated
	 */
	EAttribute getCacheDefinition_Exclusive();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.CacheDefinition#getHitRate <em>Hit Rate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Hit Rate</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CacheDefinition#getHitRate()
	 * @see #getCacheDefinition()
	 * @generated
	 */
	EAttribute getCacheDefinition_HitRate();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.HwPath <em>Hw Path</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hw Path</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwPath
	 * @generated
	 */
	EClass getHwPath();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.HwPath#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Source</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwPath#getSource()
	 * @see #getHwPath()
	 * @generated
	 */
	EReference getHwPath_Source();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.HwPath#getDestination <em>Destination</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Destination</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwPath#getDestination()
	 * @see #getHwPath()
	 * @generated
	 */
	EReference getHwPath_Destination();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.HwPath#getContainingAccessElement() <em>Get Containing Access Element</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Containing Access Element</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.HwPath#getContainingAccessElement()
	 * @generated
	 */
	EOperation getHwPath__GetContainingAccessElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.HwAccessPath <em>Hw Access Path</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hw Access Path</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwAccessPath
	 * @generated
	 */
	EClass getHwAccessPath();

	/**
	 * Returns the meta object for the container reference '{@link org.eclipse.app4mc.amalthea.model.HwAccessPath#getContainingAccessElement <em>Containing Access Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Containing Access Element</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwAccessPath#getContainingAccessElement()
	 * @see #getHwAccessPath()
	 * @generated
	 */
	EReference getHwAccessPath_ContainingAccessElement();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.HwAccessPath#getPathElements <em>Path Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Path Elements</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwAccessPath#getPathElements()
	 * @see #getHwAccessPath()
	 * @generated
	 */
	EReference getHwAccessPath_PathElements();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.HwAccessPath#getStartAddress <em>Start Address</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Start Address</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwAccessPath#getStartAddress()
	 * @see #getHwAccessPath()
	 * @generated
	 */
	EAttribute getHwAccessPath_StartAddress();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.HwAccessPath#getEndAddress <em>End Address</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>End Address</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwAccessPath#getEndAddress()
	 * @see #getHwAccessPath()
	 * @generated
	 */
	EAttribute getHwAccessPath_EndAddress();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.HwAccessPath#getMemOffset <em>Mem Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mem Offset</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwAccessPath#getMemOffset()
	 * @see #getHwAccessPath()
	 * @generated
	 */
	EAttribute getHwAccessPath_MemOffset();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.HwPathElement <em>Hw Path Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hw Path Element</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwPathElement
	 * @generated
	 */
	EClass getHwPathElement();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.HwPathElement#getPorts() <em>Get Ports</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Ports</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.HwPathElement#getPorts()
	 * @generated
	 */
	EOperation getHwPathElement__GetPorts();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.HwDestination <em>Hw Destination</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hw Destination</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwDestination
	 * @generated
	 */
	EClass getHwDestination();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.HwDestination#getPorts() <em>Get Ports</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Ports</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.HwDestination#getPorts()
	 * @generated
	 */
	EOperation getHwDestination__GetPorts();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.MappingModel <em>Mapping Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mapping Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MappingModel
	 * @generated
	 */
	EClass getMappingModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.MappingModel#getSchedulerAllocation <em>Scheduler Allocation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Scheduler Allocation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MappingModel#getSchedulerAllocation()
	 * @see #getMappingModel()
	 * @generated
	 */
	EReference getMappingModel_SchedulerAllocation();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.MappingModel#getRunnableAllocation <em>Runnable Allocation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Runnable Allocation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MappingModel#getRunnableAllocation()
	 * @see #getMappingModel()
	 * @generated
	 */
	EReference getMappingModel_RunnableAllocation();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.MappingModel#getTaskAllocation <em>Task Allocation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Task Allocation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MappingModel#getTaskAllocation()
	 * @see #getMappingModel()
	 * @generated
	 */
	EReference getMappingModel_TaskAllocation();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.MappingModel#getIsrAllocation <em>Isr Allocation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Isr Allocation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MappingModel#getIsrAllocation()
	 * @see #getMappingModel()
	 * @generated
	 */
	EReference getMappingModel_IsrAllocation();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.MappingModel#getMemoryMapping <em>Memory Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Memory Mapping</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MappingModel#getMemoryMapping()
	 * @see #getMappingModel()
	 * @generated
	 */
	EReference getMappingModel_MemoryMapping();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.MappingModel#getPhysicalSectionMapping <em>Physical Section Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Physical Section Mapping</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MappingModel#getPhysicalSectionMapping()
	 * @see #getMappingModel()
	 * @generated
	 */
	EReference getMappingModel_PhysicalSectionMapping();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.MappingModel#getAddressMappingType <em>Address Mapping Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Address Mapping Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MappingModel#getAddressMappingType()
	 * @see #getMappingModel()
	 * @generated
	 */
	EAttribute getMappingModel_AddressMappingType();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SchedulerAllocation <em>Scheduler Allocation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Scheduler Allocation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulerAllocation
	 * @generated
	 */
	EClass getSchedulerAllocation();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.SchedulerAllocation#getScheduler <em>Scheduler</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Scheduler</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulerAllocation#getScheduler()
	 * @see #getSchedulerAllocation()
	 * @generated
	 */
	EReference getSchedulerAllocation_Scheduler();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.SchedulerAllocation#getResponsibility <em>Responsibility</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Responsibility</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulerAllocation#getResponsibility()
	 * @see #getSchedulerAllocation()
	 * @generated
	 */
	EReference getSchedulerAllocation_Responsibility();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.SchedulerAllocation#getExecutingPU <em>Executing PU</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Executing PU</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulerAllocation#getExecutingPU()
	 * @see #getSchedulerAllocation()
	 * @generated
	 */
	EReference getSchedulerAllocation_ExecutingPU();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TaskAllocation <em>Task Allocation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Task Allocation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TaskAllocation
	 * @generated
	 */
	EClass getTaskAllocation();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.TaskAllocation#getTask <em>Task</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Task</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TaskAllocation#getTask()
	 * @see #getTaskAllocation()
	 * @generated
	 */
	EReference getTaskAllocation_Task();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.TaskAllocation#getScheduler <em>Scheduler</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Scheduler</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TaskAllocation#getScheduler()
	 * @see #getTaskAllocation()
	 * @generated
	 */
	EReference getTaskAllocation_Scheduler();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.TaskAllocation#getAffinity <em>Affinity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Affinity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TaskAllocation#getAffinity()
	 * @see #getTaskAllocation()
	 * @generated
	 */
	EReference getTaskAllocation_Affinity();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ISRAllocation <em>ISR Allocation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ISR Allocation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ISRAllocation
	 * @generated
	 */
	EClass getISRAllocation();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ISRAllocation#getIsr <em>Isr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Isr</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ISRAllocation#getIsr()
	 * @see #getISRAllocation()
	 * @generated
	 */
	EReference getISRAllocation_Isr();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ISRAllocation#getController <em>Controller</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Controller</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ISRAllocation#getController()
	 * @see #getISRAllocation()
	 * @generated
	 */
	EReference getISRAllocation_Controller();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ISRAllocation#getPriority <em>Priority</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Priority</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ISRAllocation#getPriority()
	 * @see #getISRAllocation()
	 * @generated
	 */
	EAttribute getISRAllocation_Priority();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RunnableAllocation <em>Runnable Allocation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Runnable Allocation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableAllocation
	 * @generated
	 */
	EClass getRunnableAllocation();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.RunnableAllocation#getScheduler <em>Scheduler</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Scheduler</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableAllocation#getScheduler()
	 * @see #getRunnableAllocation()
	 * @generated
	 */
	EReference getRunnableAllocation_Scheduler();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.RunnableAllocation#getEntity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Entity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableAllocation#getEntity()
	 * @see #getRunnableAllocation()
	 * @generated
	 */
	EReference getRunnableAllocation_Entity();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.MemoryMapping <em>Memory Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Memory Mapping</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryMapping
	 * @generated
	 */
	EClass getMemoryMapping();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.MemoryMapping#getAbstractElement <em>Abstract Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Abstract Element</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryMapping#getAbstractElement()
	 * @see #getMemoryMapping()
	 * @generated
	 */
	EReference getMemoryMapping_AbstractElement();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.MemoryMapping#getMemory <em>Memory</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Memory</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryMapping#getMemory()
	 * @see #getMemoryMapping()
	 * @generated
	 */
	EReference getMemoryMapping_Memory();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.MemoryMapping#getMemoryPositionAddress <em>Memory Position Address</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Memory Position Address</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryMapping#getMemoryPositionAddress()
	 * @see #getMemoryMapping()
	 * @generated
	 */
	EAttribute getMemoryMapping_MemoryPositionAddress();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.PhysicalSectionMapping <em>Physical Section Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Physical Section Mapping</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PhysicalSectionMapping
	 * @generated
	 */
	EClass getPhysicalSectionMapping();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.PhysicalSectionMapping#getOrigin <em>Origin</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Origin</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PhysicalSectionMapping#getOrigin()
	 * @see #getPhysicalSectionMapping()
	 * @generated
	 */
	EReference getPhysicalSectionMapping_Origin();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.PhysicalSectionMapping#getMemory <em>Memory</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Memory</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PhysicalSectionMapping#getMemory()
	 * @see #getPhysicalSectionMapping()
	 * @generated
	 */
	EReference getPhysicalSectionMapping_Memory();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.PhysicalSectionMapping#getStartAddress <em>Start Address</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Start Address</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PhysicalSectionMapping#getStartAddress()
	 * @see #getPhysicalSectionMapping()
	 * @generated
	 */
	EAttribute getPhysicalSectionMapping_StartAddress();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.PhysicalSectionMapping#getEndAddress <em>End Address</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>End Address</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PhysicalSectionMapping#getEndAddress()
	 * @see #getPhysicalSectionMapping()
	 * @generated
	 */
	EAttribute getPhysicalSectionMapping_EndAddress();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.PhysicalSectionMapping#getLabels <em>Labels</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Labels</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PhysicalSectionMapping#getLabels()
	 * @see #getPhysicalSectionMapping()
	 * @generated
	 */
	EReference getPhysicalSectionMapping_Labels();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.PhysicalSectionMapping#getRunEntities <em>Run Entities</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Run Entities</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PhysicalSectionMapping#getRunEntities()
	 * @see #getPhysicalSectionMapping()
	 * @generated
	 */
	EReference getPhysicalSectionMapping_RunEntities();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.OSModel <em>OS Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>OS Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OSModel
	 * @generated
	 */
	EClass getOSModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.OSModel#getSemaphores <em>Semaphores</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Semaphores</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OSModel#getSemaphores()
	 * @see #getOSModel()
	 * @generated
	 */
	EReference getOSModel_Semaphores();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.OSModel#getOperatingSystems <em>Operating Systems</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Operating Systems</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OSModel#getOperatingSystems()
	 * @see #getOSModel()
	 * @generated
	 */
	EReference getOSModel_OperatingSystems();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.OSModel#getOsOverheads <em>Os Overheads</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Os Overheads</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OSModel#getOsOverheads()
	 * @see #getOSModel()
	 * @generated
	 */
	EReference getOSModel_OsOverheads();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.OSModel#getSchedulerDefinitions <em>Scheduler Definitions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Scheduler Definitions</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OSModel#getSchedulerDefinitions()
	 * @see #getOSModel()
	 * @generated
	 */
	EReference getOSModel_SchedulerDefinitions();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.OSModel#getSchedulingParameterDefinitions <em>Scheduling Parameter Definitions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Scheduling Parameter Definitions</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OSModel#getSchedulingParameterDefinitions()
	 * @see #getOSModel()
	 * @generated
	 */
	EReference getOSModel_SchedulingParameterDefinitions();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.OsDataConsistency <em>Os Data Consistency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Os Data Consistency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsDataConsistency
	 * @generated
	 */
	EClass getOsDataConsistency();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.OsDataConsistency#getMode <em>Mode</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mode</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsDataConsistency#getMode()
	 * @see #getOsDataConsistency()
	 * @generated
	 */
	EAttribute getOsDataConsistency_Mode();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsDataConsistency#getDataStability <em>Data Stability</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data Stability</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsDataConsistency#getDataStability()
	 * @see #getOsDataConsistency()
	 * @generated
	 */
	EReference getOsDataConsistency_DataStability();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsDataConsistency#getNonAtomicDataCoherency <em>Non Atomic Data Coherency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Non Atomic Data Coherency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsDataConsistency#getNonAtomicDataCoherency()
	 * @see #getOsDataConsistency()
	 * @generated
	 */
	EReference getOsDataConsistency_NonAtomicDataCoherency();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataStability <em>Data Stability</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Stability</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataStability
	 * @generated
	 */
	EClass getDataStability();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DataStability#isEnabled <em>Enabled</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Enabled</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataStability#isEnabled()
	 * @see #getDataStability()
	 * @generated
	 */
	EAttribute getDataStability_Enabled();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DataStability#getAlgorithm <em>Algorithm</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Algorithm</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataStability#getAlgorithm()
	 * @see #getDataStability()
	 * @generated
	 */
	EAttribute getDataStability_Algorithm();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DataStability#getAccessMultiplicity <em>Access Multiplicity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Access Multiplicity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataStability#getAccessMultiplicity()
	 * @see #getDataStability()
	 * @generated
	 */
	EAttribute getDataStability_AccessMultiplicity();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.DataStability#getLevel <em>Level</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Level</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataStability#getLevel()
	 * @see #getDataStability()
	 * @generated
	 */
	EAttribute getDataStability_Level();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.NonAtomicDataCoherency <em>Non Atomic Data Coherency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Non Atomic Data Coherency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.NonAtomicDataCoherency
	 * @generated
	 */
	EClass getNonAtomicDataCoherency();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.NonAtomicDataCoherency#isEnabled <em>Enabled</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Enabled</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.NonAtomicDataCoherency#isEnabled()
	 * @see #getNonAtomicDataCoherency()
	 * @generated
	 */
	EAttribute getNonAtomicDataCoherency_Enabled();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.NonAtomicDataCoherency#getAlgorithm <em>Algorithm</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Algorithm</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.NonAtomicDataCoherency#getAlgorithm()
	 * @see #getNonAtomicDataCoherency()
	 * @generated
	 */
	EAttribute getNonAtomicDataCoherency_Algorithm();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.NonAtomicDataCoherency#getAccessMultiplicity <em>Access Multiplicity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Access Multiplicity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.NonAtomicDataCoherency#getAccessMultiplicity()
	 * @see #getNonAtomicDataCoherency()
	 * @generated
	 */
	EAttribute getNonAtomicDataCoherency_AccessMultiplicity();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Semaphore <em>Semaphore</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Semaphore</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Semaphore
	 * @generated
	 */
	EClass getSemaphore();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Semaphore#getSemaphoreType <em>Semaphore Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Semaphore Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Semaphore#getSemaphoreType()
	 * @see #getSemaphore()
	 * @generated
	 */
	EAttribute getSemaphore_SemaphoreType();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Semaphore#getInitialValue <em>Initial Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Initial Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Semaphore#getInitialValue()
	 * @see #getSemaphore()
	 * @generated
	 */
	EAttribute getSemaphore_InitialValue();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Semaphore#getMaxValue <em>Max Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Semaphore#getMaxValue()
	 * @see #getSemaphore()
	 * @generated
	 */
	EAttribute getSemaphore_MaxValue();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Semaphore#isOwnership <em>Ownership</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Ownership</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Semaphore#isOwnership()
	 * @see #getSemaphore()
	 * @generated
	 */
	EAttribute getSemaphore_Ownership();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Semaphore#isPriorityCeilingProtocol <em>Priority Ceiling Protocol</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Priority Ceiling Protocol</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Semaphore#isPriorityCeilingProtocol()
	 * @see #getSemaphore()
	 * @generated
	 */
	EAttribute getSemaphore_PriorityCeilingProtocol();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Semaphore#getSemaphoreAccesses <em>Semaphore Accesses</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Semaphore Accesses</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Semaphore#getSemaphoreAccesses()
	 * @see #getSemaphore()
	 * @generated
	 */
	EReference getSemaphore_SemaphoreAccesses();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Semaphore#getReferringComponents <em>Referring Components</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Referring Components</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Semaphore#getReferringComponents()
	 * @see #getSemaphore()
	 * @generated
	 */
	EReference getSemaphore_ReferringComponents();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Scheduler <em>Scheduler</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Scheduler</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Scheduler
	 * @generated
	 */
	EClass getScheduler();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.Scheduler#getDefinition <em>Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Scheduler#getDefinition()
	 * @see #getScheduler()
	 * @generated
	 */
	EReference getScheduler_Definition();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.Scheduler#getComputationItems <em>Computation Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Computation Items</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Scheduler#getComputationItems()
	 * @see #getScheduler()
	 * @generated
	 */
	EReference getScheduler_ComputationItems();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Scheduler#getSchedulerAllocations <em>Scheduler Allocations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Scheduler Allocations</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Scheduler#getSchedulerAllocations()
	 * @see #getScheduler()
	 * @generated
	 */
	EReference getScheduler_SchedulerAllocations();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Scheduler#getRunnableAllocations <em>Runnable Allocations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Runnable Allocations</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Scheduler#getRunnableAllocations()
	 * @see #getScheduler()
	 * @generated
	 */
	EReference getScheduler_RunnableAllocations();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TaskScheduler <em>Task Scheduler</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Task Scheduler</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TaskScheduler
	 * @generated
	 */
	EClass getTaskScheduler();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.TaskScheduler#getParentAssociation <em>Parent Association</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Parent Association</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TaskScheduler#getParentAssociation()
	 * @see #getTaskScheduler()
	 * @generated
	 */
	EReference getTaskScheduler_ParentAssociation();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.TaskScheduler#getChildAssociations <em>Child Associations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Child Associations</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TaskScheduler#getChildAssociations()
	 * @see #getTaskScheduler()
	 * @generated
	 */
	EReference getTaskScheduler_ChildAssociations();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.TaskScheduler#getTaskAllocations <em>Task Allocations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Task Allocations</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TaskScheduler#getTaskAllocations()
	 * @see #getTaskScheduler()
	 * @generated
	 */
	EReference getTaskScheduler_TaskAllocations();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.TaskScheduler#getParentScheduler <em>Parent Scheduler</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Parent Scheduler</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TaskScheduler#getParentScheduler()
	 * @see #getTaskScheduler()
	 * @generated
	 */
	EReference getTaskScheduler_ParentScheduler();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.TaskScheduler#getChildSchedulers <em>Child Schedulers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Child Schedulers</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TaskScheduler#getChildSchedulers()
	 * @see #getTaskScheduler()
	 * @generated
	 */
	EReference getTaskScheduler_ChildSchedulers();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SchedulerAssociation <em>Scheduler Association</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Scheduler Association</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulerAssociation
	 * @generated
	 */
	EClass getSchedulerAssociation();

	/**
	 * Returns the meta object for the container reference '{@link org.eclipse.app4mc.amalthea.model.SchedulerAssociation#getChild <em>Child</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Child</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulerAssociation#getChild()
	 * @see #getSchedulerAssociation()
	 * @generated
	 */
	EReference getSchedulerAssociation_Child();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.SchedulerAssociation#getParent <em>Parent</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Parent</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulerAssociation#getParent()
	 * @see #getSchedulerAssociation()
	 * @generated
	 */
	EReference getSchedulerAssociation_Parent();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.InterruptController <em>Interrupt Controller</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Interrupt Controller</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.InterruptController
	 * @generated
	 */
	EClass getInterruptController();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.InterruptController#getIsrAllocations <em>Isr Allocations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Isr Allocations</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.InterruptController#getIsrAllocations()
	 * @see #getInterruptController()
	 * @generated
	 */
	EReference getInterruptController_IsrAllocations();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.OsDefinition <em>Os Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Os Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsDefinition
	 * @generated
	 */
	EClass getOsDefinition();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SchedulerDefinition <em>Scheduler Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Scheduler Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulerDefinition
	 * @generated
	 */
	EClass getSchedulerDefinition();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.SchedulerDefinition#getAlgorithmParameters <em>Algorithm Parameters</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Algorithm Parameters</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulerDefinition#getAlgorithmParameters()
	 * @see #getSchedulerDefinition()
	 * @generated
	 */
	EReference getSchedulerDefinition_AlgorithmParameters();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.SchedulerDefinition#getProcessParameters <em>Process Parameters</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Process Parameters</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulerDefinition#getProcessParameters()
	 * @see #getSchedulerDefinition()
	 * @generated
	 */
	EReference getSchedulerDefinition_ProcessParameters();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.SchedulerDefinition#isRequiresParentScheduler <em>Requires Parent Scheduler</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Requires Parent Scheduler</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulerDefinition#isRequiresParentScheduler()
	 * @see #getSchedulerDefinition()
	 * @generated
	 */
	EAttribute getSchedulerDefinition_RequiresParentScheduler();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.SchedulerDefinition#isPassesParametersUpwards <em>Passes Parameters Upwards</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Passes Parameters Upwards</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulerDefinition#isPassesParametersUpwards()
	 * @see #getSchedulerDefinition()
	 * @generated
	 */
	EAttribute getSchedulerDefinition_PassesParametersUpwards();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.SchedulerDefinition#isHasExactlyOneChild <em>Has Exactly One Child</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Has Exactly One Child</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulerDefinition#isHasExactlyOneChild()
	 * @see #getSchedulerDefinition()
	 * @generated
	 */
	EAttribute getSchedulerDefinition_HasExactlyOneChild();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SchedulingParameterDefinition <em>Scheduling Parameter Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Scheduling Parameter Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulingParameterDefinition
	 * @generated
	 */
	EClass getSchedulingParameterDefinition();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.SchedulingParameterDefinition#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulingParameterDefinition#getType()
	 * @see #getSchedulingParameterDefinition()
	 * @generated
	 */
	EAttribute getSchedulingParameterDefinition_Type();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.SchedulingParameterDefinition#isMany <em>Many</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Many</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulingParameterDefinition#isMany()
	 * @see #getSchedulingParameterDefinition()
	 * @generated
	 */
	EAttribute getSchedulingParameterDefinition_Many();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.SchedulingParameterDefinition#isMandatory <em>Mandatory</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mandatory</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulingParameterDefinition#isMandatory()
	 * @see #getSchedulingParameterDefinition()
	 * @generated
	 */
	EAttribute getSchedulingParameterDefinition_Mandatory();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.SchedulingParameterDefinition#getDefaultValue <em>Default Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Default Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulingParameterDefinition#getDefaultValue()
	 * @see #getSchedulingParameterDefinition()
	 * @generated
	 */
	EReference getSchedulingParameterDefinition_DefaultValue();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.SchedulingParameterDefinition#getSchedulerDefinitions <em>Scheduler Definitions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Scheduler Definitions</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulingParameterDefinition#getSchedulerDefinitions()
	 * @see #getSchedulingParameterDefinition()
	 * @generated
	 */
	EReference getSchedulingParameterDefinition_SchedulerDefinitions();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ISchedulingParameterContainer <em>IScheduling Parameter Container</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IScheduling Parameter Container</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ISchedulingParameterContainer
	 * @generated
	 */
	EClass getISchedulingParameterContainer();

	/**
	 * Returns the meta object for the map '{@link org.eclipse.app4mc.amalthea.model.ISchedulingParameterContainer#getSchedulingParameters <em>Scheduling Parameters</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the map '<em>Scheduling Parameters</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ISchedulingParameterContainer#getSchedulingParameters()
	 * @see #getISchedulingParameterContainer()
	 * @generated
	 */
	EReference getISchedulingParameterContainer_SchedulingParameters();

	/**
	 * Returns the meta object for class '{@link java.util.Map.Entry <em>Scheduling Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Scheduling Parameter</em>'.
	 * @see java.util.Map.Entry
	 * @model keyType="org.eclipse.app4mc.amalthea.model.SchedulingParameterDefinition" keyRequired="true"
	 *        valueType="org.eclipse.app4mc.amalthea.model.Value" valueContainment="true" valueRequired="true"
	 * @generated
	 */
	EClass getSchedulingParameter();

	/**
	 * Returns the meta object for the reference '{@link java.util.Map.Entry <em>Key</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Key</em>'.
	 * @see java.util.Map.Entry
	 * @see #getSchedulingParameter()
	 * @generated
	 */
	EReference getSchedulingParameter_Key();

	/**
	 * Returns the meta object for the containment reference '{@link java.util.Map.Entry <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Value</em>'.
	 * @see java.util.Map.Entry
	 * @see #getSchedulingParameter()
	 * @generated
	 */
	EReference getSchedulingParameter_Value();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.OsOverhead <em>Os Overhead</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Os Overhead</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsOverhead
	 * @generated
	 */
	EClass getOsOverhead();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsOverhead#getApiOverhead <em>Api Overhead</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Overhead</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsOverhead#getApiOverhead()
	 * @see #getOsOverhead()
	 * @generated
	 */
	EReference getOsOverhead_ApiOverhead();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsOverhead#getIsrCategory1Overhead <em>Isr Category1 Overhead</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Isr Category1 Overhead</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsOverhead#getIsrCategory1Overhead()
	 * @see #getOsOverhead()
	 * @generated
	 */
	EReference getOsOverhead_IsrCategory1Overhead();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsOverhead#getIsrCategory2Overhead <em>Isr Category2 Overhead</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Isr Category2 Overhead</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsOverhead#getIsrCategory2Overhead()
	 * @see #getOsOverhead()
	 * @generated
	 */
	EReference getOsOverhead_IsrCategory2Overhead();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead <em>Os API Overhead</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Os API Overhead</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead
	 * @generated
	 */
	EClass getOsAPIOverhead();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiSendMessage <em>Api Send Message</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Send Message</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiSendMessage()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiSendMessage();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiTerminateTask <em>Api Terminate Task</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Terminate Task</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiTerminateTask()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiTerminateTask();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiSchedule <em>Api Schedule</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Schedule</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiSchedule()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiSchedule();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiRequestResource <em>Api Request Resource</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Request Resource</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiRequestResource()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiRequestResource();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiReleaseResource <em>Api Release Resource</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Release Resource</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiReleaseResource()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiReleaseResource();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiSetEvent <em>Api Set Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Set Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiSetEvent()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiSetEvent();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiWaitEvent <em>Api Wait Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Wait Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiWaitEvent()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiWaitEvent();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiClearEvent <em>Api Clear Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Clear Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiClearEvent()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiClearEvent();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiActivateTask <em>Api Activate Task</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Activate Task</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiActivateTask()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiActivateTask();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiEnforcedMigration <em>Api Enforced Migration</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Enforced Migration</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiEnforcedMigration()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiEnforcedMigration();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiSuspendOsInterrupts <em>Api Suspend Os Interrupts</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Suspend Os Interrupts</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiSuspendOsInterrupts()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiSuspendOsInterrupts();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiResumeOsInterrupts <em>Api Resume Os Interrupts</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Resume Os Interrupts</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiResumeOsInterrupts()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiResumeOsInterrupts();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiRequestSpinlock <em>Api Request Spinlock</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Request Spinlock</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiRequestSpinlock()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiRequestSpinlock();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiReleaseSpinlock <em>Api Release Spinlock</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Release Spinlock</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiReleaseSpinlock()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiReleaseSpinlock();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiSenderReceiverRead <em>Api Sender Receiver Read</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Sender Receiver Read</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiSenderReceiverRead()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiSenderReceiverRead();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiSenderReceiverWrite <em>Api Sender Receiver Write</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Sender Receiver Write</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiSenderReceiverWrite()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiSenderReceiverWrite();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiSynchronousServerCallPoint <em>Api Synchronous Server Call Point</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Synchronous Server Call Point</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiSynchronousServerCallPoint()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiSynchronousServerCallPoint();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiIocRead <em>Api Ioc Read</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Ioc Read</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiIocRead()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiIocRead();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiIocWrite <em>Api Ioc Write</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Api Ioc Write</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsAPIOverhead#getApiIocWrite()
	 * @see #getOsAPIOverhead()
	 * @generated
	 */
	EReference getOsAPIOverhead_ApiIocWrite();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.OsISROverhead <em>Os ISR Overhead</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Os ISR Overhead</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsISROverhead
	 * @generated
	 */
	EClass getOsISROverhead();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsISROverhead#getPreExecutionOverhead <em>Pre Execution Overhead</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Pre Execution Overhead</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsISROverhead#getPreExecutionOverhead()
	 * @see #getOsISROverhead()
	 * @generated
	 */
	EReference getOsISROverhead_PreExecutionOverhead();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OsISROverhead#getPostExecutionOverhead <em>Post Execution Overhead</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Post Execution Overhead</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsISROverhead#getPostExecutionOverhead()
	 * @see #getOsISROverhead()
	 * @generated
	 */
	EReference getOsISROverhead_PostExecutionOverhead();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.OperatingSystem <em>Operating System</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Operating System</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OperatingSystem
	 * @generated
	 */
	EClass getOperatingSystem();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.OperatingSystem#getOverhead <em>Overhead</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Overhead</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OperatingSystem#getOverhead()
	 * @see #getOperatingSystem()
	 * @generated
	 */
	EReference getOperatingSystem_Overhead();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.OperatingSystem#getTaskSchedulers <em>Task Schedulers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Task Schedulers</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OperatingSystem#getTaskSchedulers()
	 * @see #getOperatingSystem()
	 * @generated
	 */
	EReference getOperatingSystem_TaskSchedulers();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.OperatingSystem#getInterruptControllers <em>Interrupt Controllers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Interrupt Controllers</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OperatingSystem#getInterruptControllers()
	 * @see #getOperatingSystem()
	 * @generated
	 */
	EReference getOperatingSystem_InterruptControllers();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.OperatingSystem#getOsDataConsistency <em>Os Data Consistency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Os Data Consistency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OperatingSystem#getOsDataConsistency()
	 * @see #getOperatingSystem()
	 * @generated
	 */
	EReference getOperatingSystem_OsDataConsistency();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.VendorOperatingSystem <em>Vendor Operating System</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Vendor Operating System</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.VendorOperatingSystem
	 * @generated
	 */
	EClass getVendorOperatingSystem();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.VendorOperatingSystem#getOsName <em>Os Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Os Name</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.VendorOperatingSystem#getOsName()
	 * @see #getVendorOperatingSystem()
	 * @generated
	 */
	EAttribute getVendorOperatingSystem_OsName();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.VendorOperatingSystem#getVendor <em>Vendor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Vendor</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.VendorOperatingSystem#getVendor()
	 * @see #getVendorOperatingSystem()
	 * @generated
	 */
	EAttribute getVendorOperatingSystem_Vendor();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.VendorOperatingSystem#getVersion <em>Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Version</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.VendorOperatingSystem#getVersion()
	 * @see #getVendorOperatingSystem()
	 * @generated
	 */
	EAttribute getVendorOperatingSystem_Version();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.PropertyConstraintsModel <em>Property Constraints Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Property Constraints Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PropertyConstraintsModel
	 * @generated
	 */
	EClass getPropertyConstraintsModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.PropertyConstraintsModel#getAllocationConstraints <em>Allocation Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Allocation Constraints</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PropertyConstraintsModel#getAllocationConstraints()
	 * @see #getPropertyConstraintsModel()
	 * @generated
	 */
	EReference getPropertyConstraintsModel_AllocationConstraints();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.PropertyConstraintsModel#getMappingConstraints <em>Mapping Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Mapping Constraints</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PropertyConstraintsModel#getMappingConstraints()
	 * @see #getPropertyConstraintsModel()
	 * @generated
	 */
	EReference getPropertyConstraintsModel_MappingConstraints();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.CoreAllocationConstraint <em>Core Allocation Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Core Allocation Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CoreAllocationConstraint
	 * @generated
	 */
	EClass getCoreAllocationConstraint();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.CoreAllocationConstraint#getCoreClassification <em>Core Classification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Core Classification</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CoreAllocationConstraint#getCoreClassification()
	 * @see #getCoreAllocationConstraint()
	 * @generated
	 */
	EReference getCoreAllocationConstraint_CoreClassification();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.MemoryMappingConstraint <em>Memory Mapping Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Memory Mapping Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryMappingConstraint
	 * @generated
	 */
	EClass getMemoryMappingConstraint();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.MemoryMappingConstraint#getMemoryClassification <em>Memory Classification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Memory Classification</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryMappingConstraint#getMemoryClassification()
	 * @see #getMemoryMappingConstraint()
	 * @generated
	 */
	EReference getMemoryMappingConstraint_MemoryClassification();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessAllocationConstraint <em>Process Allocation Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Allocation Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessAllocationConstraint
	 * @generated
	 */
	EClass getProcessAllocationConstraint();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ProcessAllocationConstraint#getProcess <em>Process</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Process</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessAllocationConstraint#getProcess()
	 * @see #getProcessAllocationConstraint()
	 * @generated
	 */
	EReference getProcessAllocationConstraint_Process();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessPrototypeAllocationConstraint <em>Process Prototype Allocation Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Prototype Allocation Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessPrototypeAllocationConstraint
	 * @generated
	 */
	EClass getProcessPrototypeAllocationConstraint();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ProcessPrototypeAllocationConstraint#getProcessPrototype <em>Process Prototype</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Process Prototype</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessPrototypeAllocationConstraint#getProcessPrototype()
	 * @see #getProcessPrototypeAllocationConstraint()
	 * @generated
	 */
	EReference getProcessPrototypeAllocationConstraint_ProcessPrototype();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RunnableAllocationConstraint <em>Runnable Allocation Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Runnable Allocation Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableAllocationConstraint
	 * @generated
	 */
	EClass getRunnableAllocationConstraint();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.RunnableAllocationConstraint#getRunnable <em>Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableAllocationConstraint#getRunnable()
	 * @see #getRunnableAllocationConstraint()
	 * @generated
	 */
	EReference getRunnableAllocationConstraint_Runnable();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.AbstractElementMappingConstraint <em>Abstract Element Mapping Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Abstract Element Mapping Constraint</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AbstractElementMappingConstraint
	 * @generated
	 */
	EClass getAbstractElementMappingConstraint();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.AbstractElementMappingConstraint#getAbstractElement <em>Abstract Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Abstract Element</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AbstractElementMappingConstraint#getAbstractElement()
	 * @see #getAbstractElementMappingConstraint()
	 * @generated
	 */
	EReference getAbstractElementMappingConstraint_AbstractElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Classification <em>Classification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Classification</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Classification
	 * @generated
	 */
	EClass getClassification();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Classification#getCondition <em>Condition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Condition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Classification#getCondition()
	 * @see #getClassification()
	 * @generated
	 */
	EAttribute getClassification_Condition();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Classification#getGrouping <em>Grouping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Grouping</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Classification#getGrouping()
	 * @see #getClassification()
	 * @generated
	 */
	EAttribute getClassification_Grouping();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.CoreClassification <em>Core Classification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Core Classification</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CoreClassification
	 * @generated
	 */
	EClass getCoreClassification();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.CoreClassification#getClassifiers <em>Classifiers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Classifiers</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CoreClassification#getClassifiers()
	 * @see #getCoreClassification()
	 * @generated
	 */
	EReference getCoreClassification_Classifiers();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.MemoryClassification <em>Memory Classification</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Memory Classification</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryClassification
	 * @generated
	 */
	EClass getMemoryClassification();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.MemoryClassification#getClassifiers <em>Classifiers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Classifiers</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryClassification#getClassifiers()
	 * @see #getMemoryClassification()
	 * @generated
	 */
	EReference getMemoryClassification_Classifiers();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.StimuliModel <em>Stimuli Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Stimuli Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.StimuliModel
	 * @generated
	 */
	EClass getStimuliModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.StimuliModel#getStimuli <em>Stimuli</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Stimuli</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.StimuliModel#getStimuli()
	 * @see #getStimuliModel()
	 * @generated
	 */
	EReference getStimuliModel_Stimuli();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.StimuliModel#getClocks <em>Clocks</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Clocks</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.StimuliModel#getClocks()
	 * @see #getStimuliModel()
	 * @generated
	 */
	EReference getStimuliModel_Clocks();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Stimulus <em>Stimulus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Stimulus</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Stimulus
	 * @generated
	 */
	EClass getStimulus();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Stimulus#getSetModeValueList <em>Set Mode Value List</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Set Mode Value List</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Stimulus#getSetModeValueList()
	 * @see #getStimulus()
	 * @generated
	 */
	EReference getStimulus_SetModeValueList();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Stimulus#getExecutionCondition <em>Execution Condition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Execution Condition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Stimulus#getExecutionCondition()
	 * @see #getStimulus()
	 * @generated
	 */
	EReference getStimulus_ExecutionCondition();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Stimulus#getAffectedProcesses <em>Affected Processes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Affected Processes</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Stimulus#getAffectedProcesses()
	 * @see #getStimulus()
	 * @generated
	 */
	EReference getStimulus_AffectedProcesses();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ModeValueList <em>Mode Value List</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Value List</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeValueList
	 * @generated
	 */
	EClass getModeValueList();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ModeValueList#getEntries <em>Entries</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Entries</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeValueList#getEntries()
	 * @see #getModeValueList()
	 * @generated
	 */
	EReference getModeValueList_Entries();

	/**
	 * Returns the meta object for class '{@link java.util.Map.Entry <em>Mode Value Map Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Value Map Entry</em>'.
	 * @see java.util.Map.Entry
	 * @model keyType="org.eclipse.app4mc.amalthea.model.ModeLabel" keyRequired="true"
	 *        valueUnique="false" valueDataType="org.eclipse.emf.ecore.EString" valueRequired="true"
	 * @generated
	 */
	EClass getModeValueMapEntry();

	/**
	 * Returns the meta object for the reference '{@link java.util.Map.Entry <em>Key</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Key</em>'.
	 * @see java.util.Map.Entry
	 * @see #getModeValueMapEntry()
	 * @generated
	 */
	EReference getModeValueMapEntry_Key();

	/**
	 * Returns the meta object for the attribute '{@link java.util.Map.Entry <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see java.util.Map.Entry
	 * @see #getModeValueMapEntry()
	 * @generated
	 */
	EAttribute getModeValueMapEntry_Value();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ModeValue <em>Mode Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeValue
	 * @generated
	 */
	EClass getModeValue();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ModeValue#getLabel <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Label</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeValue#getLabel()
	 * @see #getModeValue()
	 * @generated
	 */
	EReference getModeValue_Label();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ModeValue#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeValue#getValue()
	 * @see #getModeValue()
	 * @generated
	 */
	EAttribute getModeValue_Value();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeValue#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map) <em>Validate Invariants</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Validate Invariants</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeValue#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)
	 * @generated
	 */
	EOperation getModeValue__ValidateInvariants__DiagnosticChain_Map();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeValue#getLiteral() <em>Get Literal</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Literal</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeValue#getLiteral()
	 * @generated
	 */
	EOperation getModeValue__GetLiteral();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeValue#getInteger() <em>Get Integer</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Integer</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeValue#getInteger()
	 * @generated
	 */
	EOperation getModeValue__GetInteger();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ModeAssignment <em>Mode Assignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Assignment</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeAssignment
	 * @generated
	 */
	EClass getModeAssignment();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ModeCondition <em>Mode Condition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Condition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeCondition
	 * @generated
	 */
	EClass getModeCondition();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ModeCondition#getRelation <em>Relation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Relation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeCondition#getRelation()
	 * @see #getModeCondition()
	 * @generated
	 */
	EAttribute getModeCondition_Relation();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ModeValueCondition <em>Mode Value Condition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Value Condition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeValueCondition
	 * @generated
	 */
	EClass getModeValueCondition();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeValueCondition#isSatisfiedBy(org.eclipse.emf.common.util.EMap) <em>Is Satisfied By</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Satisfied By</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeValueCondition#isSatisfiedBy(org.eclipse.emf.common.util.EMap)
	 * @generated
	 */
	EOperation getModeValueCondition__IsSatisfiedBy__EMap();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ModeLabelCondition <em>Mode Label Condition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Label Condition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelCondition
	 * @generated
	 */
	EClass getModeLabelCondition();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ModeLabelCondition#getLabel1 <em>Label1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Label1</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelCondition#getLabel1()
	 * @see #getModeLabelCondition()
	 * @generated
	 */
	EReference getModeLabelCondition_Label1();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ModeLabelCondition#getLabel2 <em>Label2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Label2</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelCondition#getLabel2()
	 * @see #getModeLabelCondition()
	 * @generated
	 */
	EReference getModeLabelCondition_Label2();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeLabelCondition#isSatisfiedBy(org.eclipse.emf.common.util.EMap) <em>Is Satisfied By</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Satisfied By</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelCondition#isSatisfiedBy(org.eclipse.emf.common.util.EMap)
	 * @generated
	 */
	EOperation getModeLabelCondition__IsSatisfiedBy__EMap();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeLabelCondition#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map) <em>Validate Invariants</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Validate Invariants</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelCondition#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)
	 * @generated
	 */
	EOperation getModeLabelCondition__ValidateInvariants__DiagnosticChain_Map();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ConditionDisjunction <em>Condition Disjunction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Condition Disjunction</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConditionDisjunction
	 * @generated
	 */
	EClass getConditionDisjunction();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ConditionDisjunction#getEntries <em>Entries</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Entries</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConditionDisjunction#getEntries()
	 * @see #getConditionDisjunction()
	 * @generated
	 */
	EReference getConditionDisjunction_Entries();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ConditionDisjunctionEntry <em>Condition Disjunction Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Condition Disjunction Entry</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConditionDisjunctionEntry
	 * @generated
	 */
	EClass getConditionDisjunctionEntry();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ConditionConjunction <em>Condition Conjunction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Condition Conjunction</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConditionConjunction
	 * @generated
	 */
	EClass getConditionConjunction();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ConditionConjunction#getEntries <em>Entries</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Entries</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConditionConjunction#getEntries()
	 * @see #getConditionConjunction()
	 * @generated
	 */
	EReference getConditionConjunction_Entries();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Condition <em>Condition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Condition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Condition
	 * @generated
	 */
	EClass getCondition();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ChannelFillCondition <em>Channel Fill Condition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Channel Fill Condition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelFillCondition
	 * @generated
	 */
	EClass getChannelFillCondition();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ChannelFillCondition#getChannel <em>Channel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Channel</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelFillCondition#getChannel()
	 * @see #getChannelFillCondition()
	 * @generated
	 */
	EReference getChannelFillCondition_Channel();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ChannelFillCondition#getRelation <em>Relation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Relation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelFillCondition#getRelation()
	 * @see #getChannelFillCondition()
	 * @generated
	 */
	EAttribute getChannelFillCondition_Relation();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ChannelFillCondition#getFillLevel <em>Fill Level</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Fill Level</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelFillCondition#getFillLevel()
	 * @see #getChannelFillCondition()
	 * @generated
	 */
	EAttribute getChannelFillCondition_FillLevel();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.FixedPeriodic <em>Fixed Periodic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fixed Periodic</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.FixedPeriodic
	 * @generated
	 */
	EClass getFixedPeriodic();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.FixedPeriodic#getRecurrence <em>Recurrence</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Recurrence</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.FixedPeriodic#getRecurrence()
	 * @see #getFixedPeriodic()
	 * @generated
	 */
	EReference getFixedPeriodic_Recurrence();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.FixedPeriodic#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Offset</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.FixedPeriodic#getOffset()
	 * @see #getFixedPeriodic()
	 * @generated
	 */
	EReference getFixedPeriodic_Offset();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.PeriodicStimulus <em>Periodic Stimulus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Periodic Stimulus</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PeriodicStimulus
	 * @generated
	 */
	EClass getPeriodicStimulus();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.PeriodicStimulus#getJitter <em>Jitter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Jitter</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PeriodicStimulus#getJitter()
	 * @see #getPeriodicStimulus()
	 * @generated
	 */
	EReference getPeriodicStimulus_Jitter();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.PeriodicStimulus#getMinDistance <em>Min Distance</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Min Distance</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PeriodicStimulus#getMinDistance()
	 * @see #getPeriodicStimulus()
	 * @generated
	 */
	EReference getPeriodicStimulus_MinDistance();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RelativePeriodicStimulus <em>Relative Periodic Stimulus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Relative Periodic Stimulus</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RelativePeriodicStimulus
	 * @generated
	 */
	EClass getRelativePeriodicStimulus();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.RelativePeriodicStimulus#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Offset</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RelativePeriodicStimulus#getOffset()
	 * @see #getRelativePeriodicStimulus()
	 * @generated
	 */
	EReference getRelativePeriodicStimulus_Offset();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.RelativePeriodicStimulus#getNextOccurrence <em>Next Occurrence</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Next Occurrence</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RelativePeriodicStimulus#getNextOccurrence()
	 * @see #getRelativePeriodicStimulus()
	 * @generated
	 */
	EReference getRelativePeriodicStimulus_NextOccurrence();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.VariableRateStimulus <em>Variable Rate Stimulus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Variable Rate Stimulus</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.VariableRateStimulus
	 * @generated
	 */
	EClass getVariableRateStimulus();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.VariableRateStimulus#getStep <em>Step</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Step</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.VariableRateStimulus#getStep()
	 * @see #getVariableRateStimulus()
	 * @generated
	 */
	EReference getVariableRateStimulus_Step();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.VariableRateStimulus#getOccurrencesPerStep <em>Occurrences Per Step</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Occurrences Per Step</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.VariableRateStimulus#getOccurrencesPerStep()
	 * @see #getVariableRateStimulus()
	 * @generated
	 */
	EReference getVariableRateStimulus_OccurrencesPerStep();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.VariableRateStimulus#getMaxIncreasePerStep <em>Max Increase Per Step</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max Increase Per Step</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.VariableRateStimulus#getMaxIncreasePerStep()
	 * @see #getVariableRateStimulus()
	 * @generated
	 */
	EAttribute getVariableRateStimulus_MaxIncreasePerStep();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.VariableRateStimulus#getMaxDecreasePerStep <em>Max Decrease Per Step</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max Decrease Per Step</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.VariableRateStimulus#getMaxDecreasePerStep()
	 * @see #getVariableRateStimulus()
	 * @generated
	 */
	EAttribute getVariableRateStimulus_MaxDecreasePerStep();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.VariableRateStimulus#getScenario <em>Scenario</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Scenario</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.VariableRateStimulus#getScenario()
	 * @see #getVariableRateStimulus()
	 * @generated
	 */
	EReference getVariableRateStimulus_Scenario();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Scenario <em>Scenario</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Scenario</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Scenario
	 * @generated
	 */
	EClass getScenario();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.Scenario#getClock <em>Clock</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Clock</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Scenario#getClock()
	 * @see #getScenario()
	 * @generated
	 */
	EReference getScenario_Clock();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Scenario#getSamplingOffset <em>Sampling Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Sampling Offset</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Scenario#getSamplingOffset()
	 * @see #getScenario()
	 * @generated
	 */
	EAttribute getScenario_SamplingOffset();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Scenario#getSamplingRecurrence <em>Sampling Recurrence</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Sampling Recurrence</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Scenario#getSamplingRecurrence()
	 * @see #getScenario()
	 * @generated
	 */
	EAttribute getScenario_SamplingRecurrence();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.PeriodicSyntheticStimulus <em>Periodic Synthetic Stimulus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Periodic Synthetic Stimulus</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PeriodicSyntheticStimulus
	 * @generated
	 */
	EClass getPeriodicSyntheticStimulus();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.PeriodicSyntheticStimulus#getOccurrenceTimes <em>Occurrence Times</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Occurrence Times</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PeriodicSyntheticStimulus#getOccurrenceTimes()
	 * @see #getPeriodicSyntheticStimulus()
	 * @generated
	 */
	EReference getPeriodicSyntheticStimulus_OccurrenceTimes();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.CustomStimulus <em>Custom Stimulus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Custom Stimulus</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CustomStimulus
	 * @generated
	 */
	EClass getCustomStimulus();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SingleStimulus <em>Single Stimulus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Single Stimulus</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SingleStimulus
	 * @generated
	 */
	EClass getSingleStimulus();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.SingleStimulus#getOccurrence <em>Occurrence</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Occurrence</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SingleStimulus#getOccurrence()
	 * @see #getSingleStimulus()
	 * @generated
	 */
	EReference getSingleStimulus_Occurrence();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.InterProcessStimulus <em>Inter Process Stimulus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Inter Process Stimulus</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.InterProcessStimulus
	 * @generated
	 */
	EClass getInterProcessStimulus();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.InterProcessStimulus#getCounter <em>Counter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Counter</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.InterProcessStimulus#getCounter()
	 * @see #getInterProcessStimulus()
	 * @generated
	 */
	EReference getInterProcessStimulus_Counter();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.InterProcessStimulus#getExplicitTriggers <em>Explicit Triggers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Explicit Triggers</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.InterProcessStimulus#getExplicitTriggers()
	 * @see #getInterProcessStimulus()
	 * @generated
	 */
	EReference getInterProcessStimulus_ExplicitTriggers();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.PeriodicBurstStimulus <em>Periodic Burst Stimulus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Periodic Burst Stimulus</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PeriodicBurstStimulus
	 * @generated
	 */
	EClass getPeriodicBurstStimulus();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.PeriodicBurstStimulus#getBurstLength <em>Burst Length</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Burst Length</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PeriodicBurstStimulus#getBurstLength()
	 * @see #getPeriodicBurstStimulus()
	 * @generated
	 */
	EReference getPeriodicBurstStimulus_BurstLength();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.PeriodicBurstStimulus#getOccurrenceMinDistance <em>Occurrence Min Distance</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Occurrence Min Distance</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PeriodicBurstStimulus#getOccurrenceMinDistance()
	 * @see #getPeriodicBurstStimulus()
	 * @generated
	 */
	EReference getPeriodicBurstStimulus_OccurrenceMinDistance();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.PeriodicBurstStimulus#getOccurrenceCount <em>Occurrence Count</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Occurrence Count</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PeriodicBurstStimulus#getOccurrenceCount()
	 * @see #getPeriodicBurstStimulus()
	 * @generated
	 */
	EAttribute getPeriodicBurstStimulus_OccurrenceCount();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EventStimulus <em>Event Stimulus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Stimulus</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventStimulus
	 * @generated
	 */
	EClass getEventStimulus();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.EventStimulus#getTriggeringEvents <em>Triggering Events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Triggering Events</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventStimulus#getTriggeringEvents()
	 * @see #getEventStimulus()
	 * @generated
	 */
	EReference getEventStimulus_TriggeringEvents();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.EventStimulus#getCounter <em>Counter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Counter</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventStimulus#getCounter()
	 * @see #getEventStimulus()
	 * @generated
	 */
	EReference getEventStimulus_Counter();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ArrivalCurveStimulus <em>Arrival Curve Stimulus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Arrival Curve Stimulus</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ArrivalCurveStimulus
	 * @generated
	 */
	EClass getArrivalCurveStimulus();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ArrivalCurveStimulus#getEntries <em>Entries</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Entries</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ArrivalCurveStimulus#getEntries()
	 * @see #getArrivalCurveStimulus()
	 * @generated
	 */
	EReference getArrivalCurveStimulus_Entries();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ArrivalCurveEntry <em>Arrival Curve Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Arrival Curve Entry</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ArrivalCurveEntry
	 * @generated
	 */
	EClass getArrivalCurveEntry();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ArrivalCurveEntry#getNumberOfOccurrences <em>Number Of Occurrences</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Number Of Occurrences</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ArrivalCurveEntry#getNumberOfOccurrences()
	 * @see #getArrivalCurveEntry()
	 * @generated
	 */
	EAttribute getArrivalCurveEntry_NumberOfOccurrences();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ArrivalCurveEntry#getLowerTimeBorder <em>Lower Time Border</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Lower Time Border</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ArrivalCurveEntry#getLowerTimeBorder()
	 * @see #getArrivalCurveEntry()
	 * @generated
	 */
	EReference getArrivalCurveEntry_LowerTimeBorder();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ArrivalCurveEntry#getUpperTimeBorder <em>Upper Time Border</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Upper Time Border</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ArrivalCurveEntry#getUpperTimeBorder()
	 * @see #getArrivalCurveEntry()
	 * @generated
	 */
	EReference getArrivalCurveEntry_UpperTimeBorder();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Clock <em>Clock</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Clock</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Clock
	 * @generated
	 */
	EClass getClock();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ClockFunction <em>Clock Function</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Clock Function</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ClockFunction
	 * @generated
	 */
	EClass getClockFunction();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ClockFunction#getCurveType <em>Curve Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Curve Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ClockFunction#getCurveType()
	 * @see #getClockFunction()
	 * @generated
	 */
	EAttribute getClockFunction_CurveType();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ClockFunction#getPeriod <em>Period</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Period</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ClockFunction#getPeriod()
	 * @see #getClockFunction()
	 * @generated
	 */
	EReference getClockFunction_Period();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ClockFunction#getPeakToPeak <em>Peak To Peak</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Peak To Peak</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ClockFunction#getPeakToPeak()
	 * @see #getClockFunction()
	 * @generated
	 */
	EReference getClockFunction_PeakToPeak();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ClockFunction#getXOffset <em>XOffset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>XOffset</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ClockFunction#getXOffset()
	 * @see #getClockFunction()
	 * @generated
	 */
	EReference getClockFunction_XOffset();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ClockFunction#getYOffset <em>YOffset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>YOffset</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ClockFunction#getYOffset()
	 * @see #getClockFunction()
	 * @generated
	 */
	EReference getClockFunction_YOffset();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ClockStepList <em>Clock Step List</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Clock Step List</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ClockStepList
	 * @generated
	 */
	EClass getClockStepList();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ClockStepList#getEntries <em>Entries</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Entries</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ClockStepList#getEntries()
	 * @see #getClockStepList()
	 * @generated
	 */
	EReference getClockStepList_Entries();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ClockStepList#getPeriod <em>Period</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Period</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ClockStepList#getPeriod()
	 * @see #getClockStepList()
	 * @generated
	 */
	EReference getClockStepList_Period();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ClockStep <em>Clock Step</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Clock Step</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ClockStep
	 * @generated
	 */
	EClass getClockStep();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ClockStep#getFrequency <em>Frequency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Frequency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ClockStep#getFrequency()
	 * @see #getClockStep()
	 * @generated
	 */
	EReference getClockStep_Frequency();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ClockStep#getTime <em>Time</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Time</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ClockStep#getTime()
	 * @see #getClockStep()
	 * @generated
	 */
	EReference getClockStep_Time();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SWModel <em>SW Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>SW Model</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel
	 * @generated
	 */
	EClass getSWModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.SWModel#getIsrs <em>Isrs</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Isrs</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel#getIsrs()
	 * @see #getSWModel()
	 * @generated
	 */
	EReference getSWModel_Isrs();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.SWModel#getTasks <em>Tasks</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tasks</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel#getTasks()
	 * @see #getSWModel()
	 * @generated
	 */
	EReference getSWModel_Tasks();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.SWModel#getRunnables <em>Runnables</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Runnables</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel#getRunnables()
	 * @see #getSWModel()
	 * @generated
	 */
	EReference getSWModel_Runnables();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.SWModel#getLabels <em>Labels</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Labels</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel#getLabels()
	 * @see #getSWModel()
	 * @generated
	 */
	EReference getSWModel_Labels();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.SWModel#getChannels <em>Channels</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Channels</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel#getChannels()
	 * @see #getSWModel()
	 * @generated
	 */
	EReference getSWModel_Channels();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.SWModel#getProcessPrototypes <em>Process Prototypes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Process Prototypes</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel#getProcessPrototypes()
	 * @see #getSWModel()
	 * @generated
	 */
	EReference getSWModel_ProcessPrototypes();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.SWModel#getSections <em>Sections</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Sections</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel#getSections()
	 * @see #getSWModel()
	 * @generated
	 */
	EReference getSWModel_Sections();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.SWModel#getActivations <em>Activations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Activations</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel#getActivations()
	 * @see #getSWModel()
	 * @generated
	 */
	EReference getSWModel_Activations();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.SWModel#getEvents <em>Events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Events</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel#getEvents()
	 * @see #getSWModel()
	 * @generated
	 */
	EReference getSWModel_Events();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.SWModel#getTypeDefinitions <em>Type Definitions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Type Definitions</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel#getTypeDefinitions()
	 * @see #getSWModel()
	 * @generated
	 */
	EReference getSWModel_TypeDefinitions();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.SWModel#getCustomEntities <em>Custom Entities</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Custom Entities</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel#getCustomEntities()
	 * @see #getSWModel()
	 * @generated
	 */
	EReference getSWModel_CustomEntities();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.SWModel#getProcessChains <em>Process Chains</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Process Chains</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel#getProcessChains()
	 * @see #getSWModel()
	 * @generated
	 */
	EReference getSWModel_ProcessChains();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.SWModel#getModes <em>Modes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Modes</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel#getModes()
	 * @see #getSWModel()
	 * @generated
	 */
	EReference getSWModel_Modes();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.SWModel#getModeLabels <em>Mode Labels</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Mode Labels</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel#getModeLabels()
	 * @see #getSWModel()
	 * @generated
	 */
	EReference getSWModel_ModeLabels();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.SWModel#modeLiteral(java.lang.String, java.lang.String) <em>Mode Literal</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Mode Literal</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.SWModel#modeLiteral(java.lang.String, java.lang.String)
	 * @generated
	 */
	EOperation getSWModel__ModeLiteral__String_String();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.AbstractMemoryElement <em>Abstract Memory Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Abstract Memory Element</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AbstractMemoryElement
	 * @generated
	 */
	EClass getAbstractMemoryElement();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.AbstractMemoryElement#getSize <em>Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Size</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AbstractMemoryElement#getSize()
	 * @see #getAbstractMemoryElement()
	 * @generated
	 */
	EReference getAbstractMemoryElement_Size();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.AbstractMemoryElement#getMappings <em>Mappings</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Mappings</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AbstractMemoryElement#getMappings()
	 * @see #getAbstractMemoryElement()
	 * @generated
	 */
	EReference getAbstractMemoryElement_Mappings();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.AbstractProcess <em>Abstract Process</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Abstract Process</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AbstractProcess
	 * @generated
	 */
	EClass getAbstractProcess();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.AbstractProcess#getReferringComponents <em>Referring Components</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Referring Components</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AbstractProcess#getReferringComponents()
	 * @see #getAbstractProcess()
	 * @generated
	 */
	EReference getAbstractProcess_ReferringComponents();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.CustomEntity <em>Custom Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Custom Entity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CustomEntity
	 * @generated
	 */
	EClass getCustomEntity();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.CustomEntity#getTypeName <em>Type Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type Name</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CustomEntity#getTypeName()
	 * @see #getCustomEntity()
	 * @generated
	 */
	EAttribute getCustomEntity_TypeName();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessChain <em>Process Chain</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Chain</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessChain
	 * @generated
	 */
	EClass getProcessChain();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.ProcessChain#getProcesses <em>Processes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Processes</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessChain#getProcesses()
	 * @see #getProcessChain()
	 * @generated
	 */
	EReference getProcessChain_Processes();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.IExecutable <em>IExecutable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IExecutable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IExecutable
	 * @since 1.2
	 * @generated
	 */
	EClass getIExecutable();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.IExecutable#getLocalLabels <em>Local Labels</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Local Labels</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IExecutable#getLocalLabels()
	 * @see #getIExecutable()
	 * @since 1.2
	 * @generated
	 */
	EReference getIExecutable_LocalLabels();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.IExecutable#getActivityGraph <em>Activity Graph</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Activity Graph</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IExecutable#getActivityGraph()
	 * @see #getIExecutable()
	 * @since 1.2
	 * @generated
	 */
	EReference getIExecutable_ActivityGraph();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Process <em>Process</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Process
	 * @generated
	 */
	EClass getProcess();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Process#getStimuli <em>Stimuli</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Stimuli</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Process#getStimuli()
	 * @see #getProcess()
	 * @generated
	 */
	EReference getProcess_Stimuli();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.IActivityGraphItemContainer <em>IActivity Graph Item Container</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IActivity Graph Item Container</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IActivityGraphItemContainer
	 * @generated
	 */
	EClass getIActivityGraphItemContainer();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.IActivityGraphItemContainer#getItems <em>Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Items</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IActivityGraphItemContainer#getItems()
	 * @see #getIActivityGraphItemContainer()
	 * @generated
	 */
	EReference getIActivityGraphItemContainer_Items();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ActivityGraph <em>Activity Graph</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Activity Graph</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ActivityGraph
	 * @generated
	 */
	EClass getActivityGraph();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem <em>Activity Graph Item</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Activity Graph Item</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ActivityGraphItem
	 * @generated
	 */
	EClass getActivityGraphItem();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingExecutable <em>Containing Executable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Containing Executable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingExecutable()
	 * @see #getActivityGraphItem()
	 * @since 1.2
	 * @generated
	 */
	EReference getActivityGraphItem_ContainingExecutable();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess <em>Containing Process</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Containing Process</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess()
	 * @see #getActivityGraphItem()
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingProcess() model documentation} for details.
	 * @generated
	 */
	@Deprecated
	EReference getActivityGraphItem_ContainingProcess();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable <em>Containing Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Containing Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable()
	 * @see #getActivityGraphItem()
	 * @deprecated See {@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingRunnable() model documentation} for details.
	 * @generated
	 */
	@Deprecated
	EReference getActivityGraphItem_ContainingRunnable();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingActivityGraph <em>Containing Activity Graph</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Containing Activity Graph</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ActivityGraphItem#getContainingActivityGraph()
	 * @see #getActivityGraphItem()
	 * @generated
	 */
	EReference getActivityGraphItem_ContainingActivityGraph();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Switch <em>Switch</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Switch</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Switch
	 * @since 2.0
	 * @generated
	 */
	EClass getSwitch();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.Switch#getEntries <em>Entries</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Entries</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Switch#getEntries()
	 * @see #getSwitch()
	 * @since 2.0
	 * @generated
	 */
	EReference getSwitch_Entries();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Switch#getDefaultEntry <em>Default Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Default Entry</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Switch#getDefaultEntry()
	 * @see #getSwitch()
	 * @since 2.0
	 * @generated
	 */
	EReference getSwitch_DefaultEntry();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SwitchEntry <em>Switch Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Switch Entry</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SwitchEntry
	 * @generated
	 */
	EClass getSwitchEntry();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.SwitchEntry#getCondition <em>Condition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Condition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SwitchEntry#getCondition()
	 * @see #getSwitchEntry()
	 * @generated
	 */
	EReference getSwitchEntry_Condition();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SwitchDefault <em>Switch Default</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Switch Default</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SwitchDefault
	 * @generated
	 */
	EClass getSwitchDefault();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProbabilitySwitch <em>Probability Switch</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Probability Switch</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProbabilitySwitch
	 * @generated
	 */
	EClass getProbabilitySwitch();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ProbabilitySwitch#getEntries <em>Entries</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Entries</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProbabilitySwitch#getEntries()
	 * @see #getProbabilitySwitch()
	 * @generated
	 */
	EReference getProbabilitySwitch_Entries();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProbabilitySwitchEntry <em>Probability Switch Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Probability Switch Entry</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProbabilitySwitchEntry
	 * @generated
	 */
	EClass getProbabilitySwitchEntry();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ProbabilitySwitchEntry#getProbability <em>Probability</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Probability</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProbabilitySwitchEntry#getProbability()
	 * @see #getProbabilitySwitchEntry()
	 * @generated
	 */
	EAttribute getProbabilitySwitchEntry_Probability();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.WhileLoop <em>While Loop</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>While Loop</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.WhileLoop
	 * @since 1.2
	 * @generated
	 */
	EClass getWhileLoop();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.WhileLoop#getCondition <em>Condition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Condition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.WhileLoop#getCondition()
	 * @see #getWhileLoop()
	 * @since 1.2
	 * @generated
	 */
	EReference getWhileLoop_Condition();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Counter <em>Counter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Counter</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Counter
	 * @generated
	 */
	EClass getCounter();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Counter#getPrescaler <em>Prescaler</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Prescaler</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Counter#getPrescaler()
	 * @see #getCounter()
	 * @generated
	 */
	EAttribute getCounter_Prescaler();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Counter#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Offset</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Counter#getOffset()
	 * @see #getCounter()
	 * @generated
	 */
	EAttribute getCounter_Offset();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.WaitEvent <em>Wait Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Wait Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.WaitEvent
	 * @generated
	 */
	EClass getWaitEvent();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.WaitEvent#getEventMask <em>Event Mask</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Event Mask</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.WaitEvent#getEventMask()
	 * @see #getWaitEvent()
	 * @generated
	 */
	EReference getWaitEvent_EventMask();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.WaitEvent#getMaskType <em>Mask Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mask Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.WaitEvent#getMaskType()
	 * @see #getWaitEvent()
	 * @generated
	 */
	EAttribute getWaitEvent_MaskType();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.WaitEvent#getWaitingBehaviour <em>Waiting Behaviour</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Waiting Behaviour</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.WaitEvent#getWaitingBehaviour()
	 * @see #getWaitEvent()
	 * @generated
	 */
	EAttribute getWaitEvent_WaitingBehaviour();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.WaitEvent#getCounter <em>Counter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Counter</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.WaitEvent#getCounter()
	 * @see #getWaitEvent()
	 * @generated
	 */
	EReference getWaitEvent_Counter();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SetEvent <em>Set Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Set Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SetEvent
	 * @generated
	 */
	EClass getSetEvent();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.SetEvent#getEventMask <em>Event Mask</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Event Mask</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SetEvent#getEventMask()
	 * @see #getSetEvent()
	 * @generated
	 */
	EReference getSetEvent_EventMask();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.SetEvent#getProcess <em>Process</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Process</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SetEvent#getProcess()
	 * @see #getSetEvent()
	 * @generated
	 */
	EReference getSetEvent_Process();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.SetEvent#getCounter <em>Counter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Counter</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SetEvent#getCounter()
	 * @see #getSetEvent()
	 * @generated
	 */
	EReference getSetEvent_Counter();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ClearEvent <em>Clear Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Clear Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ClearEvent
	 * @generated
	 */
	EClass getClearEvent();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ClearEvent#getEventMask <em>Event Mask</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Event Mask</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ClearEvent#getEventMask()
	 * @see #getClearEvent()
	 * @generated
	 */
	EReference getClearEvent_EventMask();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ClearEvent#getCounter <em>Counter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Counter</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ClearEvent#getCounter()
	 * @see #getClearEvent()
	 * @generated
	 */
	EReference getClearEvent_Counter();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EventMask <em>Event Mask</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Mask</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventMask
	 * @generated
	 */
	EClass getEventMask();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.EventMask#getEvents <em>Events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Events</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventMask#getEvents()
	 * @see #getEventMask()
	 * @generated
	 */
	EReference getEventMask_Events();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.OsEvent <em>Os Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Os Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsEvent
	 * @generated
	 */
	EClass getOsEvent();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.OsEvent#getCommunicationOverheadInBit <em>Communication Overhead In Bit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Communication Overhead In Bit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsEvent#getCommunicationOverheadInBit()
	 * @see #getOsEvent()
	 * @generated
	 */
	EAttribute getOsEvent_CommunicationOverheadInBit();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.OsEvent#getReferringComponents <em>Referring Components</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Referring Components</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsEvent#getReferringComponents()
	 * @see #getOsEvent()
	 * @generated
	 */
	EReference getOsEvent_ReferringComponents();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.InterProcessTrigger <em>Inter Process Trigger</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Inter Process Trigger</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.InterProcessTrigger
	 * @generated
	 */
	EClass getInterProcessTrigger();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.InterProcessTrigger#getStimulus <em>Stimulus</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Stimulus</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.InterProcessTrigger#getStimulus()
	 * @see #getInterProcessTrigger()
	 * @generated
	 */
	EReference getInterProcessTrigger_Stimulus();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.InterProcessTrigger#getCounter <em>Counter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Counter</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.InterProcessTrigger#getCounter()
	 * @see #getInterProcessTrigger()
	 * @generated
	 */
	EReference getInterProcessTrigger_Counter();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EnforcedMigration <em>Enforced Migration</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Enforced Migration</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EnforcedMigration
	 * @generated
	 */
	EClass getEnforcedMigration();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.EnforcedMigration#getResourceOwner <em>Resource Owner</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Resource Owner</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EnforcedMigration#getResourceOwner()
	 * @see #getEnforcedMigration()
	 * @generated
	 */
	EReference getEnforcedMigration_ResourceOwner();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SchedulePoint <em>Schedule Point</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Schedule Point</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedulePoint
	 * @generated
	 */
	EClass getSchedulePoint();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TerminateProcess <em>Terminate Process</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Terminate Process</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TerminateProcess
	 * @generated
	 */
	EClass getTerminateProcess();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.TerminateProcess#getCounter <em>Counter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Counter</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TerminateProcess#getCounter()
	 * @see #getTerminateProcess()
	 * @generated
	 */
	EReference getTerminateProcess_Counter();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Task <em>Task</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Task</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Task
	 * @generated
	 */
	EClass getTask();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Task#getPreemption <em>Preemption</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Preemption</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Task#getPreemption()
	 * @see #getTask()
	 * @generated
	 */
	EAttribute getTask_Preemption();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Task#getMultipleTaskActivationLimit <em>Multiple Task Activation Limit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Multiple Task Activation Limit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Task#getMultipleTaskActivationLimit()
	 * @see #getTask()
	 * @generated
	 */
	EAttribute getTask_MultipleTaskActivationLimit();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ISR <em>ISR</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ISR</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ISR
	 * @generated
	 */
	EClass getISR();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ISR#getCategory <em>Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Category</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ISR#getCategory()
	 * @see #getISR()
	 * @generated
	 */
	EAttribute getISR_Category();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ProcessPrototype <em>Process Prototype</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Process Prototype</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessPrototype
	 * @generated
	 */
	EClass getProcessPrototype();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ProcessPrototype#getPreemption <em>Preemption</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Preemption</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessPrototype#getPreemption()
	 * @see #getProcessPrototype()
	 * @generated
	 */
	EAttribute getProcessPrototype_Preemption();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ProcessPrototype#getFirstRunnable <em>First Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>First Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessPrototype#getFirstRunnable()
	 * @see #getProcessPrototype()
	 * @generated
	 */
	EReference getProcessPrototype_FirstRunnable();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ProcessPrototype#getLastRunnable <em>Last Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Last Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessPrototype#getLastRunnable()
	 * @see #getProcessPrototype()
	 * @generated
	 */
	EReference getProcessPrototype_LastRunnable();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ProcessPrototype#getAccessPrecedenceSpec <em>Access Precedence Spec</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Access Precedence Spec</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessPrototype#getAccessPrecedenceSpec()
	 * @see #getProcessPrototype()
	 * @generated
	 */
	EReference getProcessPrototype_AccessPrecedenceSpec();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ProcessPrototype#getOrderPrecedenceSpec <em>Order Precedence Spec</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Order Precedence Spec</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessPrototype#getOrderPrecedenceSpec()
	 * @see #getProcessPrototype()
	 * @generated
	 */
	EReference getProcessPrototype_OrderPrecedenceSpec();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ProcessPrototype#getChainedPrototypes <em>Chained Prototypes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Chained Prototypes</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessPrototype#getChainedPrototypes()
	 * @see #getProcessPrototype()
	 * @generated
	 */
	EReference getProcessPrototype_ChainedPrototypes();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ProcessPrototype#getActivation <em>Activation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Activation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessPrototype#getActivation()
	 * @see #getProcessPrototype()
	 * @generated
	 */
	EReference getProcessPrototype_Activation();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.ProcessPrototype#getRunnableCalls <em>Runnable Calls</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Runnable Calls</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessPrototype#getRunnableCalls()
	 * @see #getProcessPrototype()
	 * @generated
	 */
	EReference getProcessPrototype_RunnableCalls();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ChainedProcessPrototype <em>Chained Process Prototype</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Chained Process Prototype</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChainedProcessPrototype
	 * @generated
	 */
	EClass getChainedProcessPrototype();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ChainedProcessPrototype#getPrototype <em>Prototype</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Prototype</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChainedProcessPrototype#getPrototype()
	 * @see #getChainedProcessPrototype()
	 * @generated
	 */
	EReference getChainedProcessPrototype_Prototype();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ChainedProcessPrototype#getApply <em>Apply</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Apply</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChainedProcessPrototype#getApply()
	 * @see #getChainedProcessPrototype()
	 * @generated
	 */
	EAttribute getChainedProcessPrototype_Apply();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ChainedProcessPrototype#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Offset</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChainedProcessPrototype#getOffset()
	 * @see #getChainedProcessPrototype()
	 * @generated
	 */
	EAttribute getChainedProcessPrototype_Offset();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.GeneralPrecedence <em>General Precedence</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>General Precedence</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.GeneralPrecedence
	 * @generated
	 */
	EClass getGeneralPrecedence();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.GeneralPrecedence#getOrigin <em>Origin</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Origin</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.GeneralPrecedence#getOrigin()
	 * @see #getGeneralPrecedence()
	 * @generated
	 */
	EReference getGeneralPrecedence_Origin();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.GeneralPrecedence#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Target</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.GeneralPrecedence#getTarget()
	 * @see #getGeneralPrecedence()
	 * @generated
	 */
	EReference getGeneralPrecedence_Target();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.AccessPrecedenceSpec <em>Access Precedence Spec</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Access Precedence Spec</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AccessPrecedenceSpec
	 * @generated
	 */
	EClass getAccessPrecedenceSpec();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.AccessPrecedenceSpec#getLabel <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Label</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AccessPrecedenceSpec#getLabel()
	 * @see #getAccessPrecedenceSpec()
	 * @generated
	 */
	EReference getAccessPrecedenceSpec_Label();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.AccessPrecedenceSpec#getOrderType <em>Order Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Order Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AccessPrecedenceSpec#getOrderType()
	 * @see #getAccessPrecedenceSpec()
	 * @generated
	 */
	EAttribute getAccessPrecedenceSpec_OrderType();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.OrderPrecedenceSpec <em>Order Precedence Spec</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Order Precedence Spec</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OrderPrecedenceSpec
	 * @generated
	 */
	EClass getOrderPrecedenceSpec();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.OrderPrecedenceSpec#getOrderType <em>Order Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Order Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OrderPrecedenceSpec#getOrderType()
	 * @see #getOrderPrecedenceSpec()
	 * @generated
	 */
	EAttribute getOrderPrecedenceSpec_OrderType();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.IDependsOn <em>IDepends On</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IDepends On</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IDependsOn
	 * @generated
	 */
	EClass getIDependsOn();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.IDependsOn#getDependsOn <em>Depends On</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Depends On</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IDependsOn#getDependsOn()
	 * @see #getIDependsOn()
	 * @generated
	 */
	EReference getIDependsOn_DependsOn();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataDependency <em>Data Dependency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Dependency</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataDependency
	 * @generated
	 */
	EClass getDataDependency();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.DataDependency#getLabels <em>Labels</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Labels</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataDependency#getLabels()
	 * @see #getDataDependency()
	 * @generated
	 */
	EReference getDataDependency_Labels();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.DataDependency#getParameters <em>Parameters</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Parameters</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataDependency#getParameters()
	 * @see #getDataDependency()
	 * @generated
	 */
	EReference getDataDependency_Parameters();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.DataDependency#getCallArguments <em>Call Arguments</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Call Arguments</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataDependency#getCallArguments()
	 * @see #getDataDependency()
	 * @generated
	 */
	EReference getDataDependency_CallArguments();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.DataDependency#getContainingRunnable <em>Containing Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Containing Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataDependency#getContainingRunnable()
	 * @see #getDataDependency()
	 * @generated
	 */
	EReference getDataDependency_ContainingRunnable();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RunnableParameter <em>Runnable Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Runnable Parameter</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableParameter
	 * @generated
	 */
	EClass getRunnableParameter();

	/**
	 * Returns the meta object for the container reference '{@link org.eclipse.app4mc.amalthea.model.RunnableParameter#getContainingRunnable <em>Containing Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Containing Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableParameter#getContainingRunnable()
	 * @see #getRunnableParameter()
	 * @generated
	 */
	EReference getRunnableParameter_ContainingRunnable();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.RunnableParameter#getDirection <em>Direction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Direction</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableParameter#getDirection()
	 * @see #getRunnableParameter()
	 * @generated
	 */
	EAttribute getRunnableParameter_Direction();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.RunnableParameter#getDataType <em>Data Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Data Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableParameter#getDataType()
	 * @see #getRunnableParameter()
	 * @generated
	 */
	EReference getRunnableParameter_DataType();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.RunnableParameter#getNamePrefixSegments() <em>Get Name Prefix Segments</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Name Prefix Segments</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableParameter#getNamePrefixSegments()
	 * @generated
	 */
	EOperation getRunnableParameter__GetNamePrefixSegments();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.RunnableParameter#toString() <em>To String</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>To String</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableParameter#toString()
	 * @generated
	 */
	EOperation getRunnableParameter__ToString();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Runnable <em>Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Runnable
	 * @generated
	 */
	EClass getRunnable();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Runnable#getExecutionCondition <em>Execution Condition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Execution Condition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Runnable#getExecutionCondition()
	 * @see #getRunnable()
	 * @generated
	 */
	EReference getRunnable_ExecutionCondition();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.Runnable#getParameters <em>Parameters</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Parameters</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Runnable#getParameters()
	 * @see #getRunnable()
	 * @generated
	 */
	EReference getRunnable_Parameters();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Runnable#getActivations <em>Activations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Activations</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Runnable#getActivations()
	 * @see #getRunnable()
	 * @generated
	 */
	EReference getRunnable_Activations();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Runnable#isCallback <em>Callback</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Callback</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Runnable#isCallback()
	 * @see #getRunnable()
	 * @generated
	 */
	EAttribute getRunnable_Callback();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Runnable#isService <em>Service</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Service</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Runnable#isService()
	 * @see #getRunnable()
	 * @generated
	 */
	EAttribute getRunnable_Service();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Runnable#getAsilLevel <em>Asil Level</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Asil Level</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Runnable#getAsilLevel()
	 * @see #getRunnable()
	 * @generated
	 */
	EAttribute getRunnable_AsilLevel();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.Runnable#getSection <em>Section</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Section</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Runnable#getSection()
	 * @see #getRunnable()
	 * @generated
	 */
	EReference getRunnable_Section();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Runnable#getRunnableCalls <em>Runnable Calls</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Runnable Calls</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Runnable#getRunnableCalls()
	 * @see #getRunnable()
	 * @generated
	 */
	EReference getRunnable_RunnableCalls();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Runnable#getReferringComponents <em>Referring Components</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Referring Components</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Runnable#getReferringComponents()
	 * @see #getRunnable()
	 * @generated
	 */
	EReference getRunnable_ReferringComponents();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.Runnable#getRunnableItems() <em>Get Runnable Items</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Runnable Items</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.Runnable#getRunnableItems()
	 * @generated
	 */
	EOperation getRunnable__GetRunnableItems();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.Runnable#getFirstActivation() <em>Get First Activation</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get First Activation</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.Runnable#getFirstActivation()
	 * @generated
	 */
	EOperation getRunnable__GetFirstActivation();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Label <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Label</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Label
	 * @generated
	 */
	EClass getLabel();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.Label#getDataType <em>Data Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Data Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Label#getDataType()
	 * @see #getLabel()
	 * @generated
	 */
	EReference getLabel_DataType();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Label#isConstant <em>Constant</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Constant</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Label#isConstant()
	 * @see #getLabel()
	 * @generated
	 */
	EAttribute getLabel_Constant();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Label#isBVolatile <em>BVolatile</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>BVolatile</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Label#isBVolatile()
	 * @see #getLabel()
	 * @generated
	 */
	EAttribute getLabel_BVolatile();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Label#getDataStability <em>Data Stability</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Data Stability</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Label#getDataStability()
	 * @see #getLabel()
	 * @generated
	 */
	EAttribute getLabel_DataStability();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Label#getStabilityLevel <em>Stability Level</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Stability Level</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Label#getStabilityLevel()
	 * @see #getLabel()
	 * @generated
	 */
	EAttribute getLabel_StabilityLevel();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.Label#getSection <em>Section</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Section</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Label#getSection()
	 * @see #getLabel()
	 * @generated
	 */
	EReference getLabel_Section();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Label#getLabelAccesses <em>Label Accesses</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Label Accesses</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Label#getLabelAccesses()
	 * @see #getLabel()
	 * @generated
	 */
	EReference getLabel_LabelAccesses();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Label#getReferringComponents <em>Referring Components</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Referring Components</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Label#getReferringComponents()
	 * @see #getLabel()
	 * @generated
	 */
	EReference getLabel_ReferringComponents();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Channel <em>Channel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Channel</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Channel
	 * @generated
	 */
	EClass getChannel();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.Channel#getElementType <em>Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Element Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Channel#getElementType()
	 * @see #getChannel()
	 * @generated
	 */
	EReference getChannel_ElementType();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Channel#getDefaultElements <em>Default Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Default Elements</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Channel#getDefaultElements()
	 * @see #getChannel()
	 * @generated
	 */
	EAttribute getChannel_DefaultElements();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Channel#getMaxElements <em>Max Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max Elements</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Channel#getMaxElements()
	 * @see #getChannel()
	 * @generated
	 */
	EAttribute getChannel_MaxElements();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Channel#getChannelAccesses <em>Channel Accesses</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Channel Accesses</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Channel#getChannelAccesses()
	 * @see #getChannel()
	 * @generated
	 */
	EReference getChannel_ChannelAccesses();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ModeLabel <em>Mode Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Label</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabel
	 * @generated
	 */
	EClass getModeLabel();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ModeLabel#getMode <em>Mode</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Mode</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabel#getMode()
	 * @see #getModeLabel()
	 * @generated
	 */
	EReference getModeLabel_Mode();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ModeLabel#getInitialValue <em>Initial Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Initial Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabel#getInitialValue()
	 * @see #getModeLabel()
	 * @generated
	 */
	EAttribute getModeLabel_InitialValue();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeLabel#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map) <em>Validate Invariants</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Validate Invariants</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabel#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)
	 * @generated
	 */
	EOperation getModeLabel__ValidateInvariants__DiagnosticChain_Map();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeLabel#isEnum() <em>Is Enum</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Enum</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabel#isEnum()
	 * @generated
	 */
	EOperation getModeLabel__IsEnum();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeLabel#isNumeric() <em>Is Numeric</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Numeric</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabel#isNumeric()
	 * @generated
	 */
	EOperation getModeLabel__IsNumeric();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Section <em>Section</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Section</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Section
	 * @generated
	 */
	EClass getSection();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Section#getAsilLevel <em>Asil Level</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Asil Level</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Section#getAsilLevel()
	 * @see #getSection()
	 * @generated
	 */
	EAttribute getSection_AsilLevel();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Section#getLabels <em>Labels</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Labels</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Section#getLabels()
	 * @see #getSection()
	 * @generated
	 */
	EReference getSection_Labels();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.Section#getRunnables <em>Runnables</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Runnables</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Section#getRunnables()
	 * @see #getSection()
	 * @generated
	 */
	EReference getSection_Runnables();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ComputationItem <em>Computation Item</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Computation Item</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComputationItem
	 * @generated
	 */
	EClass getComputationItem();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ExecutionNeed <em>Execution Need</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Execution Need</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ExecutionNeed
	 * @generated
	 */
	EClass getExecutionNeed();

	/**
	 * Returns the meta object for the map '{@link org.eclipse.app4mc.amalthea.model.ExecutionNeed#getNeeds <em>Needs</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the map '<em>Needs</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ExecutionNeed#getNeeds()
	 * @see #getExecutionNeed()
	 * @generated
	 */
	EReference getExecutionNeed_Needs();

	/**
	 * Returns the meta object for class '{@link java.util.Map.Entry <em>Need Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Need Entry</em>'.
	 * @see java.util.Map.Entry
	 * @model keyUnique="false" keyDataType="org.eclipse.emf.ecore.EString" keyRequired="true"
	 *        valueType="org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation" valueContainment="true" valueRequired="true"
	 * @generated
	 */
	EClass getNeedEntry();

	/**
	 * Returns the meta object for the attribute '{@link java.util.Map.Entry <em>Key</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Key</em>'.
	 * @see java.util.Map.Entry
	 * @see #getNeedEntry()
	 * @generated
	 */
	EAttribute getNeedEntry_Key();

	/**
	 * Returns the meta object for the containment reference '{@link java.util.Map.Entry <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Value</em>'.
	 * @see java.util.Map.Entry
	 * @see #getNeedEntry()
	 * @generated
	 */
	EReference getNeedEntry_Value();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Ticks <em>Ticks</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Ticks</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Ticks
	 * @generated
	 */
	EClass getTicks();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Ticks#getDefault <em>Default</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Default</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Ticks#getDefault()
	 * @see #getTicks()
	 * @generated
	 */
	EReference getTicks_Default();

	/**
	 * Returns the meta object for the map '{@link org.eclipse.app4mc.amalthea.model.Ticks#getExtended <em>Extended</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the map '<em>Extended</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Ticks#getExtended()
	 * @see #getTicks()
	 * @generated
	 */
	EReference getTicks_Extended();

	/**
	 * Returns the meta object for class '{@link java.util.Map.Entry <em>Ticks Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Ticks Entry</em>'.
	 * @see java.util.Map.Entry
	 * @model keyType="org.eclipse.app4mc.amalthea.model.ProcessingUnitDefinition" keyRequired="true"
	 *        valueType="org.eclipse.app4mc.amalthea.model.IDiscreteValueDeviation" valueContainment="true" valueRequired="true"
	 * @generated
	 */
	EClass getTicksEntry();

	/**
	 * Returns the meta object for the reference '{@link java.util.Map.Entry <em>Key</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Key</em>'.
	 * @see java.util.Map.Entry
	 * @see #getTicksEntry()
	 * @generated
	 */
	EReference getTicksEntry_Key();

	/**
	 * Returns the meta object for the containment reference '{@link java.util.Map.Entry <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Value</em>'.
	 * @see java.util.Map.Entry
	 * @see #getTicksEntry()
	 * @generated
	 */
	EReference getTicksEntry_Value();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ModeLabelAccess <em>Mode Label Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Label Access</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelAccess
	 * @generated
	 */
	EClass getModeLabelAccess();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ModeLabelAccess#getData <em>Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Data</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelAccess#getData()
	 * @see #getModeLabelAccess()
	 * @generated
	 */
	EReference getModeLabelAccess_Data();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ModeLabelAccess#getAccess <em>Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Access</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelAccess#getAccess()
	 * @see #getModeLabelAccess()
	 * @generated
	 */
	EAttribute getModeLabelAccess_Access();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ModeLabelAccess#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelAccess#getValue()
	 * @see #getModeLabelAccess()
	 * @generated
	 */
	EAttribute getModeLabelAccess_Value();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ModeLabelAccess#getStep <em>Step</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Step</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelAccess#getStep()
	 * @see #getModeLabelAccess()
	 * @generated
	 */
	EAttribute getModeLabelAccess_Step();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeLabelAccess#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map) <em>Validate Invariants</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Validate Invariants</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelAccess#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)
	 * @generated
	 */
	EOperation getModeLabelAccess__ValidateInvariants__DiagnosticChain_Map();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.LabelAccess <em>Label Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Label Access</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccess
	 * @generated
	 */
	EClass getLabelAccess();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.LabelAccess#getData <em>Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Data</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccess#getData()
	 * @see #getLabelAccess()
	 * @generated
	 */
	EReference getLabelAccess_Data();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.LabelAccess#getAccess <em>Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Access</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccess#getAccess()
	 * @see #getLabelAccess()
	 * @generated
	 */
	EAttribute getLabelAccess_Access();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.LabelAccess#getStatistic <em>Statistic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Statistic</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccess#getStatistic()
	 * @see #getLabelAccess()
	 * @generated
	 */
	EReference getLabelAccess_Statistic();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.LabelAccess#getTransmissionPolicy <em>Transmission Policy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Transmission Policy</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccess#getTransmissionPolicy()
	 * @see #getLabelAccess()
	 * @generated
	 */
	EReference getLabelAccess_TransmissionPolicy();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.LabelAccess#getDataStability <em>Data Stability</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Data Stability</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccess#getDataStability()
	 * @see #getLabelAccess()
	 * @generated
	 */
	EAttribute getLabelAccess_DataStability();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.LabelAccess#getImplementation <em>Implementation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Implementation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccess#getImplementation()
	 * @see #getLabelAccess()
	 * @generated
	 */
	EAttribute getLabelAccess_Implementation();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ChannelAccess <em>Channel Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Channel Access</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelAccess
	 * @generated
	 */
	EClass getChannelAccess();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ChannelAccess#getData <em>Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Data</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelAccess#getData()
	 * @see #getChannelAccess()
	 * @generated
	 */
	EReference getChannelAccess_Data();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ChannelAccess#getElements <em>Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Elements</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelAccess#getElements()
	 * @see #getChannelAccess()
	 * @generated
	 */
	EAttribute getChannelAccess_Elements();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ChannelAccess#getTransmissionPolicy <em>Transmission Policy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Transmission Policy</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelAccess#getTransmissionPolicy()
	 * @see #getChannelAccess()
	 * @generated
	 */
	EReference getChannelAccess_TransmissionPolicy();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ChannelSend <em>Channel Send</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Channel Send</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelSend
	 * @generated
	 */
	EClass getChannelSend();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ChannelReceive <em>Channel Receive</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Channel Receive</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelReceive
	 * @generated
	 */
	EClass getChannelReceive();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ChannelReceive#getReceiveOperation <em>Receive Operation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Receive Operation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelReceive#getReceiveOperation()
	 * @see #getChannelReceive()
	 * @generated
	 */
	EAttribute getChannelReceive_ReceiveOperation();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ChannelReceive#isDataMustBeNew <em>Data Must Be New</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Data Must Be New</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelReceive#isDataMustBeNew()
	 * @see #getChannelReceive()
	 * @generated
	 */
	EAttribute getChannelReceive_DataMustBeNew();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ChannelReceive#getElementIndex <em>Element Index</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Element Index</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelReceive#getElementIndex()
	 * @see #getChannelReceive()
	 * @generated
	 */
	EAttribute getChannelReceive_ElementIndex();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ChannelReceive#getLowerBound <em>Lower Bound</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Lower Bound</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelReceive#getLowerBound()
	 * @see #getChannelReceive()
	 * @generated
	 */
	EAttribute getChannelReceive_LowerBound();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SemaphoreAccess <em>Semaphore Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Semaphore Access</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreAccess
	 * @generated
	 */
	EClass getSemaphoreAccess();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.SemaphoreAccess#getSemaphore <em>Semaphore</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Semaphore</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreAccess#getSemaphore()
	 * @see #getSemaphoreAccess()
	 * @generated
	 */
	EReference getSemaphoreAccess_Semaphore();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.SemaphoreAccess#getAccess <em>Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Access</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreAccess#getAccess()
	 * @see #getSemaphoreAccess()
	 * @generated
	 */
	EAttribute getSemaphoreAccess_Access();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.SemaphoreAccess#getWaitingBehaviour <em>Waiting Behaviour</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Waiting Behaviour</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreAccess#getWaitingBehaviour()
	 * @see #getSemaphoreAccess()
	 * @generated
	 */
	EAttribute getSemaphoreAccess_WaitingBehaviour();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SenderReceiverCommunication <em>Sender Receiver Communication</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sender Receiver Communication</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SenderReceiverCommunication
	 * @generated
	 */
	EClass getSenderReceiverCommunication();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.SenderReceiverCommunication#isBuffered <em>Buffered</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Buffered</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SenderReceiverCommunication#isBuffered()
	 * @see #getSenderReceiverCommunication()
	 * @generated
	 */
	EAttribute getSenderReceiverCommunication_Buffered();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.SenderReceiverCommunication#getLabel <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Label</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SenderReceiverCommunication#getLabel()
	 * @see #getSenderReceiverCommunication()
	 * @generated
	 */
	EReference getSenderReceiverCommunication_Label();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.SenderReceiverCommunication#getPort <em>Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Port</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SenderReceiverCommunication#getPort()
	 * @see #getSenderReceiverCommunication()
	 * @generated
	 */
	EReference getSenderReceiverCommunication_Port();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SenderReceiverRead <em>Sender Receiver Read</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sender Receiver Read</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SenderReceiverRead
	 * @generated
	 */
	EClass getSenderReceiverRead();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SenderReceiverWrite <em>Sender Receiver Write</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sender Receiver Write</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SenderReceiverWrite
	 * @generated
	 */
	EClass getSenderReceiverWrite();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.SenderReceiverWrite#getNotifiedRunnables <em>Notified Runnables</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Notified Runnables</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SenderReceiverWrite#getNotifiedRunnables()
	 * @see #getSenderReceiverWrite()
	 * @generated
	 */
	EReference getSenderReceiverWrite_NotifiedRunnables();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ServerCall <em>Server Call</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Server Call</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ServerCall
	 * @generated
	 */
	EClass getServerCall();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ServerCall#getServerRunnable <em>Server Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Server Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ServerCall#getServerRunnable()
	 * @see #getServerCall()
	 * @generated
	 */
	EReference getServerCall_ServerRunnable();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ServerCall#getPort <em>Port</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Port</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ServerCall#getPort()
	 * @see #getServerCall()
	 * @generated
	 */
	EReference getServerCall_Port();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SynchronousServerCall <em>Synchronous Server Call</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Synchronous Server Call</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SynchronousServerCall
	 * @generated
	 */
	EClass getSynchronousServerCall();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.SynchronousServerCall#getWaitingBehaviour <em>Waiting Behaviour</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Waiting Behaviour</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SynchronousServerCall#getWaitingBehaviour()
	 * @see #getSynchronousServerCall()
	 * @generated
	 */
	EAttribute getSynchronousServerCall_WaitingBehaviour();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.AsynchronousServerCall <em>Asynchronous Server Call</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Asynchronous Server Call</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AsynchronousServerCall
	 * @generated
	 */
	EClass getAsynchronousServerCall();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.AsynchronousServerCall#getResultRunnable <em>Result Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Result Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AsynchronousServerCall#getResultRunnable()
	 * @see #getAsynchronousServerCall()
	 * @generated
	 */
	EReference getAsynchronousServerCall_ResultRunnable();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.GetResultServerCall <em>Get Result Server Call</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Get Result Server Call</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.GetResultServerCall
	 * @generated
	 */
	EClass getGetResultServerCall();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.GetResultServerCall#getBlockingType <em>Blocking Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Blocking Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.GetResultServerCall#getBlockingType()
	 * @see #getGetResultServerCall()
	 * @generated
	 */
	EAttribute getGetResultServerCall_BlockingType();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Group <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Group</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Group
	 * @generated
	 */
	EClass getGroup();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Group#isOrdered <em>Ordered</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Ordered</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Group#isOrdered()
	 * @see #getGroup()
	 * @generated
	 */
	EAttribute getGroup_Ordered();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Group#isInterruptible <em>Interruptible</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Interruptible</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Group#isInterruptible()
	 * @see #getGroup()
	 * @since 1.2
	 * @generated
	 */
	EAttribute getGroup_Interruptible();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.CallArgument <em>Call Argument</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Call Argument</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CallArgument
	 * @generated
	 */
	EClass getCallArgument();

	/**
	 * Returns the meta object for the container reference '{@link org.eclipse.app4mc.amalthea.model.CallArgument#getContainingCall <em>Containing Call</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Containing Call</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CallArgument#getContainingCall()
	 * @see #getCallArgument()
	 * @generated
	 */
	EReference getCallArgument_ContainingCall();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.CallArgument#getParameter <em>Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Parameter</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CallArgument#getParameter()
	 * @see #getCallArgument()
	 * @generated
	 */
	EReference getCallArgument_Parameter();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.CallArgument#getName() <em>Get Name</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Name</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.CallArgument#getName()
	 * @generated
	 */
	EOperation getCallArgument__GetName();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.CallArgument#getNamePrefixSegments() <em>Get Name Prefix Segments</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Name Prefix Segments</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.CallArgument#getNamePrefixSegments()
	 * @generated
	 */
	EOperation getCallArgument__GetNamePrefixSegments();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RunnableCall <em>Runnable Call</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Runnable Call</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableCall
	 * @generated
	 */
	EClass getRunnableCall();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.RunnableCall#getRunnable <em>Runnable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Runnable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableCall#getRunnable()
	 * @see #getRunnableCall()
	 * @generated
	 */
	EReference getRunnableCall_Runnable();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.RunnableCall#getArguments <em>Arguments</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Arguments</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableCall#getArguments()
	 * @see #getRunnableCall()
	 * @generated
	 */
	EReference getRunnableCall_Arguments();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.RunnableCall#getContext <em>Context</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Context</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableCall#getContext()
	 * @see #getRunnableCall()
	 * @generated
	 */
	EReference getRunnableCall_Context();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.RunnableCall#getCounter <em>Counter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Counter</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableCall#getCounter()
	 * @see #getRunnableCall()
	 * @generated
	 */
	EReference getRunnableCall_Counter();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.RunnableCall#getStatistic <em>Statistic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Statistic</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableCall#getStatistic()
	 * @see #getRunnableCall()
	 * @generated
	 */
	EReference getRunnableCall_Statistic();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.CustomEventTrigger <em>Custom Event Trigger</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Custom Event Trigger</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CustomEventTrigger
	 * @generated
	 */
	EClass getCustomEventTrigger();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.CustomEventTrigger#getEvent <em>Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Event</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CustomEventTrigger#getEvent()
	 * @see #getCustomEventTrigger()
	 * @generated
	 */
	EReference getCustomEventTrigger_Event();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataType <em>Data Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataType
	 * @generated
	 */
	EClass getDataType();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.CompoundType <em>Compound Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Compound Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CompoundType
	 * @generated
	 */
	EClass getCompoundType();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Struct <em>Struct</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Struct</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Struct
	 * @generated
	 */
	EClass getStruct();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.Struct#getEntries <em>Entries</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Entries</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Struct#getEntries()
	 * @see #getStruct()
	 * @generated
	 */
	EReference getStruct_Entries();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.StructEntry <em>Struct Entry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Struct Entry</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.StructEntry
	 * @generated
	 */
	EClass getStructEntry();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.StructEntry#getDataType <em>Data Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.StructEntry#getDataType()
	 * @see #getStructEntry()
	 * @generated
	 */
	EReference getStructEntry_DataType();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Array <em>Array</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Array</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Array
	 * @generated
	 */
	EClass getArray();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Array#getNumberElements <em>Number Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Number Elements</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Array#getNumberElements()
	 * @see #getArray()
	 * @generated
	 */
	EAttribute getArray_NumberElements();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Array#getDataType <em>Data Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Array#getDataType()
	 * @see #getArray()
	 * @generated
	 */
	EReference getArray_DataType();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Pointer <em>Pointer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Pointer</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Pointer
	 * @generated
	 */
	EClass getPointer();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.Pointer#getDataType <em>Data Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Pointer#getDataType()
	 * @see #getPointer()
	 * @generated
	 */
	EReference getPointer_DataType();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TypeRef <em>Type Ref</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Type Ref</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TypeRef
	 * @generated
	 */
	EClass getTypeRef();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.TypeRef#getTypeDef <em>Type Def</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Type Def</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TypeRef#getTypeDef()
	 * @see #getTypeRef()
	 * @generated
	 */
	EReference getTypeRef_TypeDef();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Alias <em>Alias</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Alias</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Alias
	 * @generated
	 */
	EClass getAlias();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Alias#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Target</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Alias#getTarget()
	 * @see #getAlias()
	 * @generated
	 */
	EAttribute getAlias_Target();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.Alias#getAlias <em>Alias</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Alias</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Alias#getAlias()
	 * @see #getAlias()
	 * @generated
	 */
	EAttribute getAlias_Alias();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.TypeDefinition <em>Type Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Type Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TypeDefinition
	 * @generated
	 */
	EClass getTypeDefinition();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.TypeDefinition#getSize <em>Size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Size</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TypeDefinition#getSize()
	 * @see #getTypeDefinition()
	 * @generated
	 */
	EReference getTypeDefinition_Size();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.DataTypeDefinition <em>Data Type Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Type Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataTypeDefinition
	 * @generated
	 */
	EClass getDataTypeDefinition();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.DataTypeDefinition#getDataType <em>Data Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataTypeDefinition#getDataType()
	 * @see #getDataTypeDefinition()
	 * @generated
	 */
	EReference getDataTypeDefinition_DataType();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.BaseTypeDefinition <em>Base Type Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Base Type Definition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.BaseTypeDefinition
	 * @generated
	 */
	EClass getBaseTypeDefinition();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.app4mc.amalthea.model.BaseTypeDefinition#getAliases <em>Aliases</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Aliases</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.BaseTypeDefinition#getAliases()
	 * @see #getBaseTypeDefinition()
	 * @generated
	 */
	EReference getBaseTypeDefinition_Aliases();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.Activation <em>Activation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Activation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Activation
	 * @generated
	 */
	EClass getActivation();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.PeriodicActivation <em>Periodic Activation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Periodic Activation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PeriodicActivation
	 * @generated
	 */
	EClass getPeriodicActivation();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.PeriodicActivation#getMin <em>Min</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Min</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PeriodicActivation#getMin()
	 * @see #getPeriodicActivation()
	 * @generated
	 */
	EReference getPeriodicActivation_Min();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.PeriodicActivation#getMax <em>Max</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Max</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PeriodicActivation#getMax()
	 * @see #getPeriodicActivation()
	 * @generated
	 */
	EReference getPeriodicActivation_Max();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.PeriodicActivation#getRecurrence <em>Recurrence</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Recurrence</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PeriodicActivation#getRecurrence()
	 * @see #getPeriodicActivation()
	 * @generated
	 */
	EReference getPeriodicActivation_Recurrence();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.PeriodicActivation#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Offset</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PeriodicActivation#getOffset()
	 * @see #getPeriodicActivation()
	 * @generated
	 */
	EReference getPeriodicActivation_Offset();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.VariableRateActivation <em>Variable Rate Activation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Variable Rate Activation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.VariableRateActivation
	 * @generated
	 */
	EClass getVariableRateActivation();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.VariableRateActivation#getStep <em>Step</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Step</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.VariableRateActivation#getStep()
	 * @see #getVariableRateActivation()
	 * @generated
	 */
	EReference getVariableRateActivation_Step();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.VariableRateActivation#getOccurrencesPerStep <em>Occurrences Per Step</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Occurrences Per Step</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.VariableRateActivation#getOccurrencesPerStep()
	 * @see #getVariableRateActivation()
	 * @generated
	 */
	EReference getVariableRateActivation_OccurrencesPerStep();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SporadicActivation <em>Sporadic Activation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sporadic Activation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SporadicActivation
	 * @generated
	 */
	EClass getSporadicActivation();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.SporadicActivation#getOccurrence <em>Occurrence</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Occurrence</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SporadicActivation#getOccurrence()
	 * @see #getSporadicActivation()
	 * @generated
	 */
	EReference getSporadicActivation_Occurrence();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.SingleActivation <em>Single Activation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Single Activation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SingleActivation
	 * @generated
	 */
	EClass getSingleActivation();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.SingleActivation#getMin <em>Min</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Min</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SingleActivation#getMin()
	 * @see #getSingleActivation()
	 * @generated
	 */
	EReference getSingleActivation_Min();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.SingleActivation#getMax <em>Max</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Max</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SingleActivation#getMax()
	 * @see #getSingleActivation()
	 * @generated
	 */
	EReference getSingleActivation_Max();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.EventActivation <em>Event Activation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Activation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventActivation
	 * @generated
	 */
	EClass getEventActivation();

	/**
	 * Returns the meta object for the reference list '{@link org.eclipse.app4mc.amalthea.model.EventActivation#getTriggeringEvents <em>Triggering Events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Triggering Events</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventActivation#getTriggeringEvents()
	 * @see #getEventActivation()
	 * @generated
	 */
	EReference getEventActivation_TriggeringEvents();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.EventActivation#getCounter <em>Counter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Counter</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventActivation#getCounter()
	 * @see #getEventActivation()
	 * @generated
	 */
	EReference getEventActivation_Counter();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.CustomActivation <em>Custom Activation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Custom Activation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CustomActivation
	 * @generated
	 */
	EClass getCustomActivation();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.LabelAccessStatistic <em>Label Access Statistic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Label Access Statistic</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccessStatistic
	 * @generated
	 */
	EClass getLabelAccessStatistic();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.LabelAccessStatistic#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccessStatistic#getValue()
	 * @see #getLabelAccessStatistic()
	 * @generated
	 */
	EReference getLabelAccessStatistic_Value();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.LabelAccessStatistic#getCacheMisses <em>Cache Misses</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Cache Misses</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccessStatistic#getCacheMisses()
	 * @see #getLabelAccessStatistic()
	 * @generated
	 */
	EReference getLabelAccessStatistic_CacheMisses();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.RunEntityCallStatistic <em>Run Entity Call Statistic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Run Entity Call Statistic</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunEntityCallStatistic
	 * @generated
	 */
	EClass getRunEntityCallStatistic();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.RunEntityCallStatistic#getStatistic <em>Statistic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Statistic</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunEntityCallStatistic#getStatistic()
	 * @see #getRunEntityCallStatistic()
	 * @generated
	 */
	EReference getRunEntityCallStatistic_Statistic();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.LocalModeLabel <em>Local Mode Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Local Mode Label</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeLabel
	 * @generated
	 */
	EClass getLocalModeLabel();

	/**
	 * Returns the meta object for the container reference '{@link org.eclipse.app4mc.amalthea.model.LocalModeLabel#getContainingExecutable <em>Containing Executable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Containing Executable</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeLabel#getContainingExecutable()
	 * @see #getLocalModeLabel()
	 * @generated
	 */
	EReference getLocalModeLabel_ContainingExecutable();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.LocalModeLabel#getMode <em>Mode</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Mode</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeLabel#getMode()
	 * @see #getLocalModeLabel()
	 * @generated
	 */
	EReference getLocalModeLabel_Mode();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.LocalModeLabel#getDefaultValue <em>Default Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Default Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeLabel#getDefaultValue()
	 * @see #getLocalModeLabel()
	 * @generated
	 */
	EAttribute getLocalModeLabel_DefaultValue();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.LocalModeLabel#getNamePrefixSegments() <em>Get Name Prefix Segments</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Name Prefix Segments</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeLabel#getNamePrefixSegments()
	 * @generated
	 */
	EOperation getLocalModeLabel__GetNamePrefixSegments();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.LocalModeLabel#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map) <em>Validate Invariants</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Validate Invariants</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeLabel#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)
	 * @generated
	 */
	EOperation getLocalModeLabel__ValidateInvariants__DiagnosticChain_Map();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.LocalModeLabel#isEnum() <em>Is Enum</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Enum</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeLabel#isEnum()
	 * @generated
	 */
	EOperation getLocalModeLabel__IsEnum();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.LocalModeLabel#isNumeric() <em>Is Numeric</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Numeric</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeLabel#isNumeric()
	 * @generated
	 */
	EOperation getLocalModeLabel__IsNumeric();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.LocalModeValue <em>Local Mode Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Local Mode Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeValue
	 * @generated
	 */
	EClass getLocalModeValue();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.LocalModeValue#getLabel <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Label</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeValue#getLabel()
	 * @see #getLocalModeValue()
	 * @generated
	 */
	EReference getLocalModeValue_Label();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.LocalModeValue#getValueSource <em>Value Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Value Source</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeValue#getValueSource()
	 * @see #getLocalModeValue()
	 * @generated
	 */
	EReference getLocalModeValue_ValueSource();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.LocalModeValue#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map) <em>Validate Invariants</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Validate Invariants</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeValue#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)
	 * @generated
	 */
	EOperation getLocalModeValue__ValidateInvariants__DiagnosticChain_Map();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.LocalModeLabelAssignment <em>Local Mode Label Assignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Local Mode Label Assignment</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeLabelAssignment
	 * @generated
	 */
	EClass getLocalModeLabelAssignment();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.LocalModeCondition <em>Local Mode Condition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Local Mode Condition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeCondition
	 * @generated
	 */
	EClass getLocalModeCondition();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.LocalModeCondition#getRelation <em>Relation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Relation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeCondition#getRelation()
	 * @see #getLocalModeCondition()
	 * @generated
	 */
	EAttribute getLocalModeCondition_Relation();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ILocalModeValueSource <em>ILocal Mode Value Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ILocal Mode Value Source</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ILocalModeValueSource
	 * @generated
	 */
	EClass getILocalModeValueSource();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ILocalModeValueSource#isEnum() <em>Is Enum</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Enum</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ILocalModeValueSource#isEnum()
	 * @generated
	 */
	EOperation getILocalModeValueSource__IsEnum();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ILocalModeValueSource#isNumeric() <em>Is Numeric</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Numeric</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ILocalModeValueSource#isNumeric()
	 * @generated
	 */
	EOperation getILocalModeValueSource__IsNumeric();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ILocalModeValueSource#getMode() <em>Get Mode</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Mode</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ILocalModeValueSource#getMode()
	 * @generated
	 */
	EOperation getILocalModeValueSource__GetMode();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ModeLiteralConst <em>Mode Literal Const</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Literal Const</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLiteralConst
	 * @generated
	 */
	EClass getModeLiteralConst();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ModeLiteralConst#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLiteralConst#getValue()
	 * @see #getModeLiteralConst()
	 * @generated
	 */
	EReference getModeLiteralConst_Value();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeLiteralConst#isEnum() <em>Is Enum</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Enum</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLiteralConst#isEnum()
	 * @generated
	 */
	EOperation getModeLiteralConst__IsEnum();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeLiteralConst#getMode() <em>Get Mode</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Mode</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLiteralConst#getMode()
	 * @generated
	 */
	EOperation getModeLiteralConst__GetMode();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.IntegerConst <em>Integer Const</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Integer Const</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IntegerConst
	 * @generated
	 */
	EClass getIntegerConst();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.IntegerConst#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.IntegerConst#getValue()
	 * @see #getIntegerConst()
	 * @generated
	 */
	EAttribute getIntegerConst_Value();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.IntegerConst#isNumeric() <em>Is Numeric</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Numeric</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.IntegerConst#isNumeric()
	 * @generated
	 */
	EOperation getIntegerConst__IsNumeric();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ModeLabelRef <em>Mode Label Ref</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Label Ref</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelRef
	 * @generated
	 */
	EClass getModeLabelRef();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ModeLabelRef#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelRef#getValue()
	 * @see #getModeLabelRef()
	 * @generated
	 */
	EReference getModeLabelRef_Value();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeLabelRef#isEnum() <em>Is Enum</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Enum</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelRef#isEnum()
	 * @generated
	 */
	EOperation getModeLabelRef__IsEnum();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeLabelRef#isNumeric() <em>Is Numeric</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Numeric</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelRef#isNumeric()
	 * @generated
	 */
	EOperation getModeLabelRef__IsNumeric();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeLabelRef#getMode() <em>Get Mode</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Mode</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelRef#getMode()
	 * @generated
	 */
	EOperation getModeLabelRef__GetMode();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.LocalModeLabelRef <em>Local Mode Label Ref</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Local Mode Label Ref</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeLabelRef
	 * @generated
	 */
	EClass getLocalModeLabelRef();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.LocalModeLabelRef#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeLabelRef#getValue()
	 * @see #getLocalModeLabelRef()
	 * @generated
	 */
	EReference getLocalModeLabelRef_Value();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.LocalModeLabelRef#isEnum() <em>Is Enum</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Enum</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeLabelRef#isEnum()
	 * @generated
	 */
	EOperation getLocalModeLabelRef__IsEnum();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.LocalModeLabelRef#isNumeric() <em>Is Numeric</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Numeric</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeLabelRef#isNumeric()
	 * @generated
	 */
	EOperation getLocalModeLabelRef__IsNumeric();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.LocalModeLabelRef#getMode() <em>Get Mode</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Get Mode</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.LocalModeLabelRef#getMode()
	 * @generated
	 */
	EOperation getLocalModeLabelRef__GetMode();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ChannelFillRef <em>Channel Fill Ref</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Channel Fill Ref</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelFillRef
	 * @generated
	 */
	EClass getChannelFillRef();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ChannelFillRef#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Value</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelFillRef#getValue()
	 * @see #getChannelFillRef()
	 * @generated
	 */
	EReference getChannelFillRef_Value();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ChannelFillRef#isNumeric() <em>Is Numeric</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Numeric</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelFillRef#isNumeric()
	 * @generated
	 */
	EOperation getChannelFillRef__IsNumeric();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ArithmeticExpression <em>Arithmetic Expression</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Arithmetic Expression</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ArithmeticExpression
	 * @generated
	 */
	EClass getArithmeticExpression();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ArithmeticExpression#getOperand1 <em>Operand1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Operand1</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ArithmeticExpression#getOperand1()
	 * @see #getArithmeticExpression()
	 * @generated
	 */
	EReference getArithmeticExpression_Operand1();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.app4mc.amalthea.model.ArithmeticExpression#getOperand2 <em>Operand2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Operand2</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ArithmeticExpression#getOperand2()
	 * @see #getArithmeticExpression()
	 * @generated
	 */
	EReference getArithmeticExpression_Operand2();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.app4mc.amalthea.model.ArithmeticExpression#getOperator <em>Operator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Operator</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ArithmeticExpression#getOperator()
	 * @see #getArithmeticExpression()
	 * @generated
	 */
	EAttribute getArithmeticExpression_Operator();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ArithmeticExpression#isNumeric() <em>Is Numeric</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Is Numeric</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ArithmeticExpression#isNumeric()
	 * @generated
	 */
	EOperation getArithmeticExpression__IsNumeric();

	/**
	 * Returns the meta object for class '{@link org.eclipse.app4mc.amalthea.model.ModeLabelAssignment <em>Mode Label Assignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mode Label Assignment</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelAssignment
	 * @generated
	 */
	EClass getModeLabelAssignment();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ModeLabelAssignment#getGlobalLabel <em>Global Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Global Label</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelAssignment#getGlobalLabel()
	 * @see #getModeLabelAssignment()
	 * @generated
	 */
	EReference getModeLabelAssignment_GlobalLabel();

	/**
	 * Returns the meta object for the reference '{@link org.eclipse.app4mc.amalthea.model.ModeLabelAssignment#getLocalLabel <em>Local Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Local Label</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelAssignment#getLocalLabel()
	 * @see #getModeLabelAssignment()
	 * @generated
	 */
	EReference getModeLabelAssignment_LocalLabel();

	/**
	 * Returns the meta object for the '{@link org.eclipse.app4mc.amalthea.model.ModeLabelAssignment#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map) <em>Validate Invariants</em>}' operation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the '<em>Validate Invariants</em>' operation.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelAssignment#validateInvariants(org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)
	 * @generated
	 */
	EOperation getModeLabelAssignment__ValidateInvariants__DiagnosticChain_Map();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.RelationalOperator <em>Relational Operator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Relational Operator</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RelationalOperator
	 * @generated
	 */
	EEnum getRelationalOperator();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.ParameterType <em>Parameter Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Parameter Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ParameterType
	 * @generated
	 */
	EEnum getParameterType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.TimeUnit <em>Time Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Time Unit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeUnit
	 * @generated
	 */
	EEnum getTimeUnit();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.FrequencyUnit <em>Frequency Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Frequency Unit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.FrequencyUnit
	 * @generated
	 */
	EEnum getFrequencyUnit();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.VoltageUnit <em>Voltage Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Voltage Unit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.VoltageUnit
	 * @generated
	 */
	EEnum getVoltageUnit();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.DataSizeUnit <em>Data Size Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Data Size Unit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataSizeUnit
	 * @generated
	 */
	EEnum getDataSizeUnit();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.DataRateUnit <em>Data Rate Unit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Data Rate Unit</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataRateUnit
	 * @generated
	 */
	EEnum getDataRateUnit();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.SamplingType <em>Sampling Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Sampling Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SamplingType
	 * @generated
	 */
	EEnum getSamplingType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.InterfaceKind <em>Interface Kind</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Interface Kind</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.InterfaceKind
	 * @generated
	 */
	EEnum getInterfaceKind();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.RunnableOrderType <em>Runnable Order Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Runnable Order Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableOrderType
	 * @generated
	 */
	EEnum getRunnableOrderType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.EventChainItemType <em>Event Chain Item Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Event Chain Item Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.EventChainItemType
	 * @generated
	 */
	EEnum getEventChainItemType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.SynchronizationType <em>Synchronization Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Synchronization Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SynchronizationType
	 * @generated
	 */
	EEnum getSynchronizationType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.MappingType <em>Mapping Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Mapping Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MappingType
	 * @generated
	 */
	EEnum getMappingType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.LatencyType <em>Latency Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Latency Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LatencyType
	 * @generated
	 */
	EEnum getLatencyType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.Severity <em>Severity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Severity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Severity
	 * @generated
	 */
	EEnum getSeverity();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.LimitType <em>Limit Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Limit Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LimitType
	 * @generated
	 */
	EEnum getLimitType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.TimeMetric <em>Time Metric</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Time Metric</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.TimeMetric
	 * @generated
	 */
	EEnum getTimeMetric();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.CountMetric <em>Count Metric</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Count Metric</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CountMetric
	 * @generated
	 */
	EEnum getCountMetric();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.PercentageMetric <em>Percentage Metric</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Percentage Metric</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PercentageMetric
	 * @generated
	 */
	EEnum getPercentageMetric();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.CPUPercentageMetric <em>CPU Percentage Metric</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>CPU Percentage Metric</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CPUPercentageMetric
	 * @generated
	 */
	EEnum getCPUPercentageMetric();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.FrequencyMetric <em>Frequency Metric</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Frequency Metric</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.FrequencyMetric
	 * @generated
	 */
	EEnum getFrequencyMetric();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.CoherencyDirection <em>Coherency Direction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Coherency Direction</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CoherencyDirection
	 * @generated
	 */
	EEnum getCoherencyDirection();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.ProcessEventType <em>Process Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Process Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ProcessEventType
	 * @generated
	 */
	EEnum getProcessEventType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.RunnableEventType <em>Runnable Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Runnable Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.RunnableEventType
	 * @generated
	 */
	EEnum getRunnableEventType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.LabelEventType <em>Label Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Label Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelEventType
	 * @generated
	 */
	EEnum getLabelEventType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.ModeLabelEventType <em>Mode Label Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Mode Label Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelEventType
	 * @generated
	 */
	EEnum getModeLabelEventType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.ChannelEventType <em>Channel Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Channel Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ChannelEventType
	 * @generated
	 */
	EEnum getChannelEventType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.SemaphoreEventType <em>Semaphore Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Semaphore Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreEventType
	 * @generated
	 */
	EEnum getSemaphoreEventType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.ComponentEventType <em>Component Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Component Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ComponentEventType
	 * @generated
	 */
	EEnum getComponentEventType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.MemoryType <em>Memory Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Memory Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryType
	 * @generated
	 */
	EEnum getMemoryType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.StructureType <em>Structure Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Structure Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.StructureType
	 * @generated
	 */
	EEnum getStructureType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.CacheType <em>Cache Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Cache Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CacheType
	 * @generated
	 */
	EEnum getCacheType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.PortType <em>Port Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Port Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PortType
	 * @generated
	 */
	EEnum getPortType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.SchedPolicy <em>Sched Policy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Sched Policy</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SchedPolicy
	 * @generated
	 */
	EEnum getSchedPolicy();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.WriteStrategy <em>Write Strategy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Write Strategy</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.WriteStrategy
	 * @generated
	 */
	EEnum getWriteStrategy();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.PuType <em>Pu Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Pu Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PuType
	 * @generated
	 */
	EEnum getPuType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.PortInterface <em>Port Interface</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Port Interface</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.PortInterface
	 * @generated
	 */
	EEnum getPortInterface();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.HwFeatureType <em>Hw Feature Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Hw Feature Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.HwFeatureType
	 * @generated
	 */
	EEnum getHwFeatureType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.MemoryAddressMappingType <em>Memory Address Mapping Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Memory Address Mapping Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.MemoryAddressMappingType
	 * @generated
	 */
	EEnum getMemoryAddressMappingType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.OsDataConsistencyMode <em>Os Data Consistency Mode</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Os Data Consistency Mode</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OsDataConsistencyMode
	 * @generated
	 */
	EEnum getOsDataConsistencyMode();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.AccessMultiplicity <em>Access Multiplicity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Access Multiplicity</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AccessMultiplicity
	 * @generated
	 */
	EEnum getAccessMultiplicity();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.DataStabilityLevel <em>Data Stability Level</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Data Stability Level</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DataStabilityLevel
	 * @generated
	 */
	EEnum getDataStabilityLevel();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.SemaphoreType <em>Semaphore Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Semaphore Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreType
	 * @generated
	 */
	EEnum getSemaphoreType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.CombinatorialCondition <em>Combinatorial Condition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Combinatorial Condition</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CombinatorialCondition
	 * @generated
	 */
	EEnum getCombinatorialCondition();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.GroupingType <em>Grouping Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Grouping Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.GroupingType
	 * @generated
	 */
	EEnum getGroupingType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.CurveType <em>Curve Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Curve Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.CurveType
	 * @generated
	 */
	EEnum getCurveType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.WaitEventType <em>Wait Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Wait Event Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.WaitEventType
	 * @generated
	 */
	EEnum getWaitEventType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.WaitingBehaviour <em>Waiting Behaviour</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Waiting Behaviour</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.WaitingBehaviour
	 * @generated
	 */
	EEnum getWaitingBehaviour();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.ISRCategory <em>ISR Category</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ISR Category</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ISRCategory
	 * @generated
	 */
	EEnum getISRCategory();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.AccessPrecedenceType <em>Access Precedence Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Access Precedence Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.AccessPrecedenceType
	 * @generated
	 */
	EEnum getAccessPrecedenceType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.OrderType <em>Order Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Order Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.OrderType
	 * @generated
	 */
	EEnum getOrderType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.DirectionType <em>Direction Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Direction Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.DirectionType
	 * @generated
	 */
	EEnum getDirectionType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.LabelDataStability <em>Label Data Stability</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Label Data Stability</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelDataStability
	 * @generated
	 */
	EEnum getLabelDataStability();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.ModeLabelAccessEnum <em>Mode Label Access Enum</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Mode Label Access Enum</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ModeLabelAccessEnum
	 * @generated
	 */
	EEnum getModeLabelAccessEnum();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.ReceiveOperation <em>Receive Operation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Receive Operation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ReceiveOperation
	 * @generated
	 */
	EEnum getReceiveOperation();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.LabelAccessDataStability <em>Label Access Data Stability</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Label Access Data Stability</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccessDataStability
	 * @generated
	 */
	EEnum getLabelAccessDataStability();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.LabelAccessEnum <em>Label Access Enum</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Label Access Enum</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccessEnum
	 * @generated
	 */
	EEnum getLabelAccessEnum();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.LabelAccessImplementation <em>Label Access Implementation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Label Access Implementation</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.LabelAccessImplementation
	 * @generated
	 */
	EEnum getLabelAccessImplementation();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.SemaphoreAccessEnum <em>Semaphore Access Enum</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Semaphore Access Enum</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.SemaphoreAccessEnum
	 * @generated
	 */
	EEnum getSemaphoreAccessEnum();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.BlockingType <em>Blocking Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Blocking Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.BlockingType
	 * @generated
	 */
	EEnum getBlockingType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.Preemption <em>Preemption</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Preemption</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.Preemption
	 * @generated
	 */
	EEnum getPreemption();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.ConcurrencyType <em>Concurrency Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Concurrency Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ConcurrencyType
	 * @generated
	 */
	EEnum getConcurrencyType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.ASILType <em>ASIL Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>ASIL Type</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ASILType
	 * @generated
	 */
	EEnum getASILType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.app4mc.amalthea.model.ArithmeticOperator <em>Arithmetic Operator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Arithmetic Operator</em>'.
	 * @see org.eclipse.app4mc.amalthea.model.ArithmeticOperator
	 * @generated
	 */
	EEnum getArithmeticOperator();

	/**
	 * Returns the meta object for data type '<em>Address</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
     * <!-- begin-model-doc -->
     * Hardware Address (long; specified as hexadecimal value)
     * <!-- end-model-doc -->
	 * @return the meta object for data type '<em>Address</em>'.
	 * @model instanceClass="long"
	 *        extendedMetaData="minInclusive='0'"
	 * @generated
	 */
	EDataType getAddress();

	/**
	 * Returns the meta object for data type '<em>Positive Int</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Positive Int</em>'.
	 * @model instanceClass="int"
	 *        extendedMetaData="minExclusive='0'"
	 * @generated
	 */
	EDataType getPositiveInt();

	/**
	 * Returns the meta object for data type '<em>Positive Long</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Positive Long</em>'.
	 * @model instanceClass="long"
	 *        extendedMetaData="minExclusive='0'"
	 * @generated
	 */
	EDataType getPositiveLong();

	/**
	 * Returns the meta object for data type '<em>Positive Double</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Positive Double</em>'.
	 * @model instanceClass="double"
	 *        extendedMetaData="minExclusive='0'"
	 * @generated
	 */
	EDataType getPositiveDouble();

	/**
	 * Returns the meta object for data type '<em>Non Negative Int</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Non Negative Int</em>'.
	 * @model instanceClass="int"
	 *        extendedMetaData="minInclusive='0'"
	 * @generated
	 */
	EDataType getNonNegativeInt();

	/**
	 * Returns the meta object for data type '<em>Non Negative Long</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Non Negative Long</em>'.
	 * @model instanceClass="long"
	 *        extendedMetaData="minInclusive='0'"
	 * @generated
	 */
	EDataType getNonNegativeLong();

	/**
	 * Returns the meta object for data type '<em>Non Negative Double</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Non Negative Double</em>'.
	 * @model instanceClass="double"
	 *        extendedMetaData="minInclusive='0'"
	 * @generated
	 */
	EDataType getNonNegativeDouble();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	AmaltheaFactory getAmaltheaFactory();

} //AmaltheaPackage
